export declare const validDialectNames: {
    sqlite: boolean;
    mysql: boolean;
    mariadb: boolean;
    bigquery: boolean;
    postgresql: boolean;
};
export type DialectName = keyof typeof validDialectNames;
export type ParamType = "?" | "?nr" | "$nr" | ":name" | "$name" | "@name" | "@`name`";
export type ParserOptions = {
    dialect: DialectName;
    includeComments?: boolean;
    includeNewlines?: boolean;
    includeSpaces?: boolean;
    includeRange?: boolean;
    paramTypes?: ParamType[];
    acceptUnsupportedGrammar?: boolean;
    /** SQL file name, used when reporting syntax errors */
    filename?: string;
};
