"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cstTransformer = void 0;
/**
 * Creates a function that transforms the whole syntax tree to data type T.
 * @param map An object with a transform function for each CST node type
 */
function cstTransformer(map) {
    return (node) => {
        const fn = map[node.type];
        if (!fn) {
            if (!node.type) {
                throw new Error(`No type field on node: ${JSON.stringify(node)}`);
            }
            throw new Error(`No transform map entry for ${node.type}`);
        }
        return fn(node);
    };
}
exports.cstTransformer = cstTransformer;
