"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postgresqlKeywords = void 0;
// https://www.postgresql.org/docs/16/sql-keywords-appendix.html
exports.postgresqlKeywords = {
    ALL: true,
    ANALYSE: true,
    ANALYZE: true,
    AND: true,
    ANY: true,
    ARRAY: true,
    AS: true,
    ASC: true,
    ASYMMETRIC: true,
    AUTHORIZATION: true,
    // BETWEEN: true, // (cannot be function or type)
    // BIGINT: true, // (cannot be function or type)
    // BINARY: true, // reserved (can be function or type)
    // BIT: true, // (cannot be function or type)
    // BOOLEAN: true, // (cannot be function or type)
    BOTH: true,
    CASE: true,
    CAST: true,
    // CHAR: true, // (cannot be function or type), requires AS
    // CHARACTER: true, // (cannot be function or type), requires AS
    CHECK: true,
    // COALESCE: true, // (cannot be function or type)
    COLLATE: true,
    // COLLATION: true, // reserved (can be function or type)
    COLUMN: true,
    // CONCURRENTLY: true, // reserved (can be function or type)
    CONSTRAINT: true,
    CREATE: true,
    CROSS: true,
    CURRENT_CATALOG: true,
    CURRENT_DATE: true,
    CURRENT_ROLE: true,
    CURRENT_SCHEMA: true,
    CURRENT_TIME: true,
    CURRENT_TIMESTAMP: true,
    CURRENT_USER: true,
    DAY: true,
    // DEC: true, // (cannot be function or type)
    // DECIMAL: true, // (cannot be function or type)
    DEFAULT: true,
    DEFERRABLE: true,
    DESC: true,
    DISTINCT: true,
    DO: true,
    ELSE: true,
    END: true,
    EXCEPT: true,
    // EXISTS: true, // (cannot be function or type)
    // EXTRACT: true, // (cannot be function or type)
    FALSE: true,
    FETCH: true,
    FILTER: true,
    // FLOAT: true, // (cannot be function or type)
    FOR: true,
    FOREIGN: true,
    FREEZE: true,
    FROM: true,
    FULL: true,
    GRANT: true,
    // GREATEST: true, // (cannot be function or type)
    GROUP: true,
    // GROUPING: true, // (cannot be function or type)
    HAVING: true,
    HOUR: true,
    ILIKE: true,
    IN: true,
    INITIALLY: true,
    INNER: true,
    // INOUT: true, // (cannot be function or type)
    // INT: true, // (cannot be function or type)
    // INTEGER: true, // (cannot be function or type)
    INTERSECT: true,
    // INTERVAL: true, // (cannot be function or type)
    INTO: true,
    IS: true,
    ISNULL: true,
    JOIN: true,
    LATERAL: true,
    LEADING: true,
    // LEAST: true, // (cannot be function or type)
    LEFT: true,
    LIKE: true,
    LIMIT: true,
    LOCALTIME: true,
    LOCALTIMESTAMP: true,
    MINUTE: true,
    MONTH: true,
    // NATIONAL: true, // (cannot be function or type)
    NATURAL: true,
    // NCHAR: true, // (cannot be function or type)
    // NONE: true, // (cannot be function or type)
    // NORMALIZE: true, // (cannot be function or type)
    NOT: true,
    NOTNULL: true,
    NULL: true,
    // NULLIF: true, // (cannot be function or type)
    // NUMERIC: true, // (cannot be function or type)
    OFFSET: true,
    ON: true,
    ONLY: true,
    OR: true,
    ORDER: true,
    // OUT: true, // (cannot be function or type)
    OUTER: true,
    OVER: true,
    OVERLAPS: true,
    // OVERLAY: true, // (cannot be function or type)
    PLACING: true,
    // POSITION: true, // (cannot be function or type)
    PRECISION: true,
    PRIMARY: true,
    // REAL: true, // (cannot be function or type)
    REFERENCES: true,
    RETURNING: true,
    RIGHT: true,
    // ROW: true, // (cannot be function or type)
    SECOND: true,
    SELECT: true,
    SESSION_USER: true,
    // SETOF: true, // (cannot be function or type)
    SIMILAR: true,
    // SMALLINT: true, // (cannot be function or type)
    SOME: true,
    // SUBSTRING: true, // (cannot be function or type)
    SYMMETRIC: true,
    SYSTEM_USER: true,
    TABLE: true,
    TABLESAMPLE: true,
    THEN: true,
    // TIME: true, // (cannot be function or type)
    // TIMESTAMP: true, // (cannot be function or type)
    TO: true,
    TRAILING: true,
    // TREAT: true, // (cannot be function or type)
    // TRIM: true, // (cannot be function or type)
    TRUE: true,
    UNION: true,
    UNIQUE: true,
    USER: true,
    USING: true,
    // VALUES: true, // (cannot be function or type)
    // VARCHAR: true, // (cannot be function or type)
    VARIADIC: true,
    VARYING: true,
    VERBOSE: true,
    WHEN: true,
    WHERE: true,
    WINDOW: true,
    WITH: true,
    WITHIN: true,
    WITHOUT: true,
    // XMLATTRIBUTES: true, // (cannot be function or type)
    // XMLCONCAT: true, // (cannot be function or type)
    // XMLELEMENT: true, // (cannot be function or type)
    // XMLEXISTS: true, // (cannot be function or type)
    // XMLFOREST: true, // (cannot be function or type)
    // XMLNAMESPACES: true, // (cannot be function or type)
    // XMLPARSE: true, // (cannot be function or type)
    // XMLPI: true, // (cannot be function or type)
    // XMLROOT: true, // (cannot be function or type)
    // XMLSERIALIZE: true, // (cannot be function or type)
    // XMLTABLE: true, // (cannot be function or type)
    YEAR: true,
    // TODO: Temporarily including these actually non-reserved words
    SET: true,
};
