export * from "./cst/Node";
export * from "./cstVisitor";
export * from "./cstTransformer";
export * from "./keywords";
export { DialectName, ParserOptions } from "./ParserOptions";
export { FormattedSyntaxError } from "./FormattedSyntaxError";
import { Node, Program } from "./cst/Node";
import { ParserOptions } from "./ParserOptions";
export declare function parse(sql: string, options: ParserOptions): Program;
/**
 * Converts any syntax tree node back to SQL string.
 *
 * It's a very primitive serializer that won't insert any whitespace on its own.
 * It will only restore the whitespace from leading/trailing fields.
 * Not having this information available can lead to invalid SQL being generated.
 *
 * Therefore only feed it syntax trees parsed with options:
 *
 *     { includeSpaces: true, includeComments: true, includeNewlines: true }
 */
export declare function show(node: Node): string;
