"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.show = exports.parse = exports.FormattedSyntaxError = void 0;
__exportStar(require("./cst/Node"), exports);
__exportStar(require("./cstVisitor"), exports);
__exportStar(require("./cstTransformer"), exports);
__exportStar(require("./keywords"), exports);
var FormattedSyntaxError_1 = require("./FormattedSyntaxError");
Object.defineProperty(exports, "FormattedSyntaxError", { enumerable: true, get: function () { return FormattedSyntaxError_1.FormattedSyntaxError; } });
const parser_1 = require("./parser");
const show_1 = require("./show");
const ParserOptions_1 = require("./ParserOptions");
const FormattedSyntaxError_2 = require("./FormattedSyntaxError");
function parse(sql, options) {
    if (!options || !options.dialect) {
        throw new Error(`No SQL dialect specified.`);
    }
    if (!ParserOptions_1.validDialectNames[options.dialect]) {
        throw new Error(`Unsupported dialect name: "${options.dialect}"`);
    }
    try {
        return (0, parser_1.parse)(sql, options);
    }
    catch (e) {
        if (e instanceof parser_1.PeggySyntaxError) {
            throw new FormattedSyntaxError_2.FormattedSyntaxError(e, sql, options.filename);
        }
        throw e;
    }
}
exports.parse = parse;
/**
 * Converts any syntax tree node back to SQL string.
 *
 * It's a very primitive serializer that won't insert any whitespace on its own.
 * It will only restore the whitespace from leading/trailing fields.
 * Not having this information available can lead to invalid SQL being generated.
 *
 * Therefore only feed it syntax trees parsed with options:
 *
 *     { includeSpaces: true, includeComments: true, includeNewlines: true }
 */
function show(node) {
    // This might look like an unnecessary wrapper around show() from src/show.
    // The goal here is to restrict the input type to just Node,
    // not allowing all the additional types that are largely an implementation detail.
    return (0, show_1.show)(node);
}
exports.show = show;
