"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.show = void 0;
const cstTransformer_1 = require("./cstTransformer");
const transformMap_1 = require("./showNode/transformMap");
const generic_1 = require("./utils/generic");
function show(node, joinString = "") {
    if ((0, generic_1.isString)(node)) {
        return node;
    }
    if (node instanceof Array) {
        return node
            .filter(generic_1.isDefined)
            .map((n) => show(n))
            .join(joinString);
    }
    return [
        showWhitespace(node.leading),
        showNode(node),
        showWhitespace(node.trailing),
    ]
        .filter(generic_1.isDefined)
        .join("");
}
exports.show = show;
const showWhitespace = (ws) => {
    if (!ws) {
        return undefined;
    }
    return ws.map(showWhitespaceItem).join("");
};
const showWhitespaceItem = (ws) => ws.text;
const showNode = (0, cstTransformer_1.cstTransformer)(transformMap_1.transformMap);
