"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.alterActionMap = void 0;
const show_1 = require("../show");
exports.alterActionMap = {
    alter_action_rename: (node) => (0, show_1.show)([node.renameKw, node.newName]),
    alter_action_rename_column: (node) => (0, show_1.show)([
        node.renameKw,
        node.ifExistsKw,
        node.oldName,
        node.toKw,
        node.newName,
    ]),
    alter_action_add_column: (node) => (0, show_1.show)([node.addKw, node.ifNotExistsKw, node.column]),
    alter_action_drop_column: (node) => (0, show_1.show)([node.dropKw, node.ifExistsKw, node.column, node.behaviorKw]),
    alter_action_set_default_collate: (node) => (0, show_1.show)([node.setDefaultCollateKw, node.collation]),
    alter_action_set_bigquery_options: (node) => (0, show_1.show)([node.setKw, node.options]),
    alter_action_set_postgresql_options: (node) => (0, show_1.show)([node.setKw, node.options]),
    alter_action_reset_postgresql_options: (node) => (0, show_1.show)([node.resetKw, node.options]),
    alter_action_set_postgresql_option: (node) => (0, show_1.show)([node.setKw, node.name, node.operator, node.value]),
    alter_action_set_postgresql_option_from_current: (node) => (0, show_1.show)([node.setKw, node.name, node.fromCurrentKw]),
    alter_action_reset_postgresql_option: (node) => (0, show_1.show)([node.resetKw, node.name]),
    alter_action_add_constraint: (node) => (0, show_1.show)([node.addKw, node.name, node.constraint, node.modifiers]),
    alter_action_add_constraint_constraint_name: (node) => (0, show_1.show)([node.constraintKw, node.ifNotExistsKw, node.name]),
    alter_action_drop_constraint: (node) => (0, show_1.show)([
        node.dropConstraintKw,
        node.ifExistsKw,
        node.constraint,
        node.behaviorKw,
    ]),
    alter_action_alter_constraint: (node) => (0, show_1.show)([node.alterConstraintKw, node.constraint, node.modifiers]),
    alter_action_rename_constraint: (node) => (0, show_1.show)([node.renameConstraintKw, node.oldName, node.toKw, node.newName]),
    alter_action_validate_constraint: (node) => (0, show_1.show)([node.validateConstraintKw, node.constraint]),
    alter_action_drop_primary_key: (node) => (0, show_1.show)([node.dropPrimaryKeyKw, node.ifExistsKw]),
    alter_action_owner_to: (node) => (0, show_1.show)([node.ownerToKw, node.owner]),
    alter_action_set_schema: (node) => (0, show_1.show)([node.setSchemaKw, node.schema]),
    alter_action_enable: (node) => (0, show_1.show)([node.enableKw, node.modeKw, node.item]),
    alter_action_disable: (node) => (0, show_1.show)([node.disableKw, node.item]),
    alter_action_force: (node) => (0, show_1.show)([node.forceKw, node.item]),
    alter_action_no_force: (node) => (0, show_1.show)([node.noForceKw, node.item]),
    alter_action_set_tablespace: (node) => (0, show_1.show)([node.setTablespaceKw, node.tablespace, node.nowaitKw]),
    alter_action_set_access_method: (node) => (0, show_1.show)([node.setAccessMethodKw, node.method]),
    alter_action_cluster_on: (node) => (0, show_1.show)([node.clusterOnKw, node.index]),
    alter_action_set_without_cluster: (node) => (0, show_1.show)([node.setWithoutClusterKw]),
    alter_action_set_without_oids: (node) => (0, show_1.show)([node.setWithoutOidsKw]),
    alter_action_set_logged: (node) => (0, show_1.show)([node.setLoggedKw]),
    alter_action_set_unlogged: (node) => (0, show_1.show)([node.setUnloggedKw]),
    alter_action_inherit: (node) => (0, show_1.show)([node.inheritKw, node.table]),
    alter_action_no_inherit: (node) => (0, show_1.show)([node.noInheritKw, node.table]),
    alter_action_of_type: (node) => (0, show_1.show)([node.ofKw, node.typeName]),
    alter_action_not_of_type: (node) => (0, show_1.show)([node.notOfKw]),
    alter_action_depends_on_extension: (node) => (0, show_1.show)([node.dependsOnExtensionKw, node.extension]),
    alter_action_no_depends_on_extension: (node) => (0, show_1.show)([node.noDependsOnExtensionKw, node.extension]),
    alter_action_replica_identity: (node) => (0, show_1.show)([node.replicaIdentityKw, node.identity]),
    alter_action_add_enum_value: (node) => (0, show_1.show)([node.addValueKw, node.ifNotExistsKw, node.value, node.position]),
    alter_action_add_enum_value_position: (node) => (0, show_1.show)([node.positionKw, node.value]),
    alter_action_rename_enum_value: (node) => (0, show_1.show)([node.renameValueKw, node.oldValue, node.toKw, node.newValue]),
    alter_action_rename_attribute: (node) => (0, show_1.show)([
        node.renameAttributeKw,
        node.oldName,
        node.toKw,
        node.newName,
        node.behaviorKw,
    ]),
    alter_action_add_attribute: (node) => (0, show_1.show)([
        node.addAttributeKw,
        node.name,
        node.dataType,
        node.constraint,
        node.behaviorKw,
    ]),
    alter_action_drop_attribute: (node) => (0, show_1.show)([node.dropAttributeKw, node.ifExistsKw, node.name, node.behaviorKw]),
    alter_action_alter_attribute: (node) => (0, show_1.show)([
        node.alterAttributeKw,
        node.name,
        node.setDataTypeKw,
        node.dataType,
        node.constraint,
        node.behaviorKw,
    ]),
    alter_action_add_user: (node) => (0, show_1.show)([node.addUserKw, node.users]),
    alter_action_drop_user: (node) => (0, show_1.show)([node.dropUserKw, node.users]),
    // ALTER COLUMN ...
    alter_action_alter_column: (node) => (0, show_1.show)([node.alterKw, node.ifExistsKw, node.column, node.action]),
    alter_action_set_default: (node) => (0, show_1.show)([node.setDefaultKw, node.expr]),
    alter_action_drop_default: (node) => (0, show_1.show)([node.dropDefaultKw]),
    alter_action_set_not_null: (node) => (0, show_1.show)([node.setNotNullKw]),
    alter_action_drop_not_null: (node) => (0, show_1.show)([node.dropNotNullKw]),
    alter_action_set_data_type: (node) => (0, show_1.show)([node.setDataTypeKw, node.dataType, node.clauses]),
    alter_action_set_visible: (node) => (0, show_1.show)([node.setVisibleKw]),
    alter_action_set_invisible: (node) => (0, show_1.show)([node.setInvisibleKw]),
    alter_action_set_compression: (node) => (0, show_1.show)([node.setCompressionKw, node.method]),
    alter_action_set_storage: (node) => (0, show_1.show)([node.setStorageKw, node.typeKw]),
    alter_action_set_statistics: (node) => (0, show_1.show)([node.setStatisticsKw, node.value]),
    alter_action_drop_expression: (node) => (0, show_1.show)([node.dropExpressionKw, node.ifExistsKw]),
    alter_action_drop_identity: (node) => (0, show_1.show)([node.dropIdentityKw, node.ifExistsKw]),
    alter_action_add_identity: (node) => (0, show_1.show)([
        node.addGeneratedKw,
        node.whenKw,
        node.asIdentityKw,
        node.sequenceOptions,
    ]),
    alter_action_alter_identity: (node) => (0, show_1.show)(node.actions),
    alter_action_attach_partition: (node) => (0, show_1.show)([node.attachPartitionKw, node.index]),
    alter_action_with_role_options: (node) => (0, show_1.show)([node.withKw, node.options]),
    // ENABLE/DISABLE
    toggle_row_level_security: (node) => (0, show_1.show)([node.rowLevelSecurityKw]),
    toggle_trigger: (node) => (0, show_1.show)([node.triggerKw, node.name]),
    toggle_rule: (node) => (0, show_1.show)([node.ruleKw, node.name]),
    // REPLICA IDENTITY USING INDEX
    replica_identity_using_index: (node) => (0, show_1.show)([node.usingIndexKw, node.index]),
    // SET DATA TYPE ...
    set_data_type_collate_clause: (node) => (0, show_1.show)([node.collateKw, node.collation]),
    set_data_type_using_clause: (node) => (0, show_1.show)([node.usingKw, node.expr]),
    // alter identity actions
    alter_action_set_generated: (node) => (0, show_1.show)([node.setGeneratedKw, node.whenKw]),
    alter_action_set_sequence_option: (node) => (0, show_1.show)([node.setKw, node.option]),
    alter_action_restart: (node) => (0, show_1.show)([node.restartKw, node.withKw, node.value]),
};
