"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.constraintMap = void 0;
const show_1 = require("../show");
exports.constraintMap = {
    constraint: (node) => (0, show_1.show)([node.name, node.constraint, node.modifiers]),
    constraint_name: (node) => (0, show_1.show)([node.constraintKw, node.name]),
    constraint_modifier: (node) => (0, show_1.show)(node.kw),
    constraint_null: (node) => (0, show_1.show)(node.nullKw),
    constraint_not_null: (node) => (0, show_1.show)([node.notNullKw, node.clauses]),
    constraint_auto_increment: (node) => (0, show_1.show)(node.autoIncrementKw),
    constraint_default: (node) => (0, show_1.show)([node.defaultKw, node.expr]),
    constraint_comment: (node) => (0, show_1.show)([node.commentKw, node.value]),
    constraint_primary_key: (node) => (0, show_1.show)([node.primaryKeyKw, node.direction, node.columns, node.clauses]),
    constraint_foreign_key: (node) => (0, show_1.show)([node.foreignKeyKw, node.indexName, node.columns, node.references]),
    references_specification: (node) => (0, show_1.show)([node.referencesKw, node.table, node.columns, node.options]),
    referential_action: (node) => (0, show_1.show)([node.onKw, node.eventKw, node.actionKw, node.columns]),
    referential_match: (node) => (0, show_1.show)([node.matchKw, node.typeKw]),
    constraint_unique: (node) => (0, show_1.show)([node.uniqueKw, node.nullsKw, node.columns, node.clauses]),
    constraint_check: (node) => (0, show_1.show)([node.checkKw, node.expr, node.clauses]),
    constraint_index: (node) => (0, show_1.show)([node.indexTypeKw, node.indexKw, node.columns]),
    constraint_generated: (node) => (0, show_1.show)([
        node.generatedKw,
        node.asKw,
        node.expr,
        node.storageKw,
        node.sequenceOptions,
    ]),
    identity_column: (node) => (0, show_1.show)(node.identityKw),
    constraint_collate: (node) => (0, show_1.show)([node.collateKw, node.collation]),
    constraint_visible: (node) => (0, show_1.show)(node.visibleKw),
    constraint_column_format: (node) => (0, show_1.show)([node.columnFormatKw, node.formatKw]),
    constraint_storage: (node) => (0, show_1.show)([node.storageKw, node.typeKw]),
    constraint_engine_attribute: (node) => (0, show_1.show)([node.engineAttributeKw, node.hasEq ? "=" : undefined, node.value]),
    constraint_compression: (node) => (0, show_1.show)([node.compressionKw, node.method]),
    constraint_exclude: (node) => (0, show_1.show)([node.excludeKw, node.using, node.params, node.clauses]),
    exclusion_param: (node) => (0, show_1.show)([node.index, node.withKw, node.operator]),
    on_conflict_clause: (node) => (0, show_1.show)([node.onConflictKw, node.resolutionKw]),
    index_tablespace_clause: (node) => (0, show_1.show)([node.usingIndexTablespaceKw, node.name]),
    existing_index: (node) => (0, show_1.show)([node.usingIndexKw, node.index]),
};
