"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTableMap = void 0;
const show_1 = require("../show");
exports.createTableMap = {
    create_table_stmt: (node) => (0, show_1.show)([
        node.createKw,
        node.orReplaceKw,
        node.kind,
        node.tableKw,
        node.ifNotExistsKw,
        node.name,
        node.partitionOf,
        node.ofType,
        node.columns,
        node.options,
        node.clauses,
    ]),
    relation_kind: (node) => (0, show_1.show)(node.kindKw),
    column_definition: (node) => (0, show_1.show)([
        node.name,
        node.dataType,
        node.withOptionsKw,
        node.constraints.length > 0 ? node.constraints : undefined,
    ]),
    // options
    table_option: (node) => (0, show_1.show)([node.name, node.hasEq ? "=" : undefined, node.value]),
    // additional clauses
    create_table_like_clause: (node) => (0, show_1.show)([node.likeKw, node.name, node.options]),
    table_like_option: (node) => (0, show_1.show)([node.includingOrExcludingKw, node.optionKw]),
    create_table_copy_clause: (node) => (0, show_1.show)([node.copyKw, node.name]),
    create_table_clone_clause: (node) => (0, show_1.show)([node.cloneKw, node.table]),
    with_partition_columns_clause: (node) => (0, show_1.show)([node.withPartitionColumnsKw, node.columns]),
    create_table_using_clause: (node) => (0, show_1.show)([node.usingKw, node.module]),
    create_table_inherits_clause: (node) => (0, show_1.show)([node.inheritsKw, node.tables]),
    create_table_partition_by_clause: (node) => (0, show_1.show)([node.partitionByKw, node.strategyKw, node.columns]),
    create_table_partition_of_clause: (node) => (0, show_1.show)([node.partitionOfKw, node.table]),
    create_table_partition_bound_clause: (node) => (0, show_1.show)([node.forValuesKw, node.bound]),
    partition_bound_from_to: (node) => (0, show_1.show)([node.fromKw, node.from, node.toKw, node.to]),
    partition_bound_minvalue: (node) => (0, show_1.show)([node.minvalueKw]),
    partition_bound_maxvalue: (node) => (0, show_1.show)([node.maxvalueKw]),
    partition_bound_in: (node) => (0, show_1.show)([node.inKw, node.values]),
    partition_bound_with: (node) => (0, show_1.show)([node.withKw, node.values]),
    partition_bound_modulus: (node) => (0, show_1.show)([node.modulusKw, node.value]),
    partition_bound_remainder: (node) => (0, show_1.show)([node.remainderKw, node.value]),
    create_table_default_partition_clause: (node) => (0, show_1.show)(node.defaultKw),
    create_table_on_commit_clause: (node) => (0, show_1.show)([node.onCommitKw, node.actionKw]),
    tablespace_clause: (node) => (0, show_1.show)([node.tablespaceKw, node.name]),
    using_access_method_clause: (node) => (0, show_1.show)([node.usingKw, node.method]),
    create_table_without_oids_clause: (node) => (0, show_1.show)(node.withoutOidsKw),
    with_data_clause: (node) => (0, show_1.show)(node.withDataKw),
    create_table_of_type_clause: (node) => (0, show_1.show)([node.ofKw, node.typeName]),
    create_table_server_clause: (node) => (0, show_1.show)([node.serverKw, node.name]),
};
