"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dclMap = void 0;
const show_1 = require("../show");
exports.dclMap = {
    grant_privilege_stmt: (node) => (0, show_1.show)([
        node.grantKw,
        node.privileges,
        node.onKw,
        node.resource,
        node.toKw,
        node.roles,
        node.clauses,
    ]),
    grant_role_stmt: (node) => (0, show_1.show)([
        node.grantKw,
        node.grantedRoles,
        node.toKw,
        node.granteeRoles,
        node.clauses,
    ]),
    privilege: (node) => (0, show_1.show)([node.privilegeKw, node.columns]),
    all_privileges: (node) => (0, show_1.show)([node.allKw, node.privilegesKw, node.columns]),
    grant_resource_table: (node) => (0, show_1.show)([node.tableKw, node.tables]),
    grant_resource_all_tables_in_schema: (node) => (0, show_1.show)([node.allTablesInSchemaKw, node.schemas]),
    grant_resource_sequence: (node) => (0, show_1.show)([node.sequenceKw, node.sequences]),
    grant_resource_all_sequences_in_schema: (node) => (0, show_1.show)([node.allSequencesInSchemaKw, node.schemas]),
    grant_resource_database: (node) => (0, show_1.show)([node.databaseKw, node.databases]),
    grant_resource_domain: (node) => (0, show_1.show)([node.domainKw, node.domains]),
    grant_resource_foreign_data_wrapper: (node) => (0, show_1.show)([node.foreignDataWrapperKw, node.dataWrappers]),
    grant_resource_foreign_server: (node) => (0, show_1.show)([node.foreignServerKw, node.servers]),
    grant_resource_function: (node) => (0, show_1.show)([node.functionKw, node.functions]),
    grant_resource_all_functions_in_schema: (node) => (0, show_1.show)([node.allFunctionsInSchemaKw, node.schemas]),
    grant_resource_language: (node) => (0, show_1.show)([node.languageKw, node.languages]),
    grant_resource_large_object: (node) => (0, show_1.show)([node.largeObjectKw, node.oids]),
    grant_resource_postgresql_option: (node) => (0, show_1.show)([node.parameterKw, node.options]),
    grant_resource_schema: (node) => (0, show_1.show)([node.schemaKw, node.schemas]),
    grant_resource_tablespace: (node) => (0, show_1.show)([node.tablespaceKw, node.tablespaces]),
    grant_resource_type: (node) => (0, show_1.show)([node.typeKw, node.types]),
    grant_resource_view: (node) => (0, show_1.show)([node.viewKw, node.views]),
    with_grant_option_clause: (node) => (0, show_1.show)([node.withKw, node.nameKw, node.value]),
    grant_option_for_clause: (node) => (0, show_1.show)([node.nameKw, node.optionForKw]),
    granted_by_clause: (node) => (0, show_1.show)([node.grantedByKw, node.role]),
    revoke_privilege_stmt: (node) => (0, show_1.show)([
        node.revokeKw,
        node.option,
        node.privileges,
        node.onKw,
        node.resource,
        node.fromKw,
        node.roles,
        node.grantedBy,
        node.behaviorKw,
    ]),
    revoke_role_stmt: (node) => (0, show_1.show)([
        node.revokeKw,
        node.option,
        node.grantedRoles,
        node.fromKw,
        node.granteeRoles,
        node.grantedBy,
        node.behaviorKw,
    ]),
    grantee_group: (node) => (0, show_1.show)([node.groupKw, node.name]),
    grantee_public: (node) => (0, show_1.show)([node.publicKw]),
};
