"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.functionMap = void 0;
const show_1 = require("../show");
exports.functionMap = {
    create_function_stmt: (node) => (0, show_1.show)([
        node.createKw,
        node.orReplaceKw,
        node.temporaryKw,
        node.tableKw,
        node.functionKw,
        node.ifNotExistsKw,
        node.name,
        node.params,
        node.clauses,
    ]),
    function_signature: (node) => (0, show_1.show)([node.name, node.params]),
    function_param: (node) => (0, show_1.show)([node.mode, node.name, node.dataType, node.default]),
    function_param_default: (node) => (0, show_1.show)([node.operator, node.expr]),
    return_clause: (node) => (0, show_1.show)([node.returnKw, node.expr]),
    dynamically_loaded_function: (node) => (0, show_1.show)([node.objectFile, ",", node.symbol]),
    function_window_clause: (node) => (0, show_1.show)([node.windowKw]),
    function_behavior_clause: (node) => (0, show_1.show)([node.behaviorKw]),
    function_security_clause: (node) => (0, show_1.show)([node.externalKw, node.securityKw]),
    function_cost_clause: (node) => (0, show_1.show)([node.costKw, node.cost]),
    function_rows_clause: (node) => (0, show_1.show)([node.rowsKw, node.rows]),
    function_support_clause: (node) => (0, show_1.show)([node.supportKw, node.name]),
    function_transform_clause: (node) => (0, show_1.show)([node.transformKw, node.types]),
    transform_type: (node) => (0, show_1.show)([node.forTypeKw, node.dataType]),
    set_parameter_clause: (node) => (0, show_1.show)([node.setKw, node.name, node.operator, node.value]),
    set_parameter_from_current_clause: (node) => (0, show_1.show)([node.setKw, node.name, node.fromCurrentKw]),
    reset_parameter_clause: (node) => (0, show_1.show)([node.resetKw, node.name]),
    reset_all_parameters_clause: (node) => (0, show_1.show)([node.resetAllKw]),
    drop_function_stmt: (node) => (0, show_1.show)([
        node.dropKw,
        node.tableKw,
        node.functionKw,
        node.ifExistsKw,
        node.name,
        node.params,
        node.behaviorKw,
    ]),
    alter_function_stmt: (node) => (0, show_1.show)([
        node.alterKw,
        node.functionKw,
        node.name,
        node.params,
        node.actions,
        node.behaviorKw,
    ]),
};
