"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.proceduralLanguageMap = void 0;
const show_1 = require("../show");
exports.proceduralLanguageMap = {
    labeled_stmt: (node) => (0, show_1.show)([node.beginLabel, ":", node.statement, node.endLabel]),
    block_stmt: (node) => (0, show_1.show)([
        node.beginKw,
        node.atomicKw,
        node.program,
        node.exception,
        node.endKw,
    ]),
    exception_clause: (node) => (0, show_1.show)([
        node.exceptionKw,
        node.whenKw,
        node.condition,
        node.thenKw,
        node.program,
    ]),
    error_category: (node) => (0, show_1.show)(node.errorKw),
    declare_stmt: (node) => (0, show_1.show)([node.declareKw, node.names, node.dataType, node.default]),
    declare_default: (node) => (0, show_1.show)([node.defaultKw, node.expr]),
    set_stmt: (node) => (0, show_1.show)([node.setKw, node.assignments]),
    if_stmt: (node) => (0, show_1.show)([node.clauses, node.endIfKw]),
    if_clause: (node) => (0, show_1.show)([node.ifKw, node.condition, node.thenKw, node.consequent]),
    elseif_clause: (node) => (0, show_1.show)([node.elseifKw, node.condition, node.thenKw, node.consequent]),
    else_clause: (node) => (0, show_1.show)([node.elseKw, node.consequent]),
    case_stmt: (node) => (0, show_1.show)([node.caseKw, node.expr, node.clauses, node.endCaseKw]),
    loop_stmt: (node) => (0, show_1.show)([node.loopKw, node.body, node.endLoopKw]),
    repeat_stmt: (node) => (0, show_1.show)([
        node.repeatKw,
        node.body,
        node.untilKw,
        node.condition,
        node.endRepeatKw,
    ]),
    while_stmt: (node) => (0, show_1.show)([node.whileKw, node.condition, node.doKw, node.body, node.endWhileKw]),
    for_stmt: (node) => (0, show_1.show)([
        node.forKw,
        node.left,
        node.inKw,
        node.right,
        node.doKw,
        node.body,
        node.endForKw,
    ]),
    break_stmt: (node) => (0, show_1.show)([node.breakKw, node.label]),
    continue_stmt: (node) => (0, show_1.show)([node.continueKw, node.label]),
    call_stmt: (node) => (0, show_1.show)([node.callKw, node.func]),
    return_stmt: (node) => (0, show_1.show)([node.returnKw, node.expr]),
    raise_stmt: (node) => (0, show_1.show)([node.raiseKw, node.message]),
    raise_message: (node) => (0, show_1.show)([node.usingMessageKw, "=", node.string]),
};
