"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectMap = void 0;
const show_1 = require("../show");
exports.selectMap = {
    compound_select_stmt: (node) => (0, show_1.show)([node.left, node.operator, node.right]),
    select_stmt: (node) => (0, show_1.show)(node.clauses),
    // WITH
    with_clause: (node) => (0, show_1.show)([node.withKw, node.recursiveKw, node.tables]),
    common_table_expr: (node) => (0, show_1.show)([
        node.table,
        node.columns,
        node.asKw,
        node.materializedKw,
        node.expr,
        node.search,
        node.cycle,
    ]),
    cte_search_clause: (node) => (0, show_1.show)([node.searchKw, node.columns, node.setKw, node.resultColumn]),
    cte_cycle_clause: (node) => (0, show_1.show)([
        node.cycleKw,
        node.columns,
        node.setKw,
        node.resultColumn,
        node.values,
        node.usingKw,
        node.pathColumn,
    ]),
    cte_cycle_clause_values: (node) => (0, show_1.show)([node.toKw, node.markValue, node.defaultKw, node.defaultValue]),
    // SELECT
    select_clause: (node) => (0, show_1.show)([node.selectKw, node.modifiers, node.columns]),
    select_all: (node) => (0, show_1.show)(node.allKw),
    select_distinct: (node) => (0, show_1.show)(node.distinctKw),
    select_distinct_on: (node) => (0, show_1.show)([node.distinctOnKw, node.columns]),
    select_as_struct: (node) => (0, show_1.show)(node.asStructKw),
    select_as_value: (node) => (0, show_1.show)(node.asValueKw),
    except_columns: (node) => (0, show_1.show)([node.expr, node.exceptKw, node.columns]),
    replace_columns: (node) => (0, show_1.show)([node.expr, node.replaceKw, node.columns]),
    // FROM
    from_clause: (node) => (0, show_1.show)([node.fromKw, node.expr]),
    dual_table: (node) => (0, show_1.show)(node.dualKw),
    lateral_derived_table: (node) => (0, show_1.show)([node.lateralKw, node.expr]),
    partitioned_table: (node) => (0, show_1.show)([node.table, node.partitionKw, node.partitions]),
    indexed_table: (node) => (0, show_1.show)([node.table, node.indexedByKw, node.index]),
    not_indexed_table: (node) => (0, show_1.show)([node.table, node.notIndexedKw]),
    with_ordinality_expr: (node) => (0, show_1.show)([node.expr, node.withOrdinalityKw]),
    table_with_inheritance: (node) => (0, show_1.show)([node.table, "*"]),
    table_without_inheritance: (node) => (0, show_1.show)([node.onlyKw, node.table]),
    func_call_with_column_definitions: (node) => (0, show_1.show)([node.funcCall, node.asKw, node.columns]),
    rows_from_expr: (node) => (0, show_1.show)([node.rowsFromKw, node.expr]),
    unnest_expr: (node) => (0, show_1.show)([node.unnestKw, node.expr]),
    unnest_with_offset_expr: (node) => (0, show_1.show)([node.unnest, node.withOffsetKw]),
    join_expr: (node) => (0, show_1.show)([node.left, node.operator, node.right, node.specification]),
    join_on_specification: (node) => (0, show_1.show)([node.onKw, node.expr]),
    join_using_specification: (node) => (0, show_1.show)([node.usingKw, node.expr]),
    pivot_expr: (node) => (0, show_1.show)([node.left, node.pivotKw, node.args]),
    pivot_for_in: (node) => (0, show_1.show)([
        node.aggregations,
        node.forKw,
        node.inputColumn,
        node.inKw,
        node.pivotColumns,
    ]),
    unpivot_expr: (node) => (0, show_1.show)([node.left, node.unpivotKw, node.nullHandlingKw, node.args]),
    unpivot_for_in: (node) => (0, show_1.show)([
        node.valuesColumn,
        node.forKw,
        node.nameColumn,
        node.inKw,
        node.unpivotColumns,
    ]),
    tablesample_expr: (node) => (0, show_1.show)([
        node.left,
        node.tablesampleKw,
        node.method,
        node.args,
        node.repeatable,
    ]),
    tablesample_method: (node) => (0, show_1.show)(node.methodKw),
    tablesample_percent: (node) => (0, show_1.show)([node.percent, node.percentKw]),
    tablesample_repeatable: (node) => (0, show_1.show)([node.repeatableKw, node.seed]),
    for_system_time_as_of_expr: (node) => (0, show_1.show)([node.left, node.forSystemTimeAsOfKw, node.expr]),
    sort_specification: (node) => (0, show_1.show)([node.expr, node.direction, node.nullHandlingKw]),
    sort_direction_asc: (node) => (0, show_1.show)(node.ascKw),
    sort_direction_desc: (node) => (0, show_1.show)(node.descKw),
    sort_direction_using_operator: (node) => (0, show_1.show)([node.usingKw, node.operator]),
    // WHERE .. GROUP BY .. HAVING .. QUALIFY ... ORDER BY .. PARTITION BY .. CLUSTER BY
    where_clause: (node) => (0, show_1.show)([node.whereKw, node.expr]),
    group_by_clause: (node) => (0, show_1.show)([node.groupByKw, node.distinctKw, node.columns, node.withRollupKw]),
    group_by_rollup: (node) => (0, show_1.show)([node.rollupKw, node.columns]),
    group_by_cube: (node) => (0, show_1.show)([node.cubeKw, node.columns]),
    group_by_grouping_sets: (node) => (0, show_1.show)([node.groupingSetsKw, node.columns]),
    group_by_all: (node) => (0, show_1.show)([node.allKw]),
    having_clause: (node) => (0, show_1.show)([node.havingKw, node.expr]),
    qualify_clause: (node) => (0, show_1.show)([node.qualifyKw, node.expr]),
    order_by_clause: (node) => (0, show_1.show)([node.orderByKw, node.specifications, node.withRollupKw]),
    partition_by_clause: (node) => (0, show_1.show)([node.partitionByKw, node.specifications]),
    // WINDOW
    window_clause: (node) => (0, show_1.show)([node.windowKw, node.namedWindows]),
    named_window: (node) => (0, show_1.show)([node.name, node.asKw, node.window]),
    window_definition: (node) => (0, show_1.show)([node.baseWindowName, node.partitionBy, node.orderBy, node.frame]),
    // LIMIT
    limit_clause: (node) => {
        if (node.offsetKw) {
            return (0, show_1.show)([
                node.limitKw,
                node.count,
                node.offsetKw,
                node.offset,
                node.rowsExamined,
            ]);
        }
        else if (node.offset) {
            return (0, show_1.show)([
                node.limitKw,
                node.offset,
                ",",
                node.count,
                node.rowsExamined,
            ]);
        }
        else {
            return (0, show_1.show)([node.limitKw, node.count, node.rowsExamined]);
        }
    },
    limit_all: (node) => (0, show_1.show)(node.allKw),
    limit_rows_examined: (node) => (0, show_1.show)([node.rowsExaminedKw, node.count]),
    // OFFSET + FETCH
    offset_clause: (node) => (0, show_1.show)([node.offsetKw, node.offset, node.rowsKw]),
    fetch_clause: (node) => (0, show_1.show)([node.fetchKw, node.count, node.rowsKw, node.withTiesKw]),
    // INTO ...
    into_table_clause: (node) => (0, show_1.show)([node.intoKw, node.kind, node.tableKw, node.name]),
    into_variables_clause: (node) => (0, show_1.show)([node.intoKw, node.variables]),
    into_dumpfile_clause: (node) => (0, show_1.show)([node.intoDumpfileKw, node.filename]),
    into_outfile_clause: (node) => (0, show_1.show)([
        node.intoOutfileKw,
        node.filename,
        node.charset,
        node.fields,
        node.lines,
    ]),
    outfile_fields: (node) => (0, show_1.show)([node.fieldsKw, node.options]),
    outfile_lines: (node) => (0, show_1.show)([node.linesKw, node.options]),
    outfile_option_character_set: (node) => (0, show_1.show)([node.characterSetKw, node.value]),
    outfile_option_enclosed_by: (node) => (0, show_1.show)([node.optionallyKw, node.enclosedByKw, node.value]),
    outfile_option_escaped_by: (node) => (0, show_1.show)([node.escapedByKw, node.value]),
    outfile_option_starting_by: (node) => (0, show_1.show)([node.startingByKw, node.value]),
    outfile_option_terminated_by: (node) => (0, show_1.show)([node.terminatedByKw, node.value]),
    // FOR
    for_clause: (node) => (0, show_1.show)([node.forKw, node.lockStrengthKw, node.tables, node.waitingKw]),
    for_clause_tables: (node) => (0, show_1.show)([node.ofKw, node.tables]),
    // LOCK IN SHARE MODE
    lock_in_share_mode_clause: (node) => (0, show_1.show)(node.lockInShareModeKw),
    // TABLE
    table_clause: (node) => (0, show_1.show)([node.tableKw, node.table]),
};
