"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sequenceMap = void 0;
const show_1 = require("../show");
exports.sequenceMap = {
    // CREATE SEQUENCE
    create_sequence_stmt: (node) => (0, show_1.show)([
        node.createKw,
        node.kind,
        node.sequenceKw,
        node.ifNotExistsKw,
        node.name,
        node.options,
    ]),
    sequence_option_list: (node) => (0, show_1.show)(node.options),
    sequence_option_as_type: (node) => (0, show_1.show)([node.asKw, node.dataType]),
    sequence_option_increment: (node) => (0, show_1.show)([node.incrementKw, node.byKw, node.value]),
    sequence_option_start: (node) => (0, show_1.show)([node.startKw, node.withKw, node.value]),
    sequence_option_restart: (node) => (0, show_1.show)([node.restartKw, node.withKw, node.value]),
    sequence_option_minvalue: (node) => (0, show_1.show)([node.minvalueKw, node.value]),
    sequence_option_maxvalue: (node) => (0, show_1.show)([node.maxvalueKw, node.value]),
    sequence_option_no_minvalue: (node) => (0, show_1.show)(node.noMinvalueKw),
    sequence_option_no_maxvalue: (node) => (0, show_1.show)(node.noMaxvalueKw),
    sequence_option_cache: (node) => (0, show_1.show)([node.cacheKw, node.value]),
    sequence_option_cycle: (node) => (0, show_1.show)(node.cycleKw),
    sequence_option_no_cycle: (node) => (0, show_1.show)(node.noCycleKw),
    sequence_option_owned_by: (node) => (0, show_1.show)([node.ownedByKw, node.owner]),
    // ALTER SEQUENCE
    alter_sequence_stmt: (node) => (0, show_1.show)([
        node.alterKw,
        node.sequenceKw,
        node.ifExistsKw,
        node.sequence,
        node.actions,
    ]),
    // DROP SEQUENCE
    drop_sequence_stmt: (node) => (0, show_1.show)([
        node.dropKw,
        node.sequenceKw,
        node.ifExistsKw,
        node.sequences,
        node.behaviorKw,
    ]),
};
