/**
 * Converts hex string to decimal array
 *
 *     "5A59" -> [90, 89]
 */
export declare const parseHexBlob: (data: string) => number[];
/**
 * Converts bit string to decimal array
 *
 *     "0101101001011001" -> [90, 89]
 */
export declare const parseBitBlob: (data: string) => number[];
/**
 * Slices string to chunks of specified max size,
 * starting the measurement from right, like so:
 *
 *     chunksFromRight("ABCDEFG", 3) -> ["A", "BCD", "EFG"]
 */
export declare const chunksFromRight: (text: string, chunkSize: number) => string[];
/**
 * Converts string to decimal array
 */
export declare const parseTextBlob: (data: string) => number[];
