"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isReservedKeyword = void 0;
const bigquery_keywords_1 = require("../keywords/bigquery.keywords");
const mysql_keywords_1 = require("../keywords/mysql.keywords");
const mariadb_keywords_1 = require("../keywords/mariadb.keywords");
const sqlite_keywords_1 = require("../keywords/sqlite.keywords");
const postgresql_keywords_1 = require("../keywords/postgresql.keywords");
const parserState_1 = require("./parserState");
const keywordMap = {
    bigquery: bigquery_keywords_1.bigqueryKeywords,
    mysql: mysql_keywords_1.mysqlKeywords,
    mariadb: mariadb_keywords_1.mariadbKeywords,
    sqlite: sqlite_keywords_1.sqliteKeywords,
    postgresql: postgresql_keywords_1.postgresqlKeywords,
};
const isReservedKeyword = (name) => {
    return keywordMap[(0, parserState_1.getDialect)()][name.toUpperCase()];
};
exports.isReservedKeyword = isReservedKeyword;
