"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readCommaSepList = void 0;
const whitespace_1 = require("./whitespace");
//
// Helpers for reading lists of nodes into array
//
const readCommaSepList = (head, tail) => {
    const items = [head];
    for (const [c1, _comma, c2, expr] of tail) {
        const lastIdx = items.length - 1;
        items[lastIdx] = (0, whitespace_1.trailing)(items[lastIdx], c1);
        items.push((0, whitespace_1.leading)(expr, c2));
    }
    return items;
};
exports.readCommaSepList = readCommaSepList;
