"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAcceptUnsupportedGrammar = exports.isEnabledWhitespace = exports.hasParamType = exports.isSqlite = exports.isPostgresql = exports.isMariadb = exports.isMysql = exports.isBigquery = exports.getDialect = exports.setOptionsFunction = exports.getOptions = exports.setRangeFunction = exports.getRange = void 0;
/** Injects function to access source location range data */
const setRangeFunction = (fn) => {
    exports.getRange = fn;
};
exports.setRangeFunction = setRangeFunction;
/** Injects function to access options object */
const setOptionsFunction = (fn) => {
    exports.getOptions = fn;
};
exports.setOptionsFunction = setOptionsFunction;
const getDialect = () => (0, exports.getOptions)().dialect;
exports.getDialect = getDialect;
const isBigquery = () => (0, exports.getDialect)() === "bigquery";
exports.isBigquery = isBigquery;
const isMysql = () => (0, exports.getDialect)() === "mysql";
exports.isMysql = isMysql;
const isMariadb = () => (0, exports.getDialect)() === "mariadb";
exports.isMariadb = isMariadb;
const isPostgresql = () => (0, exports.getDialect)() === "postgresql";
exports.isPostgresql = isPostgresql;
const isSqlite = () => (0, exports.getDialect)() === "sqlite";
exports.isSqlite = isSqlite;
const hasParamType = (name) => {
    var _a;
    return (_a = (0, exports.getOptions)().paramTypes) === null || _a === void 0 ? void 0 : _a.includes(name);
};
exports.hasParamType = hasParamType;
const isEnabledWhitespace = (ws) => ((0, exports.getOptions)().includeComments &&
    (ws.type === "line_comment" || ws.type === "block_comment")) ||
    ((0, exports.getOptions)().includeNewlines && ws.type === "newline") ||
    ((0, exports.getOptions)().includeSpaces && ws.type === "space");
exports.isEnabledWhitespace = isEnabledWhitespace;
const isAcceptUnsupportedGrammar = () => (0, exports.getOptions)().acceptUnsupportedGrammar;
exports.isAcceptUnsupportedGrammar = isAcceptUnsupportedGrammar;
