import { BaseNode, Whitespace } from "../cst/Node";
/** Attaches optional leading whitespace to AST node, or to array of AST nodes (to the first in array) */
export declare function leading<T extends BaseNode>(node: T, ws: Whitespace[]): T;
export declare function leading<T extends BaseNode>(node: T[], ws: Whitespace[]): T[];
/** Attaches optional trailing whitespace to AST node, or to array of AST nodes (to the last in array) */
export declare function trailing<T extends BaseNode>(node: T, ws: Whitespace[]): T;
export declare function trailing<T extends BaseNode>(node: T[], ws: Whitespace[]): T[];
/** Shorthand for attaching both trailing or leading whitespace */
export declare function surrounding<T extends BaseNode>(leadingWs: Whitespace[], node: T, trailingWs: Whitespace[]): T;
export declare function surrounding<T extends BaseNode>(leadingWs: Whitespace[], node: T[], trailingWs: Whitespace[]): T[];
