"use strict";
/* eslint-disable */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PeggySyntaxError = exports.parse = void 0;
const generic_1 = require("./utils/generic");
const list_1 = require("./utils/list");
const blob_1 = require("./utils/blob");
const node_1 = require("./utils/node");
const whitespace_1 = require("./utils/whitespace");
const read_1 = require("./utils/read");
const parserState_1 = require("./utils/parserState");
const keywords_1 = require("./utils/keywords");
const loc_1 = require("./utils/loc");
const peggyParser = // Generated by Peggy 3.0.2.
 
//
// https://peggyjs.org/
// @ts-ignore
(function () {
    // @ts-ignore
    "use strict";
    // @ts-ignore
    function peg$subclass(child, parent) {
        // @ts-ignore
        function C() { this.constructor = child; }
        // @ts-ignore
        C.prototype = parent.prototype;
        // @ts-ignore
        child.prototype = new C();
    }
    // @ts-ignore
    function peg$SyntaxError(message, expected, found, location) {
        // @ts-ignore
        var self = Error.call(this, message);
        // istanbul ignore next Check is a necessary evil to support older environments
        // @ts-ignore
        if (Object.setPrototypeOf) {
            // @ts-ignore
            Object.setPrototypeOf(self, peg$SyntaxError.prototype);
        }
        // @ts-ignore
        self.expected = expected;
        // @ts-ignore
        self.found = found;
        // @ts-ignore
        self.location = location;
        // @ts-ignore
        self.name = "SyntaxError";
        // @ts-ignore
        return self;
    }
    // @ts-ignore
    peg$subclass(peg$SyntaxError, Error);
    // @ts-ignore
    function peg$padEnd(str, targetLength, padString) {
        // @ts-ignore
        padString = padString || " ";
        // @ts-ignore
        if (str.length > targetLength) {
            return str;
        }
        // @ts-ignore
        targetLength -= str.length;
        // @ts-ignore
        padString += padString.repeat(targetLength);
        // @ts-ignore
        return str + padString.slice(0, targetLength);
    }
    // @ts-ignore
    peg$SyntaxError.prototype.format = function (sources) {
        // @ts-ignore
        var str = "Error: " + this.message;
        // @ts-ignore
        if (this.location) {
            // @ts-ignore
            var src = null;
            // @ts-ignore
            var k;
            // @ts-ignore
            for (k = 0; k < sources.length; k++) {
                // @ts-ignore
                if (sources[k].source === this.location.source) {
                    // @ts-ignore
                    src = sources[k].text.split(/\r\n|\n|\r/g);
                    // @ts-ignore
                    break;
                }
            }
            // @ts-ignore
            var s = this.location.start;
            // @ts-ignore
            var offset_s = (this.location.source && (typeof this.location.source.offset === "function"))
                // @ts-ignore
                ? this.location.source.offset(s)
                // @ts-ignore
                : s;
            // @ts-ignore
            var loc = this.location.source + ":" + offset_s.line + ":" + offset_s.column;
            // @ts-ignore
            if (src) {
                // @ts-ignore
                var e = this.location.end;
                // @ts-ignore
                var filler = peg$padEnd("", offset_s.line.toString().length, ' ');
                // @ts-ignore
                var line = src[s.line - 1];
                // @ts-ignore
                var last = s.line === e.line ? e.column : line.length + 1;
                // @ts-ignore
                var hatLen = (last - s.column) || 1;
                // @ts-ignore
                str += "\n --> " + loc + "\n"
                    // @ts-ignore
                    + filler + " |\n"
                    // @ts-ignore
                    + offset_s.line + " | " + line + "\n"
                    // @ts-ignore
                    + filler + " | " + peg$padEnd("", s.column - 1, ' ')
                    // @ts-ignore
                    + peg$padEnd("", hatLen, "^");
                // @ts-ignore
            }
            else {
                // @ts-ignore
                str += "\n at " + loc;
            }
        }
        // @ts-ignore
        return str;
    };
    // @ts-ignore
    peg$SyntaxError.buildMessage = function (expected, found) {
        // @ts-ignore
        var DESCRIBE_EXPECTATION_FNS = {
            // @ts-ignore
            literal: function (expectation) {
                // @ts-ignore
                return "\"" + literalEscape(expectation.text) + "\"";
            },
            // @ts-ignore
            class: function (expectation) {
                // @ts-ignore
                var escapedParts = expectation.parts.map(function (part) {
                    // @ts-ignore
                    return Array.isArray(part)
                        // @ts-ignore
                        ? classEscape(part[0]) + "-" + classEscape(part[1])
                        // @ts-ignore
                        : classEscape(part);
                });
                // @ts-ignore
                return "[" + (expectation.inverted ? "^" : "") + escapedParts.join("") + "]";
            },
            // @ts-ignore
            any: function () {
                // @ts-ignore
                return "any character";
            },
            // @ts-ignore
            end: function () {
                // @ts-ignore
                return "end of input";
            },
            // @ts-ignore
            other: function (expectation) {
                // @ts-ignore
                return expectation.description;
            }
        };
        // @ts-ignore
        function hex(ch) {
            // @ts-ignore
            return ch.charCodeAt(0).toString(16).toUpperCase();
        }
        // @ts-ignore
        function literalEscape(s) {
            // @ts-ignore
            return s
                // @ts-ignore
                .replace(/\\/g, "\\\\")
                // @ts-ignore
                .replace(/"/g, "\\\"")
                // @ts-ignore
                .replace(/\0/g, "\\0")
                // @ts-ignore
                .replace(/\t/g, "\\t")
                // @ts-ignore
                .replace(/\n/g, "\\n")
                // @ts-ignore
                .replace(/\r/g, "\\r")
                // @ts-ignore
                .replace(/[\x00-\x0F]/g, function (ch) { return "\\x0" + hex(ch); })
                // @ts-ignore
                .replace(/[\x10-\x1F\x7F-\x9F]/g, function (ch) { return "\\x" + hex(ch); });
        }
        // @ts-ignore
        function classEscape(s) {
            // @ts-ignore
            return s
                // @ts-ignore
                .replace(/\\/g, "\\\\")
                // @ts-ignore
                .replace(/\]/g, "\\]")
                // @ts-ignore
                .replace(/\^/g, "\\^")
                // @ts-ignore
                .replace(/-/g, "\\-")
                // @ts-ignore
                .replace(/\0/g, "\\0")
                // @ts-ignore
                .replace(/\t/g, "\\t")
                // @ts-ignore
                .replace(/\n/g, "\\n")
                // @ts-ignore
                .replace(/\r/g, "\\r")
                // @ts-ignore
                .replace(/[\x00-\x0F]/g, function (ch) { return "\\x0" + hex(ch); })
                // @ts-ignore
                .replace(/[\x10-\x1F\x7F-\x9F]/g, function (ch) { return "\\x" + hex(ch); });
        }
        // @ts-ignore
        function describeExpectation(expectation) {
            // @ts-ignore
            return DESCRIBE_EXPECTATION_FNS[expectation.type](expectation);
        }
        // @ts-ignore
        function describeExpected(expected) {
            // @ts-ignore
            var descriptions = expected.map(describeExpectation);
            // @ts-ignore
            var i, j;
            // @ts-ignore
            descriptions.sort();
            // @ts-ignore
            if (descriptions.length > 0) {
                // @ts-ignore
                for (i = 1, j = 1; i < descriptions.length; i++) {
                    // @ts-ignore
                    if (descriptions[i - 1] !== descriptions[i]) {
                        // @ts-ignore
                        descriptions[j] = descriptions[i];
                        // @ts-ignore
                        j++;
                    }
                }
                // @ts-ignore
                descriptions.length = j;
            }
            // @ts-ignore
            switch (descriptions.length) {
                // @ts-ignore
                case 1:
                    // @ts-ignore
                    return descriptions[0];
                // @ts-ignore
                case 2:
                    // @ts-ignore
                    return descriptions[0] + " or " + descriptions[1];
                // @ts-ignore
                default:
                    // @ts-ignore
                    return descriptions.slice(0, -1).join(", ")
                        // @ts-ignore
                        + ", or "
                        // @ts-ignore
                        + descriptions[descriptions.length - 1];
            }
        }
        // @ts-ignore
        function describeFound(found) {
            // @ts-ignore
            return found ? "\"" + literalEscape(found) + "\"" : "end of input";
        }
        // @ts-ignore
        return "Expected " + describeExpected(expected) + " but " + describeFound(found) + " found.";
    };
    // @ts-ignore
    function peg$parse(input, options) {
        // @ts-ignore
        options = options !== undefined ? options : {};
        // @ts-ignore
        var peg$FAILED = {};
        // @ts-ignore
        var peg$source = options.grammarSource;
        // @ts-ignore
        var peg$startRuleFunctions = { start: peg$parsestart };
        // @ts-ignore
        var peg$startRuleFunction = peg$parsestart;
        // @ts-ignore
        var peg$c0 = ";";
        var peg$c1 = ",";
        var peg$c2 = ".";
        var peg$c3 = "*";
        var peg$c4 = "=";
        var peg$c5 = ":";
        var peg$c6 = "[";
        var peg$c7 = "]";
        var peg$c8 = "<";
        var peg$c9 = ">";
        var peg$c10 = ":=";
        var peg$c11 = "||";
        var peg$c12 = "&&";
        var peg$c13 = ">=";
        var peg$c14 = "<=";
        var peg$c15 = "<>";
        var peg$c16 = "!=";
        var peg$c17 = "<=>";
        var peg$c18 = "==";
        var peg$c19 = "||/";
        var peg$c20 = "|/";
        var peg$c21 = ">>";
        var peg$c22 = "<<";
        var peg$c23 = "!~~*";
        var peg$c24 = "~~*";
        var peg$c25 = "!~~";
        var peg$c26 = "~~";
        var peg$c27 = "!~*";
        var peg$c28 = "~*";
        var peg$c29 = "!~";
        var peg$c30 = "^@";
        var peg$c31 = "->>";
        var peg$c32 = "->";
        var peg$c33 = "#>>";
        var peg$c34 = "#>";
        var peg$c35 = "@>";
        var peg$c36 = "<@";
        var peg$c37 = "?|";
        var peg$c38 = "?&";
        var peg$c39 = "#-";
        var peg$c40 = "@?";
        var peg$c41 = "@@";
        var peg$c42 = "!";
        var peg$c43 = "~";
        var peg$c44 = "@";
        var peg$c45 = "#";
        var peg$c46 = "&";
        var peg$c47 = "|";
        var peg$c48 = "`";
        var peg$c49 = "?";
        var peg$c50 = "/";
        var peg$c51 = "%";
        var peg$c52 = "^";
        var peg$c53 = "-";
        var peg$c54 = "+";
        var peg$c55 = "::";
        var peg$c56 = "(";
        var peg$c57 = ")";
        var peg$c58 = "=>";
        var peg$c59 = "$";
        var peg$c60 = "``";
        var peg$c61 = "]]";
        var peg$c62 = "_";
        var peg$c63 = "\n";
        var peg$c64 = "'";
        var peg$c65 = "E";
        var peg$c66 = "U&";
        var peg$c67 = "''";
        var peg$c68 = "\"";
        var peg$c69 = "\"\"";
        var peg$c70 = "'''";
        var peg$c71 = "\"\"\"";
        var peg$c72 = "\\n";
        var peg$c73 = "\\r";
        var peg$c74 = "\\t";
        var peg$c75 = "\\b";
        var peg$c76 = "\\f";
        var peg$c77 = "\\v";
        var peg$c78 = "\\a";
        var peg$c79 = "\\";
        var peg$c80 = "x";
        var peg$c81 = "u";
        var peg$c82 = "U";
        var peg$c83 = "\\%";
        var peg$c84 = "\\_";
        var peg$c85 = "\\0";
        var peg$c86 = "\\Z";
        var peg$c87 = "n";
        var peg$c88 = "r";
        var peg$c89 = "rb";
        var peg$c90 = "br";
        var peg$c91 = "$$";
        var peg$c92 = "b";
        var peg$c93 = "0x";
        var peg$c94 = "0b";
        var peg$c95 = "0o";
        var peg$c96 = "/*";
        var peg$c97 = "*/";
        var peg$c98 = "--";
        var peg$c99 = "\r\n";
        var peg$c100 = "abort";
        var peg$c101 = "access";
        var peg$c102 = "action";
        var peg$c103 = "add";
        var peg$c104 = "admin";
        var peg$c105 = "after";
        var peg$c106 = "against";
        var peg$c107 = "algorithm";
        var peg$c108 = "all";
        var peg$c109 = "alter";
        var peg$c110 = "always";
        var peg$c111 = "analyze";
        var peg$c112 = "and";
        var peg$c113 = "any";
        var peg$c114 = "array";
        var peg$c115 = "as";
        var peg$c116 = "asc";
        var peg$c117 = "assert";
        var peg$c118 = "assignment";
        var peg$c119 = "at";
        var peg$c120 = "atomic";
        var peg$c121 = "attach";
        var peg$c122 = "attribute";
        var peg$c123 = "authorization";
        var peg$c124 = "auto";
        var peg$c125 = "auto_increment";
        var peg$c126 = "autoextend_size";
        var peg$c127 = "autoincrement";
        var peg$c128 = "avg";
        var peg$c129 = "avg_row_length";
        var peg$c130 = "before";
        var peg$c131 = "begin";
        var peg$c132 = "bernoulli";
        var peg$c133 = "between";
        var peg$c134 = "bi_capacity";
        var peg$c135 = "bigdecimal";
        var peg$c136 = "bigint";
        var peg$c137 = "bignumeric";
        var peg$c138 = "binary";
        var peg$c139 = "binlog";
        var peg$c140 = "bit";
        var peg$c141 = "blob";
        var peg$c142 = "bool";
        var peg$c143 = "boolean";
        var peg$c144 = "breadth";
        var peg$c145 = "break";
        var peg$c146 = "btree";
        var peg$c147 = "by";
        var peg$c148 = "bypassrls";
        var peg$c149 = "byteint";
        var peg$c150 = "bytes";
        var peg$c151 = "cache";
        var peg$c152 = "call";
        var peg$c153 = "called";
        var peg$c154 = "capacity";
        var peg$c155 = "cascade";
        var peg$c156 = "cascaded";
        var peg$c157 = "case";
        var peg$c158 = "cast";
        var peg$c159 = "century";
        var peg$c160 = "chain";
        var peg$c161 = "change";
        var peg$c162 = "char";
        var peg$c163 = "character";
        var peg$c164 = "charset";
        var peg$c165 = "check";
        var peg$c166 = "checksum";
        var peg$c167 = "clone";
        var peg$c168 = "cluster";
        var peg$c169 = "collate";
        var peg$c170 = "collation";
        var peg$c171 = "column";
        var peg$c172 = "column_format";
        var peg$c173 = "columns";
        var peg$c174 = "comment";
        var peg$c175 = "comments";
        var peg$c176 = "commit";
        var peg$c177 = "committed";
        var peg$c178 = "compact";
        var peg$c179 = "compressed";
        var peg$c180 = "compression";
        var peg$c181 = "concurrently";
        var peg$c182 = "conflict";
        var peg$c183 = "connect";
        var peg$c184 = "connection";
        var peg$c185 = "constraint";
        var peg$c186 = "constraints";
        var peg$c187 = "continue";
        var peg$c188 = "copy";
        var peg$c189 = "cost";
        var peg$c190 = "count";
        var peg$c191 = "create";
        var peg$c192 = "createdb";
        var peg$c193 = "createrole";
        var peg$c194 = "cross";
        var peg$c195 = "cube";
        var peg$c196 = "cume_dist";
        var peg$c197 = "current";
        var peg$c198 = "current_catalog";
        var peg$c199 = "current_date";
        var peg$c200 = "current_datetime";
        var peg$c201 = "current_role";
        var peg$c202 = "current_schema";
        var peg$c203 = "current_time";
        var peg$c204 = "current_timestamp";
        var peg$c205 = "current_user";
        var peg$c206 = "cycle";
        var peg$c207 = "data";
        var peg$c208 = "database";
        var peg$c209 = "date";
        var peg$c210 = "datetime";
        var peg$c211 = "day";
        var peg$c212 = "day_hour";
        var peg$c213 = "day_microsecond";
        var peg$c214 = "day_minute";
        var peg$c215 = "day_second";
        var peg$c216 = "dayofweek";
        var peg$c217 = "dayofyear";
        var peg$c218 = "dec";
        var peg$c219 = "decade";
        var peg$c220 = "decimal";
        var peg$c221 = "declare";
        var peg$c222 = "default";
        var peg$c223 = "defaults";
        var peg$c224 = "deferrable";
        var peg$c225 = "deferred";
        var peg$c226 = "definer";
        var peg$c227 = "delay_key_write";
        var peg$c228 = "delayed";
        var peg$c229 = "delete";
        var peg$c230 = "dense_rank";
        var peg$c231 = "depends";
        var peg$c232 = "depth";
        var peg$c233 = "desc";
        var peg$c234 = "describe";
        var peg$c235 = "detach";
        var peg$c236 = "deterministic";
        var peg$c237 = "directory";
        var peg$c238 = "disable";
        var peg$c239 = "disk";
        var peg$c240 = "distinct";
        var peg$c241 = "distinctrow";
        var peg$c242 = "div";
        var peg$c243 = "do";
        var peg$c244 = "domain";
        var peg$c245 = "double";
        var peg$c246 = "dow";
        var peg$c247 = "doy";
        var peg$c248 = "drop";
        var peg$c249 = "dual";
        var peg$c250 = "dumpfile";
        var peg$c251 = "duplicate";
        var peg$c252 = "dynamic";
        var peg$c253 = "each";
        var peg$c254 = "else";
        var peg$c255 = "elseif";
        var peg$c256 = "enable";
        var peg$c257 = "enclosed";
        var peg$c258 = "encrypted";
        var peg$c259 = "encryption";
        var peg$c260 = "end";
        var peg$c261 = "enforced";
        var peg$c262 = "engine";
        var peg$c263 = "engine_attribute";
        var peg$c264 = "enum";
        var peg$c265 = "epoch";
        var peg$c266 = "error";
        var peg$c267 = "escape";
        var peg$c268 = "escaped";
        var peg$c269 = "events";
        var peg$c270 = "examined";
        var peg$c271 = "except";
        var peg$c272 = "exception";
        var peg$c273 = "exclude";
        var peg$c274 = "excluding";
        var peg$c275 = "exclusive";
        var peg$c276 = "execute";
        var peg$c277 = "exists";
        var peg$c278 = "expansion";
        var peg$c279 = "explain";
        var peg$c280 = "export";
        var peg$c281 = "expression";
        var peg$c282 = "extended";
        var peg$c283 = "extension";
        var peg$c284 = "external";
        var peg$c285 = "extract";
        var peg$c286 = "fail";
        var peg$c287 = "false";
        var peg$c288 = "fetch";
        var peg$c289 = "fields";
        var peg$c290 = "files";
        var peg$c291 = "filter";
        var peg$c292 = "first";
        var peg$c293 = "first_value";
        var peg$c294 = "fixed";
        var peg$c295 = "float";
        var peg$c296 = "float64";
        var peg$c297 = "following";
        var peg$c298 = "for";
        var peg$c299 = "force";
        var peg$c300 = "foreign";
        var peg$c301 = "format";
        var peg$c302 = "friday";
        var peg$c303 = "from";
        var peg$c304 = "full";
        var peg$c305 = "fulltext";
        var peg$c306 = "function";
        var peg$c307 = "functions";
        var peg$c308 = "generated";
        var peg$c309 = "geography";
        var peg$c310 = "glob";
        var peg$c311 = "global";
        var peg$c312 = "go";
        var peg$c313 = "grant";
        var peg$c314 = "granted";
        var peg$c315 = "grants";
        var peg$c316 = "group";
        var peg$c317 = "group_concat";
        var peg$c318 = "grouping";
        var peg$c319 = "groups";
        var peg$c320 = "hash";
        var peg$c321 = "having";
        var peg$c322 = "high_priority";
        var peg$c323 = "hour";
        var peg$c324 = "hour_microsecond";
        var peg$c325 = "hour_minute";
        var peg$c326 = "hour_second";
        var peg$c327 = "identity";
        var peg$c328 = "if";
        var peg$c329 = "ignore";
        var peg$c330 = "ilike";
        var peg$c331 = "immediate";
        var peg$c332 = "immutable";
        var peg$c333 = "in";
        var peg$c334 = "include";
        var peg$c335 = "including";
        var peg$c336 = "increment";
        var peg$c337 = "index";
        var peg$c338 = "indexed";
        var peg$c339 = "indexes";
        var peg$c340 = "inherit";
        var peg$c341 = "inherits";
        var peg$c342 = "initially";
        var peg$c343 = "inner";
        var peg$c344 = "inout";
        var peg$c345 = "inplace";
        var peg$c346 = "input";
        var peg$c347 = "insert";
        var peg$c348 = "insert_method";
        var peg$c349 = "instant";
        var peg$c350 = "instead";
        var peg$c351 = "int";
        var peg$c352 = "int64";
        var peg$c353 = "integer";
        var peg$c354 = "intersect";
        var peg$c355 = "interval";
        var peg$c356 = "into";
        var peg$c357 = "invisible";
        var peg$c358 = "invoker";
        var peg$c359 = "is";
        var peg$c360 = "isnull";
        var peg$c361 = "isodow";
        var peg$c362 = "isolation";
        var peg$c363 = "isoweek";
        var peg$c364 = "isoyear";
        var peg$c365 = "iterate";
        var peg$c366 = "join";
        var peg$c367 = "json";
        var peg$c368 = "jsonb";
        var peg$c369 = "julian";
        var peg$c370 = "key";
        var peg$c371 = "key_block_size";
        var peg$c372 = "lag";
        var peg$c373 = "language";
        var peg$c374 = "large";
        var peg$c375 = "last";
        var peg$c376 = "last_value";
        var peg$c377 = "lateral";
        var peg$c378 = "lead";
        var peg$c379 = "leakproof";
        var peg$c380 = "leave";
        var peg$c381 = "left";
        var peg$c382 = "level";
        var peg$c383 = "like";
        var peg$c384 = "limit";
        var peg$c385 = "lines";
        var peg$c386 = "list";
        var peg$c387 = "load";
        var peg$c388 = "local";
        var peg$c389 = "localtime";
        var peg$c390 = "localtimestamp";
        var peg$c391 = "lock";
        var peg$c392 = "locked";
        var peg$c393 = "logged";
        var peg$c394 = "login";
        var peg$c395 = "logs";
        var peg$c396 = "longblob";
        var peg$c397 = "longtext";
        var peg$c398 = "loop";
        var peg$c399 = "low_priority";
        var peg$c400 = "main";
        var peg$c401 = "maintain";
        var peg$c402 = "master";
        var peg$c403 = "match";
        var peg$c404 = "matched";
        var peg$c405 = "materialized";
        var peg$c406 = "max";
        var peg$c407 = "max_rows";
        var peg$c408 = "maxvalue";
        var peg$c409 = "mediumblob";
        var peg$c410 = "mediumint";
        var peg$c411 = "mediumtext";
        var peg$c412 = "member";
        var peg$c413 = "memory";
        var peg$c414 = "merge";
        var peg$c415 = "message";
        var peg$c416 = "method";
        var peg$c417 = "microsecond";
        var peg$c418 = "microseconds";
        var peg$c419 = "millennium";
        var peg$c420 = "millisecond";
        var peg$c421 = "milliseconds";
        var peg$c422 = "min";
        var peg$c423 = "min_rows";
        var peg$c424 = "minute";
        var peg$c425 = "minute_microsecond";
        var peg$c426 = "minute_second";
        var peg$c427 = "minvalue";
        var peg$c428 = "mod";
        var peg$c429 = "mode";
        var peg$c430 = "modulus";
        var peg$c431 = "monday";
        var peg$c432 = "month";
        var peg$c433 = "native";
        var peg$c434 = "natural";
        var peg$c435 = "nchar";
        var peg$c436 = "new";
        var peg$c437 = "next";
        var peg$c438 = "nfc";
        var peg$c439 = "nfd";
        var peg$c440 = "nfkc";
        var peg$c441 = "nfkd";
        var peg$c442 = "no";
        var peg$c443 = "nobypassrls";
        var peg$c444 = "nocheck";
        var peg$c445 = "nocreatedb";
        var peg$c446 = "nocreaterole";
        var peg$c447 = "noinherit";
        var peg$c448 = "nologin";
        var peg$c449 = "none";
        var peg$c450 = "noreplication";
        var peg$c451 = "normalized";
        var peg$c452 = "nosuperuser";
        var peg$c453 = "not";
        var peg$c454 = "nothing";
        var peg$c455 = "notnull";
        var peg$c456 = "nowait";
        var peg$c457 = "nth_value";
        var peg$c458 = "ntile";
        var peg$c459 = "null";
        var peg$c460 = "nulls";
        var peg$c461 = "numeric";
        var peg$c462 = "nvarchar";
        var peg$c463 = "object";
        var peg$c464 = "of";
        var peg$c465 = "off";
        var peg$c466 = "offset";
        var peg$c467 = "oids";
        var peg$c468 = "old";
        var peg$c469 = "on";
        var peg$c470 = "only";
        var peg$c471 = "operator";
        var peg$c472 = "option";
        var peg$c473 = "optionally";
        var peg$c474 = "options";
        var peg$c475 = "or";
        var peg$c476 = "order";
        var peg$c477 = "ordinal";
        var peg$c478 = "ordinality";
        var peg$c479 = "organization";
        var peg$c480 = "others";
        var peg$c481 = "out";
        var peg$c482 = "outer";
        var peg$c483 = "outfile";
        var peg$c484 = "over";
        var peg$c485 = "overriding";
        var peg$c486 = "overwrite";
        var peg$c487 = "owned";
        var peg$c488 = "owner";
        var peg$c489 = "pack_keys";
        var peg$c490 = "parallel";
        var peg$c491 = "parameter";
        var peg$c492 = "parser";
        var peg$c493 = "partial";
        var peg$c494 = "partition";
        var peg$c495 = "password";
        var peg$c496 = "percent";
        var peg$c497 = "percent_rank";
        var peg$c498 = "permissive";
        var peg$c499 = "persist";
        var peg$c500 = "persist_only";
        var peg$c501 = "pivot";
        var peg$c502 = "plain";
        var peg$c503 = "plan";
        var peg$c504 = "policies";
        var peg$c505 = "policy";
        var peg$c506 = "pragma";
        var peg$c507 = "preceding";
        var peg$c508 = "precision";
        var peg$c509 = "preserve";
        var peg$c510 = "primary";
        var peg$c511 = "privileges";
        var peg$c512 = "procedure";
        var peg$c513 = "procedures";
        var peg$c514 = "project";
        var peg$c515 = "public";
        var peg$c516 = "qualify";
        var peg$c517 = "quarter";
        var peg$c518 = "query";
        var peg$c519 = "quick";
        var peg$c520 = "raise";
        var peg$c521 = "range";
        var peg$c522 = "rank";
        var peg$c523 = "read";
        var peg$c524 = "real";
        var peg$c525 = "recursive";
        var peg$c526 = "redundant";
        var peg$c527 = "references";
        var peg$c528 = "referencing";
        var peg$c529 = "refresh";
        var peg$c530 = "regexp";
        var peg$c531 = "reindex";
        var peg$c532 = "release";
        var peg$c533 = "remainder";
        var peg$c534 = "remote";
        var peg$c535 = "rename";
        var peg$c536 = "repeat";
        var peg$c537 = "repeatable";
        var peg$c538 = "replace";
        var peg$c539 = "replica";
        var peg$c540 = "replication";
        var peg$c541 = "reservation";
        var peg$c542 = "reset";
        var peg$c543 = "respect";
        var peg$c544 = "restart";
        var peg$c545 = "restrict";
        var peg$c546 = "restricted";
        var peg$c547 = "restrictive";
        var peg$c548 = "return";
        var peg$c549 = "returning";
        var peg$c550 = "returns";
        var peg$c551 = "revoke";
        var peg$c552 = "right";
        var peg$c553 = "rlike";
        var peg$c554 = "role";
        var peg$c555 = "rollback";
        var peg$c556 = "rollup";
        var peg$c557 = "routine";
        var peg$c558 = "routines";
        var peg$c559 = "row";
        var peg$c560 = "row_format";
        var peg$c561 = "row_number";
        var peg$c562 = "rowid";
        var peg$c563 = "rows";
        var peg$c564 = "rule";
        var peg$c565 = "safe";
        var peg$c566 = "safe_cast";
        var peg$c567 = "safe_offset";
        var peg$c568 = "safe_ordinal";
        var peg$c569 = "saturday";
        var peg$c570 = "savepoint";
        var peg$c571 = "schema";
        var peg$c572 = "search";
        var peg$c573 = "second";
        var peg$c574 = "second_microsecond";
        var peg$c575 = "secondary_engine_attribute";
        var peg$c576 = "security";
        var peg$c577 = "select";
        var peg$c578 = "sequence";
        var peg$c579 = "sequences";
        var peg$c580 = "serializable";
        var peg$c581 = "server";
        var peg$c582 = "session";
        var peg$c583 = "session_user";
        var peg$c584 = "set";
        var peg$c585 = "sets";
        var peg$c586 = "share";
        var peg$c587 = "shared";
        var peg$c588 = "show";
        var peg$c589 = "signed";
        var peg$c590 = "similar";
        var peg$c591 = "simple";
        var peg$c592 = "skip";
        var peg$c593 = "smallint";
        var peg$c594 = "snapshot";
        var peg$c595 = "some";
        var peg$c596 = "sounds";
        var peg$c597 = "source";
        var peg$c598 = "spatial";
        var peg$c599 = "sql";
        var peg$c600 = "sql_big_result";
        var peg$c601 = "sql_buffer_result";
        var peg$c602 = "sql_cache";
        var peg$c603 = "sql_calc_found_rows";
        var peg$c604 = "sql_no_cache";
        var peg$c605 = "sql_small_result";
        var peg$c606 = "stable";
        var peg$c607 = "start";
        var peg$c608 = "starting";
        var peg$c609 = "statement";
        var peg$c610 = "statistics";
        var peg$c611 = "stats_auto_recalc";
        var peg$c612 = "stats_persistent";
        var peg$c613 = "stats_sample_pages";
        var peg$c614 = "storage";
        var peg$c615 = "stored";
        var peg$c616 = "straight_join";
        var peg$c617 = "strict";
        var peg$c618 = "string";
        var peg$c619 = "struct";
        var peg$c620 = "sum";
        var peg$c621 = "sunday";
        var peg$c622 = "superuser";
        var peg$c623 = "support";
        var peg$c624 = "symmetric";
        var peg$c625 = "sysid";
        var peg$c626 = "system";
        var peg$c627 = "system_time";
        var peg$c628 = "system_user";
        var peg$c629 = "table";
        var peg$c630 = "tables";
        var peg$c631 = "tablesample";
        var peg$c632 = "tablespace";
        var peg$c633 = "target";
        var peg$c634 = "temp";
        var peg$c635 = "temporary";
        var peg$c636 = "temptable";
        var peg$c637 = "terminated";
        var peg$c638 = "text";
        var peg$c639 = "then";
        var peg$c640 = "thursday";
        var peg$c641 = "ties";
        var peg$c642 = "time";
        var peg$c643 = "timestamp";
        var peg$c644 = "timezone";
        var peg$c645 = "timezone_hour";
        var peg$c646 = "timezone_minute";
        var peg$c647 = "tinyblob";
        var peg$c648 = "tinyint";
        var peg$c649 = "tinytext";
        var peg$c650 = "to";
        var peg$c651 = "transaction";
        var peg$c652 = "transform";
        var peg$c653 = "trigger";
        var peg$c654 = "true";
        var peg$c655 = "truncate";
        var peg$c656 = "tuesday";
        var peg$c657 = "type";
        var peg$c658 = "uescape";
        var peg$c659 = "unbounded";
        var peg$c660 = "uncommitted";
        var peg$c661 = "undefined";
        var peg$c662 = "union";
        var peg$c663 = "unique";
        var peg$c664 = "unknown";
        var peg$c665 = "unlock";
        var peg$c666 = "unlogged";
        var peg$c667 = "unnest";
        var peg$c668 = "unpivot";
        var peg$c669 = "unsafe";
        var peg$c670 = "unsigned";
        var peg$c671 = "until";
        var peg$c672 = "update";
        var peg$c673 = "usage";
        var peg$c674 = "use";
        var peg$c675 = "user";
        var peg$c676 = "using";
        var peg$c677 = "vacuum";
        var peg$c678 = "valid";
        var peg$c679 = "validate";
        var peg$c680 = "value";
        var peg$c681 = "values";
        var peg$c682 = "varbinary";
        var peg$c683 = "varchar";
        var peg$c684 = "variadic";
        var peg$c685 = "varying";
        var peg$c686 = "vector";
        var peg$c687 = "verbose";
        var peg$c688 = "view";
        var peg$c689 = "virtual";
        var peg$c690 = "visible";
        var peg$c691 = "volatile";
        var peg$c692 = "wait";
        var peg$c693 = "wednesday";
        var peg$c694 = "week";
        var peg$c695 = "when";
        var peg$c696 = "where";
        var peg$c697 = "while";
        var peg$c698 = "window";
        var peg$c699 = "with";
        var peg$c700 = "without";
        var peg$c701 = "work";
        var peg$c702 = "wrapper";
        var peg$c703 = "write";
        var peg$c704 = "xor";
        var peg$c705 = "year";
        var peg$c706 = "year_month";
        var peg$c707 = "zerofill";
        var peg$c708 = "zone";
        var peg$r0 = /^[\-+*\/<>=~!@#%\^&|`?]/;
        var peg$r1 = /^[^`]/;
        var peg$r2 = /^[^`\\]/;
        var peg$r3 = /^[^.`]/;
        var peg$r4 = /^[^\]]/;
        var peg$r5 = /^[A-Za-z_]/;
        var peg$r6 = /^[A-Za-z_\x80-\uFFFF]/;
        var peg$r7 = /^[^'\\]/;
        var peg$r8 = /^[^']/;
        var peg$r9 = /^[^"]/;
        var peg$r10 = /^[^"\\]/;
        var peg$r11 = /^[0-7]/;
        var peg$r12 = /^[01]/;
        var peg$r13 = /^[eE]/;
        var peg$r14 = /^[+\-]/;
        var peg$r15 = /^[0-9]/;
        var peg$r16 = /^[0-9a-fA-F]/;
        var peg$r17 = /^[ \t]/;
        var peg$r18 = /^[\n\r]/;
        var peg$r19 = /^[^;]/;
        var peg$e0 = peg$literalExpectation(";", false);
        var peg$e1 = peg$anyExpectation();
        var peg$e2 = peg$literalExpectation(",", false);
        var peg$e3 = peg$literalExpectation(".", false);
        var peg$e4 = peg$literalExpectation("*", false);
        var peg$e5 = peg$literalExpectation("=", false);
        var peg$e6 = peg$literalExpectation(":", false);
        var peg$e7 = peg$literalExpectation("[", false);
        var peg$e8 = peg$literalExpectation("]", false);
        var peg$e9 = peg$literalExpectation("<", false);
        var peg$e10 = peg$literalExpectation(">", false);
        var peg$e11 = peg$literalExpectation(":=", false);
        var peg$e12 = peg$literalExpectation("||", false);
        var peg$e13 = peg$literalExpectation("&&", false);
        var peg$e14 = peg$literalExpectation(">=", false);
        var peg$e15 = peg$literalExpectation("<=", false);
        var peg$e16 = peg$literalExpectation("<>", false);
        var peg$e17 = peg$literalExpectation("!=", false);
        var peg$e18 = peg$literalExpectation("<=>", false);
        var peg$e19 = peg$literalExpectation("==", false);
        var peg$e20 = peg$literalExpectation("||/", false);
        var peg$e21 = peg$literalExpectation("|/", false);
        var peg$e22 = peg$literalExpectation(">>", false);
        var peg$e23 = peg$literalExpectation("<<", false);
        var peg$e24 = peg$literalExpectation("!~~*", false);
        var peg$e25 = peg$literalExpectation("~~*", false);
        var peg$e26 = peg$literalExpectation("!~~", false);
        var peg$e27 = peg$literalExpectation("~~", false);
        var peg$e28 = peg$literalExpectation("!~*", false);
        var peg$e29 = peg$literalExpectation("~*", false);
        var peg$e30 = peg$literalExpectation("!~", false);
        var peg$e31 = peg$literalExpectation("^@", false);
        var peg$e32 = peg$literalExpectation("->>", false);
        var peg$e33 = peg$literalExpectation("->", false);
        var peg$e34 = peg$literalExpectation("#>>", false);
        var peg$e35 = peg$literalExpectation("#>", false);
        var peg$e36 = peg$literalExpectation("@>", false);
        var peg$e37 = peg$literalExpectation("<@", false);
        var peg$e38 = peg$literalExpectation("?|", false);
        var peg$e39 = peg$literalExpectation("?&", false);
        var peg$e40 = peg$literalExpectation("#-", false);
        var peg$e41 = peg$literalExpectation("@?", false);
        var peg$e42 = peg$literalExpectation("@@", false);
        var peg$e43 = peg$literalExpectation("!", false);
        var peg$e44 = peg$literalExpectation("~", false);
        var peg$e45 = peg$literalExpectation("@", false);
        var peg$e46 = peg$literalExpectation("#", false);
        var peg$e47 = peg$literalExpectation("&", false);
        var peg$e48 = peg$literalExpectation("|", false);
        var peg$e49 = peg$literalExpectation("`", false);
        var peg$e50 = peg$literalExpectation("?", false);
        var peg$e51 = peg$classExpectation(["-", "+", "*", "/", "<", ">", "=", "~", "!", "@", "#", "%", "^", "&", "|", "`", "?"], false, false);
        var peg$e52 = peg$literalExpectation("/", false);
        var peg$e53 = peg$literalExpectation("%", false);
        var peg$e54 = peg$literalExpectation("^", false);
        var peg$e55 = peg$literalExpectation("-", false);
        var peg$e56 = peg$literalExpectation("+", false);
        var peg$e57 = peg$literalExpectation("::", false);
        var peg$e58 = peg$literalExpectation("(", false);
        var peg$e59 = peg$literalExpectation(")", false);
        var peg$e60 = peg$literalExpectation("=>", false);
        var peg$e61 = peg$literalExpectation("$", false);
        var peg$e62 = peg$otherExpectation("identifier");
        var peg$e63 = peg$classExpectation(["`"], true, false);
        var peg$e64 = peg$literalExpectation("``", false);
        var peg$e65 = peg$classExpectation(["`", "\\"], true, false);
        var peg$e66 = peg$classExpectation([".", "`"], true, false);
        var peg$e67 = peg$classExpectation(["]"], true, false);
        var peg$e68 = peg$literalExpectation("]]", false);
        var peg$e69 = peg$classExpectation([["A", "Z"], ["a", "z"], "_"], false, false);
        var peg$e70 = peg$classExpectation([["A", "Z"], ["a", "z"], "_", ["\x80", "\uFFFF"]], false, false);
        var peg$e71 = peg$otherExpectation("string");
        var peg$e72 = peg$literalExpectation("_", false);
        var peg$e73 = peg$literalExpectation("\n", false);
        var peg$e74 = peg$literalExpectation("'", false);
        var peg$e75 = peg$classExpectation(["'", "\\"], true, false);
        var peg$e76 = peg$literalExpectation("E", false);
        var peg$e77 = peg$literalExpectation("U&", false);
        var peg$e78 = peg$classExpectation(["'"], true, false);
        var peg$e79 = peg$literalExpectation("''", false);
        var peg$e80 = peg$literalExpectation("\"", false);
        var peg$e81 = peg$classExpectation(["\""], true, false);
        var peg$e82 = peg$literalExpectation("\"\"", false);
        var peg$e83 = peg$classExpectation(["\"", "\\"], true, false);
        var peg$e84 = peg$literalExpectation("'''", false);
        var peg$e85 = peg$literalExpectation("\"\"\"", false);
        var peg$e86 = peg$literalExpectation("\\n", false);
        var peg$e87 = peg$literalExpectation("\\r", false);
        var peg$e88 = peg$literalExpectation("\\t", false);
        var peg$e89 = peg$literalExpectation("\\b", false);
        var peg$e90 = peg$literalExpectation("\\f", false);
        var peg$e91 = peg$literalExpectation("\\v", false);
        var peg$e92 = peg$literalExpectation("\\a", false);
        var peg$e93 = peg$literalExpectation("\\", false);
        var peg$e94 = peg$classExpectation([["0", "7"]], false, false);
        var peg$e95 = peg$literalExpectation("x", false);
        var peg$e96 = peg$literalExpectation("x", true);
        var peg$e97 = peg$literalExpectation("u", false);
        var peg$e98 = peg$literalExpectation("U", false);
        var peg$e99 = peg$literalExpectation("\\%", false);
        var peg$e100 = peg$literalExpectation("\\_", false);
        var peg$e101 = peg$literalExpectation("\\0", false);
        var peg$e102 = peg$literalExpectation("\\Z", false);
        var peg$e103 = peg$literalExpectation("N", true);
        var peg$e104 = peg$literalExpectation("R", true);
        var peg$e105 = peg$literalExpectation("RB", true);
        var peg$e106 = peg$literalExpectation("BR", true);
        var peg$e107 = peg$literalExpectation("$$", false);
        var peg$e108 = peg$literalExpectation("B", true);
        var peg$e109 = peg$literalExpectation("X", true);
        var peg$e110 = peg$literalExpectation("b", true);
        var peg$e111 = peg$classExpectation(["0", "1"], false, false);
        var peg$e112 = peg$otherExpectation("number");
        var peg$e113 = peg$literalExpectation("0x", false);
        var peg$e114 = peg$literalExpectation("0b", false);
        var peg$e115 = peg$literalExpectation("0o", false);
        var peg$e116 = peg$classExpectation(["e", "E"], false, false);
        var peg$e117 = peg$classExpectation(["+", "-"], false, false);
        var peg$e118 = peg$classExpectation([["0", "9"]], false, false);
        var peg$e119 = peg$classExpectation([["0", "9"], ["a", "f"], ["A", "F"]], false, false);
        var peg$e120 = peg$otherExpectation("whitespace");
        var peg$e121 = peg$literalExpectation("/*", false);
        var peg$e122 = peg$literalExpectation("*/", false);
        var peg$e123 = peg$literalExpectation("--", false);
        var peg$e124 = peg$classExpectation([" ", "\t"], false, false);
        var peg$e125 = peg$literalExpectation("\r\n", false);
        var peg$e126 = peg$classExpectation(["\n", "\r"], false, false);
        var peg$e127 = peg$classExpectation([";"], true, false);
        var peg$e128 = peg$literalExpectation("ABORT", true);
        var peg$e129 = peg$literalExpectation("ACCESS", true);
        var peg$e130 = peg$literalExpectation("ACTION", true);
        var peg$e131 = peg$literalExpectation("ADD", true);
        var peg$e132 = peg$literalExpectation("ADMIN", true);
        var peg$e133 = peg$literalExpectation("AFTER", true);
        var peg$e134 = peg$literalExpectation("AGAINST", true);
        var peg$e135 = peg$literalExpectation("ALGORITHM", true);
        var peg$e136 = peg$literalExpectation("ALL", true);
        var peg$e137 = peg$literalExpectation("ALTER", true);
        var peg$e138 = peg$literalExpectation("ALWAYS", true);
        var peg$e139 = peg$literalExpectation("ANALYZE", true);
        var peg$e140 = peg$literalExpectation("AND", true);
        var peg$e141 = peg$literalExpectation("ANY", true);
        var peg$e142 = peg$literalExpectation("ARRAY", true);
        var peg$e143 = peg$literalExpectation("AS", true);
        var peg$e144 = peg$literalExpectation("ASC", true);
        var peg$e145 = peg$literalExpectation("ASSERT", true);
        var peg$e146 = peg$literalExpectation("ASSIGNMENT", true);
        var peg$e147 = peg$literalExpectation("AT", true);
        var peg$e148 = peg$literalExpectation("ATOMIC", true);
        var peg$e149 = peg$literalExpectation("ATTACH", true);
        var peg$e150 = peg$literalExpectation("ATTRIBUTE", true);
        var peg$e151 = peg$literalExpectation("AUTHORIZATION", true);
        var peg$e152 = peg$literalExpectation("AUTO", true);
        var peg$e153 = peg$literalExpectation("AUTO_INCREMENT", true);
        var peg$e154 = peg$literalExpectation("AUTOEXTEND_SIZE", true);
        var peg$e155 = peg$literalExpectation("AUTOINCREMENT", true);
        var peg$e156 = peg$literalExpectation("AVG", true);
        var peg$e157 = peg$literalExpectation("AVG_ROW_LENGTH", true);
        var peg$e158 = peg$literalExpectation("BEFORE", true);
        var peg$e159 = peg$literalExpectation("BEGIN", true);
        var peg$e160 = peg$literalExpectation("BERNOULLI", true);
        var peg$e161 = peg$literalExpectation("BETWEEN", true);
        var peg$e162 = peg$literalExpectation("BI_CAPACITY", true);
        var peg$e163 = peg$literalExpectation("BIGDECIMAL", true);
        var peg$e164 = peg$literalExpectation("BIGINT", true);
        var peg$e165 = peg$literalExpectation("BIGNUMERIC", true);
        var peg$e166 = peg$literalExpectation("BINARY", true);
        var peg$e167 = peg$literalExpectation("BINLOG", true);
        var peg$e168 = peg$literalExpectation("BIT", true);
        var peg$e169 = peg$literalExpectation("BLOB", true);
        var peg$e170 = peg$literalExpectation("BOOL", true);
        var peg$e171 = peg$literalExpectation("BOOLEAN", true);
        var peg$e172 = peg$literalExpectation("BREADTH", true);
        var peg$e173 = peg$literalExpectation("BREAK", true);
        var peg$e174 = peg$literalExpectation("BTREE", true);
        var peg$e175 = peg$literalExpectation("BY", true);
        var peg$e176 = peg$literalExpectation("BYPASSRLS", true);
        var peg$e177 = peg$literalExpectation("BYTEINT", true);
        var peg$e178 = peg$literalExpectation("BYTES", true);
        var peg$e179 = peg$literalExpectation("CACHE", true);
        var peg$e180 = peg$literalExpectation("CALL", true);
        var peg$e181 = peg$literalExpectation("CALLED", true);
        var peg$e182 = peg$literalExpectation("CAPACITY", true);
        var peg$e183 = peg$literalExpectation("CASCADE", true);
        var peg$e184 = peg$literalExpectation("CASCADED", true);
        var peg$e185 = peg$literalExpectation("CASE", true);
        var peg$e186 = peg$literalExpectation("CAST", true);
        var peg$e187 = peg$literalExpectation("CENTURY", true);
        var peg$e188 = peg$literalExpectation("CHAIN", true);
        var peg$e189 = peg$literalExpectation("CHANGE", true);
        var peg$e190 = peg$literalExpectation("CHAR", true);
        var peg$e191 = peg$literalExpectation("CHARACTER", true);
        var peg$e192 = peg$literalExpectation("CHARSET", true);
        var peg$e193 = peg$literalExpectation("CHECK", true);
        var peg$e194 = peg$literalExpectation("CHECKSUM", true);
        var peg$e195 = peg$literalExpectation("CLONE", true);
        var peg$e196 = peg$literalExpectation("CLUSTER", true);
        var peg$e197 = peg$literalExpectation("COLLATE", true);
        var peg$e198 = peg$literalExpectation("COLLATION", true);
        var peg$e199 = peg$literalExpectation("COLUMN", true);
        var peg$e200 = peg$literalExpectation("COLUMN_FORMAT", true);
        var peg$e201 = peg$literalExpectation("COLUMNS", true);
        var peg$e202 = peg$literalExpectation("COMMENT", true);
        var peg$e203 = peg$literalExpectation("COMMENTS", true);
        var peg$e204 = peg$literalExpectation("COMMIT", true);
        var peg$e205 = peg$literalExpectation("COMMITTED", true);
        var peg$e206 = peg$literalExpectation("COMPACT", true);
        var peg$e207 = peg$literalExpectation("COMPRESSED", true);
        var peg$e208 = peg$literalExpectation("COMPRESSION", true);
        var peg$e209 = peg$literalExpectation("CONCURRENTLY", true);
        var peg$e210 = peg$literalExpectation("CONFLICT", true);
        var peg$e211 = peg$literalExpectation("CONNECT", true);
        var peg$e212 = peg$literalExpectation("CONNECTION", true);
        var peg$e213 = peg$literalExpectation("CONSTRAINT", true);
        var peg$e214 = peg$literalExpectation("CONSTRAINTS", true);
        var peg$e215 = peg$literalExpectation("CONTINUE", true);
        var peg$e216 = peg$literalExpectation("COPY", true);
        var peg$e217 = peg$literalExpectation("COST", true);
        var peg$e218 = peg$literalExpectation("COUNT", true);
        var peg$e219 = peg$literalExpectation("CREATE", true);
        var peg$e220 = peg$literalExpectation("CREATEDB", true);
        var peg$e221 = peg$literalExpectation("CREATEROLE", true);
        var peg$e222 = peg$literalExpectation("CROSS", true);
        var peg$e223 = peg$literalExpectation("CUBE", true);
        var peg$e224 = peg$literalExpectation("CUME_DIST", true);
        var peg$e225 = peg$literalExpectation("CURRENT", true);
        var peg$e226 = peg$literalExpectation("CURRENT_CATALOG", true);
        var peg$e227 = peg$literalExpectation("CURRENT_DATE", true);
        var peg$e228 = peg$literalExpectation("CURRENT_DATETIME", true);
        var peg$e229 = peg$literalExpectation("CURRENT_ROLE", true);
        var peg$e230 = peg$literalExpectation("CURRENT_SCHEMA", true);
        var peg$e231 = peg$literalExpectation("CURRENT_TIME", true);
        var peg$e232 = peg$literalExpectation("CURRENT_TIMESTAMP", true);
        var peg$e233 = peg$literalExpectation("CURRENT_USER", true);
        var peg$e234 = peg$literalExpectation("CYCLE", true);
        var peg$e235 = peg$literalExpectation("DATA", true);
        var peg$e236 = peg$literalExpectation("DATABASE", true);
        var peg$e237 = peg$literalExpectation("DATE", true);
        var peg$e238 = peg$literalExpectation("DATETIME", true);
        var peg$e239 = peg$literalExpectation("DAY", true);
        var peg$e240 = peg$literalExpectation("DAY_HOUR", true);
        var peg$e241 = peg$literalExpectation("DAY_MICROSECOND", true);
        var peg$e242 = peg$literalExpectation("DAY_MINUTE", true);
        var peg$e243 = peg$literalExpectation("DAY_SECOND", true);
        var peg$e244 = peg$literalExpectation("DAYOFWEEK", true);
        var peg$e245 = peg$literalExpectation("DAYOFYEAR", true);
        var peg$e246 = peg$literalExpectation("DEC", true);
        var peg$e247 = peg$literalExpectation("DECADE", true);
        var peg$e248 = peg$literalExpectation("DECIMAL", true);
        var peg$e249 = peg$literalExpectation("DECLARE", true);
        var peg$e250 = peg$literalExpectation("DEFAULT", true);
        var peg$e251 = peg$literalExpectation("DEFAULTS", true);
        var peg$e252 = peg$literalExpectation("DEFERRABLE", true);
        var peg$e253 = peg$literalExpectation("DEFERRED", true);
        var peg$e254 = peg$literalExpectation("DEFINER", true);
        var peg$e255 = peg$literalExpectation("DELAY_KEY_WRITE", true);
        var peg$e256 = peg$literalExpectation("DELAYED", true);
        var peg$e257 = peg$literalExpectation("DELETE", true);
        var peg$e258 = peg$literalExpectation("DENSE_RANK", true);
        var peg$e259 = peg$literalExpectation("DEPENDS", true);
        var peg$e260 = peg$literalExpectation("DEPTH", true);
        var peg$e261 = peg$literalExpectation("DESC", true);
        var peg$e262 = peg$literalExpectation("DESCRIBE", true);
        var peg$e263 = peg$literalExpectation("DETACH", true);
        var peg$e264 = peg$literalExpectation("DETERMINISTIC", true);
        var peg$e265 = peg$literalExpectation("DIRECTORY", true);
        var peg$e266 = peg$literalExpectation("DISABLE", true);
        var peg$e267 = peg$literalExpectation("DISK", true);
        var peg$e268 = peg$literalExpectation("DISTINCT", true);
        var peg$e269 = peg$literalExpectation("DISTINCTROW", true);
        var peg$e270 = peg$literalExpectation("DIV", true);
        var peg$e271 = peg$literalExpectation("DO", true);
        var peg$e272 = peg$literalExpectation("DOMAIN", true);
        var peg$e273 = peg$literalExpectation("DOUBLE", true);
        var peg$e274 = peg$literalExpectation("DOW", true);
        var peg$e275 = peg$literalExpectation("DOY", true);
        var peg$e276 = peg$literalExpectation("DROP", true);
        var peg$e277 = peg$literalExpectation("DUAL", true);
        var peg$e278 = peg$literalExpectation("DUMPFILE", true);
        var peg$e279 = peg$literalExpectation("DUPLICATE", true);
        var peg$e280 = peg$literalExpectation("DYNAMIC", true);
        var peg$e281 = peg$literalExpectation("EACH", true);
        var peg$e282 = peg$literalExpectation("ELSE", true);
        var peg$e283 = peg$literalExpectation("ELSEIF", true);
        var peg$e284 = peg$literalExpectation("ENABLE", true);
        var peg$e285 = peg$literalExpectation("ENCLOSED", true);
        var peg$e286 = peg$literalExpectation("ENCRYPTED", true);
        var peg$e287 = peg$literalExpectation("ENCRYPTION", true);
        var peg$e288 = peg$literalExpectation("END", true);
        var peg$e289 = peg$literalExpectation("ENFORCED", true);
        var peg$e290 = peg$literalExpectation("ENGINE", true);
        var peg$e291 = peg$literalExpectation("ENGINE_ATTRIBUTE", true);
        var peg$e292 = peg$literalExpectation("ENUM", true);
        var peg$e293 = peg$literalExpectation("EPOCH", true);
        var peg$e294 = peg$literalExpectation("ERROR", true);
        var peg$e295 = peg$literalExpectation("ESCAPE", true);
        var peg$e296 = peg$literalExpectation("ESCAPED", true);
        var peg$e297 = peg$literalExpectation("EVENTS", true);
        var peg$e298 = peg$literalExpectation("EXAMINED", true);
        var peg$e299 = peg$literalExpectation("EXCEPT", true);
        var peg$e300 = peg$literalExpectation("EXCEPTION", true);
        var peg$e301 = peg$literalExpectation("EXCLUDE", true);
        var peg$e302 = peg$literalExpectation("EXCLUDING", true);
        var peg$e303 = peg$literalExpectation("EXCLUSIVE", true);
        var peg$e304 = peg$literalExpectation("EXECUTE", true);
        var peg$e305 = peg$literalExpectation("EXISTS", true);
        var peg$e306 = peg$literalExpectation("EXPANSION", true);
        var peg$e307 = peg$literalExpectation("EXPLAIN", true);
        var peg$e308 = peg$literalExpectation("EXPORT", true);
        var peg$e309 = peg$literalExpectation("EXPRESSION", true);
        var peg$e310 = peg$literalExpectation("EXTENDED", true);
        var peg$e311 = peg$literalExpectation("EXTENSION", true);
        var peg$e312 = peg$literalExpectation("EXTERNAL", true);
        var peg$e313 = peg$literalExpectation("EXTRACT", true);
        var peg$e314 = peg$literalExpectation("FAIL", true);
        var peg$e315 = peg$literalExpectation("FALSE", true);
        var peg$e316 = peg$literalExpectation("FETCH", true);
        var peg$e317 = peg$literalExpectation("FIELDS", true);
        var peg$e318 = peg$literalExpectation("FILES", true);
        var peg$e319 = peg$literalExpectation("FILTER", true);
        var peg$e320 = peg$literalExpectation("FIRST", true);
        var peg$e321 = peg$literalExpectation("FIRST_VALUE", true);
        var peg$e322 = peg$literalExpectation("FIXED", true);
        var peg$e323 = peg$literalExpectation("FLOAT", true);
        var peg$e324 = peg$literalExpectation("FLOAT64", true);
        var peg$e325 = peg$literalExpectation("FOLLOWING", true);
        var peg$e326 = peg$literalExpectation("FOR", true);
        var peg$e327 = peg$literalExpectation("FORCE", true);
        var peg$e328 = peg$literalExpectation("FOREIGN", true);
        var peg$e329 = peg$literalExpectation("FORMAT", true);
        var peg$e330 = peg$literalExpectation("FRIDAY", true);
        var peg$e331 = peg$literalExpectation("FROM", true);
        var peg$e332 = peg$literalExpectation("FULL", true);
        var peg$e333 = peg$literalExpectation("FULLTEXT", true);
        var peg$e334 = peg$literalExpectation("FUNCTION", true);
        var peg$e335 = peg$literalExpectation("FUNCTIONS", true);
        var peg$e336 = peg$literalExpectation("GENERATED", true);
        var peg$e337 = peg$literalExpectation("GEOGRAPHY", true);
        var peg$e338 = peg$literalExpectation("GLOB", true);
        var peg$e339 = peg$literalExpectation("GLOBAL", true);
        var peg$e340 = peg$literalExpectation("GO", true);
        var peg$e341 = peg$literalExpectation("GRANT", true);
        var peg$e342 = peg$literalExpectation("GRANTED", true);
        var peg$e343 = peg$literalExpectation("GRANTS", true);
        var peg$e344 = peg$literalExpectation("GROUP", true);
        var peg$e345 = peg$literalExpectation("GROUP_CONCAT", true);
        var peg$e346 = peg$literalExpectation("GROUPING", true);
        var peg$e347 = peg$literalExpectation("GROUPS", true);
        var peg$e348 = peg$literalExpectation("HASH", true);
        var peg$e349 = peg$literalExpectation("HAVING", true);
        var peg$e350 = peg$literalExpectation("HIGH_PRIORITY", true);
        var peg$e351 = peg$literalExpectation("HOUR", true);
        var peg$e352 = peg$literalExpectation("HOUR_MICROSECOND", true);
        var peg$e353 = peg$literalExpectation("HOUR_MINUTE", true);
        var peg$e354 = peg$literalExpectation("HOUR_SECOND", true);
        var peg$e355 = peg$literalExpectation("IDENTITY", true);
        var peg$e356 = peg$literalExpectation("IF", true);
        var peg$e357 = peg$literalExpectation("IGNORE", true);
        var peg$e358 = peg$literalExpectation("ILIKE", true);
        var peg$e359 = peg$literalExpectation("IMMEDIATE", true);
        var peg$e360 = peg$literalExpectation("IMMUTABLE", true);
        var peg$e361 = peg$literalExpectation("IN", true);
        var peg$e362 = peg$literalExpectation("INCLUDE", true);
        var peg$e363 = peg$literalExpectation("INCLUDING", true);
        var peg$e364 = peg$literalExpectation("INCREMENT", true);
        var peg$e365 = peg$literalExpectation("INDEX", true);
        var peg$e366 = peg$literalExpectation("INDEXED", true);
        var peg$e367 = peg$literalExpectation("INDEXES", true);
        var peg$e368 = peg$literalExpectation("INHERIT", true);
        var peg$e369 = peg$literalExpectation("INHERITS", true);
        var peg$e370 = peg$literalExpectation("INITIALLY", true);
        var peg$e371 = peg$literalExpectation("INNER", true);
        var peg$e372 = peg$literalExpectation("INOUT", true);
        var peg$e373 = peg$literalExpectation("INPLACE", true);
        var peg$e374 = peg$literalExpectation("INPUT", true);
        var peg$e375 = peg$literalExpectation("INSERT", true);
        var peg$e376 = peg$literalExpectation("INSERT_METHOD", true);
        var peg$e377 = peg$literalExpectation("INSTANT", true);
        var peg$e378 = peg$literalExpectation("INSTEAD", true);
        var peg$e379 = peg$literalExpectation("INT", true);
        var peg$e380 = peg$literalExpectation("INT64", true);
        var peg$e381 = peg$literalExpectation("INTEGER", true);
        var peg$e382 = peg$literalExpectation("INTERSECT", true);
        var peg$e383 = peg$literalExpectation("INTERVAL", true);
        var peg$e384 = peg$literalExpectation("INTO", true);
        var peg$e385 = peg$literalExpectation("INVISIBLE", true);
        var peg$e386 = peg$literalExpectation("INVOKER", true);
        var peg$e387 = peg$literalExpectation("IS", true);
        var peg$e388 = peg$literalExpectation("ISNULL", true);
        var peg$e389 = peg$literalExpectation("ISODOW", true);
        var peg$e390 = peg$literalExpectation("ISOLATION", true);
        var peg$e391 = peg$literalExpectation("ISOWEEK", true);
        var peg$e392 = peg$literalExpectation("ISOYEAR", true);
        var peg$e393 = peg$literalExpectation("ITERATE", true);
        var peg$e394 = peg$literalExpectation("JOIN", true);
        var peg$e395 = peg$literalExpectation("JSON", true);
        var peg$e396 = peg$literalExpectation("JSONB", true);
        var peg$e397 = peg$literalExpectation("JULIAN", true);
        var peg$e398 = peg$literalExpectation("KEY", true);
        var peg$e399 = peg$literalExpectation("KEY_BLOCK_SIZE", true);
        var peg$e400 = peg$literalExpectation("LAG", true);
        var peg$e401 = peg$literalExpectation("LANGUAGE", true);
        var peg$e402 = peg$literalExpectation("LARGE", true);
        var peg$e403 = peg$literalExpectation("LAST", true);
        var peg$e404 = peg$literalExpectation("LAST_VALUE", true);
        var peg$e405 = peg$literalExpectation("LATERAL", true);
        var peg$e406 = peg$literalExpectation("LEAD", true);
        var peg$e407 = peg$literalExpectation("LEAKPROOF", true);
        var peg$e408 = peg$literalExpectation("LEAVE", true);
        var peg$e409 = peg$literalExpectation("LEFT", true);
        var peg$e410 = peg$literalExpectation("LEVEL", true);
        var peg$e411 = peg$literalExpectation("LIKE", true);
        var peg$e412 = peg$literalExpectation("LIMIT", true);
        var peg$e413 = peg$literalExpectation("LINES", true);
        var peg$e414 = peg$literalExpectation("LIST", true);
        var peg$e415 = peg$literalExpectation("LOAD", true);
        var peg$e416 = peg$literalExpectation("LOCAL", true);
        var peg$e417 = peg$literalExpectation("LOCALTIME", true);
        var peg$e418 = peg$literalExpectation("LOCALTIMESTAMP", true);
        var peg$e419 = peg$literalExpectation("LOCK", true);
        var peg$e420 = peg$literalExpectation("LOCKED", true);
        var peg$e421 = peg$literalExpectation("LOGGED", true);
        var peg$e422 = peg$literalExpectation("LOGIN", true);
        var peg$e423 = peg$literalExpectation("LOGS", true);
        var peg$e424 = peg$literalExpectation("LONGBLOB", true);
        var peg$e425 = peg$literalExpectation("LONGTEXT", true);
        var peg$e426 = peg$literalExpectation("LOOP", true);
        var peg$e427 = peg$literalExpectation("LOW_PRIORITY", true);
        var peg$e428 = peg$literalExpectation("MAIN", true);
        var peg$e429 = peg$literalExpectation("MAINTAIN", true);
        var peg$e430 = peg$literalExpectation("MASTER", true);
        var peg$e431 = peg$literalExpectation("MATCH", true);
        var peg$e432 = peg$literalExpectation("MATCHED", true);
        var peg$e433 = peg$literalExpectation("MATERIALIZED", true);
        var peg$e434 = peg$literalExpectation("MAX", true);
        var peg$e435 = peg$literalExpectation("MAX_ROWS", true);
        var peg$e436 = peg$literalExpectation("MAXVALUE", true);
        var peg$e437 = peg$literalExpectation("MEDIUMBLOB", true);
        var peg$e438 = peg$literalExpectation("MEDIUMINT", true);
        var peg$e439 = peg$literalExpectation("MEDIUMTEXT", true);
        var peg$e440 = peg$literalExpectation("MEMBER", true);
        var peg$e441 = peg$literalExpectation("MEMORY", true);
        var peg$e442 = peg$literalExpectation("MERGE", true);
        var peg$e443 = peg$literalExpectation("MESSAGE", true);
        var peg$e444 = peg$literalExpectation("METHOD", true);
        var peg$e445 = peg$literalExpectation("MICROSECOND", true);
        var peg$e446 = peg$literalExpectation("MICROSECONDS", true);
        var peg$e447 = peg$literalExpectation("MILLENNIUM", true);
        var peg$e448 = peg$literalExpectation("MILLISECOND", true);
        var peg$e449 = peg$literalExpectation("MILLISECONDS", true);
        var peg$e450 = peg$literalExpectation("MIN", true);
        var peg$e451 = peg$literalExpectation("MIN_ROWS", true);
        var peg$e452 = peg$literalExpectation("MINUTE", true);
        var peg$e453 = peg$literalExpectation("MINUTE_MICROSECOND", true);
        var peg$e454 = peg$literalExpectation("MINUTE_SECOND", true);
        var peg$e455 = peg$literalExpectation("MINVALUE", true);
        var peg$e456 = peg$literalExpectation("MOD", true);
        var peg$e457 = peg$literalExpectation("MODE", true);
        var peg$e458 = peg$literalExpectation("MODULUS", true);
        var peg$e459 = peg$literalExpectation("MONDAY", true);
        var peg$e460 = peg$literalExpectation("MONTH", true);
        var peg$e461 = peg$literalExpectation("NATIVE", true);
        var peg$e462 = peg$literalExpectation("NATURAL", true);
        var peg$e463 = peg$literalExpectation("NCHAR", true);
        var peg$e464 = peg$literalExpectation("NEW", true);
        var peg$e465 = peg$literalExpectation("NEXT", true);
        var peg$e466 = peg$literalExpectation("NFC", true);
        var peg$e467 = peg$literalExpectation("NFD", true);
        var peg$e468 = peg$literalExpectation("NFKC", true);
        var peg$e469 = peg$literalExpectation("NFKD", true);
        var peg$e470 = peg$literalExpectation("NO", true);
        var peg$e471 = peg$literalExpectation("NOBYPASSRLS", true);
        var peg$e472 = peg$literalExpectation("NOCHECK", true);
        var peg$e473 = peg$literalExpectation("NOCREATEDB", true);
        var peg$e474 = peg$literalExpectation("NOCREATEROLE", true);
        var peg$e475 = peg$literalExpectation("NOINHERIT", true);
        var peg$e476 = peg$literalExpectation("NOLOGIN", true);
        var peg$e477 = peg$literalExpectation("NONE", true);
        var peg$e478 = peg$literalExpectation("NOREPLICATION", true);
        var peg$e479 = peg$literalExpectation("NORMALIZED", true);
        var peg$e480 = peg$literalExpectation("NOSUPERUSER", true);
        var peg$e481 = peg$literalExpectation("NOT", true);
        var peg$e482 = peg$literalExpectation("NOTHING", true);
        var peg$e483 = peg$literalExpectation("NOTNULL", true);
        var peg$e484 = peg$literalExpectation("NOWAIT", true);
        var peg$e485 = peg$literalExpectation("NTH_VALUE", true);
        var peg$e486 = peg$literalExpectation("NTILE", true);
        var peg$e487 = peg$literalExpectation("NULL", true);
        var peg$e488 = peg$literalExpectation("NULLS", true);
        var peg$e489 = peg$literalExpectation("NUMERIC", true);
        var peg$e490 = peg$literalExpectation("NVARCHAR", true);
        var peg$e491 = peg$literalExpectation("OBJECT", true);
        var peg$e492 = peg$literalExpectation("OF", true);
        var peg$e493 = peg$literalExpectation("OFF", true);
        var peg$e494 = peg$literalExpectation("OFFSET", true);
        var peg$e495 = peg$literalExpectation("OIDS", true);
        var peg$e496 = peg$literalExpectation("OLD", true);
        var peg$e497 = peg$literalExpectation("ON", true);
        var peg$e498 = peg$literalExpectation("ONLY", true);
        var peg$e499 = peg$literalExpectation("OPERATOR", true);
        var peg$e500 = peg$literalExpectation("OPTION", true);
        var peg$e501 = peg$literalExpectation("OPTIONALLY", true);
        var peg$e502 = peg$literalExpectation("OPTIONS", true);
        var peg$e503 = peg$literalExpectation("OR", true);
        var peg$e504 = peg$literalExpectation("ORDER", true);
        var peg$e505 = peg$literalExpectation("ORDINAL", true);
        var peg$e506 = peg$literalExpectation("ORDINALITY", true);
        var peg$e507 = peg$literalExpectation("ORGANIZATION", true);
        var peg$e508 = peg$literalExpectation("OTHERS", true);
        var peg$e509 = peg$literalExpectation("OUT", true);
        var peg$e510 = peg$literalExpectation("OUTER", true);
        var peg$e511 = peg$literalExpectation("OUTFILE", true);
        var peg$e512 = peg$literalExpectation("OVER", true);
        var peg$e513 = peg$literalExpectation("OVERRIDING", true);
        var peg$e514 = peg$literalExpectation("OVERWRITE", true);
        var peg$e515 = peg$literalExpectation("OWNED", true);
        var peg$e516 = peg$literalExpectation("OWNER", true);
        var peg$e517 = peg$literalExpectation("PACK_KEYS", true);
        var peg$e518 = peg$literalExpectation("PARALLEL", true);
        var peg$e519 = peg$literalExpectation("PARAMETER", true);
        var peg$e520 = peg$literalExpectation("PARSER", true);
        var peg$e521 = peg$literalExpectation("PARTIAL", true);
        var peg$e522 = peg$literalExpectation("PARTITION", true);
        var peg$e523 = peg$literalExpectation("PASSWORD", true);
        var peg$e524 = peg$literalExpectation("PERCENT", true);
        var peg$e525 = peg$literalExpectation("PERCENT_RANK", true);
        var peg$e526 = peg$literalExpectation("PERMISSIVE", true);
        var peg$e527 = peg$literalExpectation("PERSIST", true);
        var peg$e528 = peg$literalExpectation("PERSIST_ONLY", true);
        var peg$e529 = peg$literalExpectation("PIVOT", true);
        var peg$e530 = peg$literalExpectation("PLAIN", true);
        var peg$e531 = peg$literalExpectation("PLAN", true);
        var peg$e532 = peg$literalExpectation("POLICIES", true);
        var peg$e533 = peg$literalExpectation("POLICY", true);
        var peg$e534 = peg$literalExpectation("PRAGMA", true);
        var peg$e535 = peg$literalExpectation("PRECEDING", true);
        var peg$e536 = peg$literalExpectation("PRECISION", true);
        var peg$e537 = peg$literalExpectation("PRESERVE", true);
        var peg$e538 = peg$literalExpectation("PRIMARY", true);
        var peg$e539 = peg$literalExpectation("PRIVILEGES", true);
        var peg$e540 = peg$literalExpectation("PROCEDURE", true);
        var peg$e541 = peg$literalExpectation("PROCEDURES", true);
        var peg$e542 = peg$literalExpectation("PROJECT", true);
        var peg$e543 = peg$literalExpectation("PUBLIC", true);
        var peg$e544 = peg$literalExpectation("QUALIFY", true);
        var peg$e545 = peg$literalExpectation("QUARTER", true);
        var peg$e546 = peg$literalExpectation("QUERY", true);
        var peg$e547 = peg$literalExpectation("QUICK", true);
        var peg$e548 = peg$literalExpectation("RAISE", true);
        var peg$e549 = peg$literalExpectation("RANGE", true);
        var peg$e550 = peg$literalExpectation("RANK", true);
        var peg$e551 = peg$literalExpectation("READ", true);
        var peg$e552 = peg$literalExpectation("REAL", true);
        var peg$e553 = peg$literalExpectation("RECURSIVE", true);
        var peg$e554 = peg$literalExpectation("REDUNDANT", true);
        var peg$e555 = peg$literalExpectation("REFERENCES", true);
        var peg$e556 = peg$literalExpectation("REFERENCING", true);
        var peg$e557 = peg$literalExpectation("REFRESH", true);
        var peg$e558 = peg$literalExpectation("REGEXP", true);
        var peg$e559 = peg$literalExpectation("REINDEX", true);
        var peg$e560 = peg$literalExpectation("RELEASE", true);
        var peg$e561 = peg$literalExpectation("REMAINDER", true);
        var peg$e562 = peg$literalExpectation("REMOTE", true);
        var peg$e563 = peg$literalExpectation("RENAME", true);
        var peg$e564 = peg$literalExpectation("REPEAT", true);
        var peg$e565 = peg$literalExpectation("REPEATABLE", true);
        var peg$e566 = peg$literalExpectation("REPLACE", true);
        var peg$e567 = peg$literalExpectation("REPLICA", true);
        var peg$e568 = peg$literalExpectation("REPLICATION", true);
        var peg$e569 = peg$literalExpectation("RESERVATION", true);
        var peg$e570 = peg$literalExpectation("RESET", true);
        var peg$e571 = peg$literalExpectation("RESPECT", true);
        var peg$e572 = peg$literalExpectation("RESTART", true);
        var peg$e573 = peg$literalExpectation("RESTRICT", true);
        var peg$e574 = peg$literalExpectation("RESTRICTED", true);
        var peg$e575 = peg$literalExpectation("RESTRICTIVE", true);
        var peg$e576 = peg$literalExpectation("RETURN", true);
        var peg$e577 = peg$literalExpectation("RETURNING", true);
        var peg$e578 = peg$literalExpectation("RETURNS", true);
        var peg$e579 = peg$literalExpectation("REVOKE", true);
        var peg$e580 = peg$literalExpectation("RIGHT", true);
        var peg$e581 = peg$literalExpectation("RLIKE", true);
        var peg$e582 = peg$literalExpectation("ROLE", true);
        var peg$e583 = peg$literalExpectation("ROLLBACK", true);
        var peg$e584 = peg$literalExpectation("ROLLUP", true);
        var peg$e585 = peg$literalExpectation("ROUTINE", true);
        var peg$e586 = peg$literalExpectation("ROUTINES", true);
        var peg$e587 = peg$literalExpectation("ROW", true);
        var peg$e588 = peg$literalExpectation("ROW_FORMAT", true);
        var peg$e589 = peg$literalExpectation("ROW_NUMBER", true);
        var peg$e590 = peg$literalExpectation("ROWID", true);
        var peg$e591 = peg$literalExpectation("ROWS", true);
        var peg$e592 = peg$literalExpectation("RULE", true);
        var peg$e593 = peg$literalExpectation("SAFE", true);
        var peg$e594 = peg$literalExpectation("SAFE_CAST", true);
        var peg$e595 = peg$literalExpectation("SAFE_OFFSET", true);
        var peg$e596 = peg$literalExpectation("SAFE_ORDINAL", true);
        var peg$e597 = peg$literalExpectation("SATURDAY", true);
        var peg$e598 = peg$literalExpectation("SAVEPOINT", true);
        var peg$e599 = peg$literalExpectation("SCHEMA", true);
        var peg$e600 = peg$literalExpectation("SEARCH", true);
        var peg$e601 = peg$literalExpectation("SECOND", true);
        var peg$e602 = peg$literalExpectation("SECOND_MICROSECOND", true);
        var peg$e603 = peg$literalExpectation("SECONDARY_ENGINE_ATTRIBUTE", true);
        var peg$e604 = peg$literalExpectation("SECURITY", true);
        var peg$e605 = peg$literalExpectation("SELECT", true);
        var peg$e606 = peg$literalExpectation("SEQUENCE", true);
        var peg$e607 = peg$literalExpectation("SEQUENCES", true);
        var peg$e608 = peg$literalExpectation("SERIALIZABLE", true);
        var peg$e609 = peg$literalExpectation("SERVER", true);
        var peg$e610 = peg$literalExpectation("SESSION", true);
        var peg$e611 = peg$literalExpectation("SESSION_USER", true);
        var peg$e612 = peg$literalExpectation("SET", true);
        var peg$e613 = peg$literalExpectation("SETS", true);
        var peg$e614 = peg$literalExpectation("SHARE", true);
        var peg$e615 = peg$literalExpectation("SHARED", true);
        var peg$e616 = peg$literalExpectation("SHOW", true);
        var peg$e617 = peg$literalExpectation("SIGNED", true);
        var peg$e618 = peg$literalExpectation("SIMILAR", true);
        var peg$e619 = peg$literalExpectation("SIMPLE", true);
        var peg$e620 = peg$literalExpectation("SKIP", true);
        var peg$e621 = peg$literalExpectation("SMALLINT", true);
        var peg$e622 = peg$literalExpectation("SNAPSHOT", true);
        var peg$e623 = peg$literalExpectation("SOME", true);
        var peg$e624 = peg$literalExpectation("SOUNDS", true);
        var peg$e625 = peg$literalExpectation("SOURCE", true);
        var peg$e626 = peg$literalExpectation("SPATIAL", true);
        var peg$e627 = peg$literalExpectation("SQL", true);
        var peg$e628 = peg$literalExpectation("SQL_BIG_RESULT", true);
        var peg$e629 = peg$literalExpectation("SQL_BUFFER_RESULT", true);
        var peg$e630 = peg$literalExpectation("SQL_CACHE", true);
        var peg$e631 = peg$literalExpectation("SQL_CALC_FOUND_ROWS", true);
        var peg$e632 = peg$literalExpectation("SQL_NO_CACHE", true);
        var peg$e633 = peg$literalExpectation("SQL_SMALL_RESULT", true);
        var peg$e634 = peg$literalExpectation("STABLE", true);
        var peg$e635 = peg$literalExpectation("START", true);
        var peg$e636 = peg$literalExpectation("STARTING", true);
        var peg$e637 = peg$literalExpectation("STATEMENT", true);
        var peg$e638 = peg$literalExpectation("STATISTICS", true);
        var peg$e639 = peg$literalExpectation("STATS_AUTO_RECALC", true);
        var peg$e640 = peg$literalExpectation("STATS_PERSISTENT", true);
        var peg$e641 = peg$literalExpectation("STATS_SAMPLE_PAGES", true);
        var peg$e642 = peg$literalExpectation("STORAGE", true);
        var peg$e643 = peg$literalExpectation("STORED", true);
        var peg$e644 = peg$literalExpectation("STRAIGHT_JOIN", true);
        var peg$e645 = peg$literalExpectation("STRICT", true);
        var peg$e646 = peg$literalExpectation("STRING", true);
        var peg$e647 = peg$literalExpectation("STRUCT", true);
        var peg$e648 = peg$literalExpectation("SUM", true);
        var peg$e649 = peg$literalExpectation("SUNDAY", true);
        var peg$e650 = peg$literalExpectation("SUPERUSER", true);
        var peg$e651 = peg$literalExpectation("SUPPORT", true);
        var peg$e652 = peg$literalExpectation("SYMMETRIC", true);
        var peg$e653 = peg$literalExpectation("SYSID", true);
        var peg$e654 = peg$literalExpectation("SYSTEM", true);
        var peg$e655 = peg$literalExpectation("SYSTEM_TIME", true);
        var peg$e656 = peg$literalExpectation("SYSTEM_USER", true);
        var peg$e657 = peg$literalExpectation("TABLE", true);
        var peg$e658 = peg$literalExpectation("TABLES", true);
        var peg$e659 = peg$literalExpectation("TABLESAMPLE", true);
        var peg$e660 = peg$literalExpectation("TABLESPACE", true);
        var peg$e661 = peg$literalExpectation("TARGET", true);
        var peg$e662 = peg$literalExpectation("TEMP", true);
        var peg$e663 = peg$literalExpectation("TEMPORARY", true);
        var peg$e664 = peg$literalExpectation("TEMPTABLE", true);
        var peg$e665 = peg$literalExpectation("TERMINATED", true);
        var peg$e666 = peg$literalExpectation("TEXT", true);
        var peg$e667 = peg$literalExpectation("THEN", true);
        var peg$e668 = peg$literalExpectation("THURSDAY", true);
        var peg$e669 = peg$literalExpectation("TIES", true);
        var peg$e670 = peg$literalExpectation("TIME", true);
        var peg$e671 = peg$literalExpectation("TIMESTAMP", true);
        var peg$e672 = peg$literalExpectation("TIMEZONE", true);
        var peg$e673 = peg$literalExpectation("TIMEZONE_HOUR", true);
        var peg$e674 = peg$literalExpectation("TIMEZONE_MINUTE", true);
        var peg$e675 = peg$literalExpectation("TINYBLOB", true);
        var peg$e676 = peg$literalExpectation("TINYINT", true);
        var peg$e677 = peg$literalExpectation("TINYTEXT", true);
        var peg$e678 = peg$literalExpectation("TO", true);
        var peg$e679 = peg$literalExpectation("TRANSACTION", true);
        var peg$e680 = peg$literalExpectation("TRANSFORM", true);
        var peg$e681 = peg$literalExpectation("TRIGGER", true);
        var peg$e682 = peg$literalExpectation("TRUE", true);
        var peg$e683 = peg$literalExpectation("TRUNCATE", true);
        var peg$e684 = peg$literalExpectation("TUESDAY", true);
        var peg$e685 = peg$literalExpectation("TYPE", true);
        var peg$e686 = peg$literalExpectation("UESCAPE", true);
        var peg$e687 = peg$literalExpectation("UNBOUNDED", true);
        var peg$e688 = peg$literalExpectation("UNCOMMITTED", true);
        var peg$e689 = peg$literalExpectation("UNDEFINED", true);
        var peg$e690 = peg$literalExpectation("UNION", true);
        var peg$e691 = peg$literalExpectation("UNIQUE", true);
        var peg$e692 = peg$literalExpectation("UNKNOWN", true);
        var peg$e693 = peg$literalExpectation("UNLOCK", true);
        var peg$e694 = peg$literalExpectation("UNLOGGED", true);
        var peg$e695 = peg$literalExpectation("UNNEST", true);
        var peg$e696 = peg$literalExpectation("UNPIVOT", true);
        var peg$e697 = peg$literalExpectation("UNSAFE", true);
        var peg$e698 = peg$literalExpectation("UNSIGNED", true);
        var peg$e699 = peg$literalExpectation("UNTIL", true);
        var peg$e700 = peg$literalExpectation("UPDATE", true);
        var peg$e701 = peg$literalExpectation("USAGE", true);
        var peg$e702 = peg$literalExpectation("USE", true);
        var peg$e703 = peg$literalExpectation("USER", true);
        var peg$e704 = peg$literalExpectation("USING", true);
        var peg$e705 = peg$literalExpectation("VACUUM", true);
        var peg$e706 = peg$literalExpectation("VALID", true);
        var peg$e707 = peg$literalExpectation("VALIDATE", true);
        var peg$e708 = peg$literalExpectation("VALUE", true);
        var peg$e709 = peg$literalExpectation("VALUES", true);
        var peg$e710 = peg$literalExpectation("VARBINARY", true);
        var peg$e711 = peg$literalExpectation("VARCHAR", true);
        var peg$e712 = peg$literalExpectation("VARIADIC", true);
        var peg$e713 = peg$literalExpectation("VARYING", true);
        var peg$e714 = peg$literalExpectation("VECTOR", true);
        var peg$e715 = peg$literalExpectation("VERBOSE", true);
        var peg$e716 = peg$literalExpectation("VIEW", true);
        var peg$e717 = peg$literalExpectation("VIRTUAL", true);
        var peg$e718 = peg$literalExpectation("VISIBLE", true);
        var peg$e719 = peg$literalExpectation("VOLATILE", true);
        var peg$e720 = peg$literalExpectation("WAIT", true);
        var peg$e721 = peg$literalExpectation("WEDNESDAY", true);
        var peg$e722 = peg$literalExpectation("WEEK", true);
        var peg$e723 = peg$literalExpectation("WHEN", true);
        var peg$e724 = peg$literalExpectation("WHERE", true);
        var peg$e725 = peg$literalExpectation("WHILE", true);
        var peg$e726 = peg$literalExpectation("WINDOW", true);
        var peg$e727 = peg$literalExpectation("WITH", true);
        var peg$e728 = peg$literalExpectation("WITHOUT", true);
        var peg$e729 = peg$literalExpectation("WORK", true);
        var peg$e730 = peg$literalExpectation("WRAPPER", true);
        var peg$e731 = peg$literalExpectation("WRITE", true);
        var peg$e732 = peg$literalExpectation("XOR", true);
        var peg$e733 = peg$literalExpectation("YEAR", true);
        var peg$e734 = peg$literalExpectation("YEAR_MONTH", true);
        var peg$e735 = peg$literalExpectation("ZEROFILL", true);
        var peg$e736 = peg$literalExpectation("ZONE", true);
        // @ts-ignore
        var peg$f0 = function (c1, program, c2) {
            // @ts-ignore
            return (0, whitespace_1.surrounding)(c1, program, c2);
        }; // @ts-ignore
        var peg$f1 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "program",
                // @ts-ignore
                statements: (0, list_1.readCommaSepList)(head, tail),
            });
        }; // @ts-ignore
        var peg$f2 = function () {
            return (0, parserState_1.isAcceptUnsupportedGrammar)();
        }; // @ts-ignore
        var peg$f3 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f4 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f5 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f6 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f7 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f8 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f9 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f10 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f11 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f12 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f13 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f14 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f15 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f16 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f17 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "empty" });
        }; // @ts-ignore
        var peg$f18 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "program",
                // @ts-ignore
                statements: (0, list_1.readCommaSepList)(head, tail),
            });
        }; // @ts-ignore
        var peg$f19 = function () {
            // @ts-ignore
            return ({
                // @ts-ignore
                type: "program",
                // @ts-ignore
                statements: [],
            });
        }; // @ts-ignore
        var peg$f20 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f21 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f22 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f23 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createCompoundSelectStmtChain)(head, tail);
        }; // @ts-ignore
        var peg$f24 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f25 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createCompoundSelectStmtChain)(head, tail);
        }; // @ts-ignore
        var peg$f26 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f27 = function (cte, select, otherClauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "select_stmt",
                // @ts-ignore
                clauses: [(0, read_1.read)(cte), (0, read_1.read)(select), ...otherClauses.map(read_1.read)].filter(generic_1.identity),
            });
        }; // @ts-ignore
        var peg$f28 = function (v) {
            return v;
        }; // @ts-ignore
        var peg$f29 = function (t) {
            return t;
        }; // @ts-ignore
        var peg$f30 = function (kw, table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "table_clause",
                // @ts-ignore
                tableKw: (0, read_1.read)(kw),
                // @ts-ignore
                table,
            });
        }; // @ts-ignore
        var peg$f31 = function (tableCls) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "select_stmt",
                // @ts-ignore
                clauses: [tableCls],
            });
        }; // @ts-ignore
        var peg$f32 = function (withKw, recursiveKw, tables) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "with_clause",
                // @ts-ignore
                withKw,
                // @ts-ignore
                recursiveKw: (0, read_1.read)(recursiveKw),
                // @ts-ignore
                tables: (0, read_1.read)(tables),
            });
        }; // @ts-ignore
        var peg$f33 = function (table, columns, asKw, materialized, expr, search, cycle) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "common_table_expr",
                // @ts-ignore
                table: table,
                // @ts-ignore
                columns: (0, read_1.read)(columns),
                // @ts-ignore
                asKw: (0, read_1.read)(asKw),
                // @ts-ignore
                materializedKw: (0, read_1.read)(materialized),
                // @ts-ignore
                expr: (0, read_1.read)(expr),
                // @ts-ignore
                search: (0, read_1.read)(search),
                // @ts-ignore
                cycle: (0, read_1.read)(cycle),
            });
        }; // @ts-ignore
        var peg$f34 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f35 = function (stmt) {
            return stmt;
        }; // @ts-ignore
        var peg$f36 = function (kw, columns, setKw, result) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "cte_search_clause",
                // @ts-ignore
                searchKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns: columns,
                // @ts-ignore
                setKw: (0, read_1.read)(setKw),
                // @ts-ignore
                resultColumn: result,
            });
        }; // @ts-ignore
        var peg$f37 = function (kw, columns, setKw, resultColumn, values, usingKw, pathColumn) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "cte_cycle_clause",
                // @ts-ignore
                cycleKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns: columns,
                // @ts-ignore
                setKw: (0, read_1.read)(setKw),
                // @ts-ignore
                resultColumn: resultColumn,
                // @ts-ignore
                values: (0, read_1.read)(values),
                // @ts-ignore
                usingKw: (0, read_1.read)(usingKw),
                // @ts-ignore
                pathColumn: pathColumn,
            });
        }; // @ts-ignore
        var peg$f38 = function (toKw, markValue, defaultKw, defaultValue) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "cte_cycle_clause_values",
                // @ts-ignore
                toKw: (0, read_1.read)(toKw),
                // @ts-ignore
                markValue: markValue,
                // @ts-ignore
                defaultKw: (0, read_1.read)(defaultKw),
                // @ts-ignore
                defaultValue: defaultValue,
            });
        }; // @ts-ignore
        var peg$f39 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f40 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f41 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f42 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f43 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f44 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f45 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f46 = function (selectKw, modifiers, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "select_clause",
                // @ts-ignore
                selectKw,
                // @ts-ignore
                modifiers: modifiers.map(read_1.read),
                // @ts-ignore
                columns: (0, read_1.read)(columns),
            });
        }; // @ts-ignore
        var peg$f47 = function (selectKw, modifiers, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "select_clause",
                // @ts-ignore
                selectKw,
                // @ts-ignore
                modifiers: modifiers.map(read_1.read),
                // @ts-ignore
                columns: (0, read_1.read)(columns),
            });
        }; // @ts-ignore
        var peg$f48 = function (selectKw, modifiers, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "select_clause",
                // @ts-ignore
                selectKw,
                // @ts-ignore
                modifiers: modifiers.map(read_1.read),
                // @ts-ignore
                columns: (0, read_1.read)(columns),
            });
        }; // @ts-ignore
        var peg$f49 = function (selectKw, modifiers, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "select_clause",
                // @ts-ignore
                selectKw,
                // @ts-ignore
                modifiers: modifiers.map(read_1.read),
                // @ts-ignore
                columns: (0, read_1.read)(columns),
            });
        }; // @ts-ignore
        var peg$f50 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "select_all", allKw: kw });
        }; // @ts-ignore
        var peg$f51 = function (kw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "select_distinct_on", distinctOnKw: (0, read_1.read)(kw), columns });
        }; // @ts-ignore
        var peg$f52 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "select_distinct", distinctKw: kw });
        }; // @ts-ignore
        var peg$f53 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "select_distinct", distinctKw: kw });
        }; // @ts-ignore
        var peg$f54 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "select_as_struct", asStructKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f55 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "select_as_value", asValueKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f56 = function (k) {
            return k;
        }; // @ts-ignore
        var peg$f57 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "mysql_modifier",
                // @ts-ignore
                modifierKw: kw,
            });
        }; // @ts-ignore
        var peg$f58 = function (head, tail, trailing) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, trailing ? [...tail, trailing] : tail));
        }; // @ts-ignore
        var peg$f59 = function (expr, kw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "except_columns",
                // @ts-ignore
                expr,
                // @ts-ignore
                exceptKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns,
            });
        }; // @ts-ignore
        var peg$f60 = function (expr, kw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "replace_columns",
                // @ts-ignore
                expr,
                // @ts-ignore
                replaceKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns,
            });
        }; // @ts-ignore
        var peg$f61 = function (expr, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(expr, alias));
        }; // @ts-ignore
        var peg$f62 = function (table, star) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "member_expr",
                // @ts-ignore
                object: (0, read_1.read)(table),
                // @ts-ignore
                property: (0, read_1.read)(star),
            });
        }; // @ts-ignore
        var peg$f63 = function () {
            return (0, loc_1.loc)({ type: "all_columns" });
        }; // @ts-ignore
        var peg$f64 = function (kw, id, columnAliases) {
            // @ts-ignore
            return {
                // @ts-ignore
                asKw: kw,
                // @ts-ignore
                alias: (0, read_1.read)(id),
                // @ts-ignore
                columnAliases: (0, read_1.read)(columnAliases),
            };
        }; // @ts-ignore
        var peg$f65 = function (id) {
            // @ts-ignore
            return { alias: id, columnAliases: undefined };
        }; // @ts-ignore
        var peg$f66 = function (id, columnAliases) {
            // @ts-ignore
            return { alias: id, columnAliases: (0, read_1.read)(columnAliases) };
        }; // @ts-ignore
        var peg$f67 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f68 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "from_clause",
                // @ts-ignore
                fromKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f69 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "from_clause",
                // @ts-ignore
                fromKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f70 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "dual_table",
                // @ts-ignore
                dualKw: kw,
            });
        }; // @ts-ignore
        var peg$f71 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createJoinExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f72 = function (c1, op, right, spec) {
            // @ts-ignore
            return (left) => ({
                // @ts-ignore
                type: "join_expr",
                // @ts-ignore
                left: (0, whitespace_1.trailing)(left, c1),
                // @ts-ignore
                operator: op,
                // @ts-ignore
                right: (0, read_1.read)(right),
                // @ts-ignore
                specification: (0, read_1.read)(spec),
            });
        }; // @ts-ignore
        var peg$f73 = function (table, kw, id) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "indexed_table",
                // @ts-ignore
                table: (0, read_1.read)(table),
                // @ts-ignore
                indexedByKw: (0, read_1.read)(kw),
                // @ts-ignore
                index: (0, read_1.read)(id),
            });
        }; // @ts-ignore
        var peg$f74 = function (table, kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "not_indexed_table",
                // @ts-ignore
                table: (0, read_1.read)(table),
                // @ts-ignore
                notIndexedKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f75 = function (table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "table_with_inheritance",
                // @ts-ignore
                table: (0, read_1.read)(table),
            });
        }; // @ts-ignore
        var peg$f76 = function (kw, table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "table_without_inheritance",
                // @ts-ignore
                onlyKw: (0, read_1.read)(kw),
                // @ts-ignore
                table: (0, read_1.read)(table),
            });
        }; // @ts-ignore
        var peg$f77 = function (fn, asKw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "func_call_with_column_definitions",
                // @ts-ignore
                funcCall: fn,
                // @ts-ignore
                asKw: (0, read_1.read)(asKw),
                // @ts-ignore
                columns: columns,
            });
        }; // @ts-ignore
        var peg$f78 = function (alias) {
            return alias.type === "alias";
        }; // @ts-ignore
        var peg$f79 = function (alias, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "func_call_with_column_definitions",
                // @ts-ignore
                funcCall: alias,
                // @ts-ignore
                asKw: undefined,
                // @ts-ignore
                columns: (0, read_1.read)(columns),
            });
        }; // @ts-ignore
        var peg$f80 = function (expr, kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "with_ordinality_expr",
                // @ts-ignore
                expr,
                // @ts-ignore
                withOrdinalityKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f81 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "lateral_derived_table",
                // @ts-ignore
                lateralKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f82 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "lateral_derived_table",
                // @ts-ignore
                lateralKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f83 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "rows_from_expr",
                // @ts-ignore
                rowsFromKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f84 = function (table, kw, partitions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "partitioned_table",
                // @ts-ignore
                table: (0, read_1.read)(table),
                // @ts-ignore
                partitionKw: (0, read_1.read)(kw),
                // @ts-ignore
                partitions,
            });
        }; // @ts-ignore
        var peg$f85 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f86 = function (kw, jt) {
            // @ts-ignore
            return [(0, read_1.read)(kw), ...(jt instanceof Array ? jt : [jt])];
        }; // @ts-ignore
        var peg$f87 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f88 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f89 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f90 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "join_using_specification",
                // @ts-ignore
                usingKw: kw,
                // @ts-ignore
                expr: (0, read_1.read)(expr),
            });
        }; // @ts-ignore
        var peg$f91 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "join_on_specification",
                // @ts-ignore
                onKw: kw,
                // @ts-ignore
                expr: (0, read_1.read)(expr),
            });
        }; // @ts-ignore
        var peg$f92 = function (unnest, kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "unnest_with_offset_expr",
                // @ts-ignore
                unnest,
                // @ts-ignore
                withOffsetKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f93 = function (e) {
            return e;
        }; // @ts-ignore
        var peg$f94 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "unnest_expr",
                // @ts-ignore
                unnestKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f95 = function (c1, kw, args) {
            // @ts-ignore
            return (left) => ({
                // @ts-ignore
                type: "pivot_expr",
                // @ts-ignore
                left: (0, whitespace_1.trailing)(left, c1),
                // @ts-ignore
                pivotKw: (0, read_1.read)(kw),
                // @ts-ignore
                args,
            });
        }; // @ts-ignore
        var peg$f96 = function (fns, forKw, col, inKw, pCols) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "pivot_for_in",
                // @ts-ignore
                aggregations: (0, read_1.read)(fns),
                // @ts-ignore
                forKw: (0, read_1.read)(forKw),
                // @ts-ignore
                inputColumn: (0, read_1.read)(col),
                // @ts-ignore
                inKw: (0, read_1.read)(inKw),
                // @ts-ignore
                pivotColumns: pCols,
            });
        }; // @ts-ignore
        var peg$f97 = function (c1, kw, nulls, args) {
            // @ts-ignore
            return (left) => ({
                // @ts-ignore
                type: "unpivot_expr",
                // @ts-ignore
                left: (0, whitespace_1.trailing)(left, c1),
                // @ts-ignore
                unpivotKw: (0, read_1.read)(kw),
                // @ts-ignore
                nullHandlingKw: (0, read_1.read)(nulls),
                // @ts-ignore
                args,
            });
        }; // @ts-ignore
        var peg$f98 = function (vCol, forKw, nCol, inKw, upCols) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "unpivot_for_in",
                // @ts-ignore
                valuesColumn: (0, read_1.read)(vCol),
                // @ts-ignore
                forKw: (0, read_1.read)(forKw),
                // @ts-ignore
                nameColumn: (0, read_1.read)(nCol),
                // @ts-ignore
                inKw: (0, read_1.read)(inKw),
                // @ts-ignore
                unpivotColumns: upCols,
            });
        }; // @ts-ignore
        var peg$f99 = function (c1, kw, method, args, repeatable) {
            // @ts-ignore
            return (left) => ({
                // @ts-ignore
                type: "tablesample_expr",
                // @ts-ignore
                left: (0, whitespace_1.trailing)(left, c1),
                // @ts-ignore
                tablesampleKw: (0, read_1.read)(kw),
                // @ts-ignore
                method: (0, read_1.read)(method),
                // @ts-ignore
                args,
                // @ts-ignore
                repeatable: (0, read_1.read)(repeatable),
            });
        }; // @ts-ignore
        var peg$f100 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "tablesample_method", methodKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f101 = function (p, kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "tablesample_percent",
                // @ts-ignore
                percent: p,
                // @ts-ignore
                percentKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f102 = function (kw, seed) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "tablesample_repeatable",
                // @ts-ignore
                repeatableKw: (0, read_1.read)(kw),
                // @ts-ignore
                seed,
            });
        }; // @ts-ignore
        var peg$f103 = function (c1, kw, expr) {
            // @ts-ignore
            return (left) => ({
                // @ts-ignore
                type: "for_system_time_as_of_expr",
                // @ts-ignore
                left: (0, whitespace_1.trailing)(left, c1),
                // @ts-ignore
                forSystemTimeAsOfKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f104 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "where_clause",
                // @ts-ignore
                whereKw: kw,
                // @ts-ignore
                expr: (0, read_1.read)(expr),
            });
        }; // @ts-ignore
        var peg$f105 = function (kws, distinctKw, list, rolKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "group_by_clause",
                // @ts-ignore
                groupByKw: (0, read_1.read)(kws),
                // @ts-ignore
                distinctKw: (0, read_1.read)(distinctKw),
                // @ts-ignore
                columns: list,
                // @ts-ignore
                withRollupKw: (0, read_1.read)(rolKw),
            });
        }; // @ts-ignore
        var peg$f106 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f107 = function (kw, cols) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "group_by_rollup",
                // @ts-ignore
                rollupKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns: cols,
            });
        }; // @ts-ignore
        var peg$f108 = function (kw, cols) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "group_by_cube",
                // @ts-ignore
                cubeKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns: cols,
            });
        }; // @ts-ignore
        var peg$f109 = function (kw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "group_by_grouping_sets",
                // @ts-ignore
                groupingSetsKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns,
            });
        }; // @ts-ignore
        var peg$f110 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "group_by_all",
                // @ts-ignore
                allKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f111 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "having_clause",
                // @ts-ignore
                havingKw: kw,
                // @ts-ignore
                expr: (0, read_1.read)(expr),
            });
        }; // @ts-ignore
        var peg$f112 = function (kws, list) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "partition_by_clause",
                // @ts-ignore
                partitionByKw: (0, read_1.read)(kws),
                // @ts-ignore
                specifications: list,
            });
        }; // @ts-ignore
        var peg$f113 = function (kws, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "cluster_by_clause",
                // @ts-ignore
                clusterByKw: (0, read_1.read)(kws),
                // @ts-ignore
                columns,
            });
        }; // @ts-ignore
        var peg$f114 = function (kws, l, rolKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "order_by_clause",
                // @ts-ignore
                orderByKw: (0, read_1.read)(kws),
                // @ts-ignore
                specifications: l,
                // @ts-ignore
                withRollupKw: (0, read_1.read)(rolKw),
            });
        }; // @ts-ignore
        var peg$f115 = function (e, direction, nullsKw) {
            // don't create full sort_specification node when dealing with just a column name
            // @ts-ignore
            if (!direction && !nullsKw && e.type === "identifier") {
                // @ts-ignore
                return e;
            }
            // @ts-ignore
            return (0, loc_1.loc)(Object.assign({ 
                // @ts-ignore
                type: "sort_specification", 
                // @ts-ignore
                expr: (0, read_1.read)(e), 
                // @ts-ignore
                direction: (0, read_1.read)(direction) }, (nullsKw ? { nullHandlingKw: (0, read_1.read)(nullsKw) } : {})));
        }; // @ts-ignore
        var peg$f116 = function (expr, opclass, direction, nullsKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "index_specification",
                // @ts-ignore
                expr,
                // @ts-ignore
                opclass: (0, read_1.read)(opclass),
                // @ts-ignore
                direction: (0, read_1.read)(direction),
                // @ts-ignore
                nullHandlingKw: (0, read_1.read)(nullsKw),
            });
        }; // @ts-ignore
        var peg$f117 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sort_direction_asc", ascKw: kw });
        }; // @ts-ignore
        var peg$f118 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sort_direction_desc", descKw: kw });
        }; // @ts-ignore
        var peg$f119 = function (kw, op) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "sort_direction_using_operator",
                // @ts-ignore
                usingKw: (0, read_1.read)(kw),
                // @ts-ignore
                operator: (0, read_1.read)(op),
            });
        }; // @ts-ignore
        var peg$f120 = function (kws) {
            // @ts-ignore
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f121 = function (kw, all) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "limit_clause",
                // @ts-ignore
                limitKw: kw,
                // @ts-ignore
                count: (0, read_1.read)(all),
            });
        }; // @ts-ignore
        var peg$f122 = function (kw, count, offkw, offset, ex) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "limit_clause",
                // @ts-ignore
                limitKw: kw,
                // @ts-ignore
                count: (0, read_1.read)(count),
                // @ts-ignore
                offsetKw: offkw,
                // @ts-ignore
                offset: (0, read_1.read)(offset),
                // @ts-ignore
                rowsExamined: (0, read_1.read)(ex),
            });
        }; // @ts-ignore
        var peg$f123 = function (kw, offset, count, ex) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "limit_clause",
                // @ts-ignore
                limitKw: kw,
                // @ts-ignore
                offset: (0, read_1.read)(offset),
                // @ts-ignore
                count: (0, read_1.read)(count),
                // @ts-ignore
                rowsExamined: (0, read_1.read)(ex),
            });
        }; // @ts-ignore
        var peg$f124 = function (kw, count, ex) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "limit_clause",
                // @ts-ignore
                limitKw: kw,
                // @ts-ignore
                count: (0, read_1.read)(count),
                // @ts-ignore
                rowsExamined: (0, read_1.read)(ex),
            });
        }; // @ts-ignore
        var peg$f125 = function (kw, ex) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "limit_clause",
                // @ts-ignore
                limitKw: kw,
                // @ts-ignore
                rowsExamined: (0, read_1.read)(ex),
            });
        }; // @ts-ignore
        var peg$f126 = function (allKw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "limit_all", allKw });
        }; // @ts-ignore
        var peg$f127 = function (kw, count) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "limit_rows_examined", rowsExaminedKw: (0, read_1.read)(kw), count });
        }; // @ts-ignore
        var peg$f128 = function (kw, offset, rowsKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "offset_clause",
                // @ts-ignore
                offsetKw: (0, read_1.read)(kw),
                // @ts-ignore
                offset: (0, read_1.read)(offset),
                // @ts-ignore
                rowsKw: (0, read_1.read)(rowsKw),
            });
        }; // @ts-ignore
        var peg$f129 = function (kw, count, rowsKw, tiesKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "fetch_clause",
                // @ts-ignore
                fetchKw: (0, read_1.read)(kw),
                // @ts-ignore
                count: (0, read_1.read)(count),
                // @ts-ignore
                rowsKw: (0, read_1.read)(rowsKw),
                // @ts-ignore
                withTiesKw: (0, read_1.read)(tiesKw),
            });
        }; // @ts-ignore
        var peg$f130 = function (kw, wins) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "window_clause",
                // @ts-ignore
                windowKw: (0, read_1.read)(kw),
                // @ts-ignore
                namedWindows: wins,
            });
        }; // @ts-ignore
        var peg$f131 = function (name, kw, def) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "named_window",
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                asKw: (0, read_1.read)(kw),
                // @ts-ignore
                window: def,
            });
        }; // @ts-ignore
        var peg$f132 = function (name, partitionBy, orderBy, frame) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "window_definition",
                // @ts-ignore
                baseWindowName: (0, read_1.read)(name),
                // @ts-ignore
                partitionBy: (0, read_1.read)(partitionBy),
                // @ts-ignore
                orderBy: (0, read_1.read)(orderBy),
                // @ts-ignore
                frame: (0, read_1.read)(frame),
            });
        }; // @ts-ignore
        var peg$f133 = function (id) {
            return ["PARTITION", "ROWS", "RANGE"].includes(id.name.toUpperCase());
        }; // @ts-ignore
        var peg$f134 = function (id) {
            // @ts-ignore
            return id;
        }; // @ts-ignore
        var peg$f135 = function (kw, extent, exclusion) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "frame_clause",
                // @ts-ignore
                unitKw: kw,
                // @ts-ignore
                extent: (0, read_1.read)(extent),
                // @ts-ignore
                exclusion: (0, read_1.read)(exclusion),
            });
        }; // @ts-ignore
        var peg$f136 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f137 = function (bKw, begin, andKw, end) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "frame_between",
                // @ts-ignore
                betweenKw: bKw,
                // @ts-ignore
                begin: (0, read_1.read)(begin),
                // @ts-ignore
                andKw,
                // @ts-ignore
                end: (0, read_1.read)(end),
            });
        }; // @ts-ignore
        var peg$f138 = function (kws) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "frame_bound_current_row", currentRowKw: (0, read_1.read)(kws) });
        }; // @ts-ignore
        var peg$f139 = function (expr, kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "frame_bound_preceding", expr: (0, read_1.read)(expr), precedingKw: kw });
        }; // @ts-ignore
        var peg$f140 = function (expr, kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "frame_bound_following", expr: (0, read_1.read)(expr), followingKw: kw });
        }; // @ts-ignore
        var peg$f141 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "frame_unbounded", unboundedKw: kw });
        }; // @ts-ignore
        var peg$f142 = function (kw, kindKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "frame_exclusion",
                // @ts-ignore
                excludeKw: (0, read_1.read)(kw),
                // @ts-ignore
                kindKw
            });
        }; // @ts-ignore
        var peg$f143 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f144 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "qualify_clause",
                // @ts-ignore
                qualifyKw: kw,
                // @ts-ignore
                expr: (0, read_1.read)(expr),
            });
        }; // @ts-ignore
        var peg$f145 = function (kw, cols) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "returning_clause",
                // @ts-ignore
                returningKw: kw,
                // @ts-ignore
                columns: (0, read_1.read)(cols),
            });
        }; // @ts-ignore
        var peg$f146 = function (kw, cursor) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "where_current_of_clause",
                // @ts-ignore
                whereCurrentOfKw: (0, read_1.read)(kw),
                // @ts-ignore
                cursor,
            });
        }; // @ts-ignore
        var peg$f147 = function (kw, kind, tableKw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "into_table_clause",
                // @ts-ignore
                intoKw: (0, read_1.read)(kw),
                // @ts-ignore
                kind: (0, read_1.read)(kind),
                // @ts-ignore
                tableKw: (0, read_1.read)(tableKw),
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f148 = function (kw, vars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "into_variables_clause",
                // @ts-ignore
                intoKw: (0, read_1.read)(kw),
                // @ts-ignore
                variables: vars,
            });
        }; // @ts-ignore
        var peg$f149 = function (kw, filename) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "into_dumpfile_clause",
                // @ts-ignore
                intoDumpfileKw: (0, read_1.read)(kw),
                // @ts-ignore
                filename: (0, read_1.read)(filename),
            });
        }; // @ts-ignore
        var peg$f150 = function (kw, filename, charset, fields, lines) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "into_outfile_clause",
                // @ts-ignore
                intoOutfileKw: (0, read_1.read)(kw),
                // @ts-ignore
                filename: (0, read_1.read)(filename),
                // @ts-ignore
                charset: (0, read_1.read)(charset),
                // @ts-ignore
                fields: (0, read_1.read)(fields),
                // @ts-ignore
                lines: (0, read_1.read)(lines),
            });
        }; // @ts-ignore
        var peg$f151 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "outfile_option_character_set",
                // @ts-ignore
                characterSetKw: (0, read_1.read)(kw),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f152 = function (kw, opts) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "outfile_fields",
                // @ts-ignore
                fieldsKw: (0, read_1.read)(kw),
                // @ts-ignore
                options: opts.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f153 = function (kw, opts) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "outfile_lines",
                // @ts-ignore
                linesKw: (0, read_1.read)(kw),
                // @ts-ignore
                options: opts.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f154 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "outfile_option_terminated_by",
                // @ts-ignore
                terminatedByKw: (0, read_1.read)(kw),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f155 = function (opt, kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "outfile_option_enclosed_by",
                // @ts-ignore
                optionallyKw: (0, read_1.read)(opt),
                // @ts-ignore
                enclosedByKw: (0, read_1.read)(kw),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f156 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "outfile_option_starting_by",
                // @ts-ignore
                startingByKw: (0, read_1.read)(kw),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f157 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "outfile_option_escaped_by",
                // @ts-ignore
                escapedByKw: (0, read_1.read)(kw),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f158 = function (kw, strength, tables, waitingKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "for_clause",
                // @ts-ignore
                forKw: (0, read_1.read)(kw),
                // @ts-ignore
                lockStrengthKw: (0, read_1.read)(strength),
                // @ts-ignore
                tables: (0, read_1.read)(tables),
                // @ts-ignore
                waitingKw: (0, read_1.read)(waitingKw),
            });
        }; // @ts-ignore
        var peg$f159 = function (kw, tables) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "for_clause_tables",
                // @ts-ignore
                ofKw: (0, read_1.read)(kw),
                // @ts-ignore
                tables,
            });
        }; // @ts-ignore
        var peg$f160 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "lock_in_share_mode_clause",
                // @ts-ignore
                lockInShareModeKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f161 = function (withCls, insertCls, overridingCls, source, aliasCls, updateCls, upsert, returning) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "insert_stmt",
                // @ts-ignore
                clauses: [
                    // @ts-ignore
                    (0, read_1.read)(withCls),
                    // @ts-ignore
                    insertCls,
                    // @ts-ignore
                    (0, read_1.read)(overridingCls),
                    // @ts-ignore
                    (0, read_1.read)(source),
                    // @ts-ignore
                    (0, read_1.read)(aliasCls),
                    // @ts-ignore
                    (0, read_1.read)(updateCls),
                    // @ts-ignore
                    ...upsert.map(read_1.read),
                    // @ts-ignore
                    (0, read_1.read)(returning),
                    // @ts-ignore
                ].filter(generic_1.identity),
            });
        }; // @ts-ignore
        var peg$f162 = function (insertKw, modifiers, orAction, intoKw, table, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "insert_clause",
                // @ts-ignore
                insertKw,
                // @ts-ignore
                modifiers: modifiers.map(read_1.read),
                // @ts-ignore
                orAction: (0, read_1.read)(orAction),
                // @ts-ignore
                intoKw: (0, read_1.read)(intoKw),
                // @ts-ignore
                table: (0, read_1.read)(table),
                // @ts-ignore
                columns: (0, read_1.read)(columns),
            });
        }; // @ts-ignore
        var peg$f163 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "mysql_modifier", modifierKw: kw });
        }; // @ts-ignore
        var peg$f164 = function (or, act) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "or_alternate_action",
                // @ts-ignore
                orKw: (0, read_1.read)(or),
                // @ts-ignore
                actionKw: (0, read_1.read)(act)
            });
        }; // @ts-ignore
        var peg$f165 = function (t, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(t, alias));
        }; // @ts-ignore
        var peg$f166 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "overriding_clause",
                // @ts-ignore
                overridingKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f167 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f168 = function (kw, values) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "values_clause",
                // @ts-ignore
                valuesKw: kw,
                // @ts-ignore
                values: (0, read_1.read)(values),
            });
        }; // @ts-ignore
        var peg$f169 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f170 = function (list) {
            return list;
        }; // @ts-ignore
        var peg$f171 = function (list) {
            return list;
        }; // @ts-ignore
        var peg$f172 = function (list) {
            return list;
        }; // @ts-ignore
        var peg$f173 = function (kw, row) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "row_constructor",
                // @ts-ignore
                rowKw: (0, read_1.read)(kw),
                // @ts-ignore
                row,
            });
        }; // @ts-ignore
        var peg$f174 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "array_constructor",
                // @ts-ignore
                arrayKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr: expr,
            });
        }; // @ts-ignore
        var peg$f175 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "default", defaultKw: kw });
        }; // @ts-ignore
        var peg$f176 = function (kws) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "default_values", defaultValuesKw: (0, read_1.read)(kws) });
        }; // @ts-ignore
        var peg$f177 = function (kw, target, where, doKw, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "upsert_clause",
                // @ts-ignore
                onConflictKw: (0, read_1.read)(kw),
                // @ts-ignore
                conflictTarget: (0, read_1.read)(target),
                // @ts-ignore
                where: (0, read_1.read)(where),
                // @ts-ignore
                doKw,
                // @ts-ignore
                action: (0, read_1.read)(action),
            });
        }; // @ts-ignore
        var peg$f178 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "conflict_target_on_constraint",
                // @ts-ignore
                onConstraintKw: (0, read_1.read)(kw),
                // @ts-ignore
                constraint: name,
            });
        }; // @ts-ignore
        var peg$f179 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "upsert_action_nothing",
                // @ts-ignore
                nothingKw: kw,
            });
        }; // @ts-ignore
        var peg$f180 = function (kw, set, where) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "upsert_action_update",
                // @ts-ignore
                updateKw: kw,
                // @ts-ignore
                set: (0, read_1.read)(set),
                // @ts-ignore
                where: (0, read_1.read)(where),
            });
        }; // @ts-ignore
        var peg$f181 = function (kw, row, cols) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "row_alias_clause",
                // @ts-ignore
                asKw: (0, read_1.read)(kw),
                // @ts-ignore
                rowAlias: (0, read_1.read)(row),
                // @ts-ignore
                columnAliases: (0, read_1.read)(cols),
            });
        }; // @ts-ignore
        var peg$f182 = function (kw, assignments) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "on_duplicate_key_update_clause",
                // @ts-ignore
                onDuplicateKeyUpdateKw: (0, read_1.read)(kw),
                // @ts-ignore
                assignments,
            });
        }; // @ts-ignore
        var peg$f183 = function (withClause, updateClause, setClause, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "update_stmt",
                // @ts-ignore
                clauses: [
                    // @ts-ignore
                    (0, read_1.read)(withClause),
                    // @ts-ignore
                    (0, read_1.read)(updateClause),
                    // @ts-ignore
                    (0, read_1.read)(setClause),
                    // @ts-ignore
                    ...clauses.map(read_1.read),
                    // @ts-ignore
                ].filter(generic_1.identity),
            });
        }; // @ts-ignore
        var peg$f184 = function (kw, modifiers, orAction, tables) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "update_clause",
                // @ts-ignore
                updateKw: (0, read_1.read)(kw),
                // @ts-ignore
                modifiers: modifiers.map(read_1.read),
                // @ts-ignore
                orAction: (0, read_1.read)(orAction),
                // @ts-ignore
                tables: tables,
            });
        }; // @ts-ignore
        var peg$f185 = function (kw, set) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "set_clause",
                // @ts-ignore
                setKw: (0, read_1.read)(kw),
                // @ts-ignore
                assignments: set,
            });
        }; // @ts-ignore
        var peg$f186 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f187 = function (col, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "column_assignment",
                // @ts-ignore
                column: (0, read_1.read)(col),
                // @ts-ignore
                expr: (0, read_1.read)(expr),
            });
        }; // @ts-ignore
        var peg$f188 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f189 = function (withClause, deleteClause, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "delete_stmt",
                // @ts-ignore
                clauses: [
                    // @ts-ignore
                    (0, read_1.read)(withClause),
                    // @ts-ignore
                    (0, read_1.read)(deleteClause),
                    // @ts-ignore
                    ...clauses.map(read_1.read),
                    // @ts-ignore
                ].filter(generic_1.identity),
            });
        }; // @ts-ignore
        var peg$f190 = function (delKw, modifiers, fromKw, tables) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "delete_clause",
                // @ts-ignore
                deleteKw: (0, read_1.read)(delKw),
                // @ts-ignore
                modifiers: modifiers.map(read_1.read),
                // @ts-ignore
                fromKw: (0, read_1.read)(fromKw),
                // @ts-ignore
                tables,
            });
        }; // @ts-ignore
        var peg$f191 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "mysql_modifier", modifierKw: kw });
        }; // @ts-ignore
        var peg$f192 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f193 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f194 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f195 = function (kw, tableKw, tables, resConKw, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "truncate_stmt",
                // @ts-ignore
                truncateKw: (0, read_1.read)(kw),
                // @ts-ignore
                tableKw: (0, read_1.read)(tableKw),
                // @ts-ignore
                tables: tables,
                // @ts-ignore
                restartOrContinueKw: (0, read_1.read)(resConKw),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f196 = function (withClause, mergeClause, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "merge_stmt",
                // @ts-ignore
                clauses: [
                    // @ts-ignore
                    (0, read_1.read)(withClause),
                    // @ts-ignore
                    (0, read_1.read)(mergeClause),
                    // @ts-ignore
                    ...clauses.map(read_1.read),
                    // @ts-ignore
                ].filter(generic_1.identity),
            });
        }; // @ts-ignore
        var peg$f197 = function (mergeKw, intoKw, target, usingKw, source, onKw, condition) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "merge_clause",
                // @ts-ignore
                mergeKw: (0, read_1.read)(mergeKw),
                // @ts-ignore
                intoKw: (0, read_1.read)(intoKw),
                // @ts-ignore
                target: (0, read_1.read)(target),
                // @ts-ignore
                usingKw: (0, read_1.read)(usingKw),
                // @ts-ignore
                source: (0, read_1.read)(source),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                condition,
            });
        }; // @ts-ignore
        var peg$f198 = function (whenKw, matchedKw, byKw, condition, thenKw, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "merge_when_clause",
                // @ts-ignore
                whenKw: (0, read_1.read)(whenKw),
                // @ts-ignore
                matchedKw: (0, read_1.read)(matchedKw),
                // @ts-ignore
                byKw: (0, read_1.read)(byKw),
                // @ts-ignore
                condition: (0, read_1.read)(condition),
                // @ts-ignore
                thenKw: (0, read_1.read)(thenKw),
                // @ts-ignore
                action,
            });
        }; // @ts-ignore
        var peg$f199 = function (kw, e) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "merge_when_condition",
                // @ts-ignore
                andKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr: e,
            });
        }; // @ts-ignore
        var peg$f200 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f201 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "merge_action_do_nothing",
                // @ts-ignore
                doNothingKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f202 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "merge_action_delete",
                // @ts-ignore
                deleteKw: kw,
            });
        }; // @ts-ignore
        var peg$f203 = function (updateKw, set) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "merge_action_update",
                // @ts-ignore
                updateKw: (0, read_1.read)(updateKw),
                // @ts-ignore
                set,
            });
        }; // @ts-ignore
        var peg$f204 = function (insertKw, columns, overriding, values) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "merge_action_insert",
                // @ts-ignore
                insertKw: (0, read_1.read)(insertKw),
                // @ts-ignore
                columns: (0, read_1.read)(columns),
                // @ts-ignore
                clauses: [
                    // @ts-ignore
                    (0, read_1.read)(overriding),
                    // @ts-ignore
                    values
                    // @ts-ignore
                ].filter(generic_1.identity),
            });
        }; // @ts-ignore
        var peg$f205 = function (rowKw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "merge_action_insert_row_clause", rowKw });
        }; // @ts-ignore
        var peg$f206 = function (createKw, repKw, kinds, viewKw, ifKw, name, cols, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_view_stmt",
                // @ts-ignore
                createKw,
                // @ts-ignore
                orReplaceKw: (0, read_1.read)(repKw),
                // @ts-ignore
                kinds: kinds.map(read_1.read),
                // @ts-ignore
                viewKw: (0, read_1.read)(viewKw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                columns: (0, read_1.read)(cols),
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f207 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "relation_kind", kindKw: kw });
        }; // @ts-ignore
        var peg$f208 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "relation_kind", kindKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f209 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "relation_kind", kindKw: kw });
        }; // @ts-ignore
        var peg$f210 = function (name, constraints) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "column_definition",
                // @ts-ignore
                name,
                // @ts-ignore
                constraints: constraints.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f211 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f212 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f213 = function (kw, levelKw, checkOptionKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "with_check_option_clause",
                // @ts-ignore
                withKw: (0, read_1.read)(kw),
                // @ts-ignore
                levelKw: (0, read_1.read)(levelKw),
                // @ts-ignore
                checkOptionKw: (0, read_1.read)(checkOptionKw),
            });
        }; // @ts-ignore
        var peg$f214 = function (kw, view) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "as_replica_of_clause",
                // @ts-ignore
                asReplicaOfKw: (0, read_1.read)(kw),
                // @ts-ignore
                view,
            });
        }; // @ts-ignore
        var peg$f215 = function (dropKw, kind, viewKw, ifKw, views, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_view_stmt",
                // @ts-ignore
                dropKw: (0, read_1.read)(dropKw),
                // @ts-ignore
                kind: (0, read_1.read)(kind),
                // @ts-ignore
                viewKw: (0, read_1.read)(viewKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                views: (0, read_1.read)(views),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f216 = function (alterKw, kind, viewKw, ifKw, name, cols, actions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_view_stmt",
                // @ts-ignore
                alterKw,
                // @ts-ignore
                kind: (0, read_1.read)(kind),
                // @ts-ignore
                viewKw: (0, read_1.read)(viewKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                columns: (0, read_1.read)(cols),
                // @ts-ignore
                actions: (0, read_1.read)(actions),
            });
        }; // @ts-ignore
        var peg$f217 = function (ac) {
            return ac;
        }; // @ts-ignore
        var peg$f218 = function (ac) {
            return ac;
        }; // @ts-ignore
        var peg$f219 = function (ac) {
            return ac;
        }; // @ts-ignore
        var peg$f220 = function (kw, concurrentlyKw, name, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "refresh_materialized_view_stmt",
                // @ts-ignore
                refreshMaterializedViewKw: (0, read_1.read)(kw),
                // @ts-ignore
                concurrentlyKw: (0, read_1.read)(concurrentlyKw),
                // @ts-ignore
                name,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f221 = function (kw, orReplaceKw, typeKw, indexKw, ifKw, name, onKw, table, columns, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_index_stmt",
                // @ts-ignore
                createKw: (0, read_1.read)(kw),
                // @ts-ignore
                orReplaceKw: (0, read_1.read)(orReplaceKw),
                // @ts-ignore
                indexTypeKw: (0, read_1.read)(typeKw),
                // @ts-ignore
                indexKw: (0, read_1.read)(indexKw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                table: (0, read_1.read)(table),
                // @ts-ignore
                columns,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f222 = function (kw, typeKw, indexKw, concurrentlyKw, ifKw, name, onKw, table, using, columns, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_index_stmt",
                // @ts-ignore
                createKw: (0, read_1.read)(kw),
                // @ts-ignore
                indexTypeKw: (0, read_1.read)(typeKw),
                // @ts-ignore
                indexKw: (0, read_1.read)(indexKw),
                // @ts-ignore
                concurrentlyKw: (0, read_1.read)(concurrentlyKw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                table: (0, read_1.read)(table),
                // @ts-ignore
                using: (0, read_1.read)(using),
                // @ts-ignore
                columns,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f223 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f224 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f225 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f226 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f227 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f228 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f229 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f230 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f231 = function (kws) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "verbose_all_columns", allColumnsKw: (0, read_1.read)(kws) });
        }; // @ts-ignore
        var peg$f232 = function (kw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "index_include_clause",
                // @ts-ignore
                includeKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns,
            });
        }; // @ts-ignore
        var peg$f233 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "index_nulls_distinct_clause", nullsDistinctKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f234 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "index_nulls_not_distinct_clause", nullsNotDistinctKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f235 = function (kw, indexKw, concurrentlyKw, ifKw, indexes, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_index_stmt",
                // @ts-ignore
                dropKw: (0, read_1.read)(kw),
                // @ts-ignore
                indexKw: (0, read_1.read)(indexKw),
                // @ts-ignore
                concurrentlyKw: (0, read_1.read)(concurrentlyKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                indexes: (0, read_1.read)(indexes),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f236 = function (kw, indexTypeKw, indexKw, ifKw, indexes, onKw, table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_index_stmt",
                // @ts-ignore
                dropKw: (0, read_1.read)(kw),
                // @ts-ignore
                indexTypeKw: (0, read_1.read)(indexTypeKw),
                // @ts-ignore
                indexKw: (0, read_1.read)(indexKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                indexes: (0, read_1.read)(indexes),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                table,
            });
        }; // @ts-ignore
        var peg$f237 = function (kw, indexKw, ifExistsKw, index, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_index_stmt",
                // @ts-ignore
                alterKw: (0, read_1.read)(kw),
                // @ts-ignore
                indexKw: (0, read_1.read)(indexKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifExistsKw),
                // @ts-ignore
                index,
                // @ts-ignore
                action: (0, read_1.read)(action),
            });
        }; // @ts-ignore
        var peg$f238 = function (kw, allInTablespaceKw, tablespace, ownedBy, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_index_all_in_tablespace_stmt",
                // @ts-ignore
                alterIndexKw: (0, read_1.read)(kw),
                // @ts-ignore
                allInTablespaceKw: (0, read_1.read)(allInTablespaceKw),
                // @ts-ignore
                tablespace: (0, read_1.read)(tablespace),
                // @ts-ignore
                ownedBy: (0, read_1.read)(ownedBy),
                // @ts-ignore
                action,
            });
        }; // @ts-ignore
        var peg$f239 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "reindex_stmt", reindexKw: kw, name: (0, read_1.read)(name) });
        }; // @ts-ignore
        var peg$f240 = function (kw, options, targetKw, concurrentlyKw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "reindex_stmt",
                // @ts-ignore
                reindexKw: kw,
                // @ts-ignore
                options: (0, read_1.read)(options),
                // @ts-ignore
                targetKw: (0, read_1.read)(targetKw),
                // @ts-ignore
                concurrentlyKw: (0, read_1.read)(concurrentlyKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
            });
        }; // @ts-ignore
        var peg$f241 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "reindex_option_concurrently", concurrentlyKw: (0, read_1.read)(kw), value: (0, read_1.read)(value) });
        }; // @ts-ignore
        var peg$f242 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "reindex_option_tablespace", tablespaceKw: (0, read_1.read)(kw), name });
        }; // @ts-ignore
        var peg$f243 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "reindex_option_verbose", verboseKw: kw, value: (0, read_1.read)(value) });
        }; // @ts-ignore
        var peg$f244 = function (createKw, replKw, kind, tableKw, ifKw, name, partitionOf, ofType, columns, options, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_stmt",
                // @ts-ignore
                createKw,
                // @ts-ignore
                orReplaceKw: (0, read_1.read)(replKw),
                // @ts-ignore
                kind: (0, read_1.read)(kind),
                // @ts-ignore
                tableKw: (0, read_1.read)(tableKw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                partitionOf: (0, read_1.read)(partitionOf),
                // @ts-ignore
                ofType: (0, read_1.read)(ofType),
                // @ts-ignore
                columns: (0, read_1.read)(columns),
                // @ts-ignore
                options: (0, read_1.read)(options),
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f245 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "relation_kind", kindKw: kw });
        }; // @ts-ignore
        var peg$f246 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "relation_kind", kindKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f247 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "relation_kind", kindKw: kw });
        }; // @ts-ignore
        var peg$f248 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "relation_kind", kindKw: kw });
        }; // @ts-ignore
        var peg$f249 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "relation_kind", kindKw: kw });
        }; // @ts-ignore
        var peg$f250 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f251 = function (c) {
            return c;
        }; // @ts-ignore
        var peg$f252 = function (c) {
            return c;
        }; // @ts-ignore
        var peg$f253 = function (name, type, withOptionsKw, constraints) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "column_definition",
                // @ts-ignore
                name,
                // @ts-ignore
                dataType: (0, read_1.read)(type),
                // @ts-ignore
                withOptionsKw: (0, read_1.read)(withOptionsKw),
                // @ts-ignore
                constraints: constraints.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f254 = function (kw, table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_partition_of_clause",
                // @ts-ignore
                partitionOfKw: (0, read_1.read)(kw),
                // @ts-ignore
                table,
            });
        }; // @ts-ignore
        var peg$f255 = function (kw, typeName) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_of_type_clause",
                // @ts-ignore
                ofKw: (0, read_1.read)(kw),
                // @ts-ignore
                typeName,
            });
        }; // @ts-ignore
        var peg$f256 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f257 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f258 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f259 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f260 = function (kw, name, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_like_clause",
                // @ts-ignore
                likeKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
                // @ts-ignore
                options: options.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f261 = function (kw, optionKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "table_like_option",
                // @ts-ignore
                includingOrExcludingKw: (0, read_1.read)(kw),
                // @ts-ignore
                optionKw,
            });
        }; // @ts-ignore
        var peg$f262 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_copy_clause",
                // @ts-ignore
                copyKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f263 = function (kw, table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_clone_clause",
                // @ts-ignore
                cloneKw: (0, read_1.read)(kw),
                // @ts-ignore
                table,
            });
        }; // @ts-ignore
        var peg$f264 = function (left, kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "for_system_time_as_of_expr",
                // @ts-ignore
                left: (0, read_1.read)(left),
                // @ts-ignore
                forSystemTimeAsOfKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f265 = function (kw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "with_partition_columns_clause",
                // @ts-ignore
                withPartitionColumnsKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns: (0, read_1.read)(columns),
            });
        }; // @ts-ignore
        var peg$f266 = function (usingKw, func) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_using_clause",
                // @ts-ignore
                usingKw: (0, read_1.read)(usingKw),
                // @ts-ignore
                module: func.type === "identifier" ? { type: "func_call", name: func } : func,
            });
        }; // @ts-ignore
        var peg$f267 = function (kw, tables) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_inherits_clause",
                // @ts-ignore
                inheritsKw: (0, read_1.read)(kw),
                // @ts-ignore
                tables,
            });
        }; // @ts-ignore
        var peg$f268 = function (kw, strategyKw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_partition_by_clause",
                // @ts-ignore
                partitionByKw: (0, read_1.read)(kw),
                // @ts-ignore
                strategyKw: (0, read_1.read)(strategyKw),
                // @ts-ignore
                columns,
            });
        }; // @ts-ignore
        var peg$f269 = function (kw, bound) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_partition_bound_clause",
                // @ts-ignore
                forValuesKw: (0, read_1.read)(kw),
                // @ts-ignore
                bound: (0, read_1.read)(bound),
            });
        }; // @ts-ignore
        var peg$f270 = function (fromKw, from, toKw, to) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "partition_bound_from_to",
                // @ts-ignore
                fromKw: (0, read_1.read)(fromKw),
                // @ts-ignore
                from,
                // @ts-ignore
                toKw: (0, read_1.read)(toKw),
                // @ts-ignore
                to,
            });
        }; // @ts-ignore
        var peg$f271 = function (kw) {
            return (0, loc_1.loc)({ type: "partition_bound_minvalue", minvalueKw: kw });
        }; // @ts-ignore
        var peg$f272 = function (kw) {
            return (0, loc_1.loc)({ type: "partition_bound_maxvalue", maxvalueKw: kw });
        }; // @ts-ignore
        var peg$f273 = function (kw, values) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "partition_bound_in",
                // @ts-ignore
                inKw: (0, read_1.read)(kw),
                // @ts-ignore
                values,
            });
        }; // @ts-ignore
        var peg$f274 = function (kw, values) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "partition_bound_with",
                // @ts-ignore
                withKw: (0, read_1.read)(kw),
                // @ts-ignore
                values,
            });
        }; // @ts-ignore
        var peg$f275 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "partition_bound_modulus",
                // @ts-ignore
                modulusKw: (0, read_1.read)(kw),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f276 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "partition_bound_remainder",
                // @ts-ignore
                remainderKw: (0, read_1.read)(kw),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f277 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_default_partition_clause",
                // @ts-ignore
                defaultKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f278 = function (kw, actionKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_on_commit_clause",
                // @ts-ignore
                onCommitKw: (0, read_1.read)(kw),
                // @ts-ignore
                actionKw: (0, read_1.read)(actionKw),
            });
        }; // @ts-ignore
        var peg$f279 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "tablespace_clause",
                // @ts-ignore
                tablespaceKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f280 = function (kw, method) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "using_access_method_clause",
                // @ts-ignore
                usingKw: (0, read_1.read)(kw),
                // @ts-ignore
                method,
            });
        }; // @ts-ignore
        var peg$f281 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_without_oids_clause",
                // @ts-ignore
                withoutOidsKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f282 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "with_data_clause",
                // @ts-ignore
                withDataKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f283 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_table_server_clause",
                // @ts-ignore
                serverKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f284 = function (kw, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "bigquery_options",
                // @ts-ignore
                optionsKw: (0, read_1.read)(kw),
                // @ts-ignore
                options,
            });
        }; // @ts-ignore
        var peg$f285 = function (name, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "binary_expr",
                // @ts-ignore
                left: (0, read_1.read)(name),
                // @ts-ignore
                operator: "=",
                // @ts-ignore
                right: (0, read_1.read)(value),
            });
        }; // @ts-ignore
        var peg$f286 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "bigquery_option_default_collate",
                // @ts-ignore
                defaultCollateKw: (0, read_1.read)(kw),
                // @ts-ignore
                collation: value,
            });
        }; // @ts-ignore
        var peg$f287 = function (dropKw, kind, tableKw, ifExistsKw, tables, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_table_stmt",
                // @ts-ignore
                dropKw: (0, read_1.read)(dropKw),
                // @ts-ignore
                kind: (0, read_1.read)(kind),
                // @ts-ignore
                tableKw: (0, read_1.read)(tableKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifExistsKw),
                // @ts-ignore
                tables,
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f288 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f289 = function (kw, ifKw, table, actions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_table_stmt",
                // @ts-ignore
                alterTableKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                table: (0, read_1.read)(table),
                // @ts-ignore
                actions,
            });
        }; // @ts-ignore
        var peg$f290 = function (kw, allInTablespaceKw, tablespace, ownedBy, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_table_all_in_tablespace_stmt",
                // @ts-ignore
                alterTableKw: (0, read_1.read)(kw),
                // @ts-ignore
                allInTablespaceKw: (0, read_1.read)(allInTablespaceKw),
                // @ts-ignore
                tablespace: (0, read_1.read)(tablespace),
                // @ts-ignore
                ownedBy: (0, read_1.read)(ownedBy),
                // @ts-ignore
                action,
            });
        }; // @ts-ignore
        var peg$f291 = function (kw, owners) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "owned_by_clause",
                // @ts-ignore
                ownedByKw: (0, read_1.read)(kw),
                // @ts-ignore
                owners,
            });
        }; // @ts-ignore
        var peg$f292 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f293 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f294 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f295 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f296 = function (addKw, ifKw, col) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_add_column",
                // @ts-ignore
                addKw: (0, read_1.read)(addKw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                column: col
            });
        }; // @ts-ignore
        var peg$f297 = function (kw, ifKw, col, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_drop_column",
                // @ts-ignore
                dropKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                column: col,
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f298 = function (kw, t) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_rename",
                // @ts-ignore
                renameKw: (0, read_1.read)(kw),
                // @ts-ignore
                newName: t,
            });
        }; // @ts-ignore
        var peg$f299 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f300 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f301 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f302 = function (kw, ifKw, oldName, toKw, newName) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_rename_column",
                // @ts-ignore
                renameKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                oldName: (0, read_1.read)(oldName),
                // @ts-ignore
                toKw: (0, read_1.read)(toKw),
                // @ts-ignore
                newName,
            });
        }; // @ts-ignore
        var peg$f303 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f304 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f305 = function (alterKw, ifKw, column, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_alter_column",
                // @ts-ignore
                alterKw: (0, read_1.read)(alterKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                column: (0, read_1.read)(column),
                // @ts-ignore
                action,
            });
        }; // @ts-ignore
        var peg$f306 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f307 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f308 = function (kw, collation) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_default_collate",
                // @ts-ignore
                setDefaultCollateKw: (0, read_1.read)(kw),
                // @ts-ignore
                collation,
            });
        }; // @ts-ignore
        var peg$f309 = function (kw, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_bigquery_options",
                // @ts-ignore
                setKw: (0, read_1.read)(kw),
                // @ts-ignore
                options,
            });
        }; // @ts-ignore
        var peg$f310 = function (kw, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_postgresql_options",
                // @ts-ignore
                setKw: (0, read_1.read)(kw),
                // @ts-ignore
                options,
            });
        }; // @ts-ignore
        var peg$f311 = function (kw, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_reset_postgresql_options",
                // @ts-ignore
                resetKw: (0, read_1.read)(kw),
                // @ts-ignore
                options,
            });
        }; // @ts-ignore
        var peg$f312 = function (kw, name, x) {
            return x;
        }; // @ts-ignore
        var peg$f313 = function (kw, name, constraint, modifiers) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_add_constraint",
                // @ts-ignore
                addKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                constraint,
                // @ts-ignore
                modifiers: modifiers.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f314 = function (constraintKw, ifKw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_add_constraint_constraint_name",
                // @ts-ignore
                constraintKw: (0, read_1.read)(constraintKw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f315 = function (kw, ifKw, constraint, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_drop_constraint",
                // @ts-ignore
                dropConstraintKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                constraint,
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f316 = function (kw, ifExistsKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_drop_primary_key",
                // @ts-ignore
                dropPrimaryKeyKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifExistsKw),
            });
        }; // @ts-ignore
        var peg$f317 = function (kw, constraint, modifiers) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_alter_constraint",
                // @ts-ignore
                alterConstraintKw: (0, read_1.read)(kw),
                // @ts-ignore
                constraint,
                // @ts-ignore
                modifiers: modifiers.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f318 = function (kw, oldName, toKw, newName) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_rename_constraint",
                // @ts-ignore
                renameConstraintKw: (0, read_1.read)(kw),
                // @ts-ignore
                oldName: (0, read_1.read)(oldName),
                // @ts-ignore
                toKw: (0, read_1.read)(toKw),
                // @ts-ignore
                newName,
            });
        }; // @ts-ignore
        var peg$f319 = function (kw, constraint) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_validate_constraint",
                // @ts-ignore
                validateConstraintKw: (0, read_1.read)(kw),
                // @ts-ignore
                constraint,
            });
        }; // @ts-ignore
        var peg$f320 = function (kw, owner) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_owner_to",
                // @ts-ignore
                ownerToKw: (0, read_1.read)(kw),
                // @ts-ignore
                owner,
            });
        }; // @ts-ignore
        var peg$f321 = function (kw, schema) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_schema",
                // @ts-ignore
                setSchemaKw: (0, read_1.read)(kw),
                // @ts-ignore
                schema,
            });
        }; // @ts-ignore
        var peg$f322 = function (kw, modeKw, item) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_enable",
                // @ts-ignore
                enableKw: (0, read_1.read)(kw),
                // @ts-ignore
                modeKw: (0, read_1.read)(modeKw),
                // @ts-ignore
                item,
            });
        }; // @ts-ignore
        var peg$f323 = function (kw, item) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_disable",
                // @ts-ignore
                disableKw: (0, read_1.read)(kw),
                // @ts-ignore
                item,
            });
        }; // @ts-ignore
        var peg$f324 = function (kw, item) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_force",
                // @ts-ignore
                forceKw: (0, read_1.read)(kw),
                // @ts-ignore
                item,
            });
        }; // @ts-ignore
        var peg$f325 = function (kw, item) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_no_force",
                // @ts-ignore
                noForceKw: (0, read_1.read)(kw),
                // @ts-ignore
                item,
            });
        }; // @ts-ignore
        var peg$f326 = function (kw, tablespace, nowaitKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_tablespace",
                // @ts-ignore
                setTablespaceKw: (0, read_1.read)(kw),
                // @ts-ignore
                tablespace,
                // @ts-ignore
                nowaitKw: (0, read_1.read)(nowaitKw),
            });
        }; // @ts-ignore
        var peg$f327 = function (kw, method) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_access_method",
                // @ts-ignore
                setAccessMethodKw: (0, read_1.read)(kw),
                // @ts-ignore
                method,
            });
        }; // @ts-ignore
        var peg$f328 = function (kw, index) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_cluster_on",
                // @ts-ignore
                clusterOnKw: (0, read_1.read)(kw),
                // @ts-ignore
                index,
            });
        }; // @ts-ignore
        var peg$f329 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_without_cluster",
                // @ts-ignore
                setWithoutClusterKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f330 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_without_oids",
                // @ts-ignore
                setWithoutOidsKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f331 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_logged",
                // @ts-ignore
                setLoggedKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f332 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_unlogged",
                // @ts-ignore
                setUnloggedKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f333 = function (kw, table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_inherit",
                // @ts-ignore
                inheritKw: (0, read_1.read)(kw),
                // @ts-ignore
                table,
            });
        }; // @ts-ignore
        var peg$f334 = function (kw, table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_no_inherit",
                // @ts-ignore
                noInheritKw: (0, read_1.read)(kw),
                // @ts-ignore
                table,
            });
        }; // @ts-ignore
        var peg$f335 = function (kw, typeName) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_of_type",
                // @ts-ignore
                ofKw: (0, read_1.read)(kw),
                // @ts-ignore
                typeName,
            });
        }; // @ts-ignore
        var peg$f336 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_not_of_type",
                // @ts-ignore
                notOfKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f337 = function (kw, extension) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_depends_on_extension",
                // @ts-ignore
                dependsOnExtensionKw: (0, read_1.read)(kw),
                // @ts-ignore
                extension,
            });
        }; // @ts-ignore
        var peg$f338 = function (kw, extension) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_no_depends_on_extension",
                // @ts-ignore
                noDependsOnExtensionKw: (0, read_1.read)(kw),
                // @ts-ignore
                extension,
            });
        }; // @ts-ignore
        var peg$f339 = function (kw, identity) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_replica_identity",
                // @ts-ignore
                replicaIdentityKw: (0, read_1.read)(kw),
                // @ts-ignore
                identity,
            });
        }; // @ts-ignore
        var peg$f340 = function (kw, index) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "replica_identity_using_index",
                // @ts-ignore
                usingIndexKw: (0, read_1.read)(kw),
                // @ts-ignore
                index,
            });
        }; // @ts-ignore
        var peg$f341 = function (kw, index) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_attach_partition",
                // @ts-ignore
                attachPartitionKw: (0, read_1.read)(kw),
                // @ts-ignore
                index,
            });
        }; // @ts-ignore
        var peg$f342 = function (kw, ifKw, value, position) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_add_enum_value",
                // @ts-ignore
                addValueKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                value,
                // @ts-ignore
                position: (0, read_1.read)(position),
            });
        }; // @ts-ignore
        var peg$f343 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_add_enum_value_position",
                // @ts-ignore
                positionKw: (0, read_1.read)(kw),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f344 = function (kw, oldValue, toKw, newValue) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_rename_enum_value",
                // @ts-ignore
                renameValueKw: (0, read_1.read)(kw),
                // @ts-ignore
                oldValue,
                // @ts-ignore
                toKw: (0, read_1.read)(toKw),
                // @ts-ignore
                newValue,
            });
        }; // @ts-ignore
        var peg$f345 = function (kw, oldName, toKw, newName, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_rename_attribute",
                // @ts-ignore
                renameAttributeKw: (0, read_1.read)(kw),
                // @ts-ignore
                oldName,
                // @ts-ignore
                toKw: (0, read_1.read)(toKw),
                // @ts-ignore
                newName,
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f346 = function (kw, name, dataType, constraint, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_add_attribute",
                // @ts-ignore
                addAttributeKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
                // @ts-ignore
                dataType: (0, read_1.read)(dataType),
                // @ts-ignore
                constraint: (0, read_1.read)(constraint),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f347 = function (kw, ifKw, name, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_drop_attribute",
                // @ts-ignore
                dropAttributeKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name,
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f348 = function (kw, name, typeKw, dataType, constraint, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_alter_attribute",
                // @ts-ignore
                alterAttributeKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                setDataTypeKw: (0, read_1.read)(typeKw),
                // @ts-ignore
                dataType,
                // @ts-ignore
                constraint: (0, read_1.read)(constraint),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f349 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f350 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f351 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f352 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_set_default", setDefaultKw: (0, read_1.read)(kw), expr });
        }; // @ts-ignore
        var peg$f353 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_drop_default", dropDefaultKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f354 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_set_not_null", setNotNullKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f355 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_drop_not_null", dropNotNullKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f356 = function (kw, type, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_data_type",
                // @ts-ignore
                setDataTypeKw: (0, read_1.read)(kw),
                // @ts-ignore
                dataType: type,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f357 = function (collate) {
            // @ts-ignore
            return (0, loc_1.loc)(Object.assign(Object.assign({}, collate), { type: "set_data_type_collate_clause" }));
        }; // @ts-ignore
        var peg$f358 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "set_data_type_using_clause", usingKw: (0, read_1.read)(kw), expr });
        }; // @ts-ignore
        var peg$f359 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_set_visible", setVisibleKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f360 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_set_invisible", setInvisibleKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f361 = function (kw, method) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_set_compression", setCompressionKw: (0, read_1.read)(kw), method });
        }; // @ts-ignore
        var peg$f362 = function (kw, typeKw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_set_storage", setStorageKw: (0, read_1.read)(kw), typeKw });
        }; // @ts-ignore
        var peg$f363 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_set_statistics", setStatisticsKw: (0, read_1.read)(kw), value });
        }; // @ts-ignore
        var peg$f364 = function (kw, ifExistsKw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_drop_expression", dropExpressionKw: (0, read_1.read)(kw), ifExistsKw: (0, read_1.read)(ifExistsKw) });
        }; // @ts-ignore
        var peg$f365 = function (kw, ifExistsKw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_drop_identity", dropIdentityKw: (0, read_1.read)(kw), ifExistsKw: (0, read_1.read)(ifExistsKw) });
        }; // @ts-ignore
        var peg$f366 = function (kw, whenKw, asIdentityKw, sequenceOptions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_add_identity",
                // @ts-ignore
                addGeneratedKw: (0, read_1.read)(kw),
                // @ts-ignore
                whenKw: (0, read_1.read)(whenKw),
                // @ts-ignore
                asIdentityKw: (0, read_1.read)(asIdentityKw),
                // @ts-ignore
                sequenceOptions: (0, read_1.read)(sequenceOptions),
            });
        }; // @ts-ignore
        var peg$f367 = function (action1, actions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_alter_identity",
                // @ts-ignore
                actions: [action1, ...actions.map(read_1.read)],
            });
        }; // @ts-ignore
        var peg$f368 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "toggle_row_level_security", rowLevelSecurityKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f369 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "toggle_trigger", triggerKw: (0, read_1.read)(kw), name });
        }; // @ts-ignore
        var peg$f370 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "toggle_rule", ruleKw: (0, read_1.read)(kw), name });
        }; // @ts-ignore
        var peg$f371 = function (kw, whenKw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_set_generated", setGeneratedKw: (0, read_1.read)(kw), whenKw: (0, read_1.read)(whenKw) });
        }; // @ts-ignore
        var peg$f372 = function (kw, option) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "alter_action_set_sequence_option", setKw: (0, read_1.read)(kw), option });
        }; // @ts-ignore
        var peg$f373 = function (sequenceRestart) {
            // @ts-ignore
            return (0, loc_1.loc)(Object.assign(Object.assign({}, sequenceRestart), { type: "alter_action_restart" }));
        }; // @ts-ignore
        var peg$f374 = function (kw, tkw, actions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "rename_table_stmt",
                // @ts-ignore
                renameKw: (0, read_1.read)(kw),
                // @ts-ignore
                tableKw: (0, read_1.read)(tkw),
                // @ts-ignore
                actions,
            });
        }; // @ts-ignore
        var peg$f375 = function (from, kw, to) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "rename_action",
                // @ts-ignore
                from,
                // @ts-ignore
                toKw: (0, read_1.read)(kw),
                // @ts-ignore
                to,
            });
        }; // @ts-ignore
        var peg$f376 = function (kw, orReplaceKw, kind, trigKw, ifKw, name, timeKw, event, target, clauses, body) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_trigger_stmt",
                // @ts-ignore
                createKw: (0, read_1.read)(kw),
                // @ts-ignore
                orReplaceKw: (0, read_1.read)(orReplaceKw),
                // @ts-ignore
                kind: (0, read_1.read)(kind),
                // @ts-ignore
                triggerKw: (0, read_1.read)(trigKw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                timeKw: (0, read_1.read)(timeKw),
                // @ts-ignore
                event: (0, read_1.read)(event),
                // @ts-ignore
                target: (0, read_1.read)(target),
                // @ts-ignore
                clauses: clauses.map(read_1.read),
                // @ts-ignore
                body,
            });
        }; // @ts-ignore
        var peg$f377 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "relation_kind", kindKw: kw });
        }; // @ts-ignore
        var peg$f378 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "relation_kind", kindKw: kw });
        }; // @ts-ignore
        var peg$f379 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f380 = function (eventKw, ofKw, cols) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "trigger_event",
                // @ts-ignore
                eventKw: (0, read_1.read)(eventKw),
                // @ts-ignore
                ofKw: (0, read_1.read)(ofKw),
                // @ts-ignore
                columns: (0, read_1.read)(cols),
            });
        }; // @ts-ignore
        var peg$f381 = function (eventKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "trigger_event",
                // @ts-ignore
                eventKw: (0, read_1.read)(eventKw),
            });
        }; // @ts-ignore
        var peg$f382 = function (onKw, table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "trigger_target",
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                table,
            });
        }; // @ts-ignore
        var peg$f383 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f384 = function (kw, itemKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "for_each_clause",
                // @ts-ignore
                forEachKw: (0, read_1.read)(kw),
                // @ts-ignore
                itemKw: (0, read_1.read)(itemKw),
            });
        }; // @ts-ignore
        var peg$f385 = function (kw, e) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "when_clause",
                // @ts-ignore
                whenKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr: e,
            });
        }; // @ts-ignore
        var peg$f386 = function (kw, table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "from_referenced_table_clause",
                // @ts-ignore
                fromKw: (0, read_1.read)(kw),
                // @ts-ignore
                table,
            });
        }; // @ts-ignore
        var peg$f387 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "trigger_timing_clause",
                // @ts-ignore
                timingKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f388 = function (kw, transitions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "trigger_referencing_clause",
                // @ts-ignore
                referencingKw: (0, read_1.read)(kw),
                // @ts-ignore
                transitions: (0, read_1.read)(transitions),
            });
        }; // @ts-ignore
        var peg$f389 = function (kw, tableKw, asKw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "trigger_transition",
                // @ts-ignore
                oldOrNewKw: (0, read_1.read)(kw),
                // @ts-ignore
                rowOrTableKw: (0, read_1.read)(tableKw),
                // @ts-ignore
                asKw: (0, read_1.read)(asKw),
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f390 = function (beginKw, program, endKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "block_stmt",
                // @ts-ignore
                beginKw: (0, read_1.read)(beginKw),
                // @ts-ignore
                program,
                // @ts-ignore
                endKw: (0, read_1.read)(endKw),
            });
        }; // @ts-ignore
        var peg$f391 = function (executeKw, functionKw, name, args) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "execute_clause",
                // @ts-ignore
                executeKw: (0, read_1.read)(executeKw),
                // @ts-ignore
                functionKw: (0, read_1.read)(functionKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                args,
            });
        }; // @ts-ignore
        var peg$f392 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "program",
                // @ts-ignore
                statements: (0, list_1.readCommaSepList)(head, tail),
            });
        }; // @ts-ignore
        var peg$f393 = function (kw, trigger, target, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_trigger_stmt",
                // @ts-ignore
                alterTriggerKw: (0, read_1.read)(kw),
                // @ts-ignore
                trigger: (0, read_1.read)(trigger),
                // @ts-ignore
                target: (0, read_1.read)(target),
                // @ts-ignore
                action: action,
            });
        }; // @ts-ignore
        var peg$f394 = function (kw, ifKw, trigger) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_trigger_stmt",
                // @ts-ignore
                dropTriggerKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                trigger,
            });
        }; // @ts-ignore
        var peg$f395 = function (kw, ifKw, trigger, target, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_trigger_stmt",
                // @ts-ignore
                dropTriggerKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                trigger,
                // @ts-ignore
                target: (0, read_1.read)(target),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f396 = function (kw, ifKw, name, clauses, statements) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_schema_stmt",
                // @ts-ignore
                createSchemaKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                clauses: clauses.map(read_1.read),
                // @ts-ignore
                statements: statements.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f397 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f398 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f399 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f400 = function (kw, role) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_schema_authorization_clause",
                // @ts-ignore
                authorizationKw: (0, read_1.read)(kw),
                // @ts-ignore
                role,
            });
        }; // @ts-ignore
        var peg$f401 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f402 = function (kw, ifKw, schemas, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_schema_stmt",
                // @ts-ignore
                dropSchemaKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                schemas,
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw)
            });
        }; // @ts-ignore
        var peg$f403 = function (kw, ifKw, name, actions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_schema_stmt",
                // @ts-ignore
                alterSchemaKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name,
                // @ts-ignore
                actions: actions.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f404 = function (ac) {
            return ac;
        }; // @ts-ignore
        var peg$f405 = function (ac) {
            return ac;
        }; // @ts-ignore
        var peg$f406 = function (ac) {
            return ac;
        }; // @ts-ignore
        var peg$f407 = function (ac) {
            return ac;
        }; // @ts-ignore
        var peg$f408 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f409 = function (kw, orKw, tempKw, tableKw, funKw, ifKw, name, params, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_function_stmt",
                // @ts-ignore
                createKw: (0, read_1.read)(kw),
                // @ts-ignore
                orReplaceKw: (0, read_1.read)(orKw),
                // @ts-ignore
                temporaryKw: (0, read_1.read)(tempKw),
                // @ts-ignore
                tableKw: (0, read_1.read)(tableKw),
                // @ts-ignore
                functionKw: (0, read_1.read)(funKw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                params,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f410 = function (kw, orKw, funKw, name, params, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_function_stmt",
                // @ts-ignore
                createKw: (0, read_1.read)(kw),
                // @ts-ignore
                orReplaceKw: (0, read_1.read)(orKw),
                // @ts-ignore
                functionKw: (0, read_1.read)(funKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                params,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f411 = function (name, params) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_signature",
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                params: (0, read_1.read)(params),
            });
        }; // @ts-ignore
        var peg$f412 = function (name, type) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_param",
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                dataType: type,
            });
        }; // @ts-ignore
        var peg$f413 = function (p) {
            // @ts-ignore
            return p;
        }; // @ts-ignore
        var peg$f414 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f415 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f416 = function (kw, type) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "returns_clause",
                // @ts-ignore
                returnsKw: (0, read_1.read)(kw),
                // @ts-ignore
                dataType: type,
            });
        }; // @ts-ignore
        var peg$f417 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "return_clause",
                // @ts-ignore
                returnKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f418 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "determinism_clause",
                // @ts-ignore
                deterministicKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f419 = function (kw, lang) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "language_clause",
                // @ts-ignore
                languageKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: lang,
            });
        }; // @ts-ignore
        var peg$f420 = function (objectFile, symbol) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "dynamically_loaded_function",
                // @ts-ignore
                objectFile: (0, read_1.read)(objectFile),
                // @ts-ignore
                symbol: (0, read_1.read)(symbol),
            });
        }; // @ts-ignore
        var peg$f421 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "with_connection_clause",
                // @ts-ignore
                withConnectionKw: (0, read_1.read)(kw),
                // @ts-ignore
                connection: name,
            });
        }; // @ts-ignore
        var peg$f422 = function (windowKw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "function_window_clause", windowKw });
        }; // @ts-ignore
        var peg$f423 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_behavior_clause",
                // @ts-ignore
                behaviorKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f424 = function (externalKw, securityKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_security_clause",
                // @ts-ignore
                externalKw: (0, read_1.read)(externalKw),
                // @ts-ignore
                securityKw: (0, read_1.read)(securityKw),
            });
        }; // @ts-ignore
        var peg$f425 = function (kw, cost) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_cost_clause",
                // @ts-ignore
                costKw: (0, read_1.read)(kw),
                // @ts-ignore
                cost,
            });
        }; // @ts-ignore
        var peg$f426 = function (kw, rows) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_rows_clause",
                // @ts-ignore
                rowsKw: (0, read_1.read)(kw),
                // @ts-ignore
                rows,
            });
        }; // @ts-ignore
        var peg$f427 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_support_clause",
                // @ts-ignore
                supportKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f428 = function (kw, types) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_transform_clause",
                // @ts-ignore
                transformKw: (0, read_1.read)(kw),
                // @ts-ignore
                types,
            });
        }; // @ts-ignore
        var peg$f429 = function (kw, dataType) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "transform_type",
                // @ts-ignore
                forTypeKw: (0, read_1.read)(kw),
                // @ts-ignore
                dataType,
            });
        }; // @ts-ignore
        var peg$f430 = function (kw, name, op, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "set_parameter_clause",
                // @ts-ignore
                setKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                operator: op,
                // @ts-ignore
                value: (0, read_1.read)(value),
            });
        }; // @ts-ignore
        var peg$f431 = function (kw, name, fromCurrentKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "set_parameter_from_current_clause",
                // @ts-ignore
                setKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
                // @ts-ignore
                fromCurrentKw: (0, read_1.read)(fromCurrentKw),
            });
        }; // @ts-ignore
        var peg$f432 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "reset_parameter_clause",
                // @ts-ignore
                resetKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f433 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "reset_all_parameters_clause",
                // @ts-ignore
                resetAllKw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f434 = function (kw, tableKw, funKw, ifKw, name, params, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_function_stmt",
                // @ts-ignore
                dropKw: (0, read_1.read)(kw),
                // @ts-ignore
                tableKw: (0, read_1.read)(tableKw),
                // @ts-ignore
                functionKw: (0, read_1.read)(funKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name,
                // @ts-ignore
                params: (0, read_1.read)(params),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f435 = function (kw, funKw, name, params, actions, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_function_stmt",
                // @ts-ignore
                alterKw: (0, read_1.read)(kw),
                // @ts-ignore
                functionKw: (0, read_1.read)(funKw),
                // @ts-ignore
                name,
                // @ts-ignore
                params: (0, read_1.read)(params),
                // @ts-ignore
                actions: actions.map(read_1.read),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f436 = function (kw, orKw, procKw, ifKw, name, params, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_procedure_stmt",
                // @ts-ignore
                createKw: (0, read_1.read)(kw),
                // @ts-ignore
                orReplaceKw: (0, read_1.read)(orKw),
                // @ts-ignore
                procedureKw: (0, read_1.read)(procKw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                params,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f437 = function (mode, name, type) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_param",
                // @ts-ignore
                mode: (0, read_1.read)(mode),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                dataType: type,
            });
        }; // @ts-ignore
        var peg$f438 = function (mode, name, type, def) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_param",
                // @ts-ignore
                mode: (0, read_1.read)(mode),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                dataType: type,
                // @ts-ignore
                default: (0, read_1.read)(def),
            });
        }; // @ts-ignore
        var peg$f439 = function (mode, type, def) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_param",
                // @ts-ignore
                mode: (0, read_1.read)(mode),
                // @ts-ignore
                dataType: type,
                // @ts-ignore
                default: (0, read_1.read)(def),
            });
        }; // @ts-ignore
        var peg$f440 = function (operator, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "function_param_default",
                // @ts-ignore
                operator,
                // @ts-ignore
                expr: (0, read_1.read)(expr),
            });
        }; // @ts-ignore
        var peg$f441 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f442 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f443 = function (kw, procKw, ifKw, name, params, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_procedure_stmt",
                // @ts-ignore
                dropKw: (0, read_1.read)(kw),
                // @ts-ignore
                procedureKw: (0, read_1.read)(procKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name,
                // @ts-ignore
                params: (0, read_1.read)(params),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f444 = function (kw, procKw, name, params, actions, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_procedure_stmt",
                // @ts-ignore
                alterKw: (0, read_1.read)(kw),
                // @ts-ignore
                procedureKw: (0, read_1.read)(procKw),
                // @ts-ignore
                name,
                // @ts-ignore
                params: (0, read_1.read)(params),
                // @ts-ignore
                actions: actions.map(read_1.read),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f445 = function (kw, kind, sequenceKw, ifNotExistsKw, name, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_sequence_stmt",
                // @ts-ignore
                createKw: (0, read_1.read)(kw),
                // @ts-ignore
                kind: (0, read_1.read)(kind),
                // @ts-ignore
                sequenceKw: (0, read_1.read)(sequenceKw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifNotExistsKw),
                // @ts-ignore
                name,
                // @ts-ignore
                options: options.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f446 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "relation_kind", kindKw: kw });
        }; // @ts-ignore
        var peg$f447 = function (op1, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "sequence_option_list",
                // @ts-ignore
                options: [op1, ...options.map(read_1.read)],
            });
        }; // @ts-ignore
        var peg$f448 = function (kw, type) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "sequence_option_as_type",
                // @ts-ignore
                asKw: (0, read_1.read)(kw),
                // @ts-ignore
                dataType: type,
            });
        }; // @ts-ignore
        var peg$f449 = function (kw, byKw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "sequence_option_increment",
                // @ts-ignore
                incrementKw: (0, read_1.read)(kw),
                // @ts-ignore
                byKw: (0, read_1.read)(byKw),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f450 = function (kw, withKw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "sequence_option_start",
                // @ts-ignore
                startKw: (0, read_1.read)(kw),
                // @ts-ignore
                withKw: (0, read_1.read)(withKw),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f451 = function (kw, withKw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sequence_option_restart", restartKw: (0, read_1.read)(kw), withKw: (0, read_1.read)(withKw), value });
        }; // @ts-ignore
        var peg$f452 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sequence_option_restart", restartKw: (0, read_1.read)(kw), value: (0, read_1.read)(value) });
        }; // @ts-ignore
        var peg$f453 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sequence_option_minvalue", minvalueKw: (0, read_1.read)(kw), value });
        }; // @ts-ignore
        var peg$f454 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sequence_option_maxvalue", maxvalueKw: (0, read_1.read)(kw), value });
        }; // @ts-ignore
        var peg$f455 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sequence_option_no_minvalue", noMinvalueKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f456 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sequence_option_no_maxvalue", noMaxvalueKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f457 = function (kw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sequence_option_cache", cacheKw: (0, read_1.read)(kw), value });
        }; // @ts-ignore
        var peg$f458 = function (cycleKw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sequence_option_cycle", cycleKw });
        }; // @ts-ignore
        var peg$f459 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sequence_option_no_cycle", noCycleKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f460 = function (kw, owner) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "sequence_option_owned_by", ownedByKw: (0, read_1.read)(kw), owner });
        }; // @ts-ignore
        var peg$f461 = function (kw, sequenceKw, ifExistsKw, sequence, actions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_sequence_stmt",
                // @ts-ignore
                alterKw: (0, read_1.read)(kw),
                // @ts-ignore
                sequenceKw: (0, read_1.read)(sequenceKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifExistsKw),
                // @ts-ignore
                sequence,
                // @ts-ignore
                actions: actions.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f462 = function (kw, sequenceKw, ifExistsKw, sequences, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_sequence_stmt",
                // @ts-ignore
                dropKw: (0, read_1.read)(kw),
                // @ts-ignore
                sequenceKw: (0, read_1.read)(sequenceKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifExistsKw),
                // @ts-ignore
                sequences,
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f463 = function (kw, name, definition) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_type_stmt",
                // @ts-ignore
                createTypeKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
                // @ts-ignore
                definition: (0, read_1.read)(definition),
            });
        }; // @ts-ignore
        var peg$f464 = function (kw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "composite_type_definition",
                // @ts-ignore
                asKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns: (0, read_1.read)(columns),
            });
        }; // @ts-ignore
        var peg$f465 = function (kw, values) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "enum_type_definition",
                // @ts-ignore
                asEnumKw: (0, read_1.read)(kw),
                // @ts-ignore
                values: (0, read_1.read)(values),
            });
        }; // @ts-ignore
        var peg$f466 = function (kw, name, actions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_type_stmt",
                // @ts-ignore
                alterTypeKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
                // @ts-ignore
                actions: (0, read_1.read)(actions),
            });
        }; // @ts-ignore
        var peg$f467 = function (kw, ifExistsKw, types, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_type_stmt",
                // @ts-ignore
                dropTypeKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifExistsKw),
                // @ts-ignore
                types,
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f468 = function (kw, name, asKw, dataType, constraints) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_domain_stmt",
                // @ts-ignore
                createDomainKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                asKw: (0, read_1.read)(asKw),
                // @ts-ignore
                dataType,
                // @ts-ignore
                constraints: constraints.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f469 = function (kw, name, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_domain_stmt",
                // @ts-ignore
                alterDomainKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
                // @ts-ignore
                action: (0, read_1.read)(action),
            });
        }; // @ts-ignore
        var peg$f470 = function (kw, ifExistsKw, domains, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_domain_stmt",
                // @ts-ignore
                dropDomainKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifExistsKw),
                // @ts-ignore
                domains,
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f471 = function (kw, name, withKw, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_role_stmt",
                // @ts-ignore
                createRoleKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
                // @ts-ignore
                withKw: (0, read_1.read)(withKw),
                // @ts-ignore
                options: options.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f472 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "role_option_keyword", kw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f473 = function (kw, limit) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "role_option_connection_limit", connectionLimitKw: (0, read_1.read)(kw), limit });
        }; // @ts-ignore
        var peg$f474 = function (encryptedKw, kw, password) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "role_option_password",
                // @ts-ignore
                encryptedKw: (0, read_1.read)(encryptedKw),
                // @ts-ignore
                passwordKw: (0, read_1.read)(kw),
                // @ts-ignore
                password,
            });
        }; // @ts-ignore
        var peg$f475 = function (kw, timestamp) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "role_option_valid_until", validUntilKw: (0, read_1.read)(kw), timestamp });
        }; // @ts-ignore
        var peg$f476 = function (kw, names) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "role_option_in_role", inRoleKw: (0, read_1.read)(kw), names });
        }; // @ts-ignore
        var peg$f477 = function (kw, names) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "role_option_role", roleKw: (0, read_1.read)(kw), names });
        }; // @ts-ignore
        var peg$f478 = function (kw, names) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "role_option_admin", adminKw: (0, read_1.read)(kw), names });
        }; // @ts-ignore
        var peg$f479 = function (kw, sysId) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "role_option_sysid", sysIdKw: (0, read_1.read)(kw), sysId });
        }; // @ts-ignore
        var peg$f480 = function (kw, name, database, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_role_stmt",
                // @ts-ignore
                alterRoleKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                database: (0, read_1.read)(database),
                // @ts-ignore
                action,
            });
        }; // @ts-ignore
        var peg$f481 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "in_database_clause", inDatabaseKw: (0, read_1.read)(kw), name });
        }; // @ts-ignore
        var peg$f482 = function (kw, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_with_role_options",
                // @ts-ignore
                withKw: kw,
                // @ts-ignore
                options: options.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f483 = function (option, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_with_role_options",
                // @ts-ignore
                options: [option, ...options.map(read_1.read)],
            });
        }; // @ts-ignore
        var peg$f484 = function (kw, name, operator, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_postgresql_option",
                // @ts-ignore
                setKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                operator,
                // @ts-ignore
                value: (0, read_1.read)(value),
            });
        }; // @ts-ignore
        var peg$f485 = function (kw, name, fromCurrentKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_set_postgresql_option_from_current",
                // @ts-ignore
                setKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                fromCurrentKw: (0, read_1.read)(fromCurrentKw),
            });
        }; // @ts-ignore
        var peg$f486 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_reset_postgresql_option",
                // @ts-ignore
                resetKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f487 = function (kw, users) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_add_user",
                // @ts-ignore
                addUserKw: (0, read_1.read)(kw),
                // @ts-ignore
                users,
            });
        }; // @ts-ignore
        var peg$f488 = function (kw, users) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_action_drop_user",
                // @ts-ignore
                dropUserKw: (0, read_1.read)(kw),
                // @ts-ignore
                users,
            });
        }; // @ts-ignore
        var peg$f489 = function (kw, ifExistsKw, names) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_role_stmt",
                // @ts-ignore
                dropRoleKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifExistsKw),
                // @ts-ignore
                names,
            });
        }; // @ts-ignore
        var peg$f490 = function (kw, scopeKw, roleKw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "set_role_stmt",
                // @ts-ignore
                setKw: (0, read_1.read)(kw),
                // @ts-ignore
                scopeKw: (0, read_1.read)(scopeKw),
                // @ts-ignore
                roleKw: (0, read_1.read)(roleKw),
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f491 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "reset_role_stmt", resetRoleKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f492 = function (kw, name, onKw, table, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_policy_stmt",
                // @ts-ignore
                createPolicyKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                table,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f493 = function (asKw, permissiveKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "policy_permissive_clause",
                // @ts-ignore
                asKw: (0, read_1.read)(asKw),
                // @ts-ignore
                permissiveKw,
            });
        }; // @ts-ignore
        var peg$f494 = function (asKw, restrictiveKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "policy_restrictive_clause",
                // @ts-ignore
                asKw: (0, read_1.read)(asKw),
                // @ts-ignore
                restrictiveKw,
            });
        }; // @ts-ignore
        var peg$f495 = function (kw, commandKw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "policy_command_clause", forKw: (0, read_1.read)(kw), commandKw });
        }; // @ts-ignore
        var peg$f496 = function (kw, roles) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "policy_roles_clause", toKw: (0, read_1.read)(kw), roles });
        }; // @ts-ignore
        var peg$f497 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "policy_using_clause", usingKw: (0, read_1.read)(kw), expr });
        }; // @ts-ignore
        var peg$f498 = function (withKw, checkKw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "policy_check_clause", withKw: (0, read_1.read)(withKw), checkKw: (0, read_1.read)(checkKw), expr });
        }; // @ts-ignore
        var peg$f499 = function (kw, name, onKw, table, actions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_policy_stmt",
                // @ts-ignore
                alterPolicyKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                table,
                // @ts-ignore
                actions: actions.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f500 = function (kw, ifExistsKw, name, onKw, table, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_policy_stmt",
                // @ts-ignore
                dropPolicyKw: (0, read_1.read)(kw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifExistsKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                table,
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f501 = function (kw, tKw, tables) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "analyze_stmt",
                // @ts-ignore
                analyzeKw: kw,
                // @ts-ignore
                tableKw: (0, read_1.read)(tKw),
                // @ts-ignore
                tables: (0, read_1.read)(tables) || [],
            });
        }; // @ts-ignore
        var peg$f502 = function (kw, anKw, qpKw, stmt) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "explain_stmt",
                // @ts-ignore
                explainKw: (0, read_1.read)(kw),
                // @ts-ignore
                analyzeKw: (0, read_1.read)(anKw),
                // @ts-ignore
                queryPlanKw: (0, read_1.read)(qpKw),
                // @ts-ignore
                statement: stmt,
            });
        }; // @ts-ignore
        var peg$f503 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f504 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f505 = function (kw, bKw, tKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "start_transaction_stmt",
                // @ts-ignore
                startKw: kw,
                // @ts-ignore
                behaviorKw: (0, read_1.read)(bKw),
                // @ts-ignore
                transactionKw: (0, read_1.read)(tKw),
            });
        }; // @ts-ignore
        var peg$f506 = function (kw, tKw, modes) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "start_transaction_stmt",
                // @ts-ignore
                startKw: kw,
                // @ts-ignore
                transactionKw: (0, read_1.read)(tKw),
                // @ts-ignore
                modes: (0, read_1.read)(modes),
            });
        }; // @ts-ignore
        var peg$f507 = function (kw, tKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "start_transaction_stmt",
                // @ts-ignore
                startKw: kw,
                // @ts-ignore
                transactionKw: (0, read_1.read)(tKw),
            });
        }; // @ts-ignore
        var peg$f508 = function (kw, tKw, modes) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "start_transaction_stmt",
                // @ts-ignore
                startKw: kw,
                // @ts-ignore
                transactionKw: (0, read_1.read)(tKw),
                // @ts-ignore
                modes: (0, read_1.read)(modes),
            });
        }; // @ts-ignore
        var peg$f509 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "transaction_mode_deferrable", deferrableKw: kw });
        }; // @ts-ignore
        var peg$f510 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "transaction_mode_not_deferrable", notDeferrableKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f511 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "transaction_mode_read_write", readWriteKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f512 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "transaction_mode_read_only", readOnlyKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f513 = function (kw, levelKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "transaction_mode_isolation_level",
                // @ts-ignore
                isolationLevelKw: (0, read_1.read)(kw),
                // @ts-ignore
                levelKw: (0, read_1.read)(levelKw),
            });
        }; // @ts-ignore
        var peg$f514 = function (kw, tKw, chain) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "commit_transaction_stmt",
                // @ts-ignore
                commitKw: kw,
                // @ts-ignore
                transactionKw: (0, read_1.read)(tKw),
                // @ts-ignore
                chain: (0, read_1.read)(chain),
            });
        }; // @ts-ignore
        var peg$f515 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f516 = function (kw, tKw, sp, chain) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "rollback_transaction_stmt",
                // @ts-ignore
                rollbackKw: kw,
                // @ts-ignore
                transactionKw: (0, read_1.read)(tKw),
                // @ts-ignore
                savepoint: (0, read_1.read)(sp),
                // @ts-ignore
                chain: (0, read_1.read)(chain),
            });
        }; // @ts-ignore
        var peg$f517 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f518 = function (toKw, spKw, id) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "rollback_to_savepoint",
                // @ts-ignore
                toKw: (0, read_1.read)(toKw),
                // @ts-ignore
                savepointKw: (0, read_1.read)(spKw),
                // @ts-ignore
                savepoint: id,
            });
        }; // @ts-ignore
        var peg$f519 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f520 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f521 = function (spKw, id) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "savepoint_stmt",
                // @ts-ignore
                savepointKw: (0, read_1.read)(spKw),
                // @ts-ignore
                savepoint: id,
            });
        }; // @ts-ignore
        var peg$f522 = function (kw, spKw, id) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "release_savepoint_stmt",
                // @ts-ignore
                releaseKw: (0, read_1.read)(kw),
                // @ts-ignore
                savepointKw: (0, read_1.read)(spKw),
                // @ts-ignore
                savepoint: id,
            });
        }; // @ts-ignore
        var peg$f523 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "transaction_chain_clause", andChainKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f524 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "transaction_no_chain_clause", andNoChainKw: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f525 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f526 = function (kw, privileges, onKw, resource, toKw, roles, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "grant_privilege_stmt",
                // @ts-ignore
                grantKw: (0, read_1.read)(kw),
                // @ts-ignore
                privileges: (0, read_1.read)(privileges),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                resource: (0, read_1.read)(resource),
                // @ts-ignore
                toKw: (0, read_1.read)(toKw),
                // @ts-ignore
                roles,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f527 = function (kw, privileges, onKw, resource, toKw, roles) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "grant_privilege_stmt",
                // @ts-ignore
                grantKw: (0, read_1.read)(kw),
                // @ts-ignore
                privileges: (0, read_1.read)(privileges),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                resource: (0, read_1.read)(resource),
                // @ts-ignore
                toKw: (0, read_1.read)(toKw),
                // @ts-ignore
                roles,
                // @ts-ignore
                clauses: [],
            });
        }; // @ts-ignore
        var peg$f528 = function (kw, grantedRoles, toKw, granteeRoles, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "grant_role_stmt",
                // @ts-ignore
                grantKw: (0, read_1.read)(kw),
                // @ts-ignore
                grantedRoles: (0, read_1.read)(grantedRoles),
                // @ts-ignore
                toKw: (0, read_1.read)(toKw),
                // @ts-ignore
                granteeRoles,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f529 = function (kw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "privilege", privilegeKw: kw, columns: (0, read_1.read)(columns) });
        }; // @ts-ignore
        var peg$f530 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f531 = function (allKw, privilegesKw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "all_privileges",
                // @ts-ignore
                allKw: (0, read_1.read)(allKw),
                // @ts-ignore
                privilegesKw: (0, read_1.read)(privilegesKw),
                // @ts-ignore
                columns: (0, read_1.read)(columns),
            });
        }; // @ts-ignore
        var peg$f532 = function (kw, schemas) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_all_tables_in_schema", allTablesInSchemaKw: (0, read_1.read)(kw), schemas });
        }; // @ts-ignore
        var peg$f533 = function (kw, schemas) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_all_sequences_in_schema", allSequencesInSchemaKw: (0, read_1.read)(kw), schemas });
        }; // @ts-ignore
        var peg$f534 = function (kw, schemas) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_all_functions_in_schema", allFunctionsInSchemaKw: (0, read_1.read)(kw), schemas });
        }; // @ts-ignore
        var peg$f535 = function (kw, sequences) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_sequence", sequenceKw: (0, read_1.read)(kw), sequences });
        }; // @ts-ignore
        var peg$f536 = function (kw, databases) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_database", databaseKw: (0, read_1.read)(kw), databases });
        }; // @ts-ignore
        var peg$f537 = function (kw, domains) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_domain", domainKw: (0, read_1.read)(kw), domains });
        }; // @ts-ignore
        var peg$f538 = function (kw, dataWrappers) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_foreign_data_wrapper", foreignDataWrapperKw: (0, read_1.read)(kw), dataWrappers });
        }; // @ts-ignore
        var peg$f539 = function (kw, servers) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_foreign_server", foreignServerKw: (0, read_1.read)(kw), servers });
        }; // @ts-ignore
        var peg$f540 = function (kw, functions) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_function", functionKw: (0, read_1.read)(kw), functions });
        }; // @ts-ignore
        var peg$f541 = function (kw, languages) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_language", languageKw: (0, read_1.read)(kw), languages });
        }; // @ts-ignore
        var peg$f542 = function (kw, oids) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_large_object", largeObjectKw: (0, read_1.read)(kw), oids });
        }; // @ts-ignore
        var peg$f543 = function (kw, options) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_postgresql_option", parameterKw: (0, read_1.read)(kw), options });
        }; // @ts-ignore
        var peg$f544 = function (kw, schemas) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_schema", schemaKw: (0, read_1.read)(kw), schemas });
        }; // @ts-ignore
        var peg$f545 = function (kw, tablespaces) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_tablespace", tablespaceKw: (0, read_1.read)(kw), tablespaces });
        }; // @ts-ignore
        var peg$f546 = function (kw, types) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_type", typeKw: (0, read_1.read)(kw), types });
        }; // @ts-ignore
        var peg$f547 = function (kw, tables) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_table", tableKw: (0, read_1.read)(kw), tables });
        }; // @ts-ignore
        var peg$f548 = function (kw, tables) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_table", tableKw: (0, read_1.read)(kw), tables });
        }; // @ts-ignore
        var peg$f549 = function (kw, views) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_view", viewKw: (0, read_1.read)(kw), views });
        }; // @ts-ignore
        var peg$f550 = function (kw, schemas) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grant_resource_schema", schemaKw: (0, read_1.read)(kw), schemas });
        }; // @ts-ignore
        var peg$f551 = function (kw, nameKw, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "with_grant_option_clause",
                // @ts-ignore
                withKw: (0, read_1.read)(kw),
                // @ts-ignore
                nameKw: (0, read_1.read)(nameKw),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f552 = function (nameKw, optionForKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "grant_option_for_clause",
                // @ts-ignore
                nameKw: (0, read_1.read)(nameKw),
                // @ts-ignore
                optionForKw: (0, read_1.read)(optionForKw),
            });
        }; // @ts-ignore
        var peg$f553 = function (kw, role) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "granted_by_clause", grantedByKw: (0, read_1.read)(kw), role });
        }; // @ts-ignore
        var peg$f554 = function (kw, option, privileges, onKw, resource, fromKw, roles, grantedBy, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "revoke_privilege_stmt",
                // @ts-ignore
                revokeKw: (0, read_1.read)(kw),
                // @ts-ignore
                option: (0, read_1.read)(option),
                // @ts-ignore
                privileges: (0, read_1.read)(privileges),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                resource: (0, read_1.read)(resource),
                // @ts-ignore
                fromKw: (0, read_1.read)(fromKw),
                // @ts-ignore
                roles,
                // @ts-ignore
                grantedBy: (0, read_1.read)(grantedBy),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f555 = function (kw, privileges, onKw, resource, fromKw, roles) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "revoke_privilege_stmt",
                // @ts-ignore
                revokeKw: (0, read_1.read)(kw),
                // @ts-ignore
                privileges: (0, read_1.read)(privileges),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                resource: (0, read_1.read)(resource),
                // @ts-ignore
                fromKw: (0, read_1.read)(fromKw),
                // @ts-ignore
                roles,
            });
        }; // @ts-ignore
        var peg$f556 = function (kw, option, grantedRoles, fromKw, granteeRoles, grantedBy, behaviorKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "revoke_role_stmt",
                // @ts-ignore
                revokeKw: (0, read_1.read)(kw),
                // @ts-ignore
                option: (0, read_1.read)(option),
                // @ts-ignore
                grantedRoles: (0, read_1.read)(grantedRoles),
                // @ts-ignore
                fromKw: (0, read_1.read)(fromKw),
                // @ts-ignore
                granteeRoles,
                // @ts-ignore
                grantedBy: (0, read_1.read)(grantedBy),
                // @ts-ignore
                behaviorKw: (0, read_1.read)(behaviorKw),
            });
        }; // @ts-ignore
        var peg$f557 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grantee_group", groupKw: kw, name: (0, read_1.read)(name) });
        }; // @ts-ignore
        var peg$f558 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "grantee_public", publicKw: kw });
        }; // @ts-ignore
        var peg$f559 = function (name) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "func_call", name });
        }; // @ts-ignore
        var peg$f560 = function (name) {
            // @ts-ignore
            return name;
        }; // @ts-ignore
        var peg$f561 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createIdentifier)(kw.text, kw.text));
        }; // @ts-ignore
        var peg$f562 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f563 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f564 = function (beginLabel, stmt, endLabel) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "labeled_stmt",
                // @ts-ignore
                beginLabel: (0, read_1.read)(beginLabel),
                // @ts-ignore
                statement: (0, read_1.read)(stmt),
                // @ts-ignore
                endLabel: (0, read_1.read)(endLabel),
            });
        }; // @ts-ignore
        var peg$f565 = function (beginLabel, stmt, endLabel) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "labeled_stmt",
                // @ts-ignore
                beginLabel: (0, read_1.read)(beginLabel),
                // @ts-ignore
                statement: (0, read_1.read)(stmt),
                // @ts-ignore
                endLabel: (0, read_1.read)(endLabel),
            });
        }; // @ts-ignore
        var peg$f566 = function (beginLabel, stmt, endLabel) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "labeled_stmt",
                // @ts-ignore
                beginLabel: (0, read_1.read)(beginLabel),
                // @ts-ignore
                statement: (0, read_1.read)(stmt),
                // @ts-ignore
                endLabel: (0, read_1.read)(endLabel),
            });
        }; // @ts-ignore
        var peg$f567 = function (beginLabel, stmt, endLabel) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "labeled_stmt",
                // @ts-ignore
                beginLabel: (0, read_1.read)(beginLabel),
                // @ts-ignore
                statement: (0, read_1.read)(stmt),
                // @ts-ignore
                endLabel: (0, read_1.read)(endLabel),
            });
        }; // @ts-ignore
        var peg$f568 = function (beginLabel, stmt, endLabel) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "labeled_stmt",
                // @ts-ignore
                beginLabel: (0, read_1.read)(beginLabel),
                // @ts-ignore
                statement: (0, read_1.read)(stmt),
                // @ts-ignore
                endLabel: (0, read_1.read)(endLabel),
            });
        }; // @ts-ignore
        var peg$f569 = function (beginLabel, stmt, endLabel) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "labeled_stmt",
                // @ts-ignore
                beginLabel: (0, read_1.read)(beginLabel),
                // @ts-ignore
                statement: (0, read_1.read)(stmt),
                // @ts-ignore
                endLabel: (0, read_1.read)(endLabel),
            });
        }; // @ts-ignore
        var peg$f570 = function (beginKw, atomicKw, program, exception, endKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "block_stmt",
                // @ts-ignore
                beginKw: (0, read_1.read)(beginKw),
                // @ts-ignore
                atomicKw: (0, read_1.read)(atomicKw),
                // @ts-ignore
                program,
                // @ts-ignore
                exception: (0, read_1.read)(exception),
                // @ts-ignore
                endKw: (0, read_1.read)(endKw),
            });
        }; // @ts-ignore
        var peg$f571 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f572 = function (kw, whenKw, cond, thenKw, program) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "exception_clause",
                // @ts-ignore
                exceptionKw: (0, read_1.read)(kw),
                // @ts-ignore
                whenKw: (0, read_1.read)(whenKw),
                // @ts-ignore
                condition: (0, read_1.read)(cond),
                // @ts-ignore
                thenKw: (0, read_1.read)(thenKw),
                // @ts-ignore
                program,
            });
        }; // @ts-ignore
        var peg$f573 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "error_category", errorKw: kw });
        }; // @ts-ignore
        var peg$f574 = function (kw, names, type, deflt) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "declare_stmt",
                // @ts-ignore
                declareKw: (0, read_1.read)(kw),
                // @ts-ignore
                names,
                // @ts-ignore
                dataType: (0, read_1.read)(type),
                // @ts-ignore
                default: (0, read_1.read)(deflt),
            });
        }; // @ts-ignore
        var peg$f575 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "declare_default",
                // @ts-ignore
                defaultKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f576 = function (kw, assignments) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "set_stmt",
                // @ts-ignore
                setKw: (0, read_1.read)(kw),
                // @ts-ignore
                assignments,
            });
        }; // @ts-ignore
        var peg$f577 = function (name, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "binary_expr",
                // @ts-ignore
                left: (0, read_1.read)(name),
                // @ts-ignore
                operator: "=",
                // @ts-ignore
                right: (0, read_1.read)(value),
            });
        }; // @ts-ignore
        var peg$f578 = function (name, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "binary_expr",
                // @ts-ignore
                left: (0, read_1.read)(name),
                // @ts-ignore
                operator: "=",
                // @ts-ignore
                right: (0, read_1.read)(value),
            });
        }; // @ts-ignore
        var peg$f579 = function (ifClause, elifClauses, elseClause, endIfKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "if_stmt",
                // @ts-ignore
                clauses: [
                    // @ts-ignore
                    (0, read_1.read)(ifClause),
                    // @ts-ignore
                    ...elifClauses.map(read_1.read),
                    // @ts-ignore
                    ...(elseClause ? [(0, read_1.read)(elseClause)] : []),
                ],
                // @ts-ignore
                endIfKw: (0, read_1.read)(endIfKw),
            });
        }; // @ts-ignore
        var peg$f580 = function (ifKw, condition, thenKw, consequent) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "if_clause",
                // @ts-ignore
                ifKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                condition: (0, read_1.read)(condition),
                // @ts-ignore
                thenKw: (0, read_1.read)(thenKw),
                // @ts-ignore
                consequent,
            });
        }; // @ts-ignore
        var peg$f581 = function (elifKw, condition, thenKw, consequent) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "elseif_clause",
                // @ts-ignore
                elseifKw: (0, read_1.read)(elifKw),
                // @ts-ignore
                condition: (0, read_1.read)(condition),
                // @ts-ignore
                thenKw: (0, read_1.read)(thenKw),
                // @ts-ignore
                consequent,
            });
        }; // @ts-ignore
        var peg$f582 = function (elseKw, consequent) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "else_clause",
                // @ts-ignore
                elseKw: (0, read_1.read)(elseKw),
                // @ts-ignore
                consequent,
            });
        }; // @ts-ignore
        var peg$f583 = function (caseKw, expr, clauses, els, endKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "case_stmt",
                // @ts-ignore
                caseKw,
                // @ts-ignore
                expr: (0, read_1.read)(expr),
                // @ts-ignore
                clauses: [...clauses.map(read_1.read), ...(els ? [(0, read_1.read)(els)] : [])],
                // @ts-ignore
                endCaseKw: (0, read_1.read)(endKw),
            });
        }; // @ts-ignore
        var peg$f584 = function (whenKw, condition, thenKw, result) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "case_when",
                // @ts-ignore
                whenKw,
                // @ts-ignore
                condition: (0, read_1.read)(condition),
                // @ts-ignore
                thenKw,
                // @ts-ignore
                result: (0, read_1.read)(result),
            });
        }; // @ts-ignore
        var peg$f585 = function (kw, result) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "case_else",
                // @ts-ignore
                elseKw: kw,
                // @ts-ignore
                result: (0, read_1.read)(result),
            });
        }; // @ts-ignore
        var peg$f586 = function (loopKw, body, endLoopKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "loop_stmt",
                // @ts-ignore
                loopKw: (0, read_1.read)(loopKw),
                // @ts-ignore
                body,
                // @ts-ignore
                endLoopKw: (0, read_1.read)(endLoopKw),
            });
        }; // @ts-ignore
        var peg$f587 = function (kw, body, untilKw, cond, endKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "repeat_stmt",
                // @ts-ignore
                repeatKw: (0, read_1.read)(kw),
                // @ts-ignore
                body: (0, read_1.read)(body),
                // @ts-ignore
                untilKw: (0, read_1.read)(untilKw),
                // @ts-ignore
                condition: (0, read_1.read)(cond),
                // @ts-ignore
                endRepeatKw: (0, read_1.read)(endKw),
            });
        }; // @ts-ignore
        var peg$f588 = function (kw, cond, doKw, body, endKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "while_stmt",
                // @ts-ignore
                whileKw: (0, read_1.read)(kw),
                // @ts-ignore
                condition: (0, read_1.read)(cond),
                // @ts-ignore
                doKw: (0, read_1.read)(doKw),
                // @ts-ignore
                body: (0, read_1.read)(body),
                // @ts-ignore
                endWhileKw: (0, read_1.read)(endKw),
            });
        }; // @ts-ignore
        var peg$f589 = function (kw, left, inKw, right, doKw, body, endKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "for_stmt",
                // @ts-ignore
                forKw: (0, read_1.read)(kw),
                // @ts-ignore
                left: (0, read_1.read)(left),
                // @ts-ignore
                inKw: (0, read_1.read)(inKw),
                // @ts-ignore
                right: (0, read_1.read)(right),
                // @ts-ignore
                doKw: (0, read_1.read)(doKw),
                // @ts-ignore
                body: (0, read_1.read)(body),
                // @ts-ignore
                endForKw: (0, read_1.read)(endKw),
            });
        }; // @ts-ignore
        var peg$f590 = function (kw, label) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "break_stmt", breakKw: kw, label: (0, read_1.read)(label) });
        }; // @ts-ignore
        var peg$f591 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f592 = function (kw, label) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "continue_stmt", continueKw: kw, label: (0, read_1.read)(label) });
        }; // @ts-ignore
        var peg$f593 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f594 = function (kw, func) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "call_stmt", callKw: (0, read_1.read)(kw), func });
        }; // @ts-ignore
        var peg$f595 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "return_stmt", returnKw: (0, read_1.read)(kw), expr });
        }; // @ts-ignore
        var peg$f596 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "return_stmt", returnKw: kw });
        }; // @ts-ignore
        var peg$f597 = function (kw, msg) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "raise_stmt", raiseKw: kw, message: (0, read_1.read)(msg) });
        }; // @ts-ignore
        var peg$f598 = function (kw, string) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "raise_message",
                // @ts-ignore
                usingMessageKw: (0, read_1.read)(kw),
                // @ts-ignore
                string: (0, read_1.read)(string),
            });
        }; // @ts-ignore
        var peg$f599 = function (kw, immedKw, expr, into, using) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "execute_stmt",
                // @ts-ignore
                executeKw: (0, read_1.read)(kw),
                // @ts-ignore
                immediateKw: (0, read_1.read)(immedKw),
                // @ts-ignore
                expr,
                // @ts-ignore
                into: (0, read_1.read)(into),
                // @ts-ignore
                using: (0, read_1.read)(using),
            });
        }; // @ts-ignore
        var peg$f600 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f601 = function (kw, variables) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "execute_into_clause",
                // @ts-ignore
                intoKw: (0, read_1.read)(kw),
                // @ts-ignore
                variables,
            });
        }; // @ts-ignore
        var peg$f602 = function (kw, values) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "execute_using_clause",
                // @ts-ignore
                usingKw: (0, read_1.read)(kw),
                // @ts-ignore
                values,
            });
        }; // @ts-ignore
        var peg$f603 = function (kw, dbKw, file, asKw, schema) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "attach_database_stmt",
                // @ts-ignore
                attachKw: (0, read_1.read)(kw),
                // @ts-ignore
                databaseKw: (0, read_1.read)(dbKw),
                // @ts-ignore
                file: (0, read_1.read)(file),
                // @ts-ignore
                asKw: (0, read_1.read)(asKw),
                // @ts-ignore
                schema,
            });
        }; // @ts-ignore
        var peg$f604 = function (kw, dbKw, schema) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "detach_database_stmt",
                // @ts-ignore
                detachKw: (0, read_1.read)(kw),
                // @ts-ignore
                databaseKw: (0, read_1.read)(dbKw),
                // @ts-ignore
                schema,
            });
        }; // @ts-ignore
        var peg$f605 = function (kw, schema, intoKw, file) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "vacuum_stmt",
                // @ts-ignore
                vacuumKw: (0, read_1.read)(kw),
                // @ts-ignore
                schema: (0, read_1.read)(schema),
                // @ts-ignore
                intoKw: (0, read_1.read)(intoKw),
                // @ts-ignore
                file,
            });
        }; // @ts-ignore
        var peg$f606 = function (kw, schema) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "vacuum_stmt",
                // @ts-ignore
                vacuumKw: (0, read_1.read)(kw),
                // @ts-ignore
                schema: (0, read_1.read)(schema),
            });
        }; // @ts-ignore
        var peg$f607 = function (kw, pragma) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "pragma_stmt",
                // @ts-ignore
                pragmaKw: (0, read_1.read)(kw),
                // @ts-ignore
                pragma,
            });
        }; // @ts-ignore
        var peg$f608 = function (name, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "pragma_assignment",
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                value: (0, read_1.read)(value),
            });
        }; // @ts-ignore
        var peg$f609 = function (name, args) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "pragma_func_call",
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                args: (0, read_1.read)(args),
            });
        }; // @ts-ignore
        var peg$f610 = function (kw) {
            return (0, node_1.createKeyword)(kw);
        }; // @ts-ignore
        var peg$f611 = function (createKw, kw, name, options) {
            // @ts-ignore
            const entityKw = (0, read_1.read)(kw);
            // @ts-ignore
            const node = {
                // @ts-ignore
                createKw: (0, read_1.read)(createKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                options,
            };
            // @ts-ignore
            switch (entityKw.name) {
                // @ts-ignore
                case "CAPACITY": return (0, loc_1.loc)(Object.assign({ type: "create_capacity_stmt", capacityKw: entityKw }, node));
                // @ts-ignore
                case "RESERVATION": return (0, loc_1.loc)(Object.assign({ type: "create_reservation_stmt", reservationKw: entityKw }, node));
                // @ts-ignore
                case "ASSIGNMENT": return (0, loc_1.loc)(Object.assign({ type: "create_assignment_stmt", assignmentKw: entityKw }, node));
            }
        }; // @ts-ignore
        var peg$f612 = function (dropKw, kw, ifKw, name) {
            // @ts-ignore
            const entityKw = (0, read_1.read)(kw);
            // @ts-ignore
            const node = {
                // @ts-ignore
                dropKw: (0, read_1.read)(dropKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name,
            };
            // @ts-ignore
            switch (entityKw.name) {
                // @ts-ignore
                case "CAPACITY": return (0, loc_1.loc)(Object.assign({ type: "drop_capacity_stmt", capacityKw: entityKw }, node));
                // @ts-ignore
                case "RESERVATION": return (0, loc_1.loc)(Object.assign({ type: "drop_reservation_stmt", reservationKw: entityKw }, node));
                // @ts-ignore
                case "ASSIGNMENT": return (0, loc_1.loc)(Object.assign({ type: "drop_assignment_stmt", assignmentKw: entityKw }, node));
            }
        }; // @ts-ignore
        var peg$f613 = function (kw, orKw, policyKw, ifKw, name, onKw, table, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "create_row_access_policy_stmt",
                // @ts-ignore
                createKw: (0, read_1.read)(kw),
                // @ts-ignore
                orReplaceKw: (0, read_1.read)(orKw),
                // @ts-ignore
                rowAccessPolicyKw: (0, read_1.read)(policyKw),
                // @ts-ignore
                ifNotExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                table: (0, read_1.read)(table),
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f614 = function (kw, list) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "row_access_policy_grant_clause",
                // @ts-ignore
                grantToKw: (0, read_1.read)(kw),
                // @ts-ignore
                grantees: list,
            });
        }; // @ts-ignore
        var peg$f615 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "row_access_policy_filter_clause",
                // @ts-ignore
                filterUsingKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f616 = function (kw, policyKw, ifKw, name, onKw, table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_row_access_policy_stmt",
                // @ts-ignore
                dropKw: (0, read_1.read)(kw),
                // @ts-ignore
                rowAccessPolicyKw: (0, read_1.read)(policyKw),
                // @ts-ignore
                ifExistsKw: (0, read_1.read)(ifKw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                table,
            });
        }; // @ts-ignore
        var peg$f617 = function (kw, allKw, policyKw, onKw, table) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "drop_row_access_policy_stmt",
                // @ts-ignore
                dropKw: (0, read_1.read)(kw),
                // @ts-ignore
                allKw: (0, read_1.read)(allKw),
                // @ts-ignore
                rowAccessPolicyKw: (0, read_1.read)(policyKw),
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                table,
            });
        }; // @ts-ignore
        var peg$f618 = function (kw, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_organization_stmt",
                // @ts-ignore
                alterOrganizationKw: (0, read_1.read)(kw),
                // @ts-ignore
                actions: [action],
            });
        }; // @ts-ignore
        var peg$f619 = function (kw, name, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_project_stmt",
                // @ts-ignore
                alterProjectKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                actions: [action],
            });
        }; // @ts-ignore
        var peg$f620 = function (kw, name, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_bi_capacity_stmt",
                // @ts-ignore
                alterBiCapacityKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                actions: [action],
            });
        }; // @ts-ignore
        var peg$f621 = function (kw, name, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_capacity_stmt",
                // @ts-ignore
                alterCapacityKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                actions: [action],
            });
        }; // @ts-ignore
        var peg$f622 = function (kw, name, action) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "alter_reservation_stmt",
                // @ts-ignore
                alterReservationKw: (0, read_1.read)(kw),
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                actions: [action],
            });
        }; // @ts-ignore
        var peg$f623 = function (kw, expr, as) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "assert_stmt",
                // @ts-ignore
                assertKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
                // @ts-ignore
                as: (0, read_1.read)(as),
            });
        }; // @ts-ignore
        var peg$f624 = function (kw, con, options, as) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "export_data_stmt",
                // @ts-ignore
                exportDataKw: (0, read_1.read)(kw),
                // @ts-ignore
                withConnection: (0, read_1.read)(con),
                // @ts-ignore
                options: (0, read_1.read)(options),
                // @ts-ignore
                as,
            });
        }; // @ts-ignore
        var peg$f625 = function (kw, intoKw, table, columns, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "load_data_stmt",
                // @ts-ignore
                loadDataKw: (0, read_1.read)(kw),
                // @ts-ignore
                intoKw: (0, read_1.read)(intoKw),
                // @ts-ignore
                table,
                // @ts-ignore
                columns: (0, read_1.read)(columns),
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f626 = function (kw, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "from_files_options",
                // @ts-ignore
                fromFilesKw: (0, read_1.read)(kw),
                // @ts-ignore
                options,
            });
        }; // @ts-ignore
        var peg$f627 = function (kw, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "postgresql_with_options",
                // @ts-ignore
                withKw: (0, read_1.read)(kw),
                // @ts-ignore
                options,
            });
        }; // @ts-ignore
        var peg$f628 = function (name, v) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "table_option",
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                hasEq: true,
                // @ts-ignore
                value: (0, read_1.read)(v),
            });
        }; // @ts-ignore
        var peg$f629 = function (name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "table_option",
                // @ts-ignore
                name: (0, read_1.read)(name),
            });
        }; // @ts-ignore
        var peg$f630 = function (kw, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "postgresql_options",
                // @ts-ignore
                optionsKw: (0, read_1.read)(kw),
                // @ts-ignore
                options,
            });
        }; // @ts-ignore
        var peg$f631 = function (name, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "postgresql_option_element",
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                value,
            });
        }; // @ts-ignore
        var peg$f632 = function (name, options) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "postgresql_operator_class", name, options: (0, read_1.read)(options) });
        }; // @ts-ignore
        var peg$f633 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f634 = function (opt) {
            return opt;
        }; // @ts-ignore
        var peg$f635 = function (opt) {
            return opt;
        }; // @ts-ignore
        var peg$f636 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "table_option", name: (0, read_1.read)(kw) });
        }; // @ts-ignore
        var peg$f637 = function (kw, v) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "table_option",
                // @ts-ignore
                name: (0, read_1.read)(kw),
                // @ts-ignore
                hasEq: true,
                // @ts-ignore
                value: (0, read_1.read)(v),
            });
        }; // @ts-ignore
        var peg$f638 = function (kw, v) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "table_option",
                // @ts-ignore
                name: (0, read_1.read)(kw),
                // @ts-ignore
                value: (0, read_1.read)(v),
            });
        }; // @ts-ignore
        var peg$f639 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "table_option",
                // @ts-ignore
                name: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f640 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f641 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f642 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f643 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f644 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f645 = function (name, constraint, modifiers) {
            // @ts-ignore
            if (!name && modifiers.length === 0) {
                // @ts-ignore
                return constraint;
            }
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint",
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                constraint,
                // @ts-ignore
                modifiers: modifiers.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f646 = function (name, x) {
            return x;
        }; // @ts-ignore
        var peg$f647 = function (name, constraint, modifiers) {
            // @ts-ignore
            if (!name && modifiers.length === 0) {
                // @ts-ignore
                return constraint;
            }
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint",
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                constraint,
                // @ts-ignore
                modifiers: modifiers.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f648 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_name",
                // @ts-ignore
                constraintKw: kw,
                // @ts-ignore
                name: (0, read_1.read)(name),
            });
        }; // @ts-ignore
        var peg$f649 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_modifier",
                // @ts-ignore
                kw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f650 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_modifier",
                // @ts-ignore
                kw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f651 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_modifier",
                // @ts-ignore
                kw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f652 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_modifier",
                // @ts-ignore
                kw: (0, read_1.read)(kw),
            });
        }; // @ts-ignore
        var peg$f653 = function (con) {
            return con;
        }; // @ts-ignore
        var peg$f654 = function (con) {
            return con;
        }; // @ts-ignore
        var peg$f655 = function (con) {
            return con;
        }; // @ts-ignore
        var peg$f656 = function (con) {
            return con;
        }; // @ts-ignore
        var peg$f657 = function (con) {
            return con;
        }; // @ts-ignore
        var peg$f658 = function (kws, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_not_null",
                // @ts-ignore
                notNullKw: (0, read_1.read)(kws),
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f659 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "constraint_null", nullKw: kw });
        }; // @ts-ignore
        var peg$f660 = function (kw, e) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "constraint_default", defaultKw: kw, expr: (0, read_1.read)(e) });
        }; // @ts-ignore
        var peg$f661 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "constraint_auto_increment", autoIncrementKw: kw });
        }; // @ts-ignore
        var peg$f662 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f663 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f664 = function (kw, str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_comment",
                // @ts-ignore
                commentKw: kw,
                // @ts-ignore
                value: (0, read_1.read)(str),
            });
        }; // @ts-ignore
        var peg$f665 = function (kw, id) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_collate",
                // @ts-ignore
                collateKw: kw,
                // @ts-ignore
                collation: (0, read_1.read)(id),
            });
        }; // @ts-ignore
        var peg$f666 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "constraint_visible", visibleKw: kw });
        }; // @ts-ignore
        var peg$f667 = function (kw, f) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_column_format",
                // @ts-ignore
                columnFormatKw: (0, read_1.read)(kw),
                // @ts-ignore
                formatKw: f,
            });
        }; // @ts-ignore
        var peg$f668 = function (kw, t) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_storage",
                // @ts-ignore
                storageKw: (0, read_1.read)(kw),
                // @ts-ignore
                typeKw: t,
            });
        }; // @ts-ignore
        var peg$f669 = function (t) {
            return t;
        }; // @ts-ignore
        var peg$f670 = function (t) {
            return t;
        }; // @ts-ignore
        var peg$f671 = function (kw, eq, v) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_engine_attribute",
                // @ts-ignore
                engineAttributeKw: eq ? (0, whitespace_1.trailing)(kw, eq[0]) : kw,
                // @ts-ignore
                hasEq: !!eq,
                // @ts-ignore
                value: (0, read_1.read)(v),
            });
        }; // @ts-ignore
        var peg$f672 = function (kw, method) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_compression",
                // @ts-ignore
                compressionKw: (0, read_1.read)(kw),
                // @ts-ignore
                method,
            });
        }; // @ts-ignore
        var peg$f673 = function (kws, asKw, expr, stKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_generated",
                // @ts-ignore
                generatedKw: kws ? (0, read_1.read)(kws) : undefined,
                // @ts-ignore
                asKw,
                // @ts-ignore
                expr: (0, read_1.read)(expr),
                // @ts-ignore
                storageKw: (0, read_1.read)(stKw),
            });
        }; // @ts-ignore
        var peg$f674 = function (kws, asKw, identity, sequenceOptions) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_generated",
                // @ts-ignore
                generatedKw: (0, read_1.read)(kws),
                // @ts-ignore
                asKw: (0, read_1.read)(asKw),
                // @ts-ignore
                expr: (0, read_1.read)(identity),
                // @ts-ignore
                sequenceOptions: (0, read_1.read)(sequenceOptions),
            });
        }; // @ts-ignore
        var peg$f675 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "identity_column", identityKw: kw });
        }; // @ts-ignore
        var peg$f676 = function (con) {
            return con;
        }; // @ts-ignore
        var peg$f677 = function (con) {
            return con;
        }; // @ts-ignore
        var peg$f678 = function (con) {
            return con;
        }; // @ts-ignore
        var peg$f679 = function (con) {
            return con;
        }; // @ts-ignore
        var peg$f680 = function (kws, columns, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_primary_key",
                // @ts-ignore
                primaryKeyKw: (0, read_1.read)(kws),
                // @ts-ignore
                columns,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f681 = function (kws, direction, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_primary_key",
                // @ts-ignore
                primaryKeyKw: (0, read_1.read)(kws),
                // @ts-ignore
                direction: (0, read_1.read)(direction),
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f682 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f683 = function (dir) {
            return dir;
        }; // @ts-ignore
        var peg$f684 = function (kw, index) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "existing_index",
                // @ts-ignore
                usingIndexKw: (0, read_1.read)(kw),
                // @ts-ignore
                index,
            });
        }; // @ts-ignore
        var peg$f685 = function (kws, nullsKw, columns, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_unique",
                // @ts-ignore
                uniqueKw: (0, read_1.read)(kws),
                // @ts-ignore
                nullsKw: (0, read_1.read)(nullsKw),
                // @ts-ignore
                columns,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f686 = function (kws, nullsKw, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_unique",
                // @ts-ignore
                uniqueKw: kws,
                // @ts-ignore
                nullsKw: (0, read_1.read)(nullsKw),
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f687 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f688 = function (kws) {
            // @ts-ignore
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f689 = function (kw, expr, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_check",
                // @ts-ignore
                checkKw: kw,
                // @ts-ignore
                expr: (0, read_1.read)(expr),
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f690 = function (kws, name, columns, ref) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_foreign_key",
                // @ts-ignore
                foreignKeyKw: (0, read_1.read)(kws),
                // @ts-ignore
                indexName: (0, read_1.read)(name),
                // @ts-ignore
                columns,
                // @ts-ignore
                references: (0, read_1.read)(ref),
            });
        }; // @ts-ignore
        var peg$f691 = function (kw, table, columns, options) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "references_specification",
                // @ts-ignore
                referencesKw: (0, read_1.read)(kw),
                // @ts-ignore
                table,
                // @ts-ignore
                columns: (0, read_1.read)(columns),
                // @ts-ignore
                options: options.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f692 = function (onKw, eventKw, actionKw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "referential_action",
                // @ts-ignore
                onKw: (0, read_1.read)(onKw),
                // @ts-ignore
                eventKw: (0, read_1.read)(eventKw),
                // @ts-ignore
                actionKw,
                // @ts-ignore
                columns: (0, read_1.read)(columns),
            });
        }; // @ts-ignore
        var peg$f693 = function (matchKw, typeKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "referential_match",
                // @ts-ignore
                matchKw: (0, read_1.read)(matchKw),
                // @ts-ignore
                typeKw,
            });
        }; // @ts-ignore
        var peg$f694 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f695 = function (kw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_index",
                // @ts-ignore
                indexKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns,
            });
        }; // @ts-ignore
        var peg$f696 = function (typeKw, kw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_index",
                // @ts-ignore
                indexTypeKw: (0, read_1.read)(typeKw),
                // @ts-ignore
                indexKw: (0, read_1.read)(kw),
                // @ts-ignore
                columns,
            });
        }; // @ts-ignore
        var peg$f697 = function (kw, using, params, clauses) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "constraint_exclude",
                // @ts-ignore
                excludeKw: (0, read_1.read)(kw),
                // @ts-ignore
                using: (0, read_1.read)(using),
                // @ts-ignore
                params,
                // @ts-ignore
                clauses: clauses.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f698 = function (index, withKw, operator) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "exclusion_param",
                // @ts-ignore
                index,
                // @ts-ignore
                withKw: (0, read_1.read)(withKw),
                // @ts-ignore
                operator,
            });
        }; // @ts-ignore
        var peg$f699 = function (kws, res) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "on_conflict_clause",
                // @ts-ignore
                onConflictKw: (0, read_1.read)(kws),
                // @ts-ignore
                resolutionKw: res,
            });
        }; // @ts-ignore
        var peg$f700 = function (kw, name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "index_tablespace_clause",
                // @ts-ignore
                usingIndexTablespaceKw: (0, read_1.read)(kw),
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f701 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createArrayDataTypeChain)(head, tail));
        }; // @ts-ignore
        var peg$f702 = function (dataType, tz) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "with_time_zone_data_type",
                // @ts-ignore
                dataType,
                // @ts-ignore
                withTimeZoneKw: (0, read_1.read)(tz),
            });
        }; // @ts-ignore
        var peg$f703 = function (bounds) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "array_bounds", bounds: (0, read_1.read)(bounds) });
        }; // @ts-ignore
        var peg$f704 = function (bounds) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "array_bounds", bounds: (0, read_1.read)(bounds) });
        }; // @ts-ignore
        var peg$f705 = function (kw, params) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "named_data_type", name: (0, read_1.read)(kw), params });
        }; // @ts-ignore
        var peg$f706 = function (type) {
            // @ts-ignore
            return type;
        }; // @ts-ignore
        var peg$f707 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "named_data_type", name: kw });
        }; // @ts-ignore
        var peg$f708 = function (kw, params) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "named_data_type", name: (0, read_1.read)(kw), params: (0, read_1.read)(params) });
        }; // @ts-ignore
        var peg$f709 = function (kw, params) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "named_data_type", name: (0, read_1.read)(kw), params: (0, read_1.read)(params) });
        }; // @ts-ignore
        var peg$f710 = function (kw, params) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "named_data_type", name: (0, read_1.read)(kw), params: (0, read_1.read)(params) });
        }; // @ts-ignore
        var peg$f711 = function (list) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "generic_type_params",
                // @ts-ignore
                params: (0, read_1.read)(list),
            });
        }; // @ts-ignore
        var peg$f712 = function (name, dataType, constraints) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "struct_type_param",
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                dataType,
                // @ts-ignore
                constraints: constraints.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f713 = function (dataType, constraints) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "array_type_param",
                // @ts-ignore
                dataType,
                // @ts-ignore
                constraints: constraints.map(read_1.read),
            });
        }; // @ts-ignore
        var peg$f714 = function (kw, columns) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "table_data_type", tableKw: (0, read_1.read)(kw), columns });
        }; // @ts-ignore
        var peg$f715 = function (t) {
            return t;
        }; // @ts-ignore
        var peg$f716 = function (t) {
            return t;
        }; // @ts-ignore
        var peg$f717 = function (t) {
            return t;
        }; // @ts-ignore
        var peg$f718 = function (t) {
            return t;
        }; // @ts-ignore
        var peg$f719 = function (kw) {
            return (0, read_1.read)(kw);
        }; // @ts-ignore
        var peg$f720 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f721 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f722 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f723 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f724 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f725 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f726 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f727 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f728 = function (head, tail) {
            // @ts-ignore
            if (tail.length === 0) {
                // @ts-ignore
                return head;
            }
            // @ts-ignore
            return [head, ...tail.map(read_1.read)];
        }; // @ts-ignore
        var peg$f729 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f730 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f731 = function (left, createAssignOp) {
            // @ts-ignore
            if (createAssignOp) {
                // @ts-ignore
                return (0, loc_1.loc)(createAssignOp(left));
                // @ts-ignore
            }
            else {
                // @ts-ignore
                return left;
            }
        }; // @ts-ignore
        var peg$f732 = function (c1, op, c2, right) {
            // @ts-ignore
            return (left) => (0, node_1.createBinaryExpr)(left, c1, op, c2, right);
        }; // @ts-ignore
        var peg$f733 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f734 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f735 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f736 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f737 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f738 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createPrefixOpExpr)(kw, (0, read_1.read)(expr)));
        }; // @ts-ignore
        var peg$f739 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f740 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f741 = function (left, rightFn) {
            // @ts-ignore
            if (rightFn) {
                // @ts-ignore
                return (0, loc_1.loc)(rightFn(left));
                // @ts-ignore
            }
            else {
                // @ts-ignore
                return left;
            }
        }; // @ts-ignore
        var peg$f742 = function (op) {
            // @ts-ignore
            return (expr) => (0, node_1.createPostfixOpExpr)((0, read_1.read)(op), expr);
        }; // @ts-ignore
        var peg$f743 = function (tail) {
            // @ts-ignore
            return (head) => (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f744 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createBinaryExprChain)(head, tail));
        }; // @ts-ignore
        var peg$f745 = function (left, rightFn) {
            // @ts-ignore
            if (rightFn) {
                // @ts-ignore
                return (0, loc_1.loc)(rightFn(left));
                // @ts-ignore
            }
            else {
                // @ts-ignore
                return left;
            }
        }; // @ts-ignore
        var peg$f746 = function (c1, op, c2, right) {
            // @ts-ignore
            return (left) => (0, node_1.createBinaryExpr)(left, c1, (0, read_1.read)(op), c2, right);
        }; // @ts-ignore
        var peg$f747 = function (c1, op, c2, right) {
            // @ts-ignore
            return (left) => (0, node_1.createBinaryExpr)(left, c1, (0, read_1.read)(op), c2, right);
        }; // @ts-ignore
        var peg$f748 = function (betweenKw, begin, andKw, end) {
            // @ts-ignore
            return (left) => ({
                // @ts-ignore
                type: "between_expr",
                // @ts-ignore
                left: left,
                // @ts-ignore
                betweenKw: (0, read_1.read)(betweenKw),
                // @ts-ignore
                begin: (0, read_1.read)(begin),
                // @ts-ignore
                andKw: (0, read_1.read)(andKw),
                // @ts-ignore
                end: (0, read_1.read)(end),
            });
        }; // @ts-ignore
        var peg$f749 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f750 = function (left, rightFn) {
            // @ts-ignore
            if (rightFn) {
                // @ts-ignore
                return (0, loc_1.loc)(rightFn(left));
                // @ts-ignore
            }
            else {
                // @ts-ignore
                return left;
            }
        }; // @ts-ignore
        var peg$f751 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f752 = function (op) {
            // @ts-ignore
            return (expr) => (0, node_1.createPostfixOpExpr)((0, read_1.read)(op), expr);
        }; // @ts-ignore
        var peg$f753 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f754 = function (tail) {
            // @ts-ignore
            return (head) => (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f755 = function (c1, op, c2, e) {
            return e;
        }; // @ts-ignore
        var peg$f756 = function (c1, op, c2, right) {
            // @ts-ignore
            return (left) => (0, node_1.createBinaryExpr)(left, c1, (0, read_1.read)(op), c2, right);
        }; // @ts-ignore
        var peg$f757 = function (c1, op, c2, x) {
            return x;
        }; // @ts-ignore
        var peg$f758 = function (c1, op, c2, right) {
            // @ts-ignore
            return (left) => (0, node_1.createBinaryExpr)(left, c1, (0, read_1.read)(op), c2, right);
        }; // @ts-ignore
        var peg$f759 = function (c1, op, c2, right) {
            // @ts-ignore
            return (left) => (0, node_1.createBinaryExpr)(left, c1, (0, read_1.read)(op), c2, right);
        }; // @ts-ignore
        var peg$f760 = function (c1, op, c2, right) {
            // @ts-ignore
            return (left) => (0, node_1.createBinaryExpr)(left, c1, (0, read_1.read)(op), c2, right);
        }; // @ts-ignore
        var peg$f761 = function (betweenKw, begin, andKw, end) {
            // @ts-ignore
            return (left) => ({
                // @ts-ignore
                type: "between_expr",
                // @ts-ignore
                left: left,
                // @ts-ignore
                betweenKw: (0, read_1.read)(betweenKw),
                // @ts-ignore
                begin: (0, read_1.read)(begin),
                // @ts-ignore
                andKw: (0, read_1.read)(andKw),
                // @ts-ignore
                end: (0, read_1.read)(end),
            });
        }; // @ts-ignore
        var peg$f762 = function (kw) {
            // @ts-ignore
            return kw;
        }; // @ts-ignore
        var peg$f763 = function (kws) {
            // @ts-ignore
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f764 = function (kws) {
            // @ts-ignore
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f765 = function (kws) {
            // @ts-ignore
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f766 = function (kws) {
            // @ts-ignore
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f767 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f768 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f769 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f770 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f771 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f772 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f773 = function (op) {
            return (0, read_1.read)(op);
        }; // @ts-ignore
        var peg$f774 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f775 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f776 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f777 = function (left, c1, op, c2, right) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createBinaryExpr)(left, c1, op, c2, right));
        }; // @ts-ignore
        var peg$f778 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f779 = function (op, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "quantifier_expr",
                // @ts-ignore
                quantifierKw: (0, read_1.read)(op),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f780 = function (mKw, cols, aKw, args) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "full_text_match_expr",
                // @ts-ignore
                matchKw: (0, read_1.read)(mKw),
                // @ts-ignore
                columns: (0, read_1.read)(cols),
                // @ts-ignore
                againstKw: (0, read_1.read)(aKw),
                // @ts-ignore
                args: (0, read_1.read)(args),
            });
        }; // @ts-ignore
        var peg$f781 = function (expr, mod) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "full_text_match_args",
                // @ts-ignore
                expr,
                // @ts-ignore
                modifier: (0, read_1.read)(mod),
            });
        }; // @ts-ignore
        var peg$f782 = function (mod) {
            // @ts-ignore
            return (0, read_1.read)(mod);
        }; // @ts-ignore
        var peg$f783 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f784 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f785 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f786 = function (op) {
            // @ts-ignore
            return op;
        }; // @ts-ignore
        var peg$f787 = function (op, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "postgresql_operator_expr",
                // @ts-ignore
                operatorKw: (0, read_1.read)(op),
                // @ts-ignore
                expr: expr,
            });
        }; // @ts-ignore
        var peg$f788 = function (object, property) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "member_expr",
                // @ts-ignore
                object: (0, read_1.read)(object),
                // @ts-ignore
                property: (0, read_1.read)(property),
            });
        }; // @ts-ignore
        var peg$f789 = function (op) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "postgresql_operator",
                // @ts-ignore
                operator: text(),
            });
        }; // @ts-ignore
        var peg$f790 = function (op, right) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createPrefixOpExpr)(op, (0, read_1.read)(right)));
        }; // @ts-ignore
        var peg$f791 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f792 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f793 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f794 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f795 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f796 = function (kws) {
            return (0, read_1.read)(kws);
        }; // @ts-ignore
        var peg$f797 = function (op, right) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createPrefixOpExpr)(op, (0, read_1.read)(right)));
        }; // @ts-ignore
        var peg$f798 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createCastOperatorExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f799 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f800 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f801 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f802 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f803 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f804 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f805 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f806 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f807 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f808 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f809 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f810 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f811 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f812 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f813 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f814 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f815 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f816 = function (op, right) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createPrefixOpExpr)(op, (0, read_1.read)(right)));
        }; // @ts-ignore
        var peg$f817 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f818 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f819 = function (op, right) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createPrefixOpExpr)(op, (0, read_1.read)(right)));
        }; // @ts-ignore
        var peg$f820 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f821 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f822 = function (name, fnRight) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createFuncCall)(name, fnRight));
        }; // @ts-ignore
        var peg$f823 = function (obj, props) {
            // @ts-ignore
            return (0, node_1.createMemberExprChain)(obj, props);
        }; // @ts-ignore
        var peg$f824 = function (obj, props) {
            // @ts-ignore
            return (0, node_1.createMemberExprChain)(obj, props);
        }; // @ts-ignore
        var peg$f825 = function (expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "array_subscript",
                // @ts-ignore
                expr: (0, read_1.read)(expr),
            });
        }; // @ts-ignore
        var peg$f826 = function (kw, args) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "array_subscript_specifier",
                // @ts-ignore
                specifierKw: kw,
                // @ts-ignore
                args: (0, read_1.read)(args),
            });
        }; // @ts-ignore
        var peg$f827 = function (left, right) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "array_slice_specifier",
                // @ts-ignore
                from: (0, read_1.read)(left),
                // @ts-ignore
                to: (0, read_1.read)(right),
            });
        }; // @ts-ignore
        var peg$f828 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f829 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f830 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f831 = function (e) {
            return e;
        }; // @ts-ignore
        var peg$f832 = function (e) {
            return e;
        }; // @ts-ignore
        var peg$f833 = function (e) {
            return e;
        }; // @ts-ignore
        var peg$f834 = function (e) {
            return e;
        }; // @ts-ignore
        var peg$f835 = function (e) {
            return e;
        }; // @ts-ignore
        var peg$f836 = function (c1, list, c2) {
            // @ts-ignore
            if (list.items.length > 1) {
                // @ts-ignore
                if ((0, parserState_1.isBigquery)()) {
                    // Untyped struct expression must have at least 2 elements in it
                    // @ts-ignore
                    return (0, loc_1.loc)({ type: "struct_expr", expr: (0, whitespace_1.surrounding)(c1, list, c2) });
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    return (0, loc_1.loc)({ type: "paren_expr", expr: (0, whitespace_1.surrounding)(c1, list, c2) });
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                return (0, loc_1.loc)({ type: "paren_expr", expr: (0, whitespace_1.surrounding)(c1, list.items[0], c2) });
            }
        }; // @ts-ignore
        var peg$f837 = function (kw, args) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "cast_expr",
                // @ts-ignore
                castKw: kw,
                // @ts-ignore
                args: (0, read_1.read)(args),
            });
        }; // @ts-ignore
        var peg$f838 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f839 = function (e, kw, t, f) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "cast_arg",
                // @ts-ignore
                expr: (0, read_1.read)(e),
                // @ts-ignore
                asKw: kw,
                // @ts-ignore
                dataType: (0, read_1.read)(t),
                // @ts-ignore
                format: (0, read_1.read)(f),
            });
        }; // @ts-ignore
        var peg$f840 = function (kw, e, tz) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "cast_format",
                // @ts-ignore
                formatKw: (0, read_1.read)(kw),
                // @ts-ignore
                string: e,
                // @ts-ignore
                timezone: (0, read_1.read)(tz),
            });
        }; // @ts-ignore
        var peg$f841 = function (kw, tz) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "cast_format_timezone",
                // @ts-ignore
                atTimeZoneKw: (0, read_1.read)(kw),
                // @ts-ignore
                timezone: tz,
            });
        }; // @ts-ignore
        var peg$f842 = function (kw, args) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "raise_expr",
                // @ts-ignore
                raiseKw: kw,
                // @ts-ignore
                args: (0, read_1.read)(args),
            });
        }; // @ts-ignore
        var peg$f843 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f844 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "raise_expr_type",
                // @ts-ignore
                typeKw: kw,
            });
        }; // @ts-ignore
        var peg$f845 = function (kw, args) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "extract_expr",
                // @ts-ignore
                extractKw: (0, read_1.read)(kw),
                // @ts-ignore
                args,
            });
        }; // @ts-ignore
        var peg$f846 = function (unit, fromKw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "extract_from",
                // @ts-ignore
                unit,
                // @ts-ignore
                fromKw: (0, read_1.read)(fromKw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f847 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f848 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f849 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f850 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "interval_unit", unitKw: kw });
        }; // @ts-ignore
        var peg$f851 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "interval_unit", unitKw: kw });
        }; // @ts-ignore
        var peg$f852 = function (kw, args) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "week_expr",
                // @ts-ignore
                weekKw: (0, read_1.read)(kw),
                // @ts-ignore
                args,
            });
        }; // @ts-ignore
        var peg$f853 = function (name, fnRight) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createFuncCall)(name, fnRight));
        }; // @ts-ignore
        var peg$f854 = function (args, filter, over) {
            // @ts-ignore
            return {
                // @ts-ignore
                type: "func_call_right",
                // @ts-ignore
                args,
                // @ts-ignore
                filter: (0, read_1.read)(filter),
                // @ts-ignore
                over: (0, read_1.read)(over),
            };
        }; // @ts-ignore
        var peg$f855 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createIdentifier)(kw.text, kw.text));
        }; // @ts-ignore
        var peg$f856 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createIdentifier)(kw.text, kw.text));
        }; // @ts-ignore
        var peg$f857 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createIdentifier)(kw.text, kw.text));
        }; // @ts-ignore
        var peg$f858 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createIdentifier)(kw.text, kw.text));
        }; // @ts-ignore
        var peg$f859 = function (name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "func_call",
                // @ts-ignore
                name,
            });
        }; // @ts-ignore
        var peg$f860 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createIdentifier)(kw.text, kw.text));
        }; // @ts-ignore
        var peg$f861 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f862 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f863 = function (kw) {
            return kw;
        }; // @ts-ignore
        var peg$f864 = function (distinctKw, args, nulls, orderBy, limit, having) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "func_args",
                // @ts-ignore
                distinctKw: (0, read_1.read)(distinctKw),
                // @ts-ignore
                args,
                // @ts-ignore
                nullHandlingKw: (0, read_1.read)(nulls),
                // @ts-ignore
                orderBy: (0, read_1.read)(orderBy),
                // @ts-ignore
                limit: (0, read_1.read)(limit),
                // @ts-ignore
                having: (0, read_1.read)(having),
            });
        }; // @ts-ignore
        var peg$f865 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f866 = function () {
            // even when no parameters are present, we want to create an empty args object,
            // so we can attach optional comments to it,
            // allowing us to represent comments inside empty arguments list
            // @ts-ignore
            return (0, loc_1.loc)({ type: "list_expr", items: [] });
        }; // @ts-ignore
        var peg$f867 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f868 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f869 = function (name, op, value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "named_arg",
                // @ts-ignore
                name: (0, read_1.read)(name),
                // @ts-ignore
                operator: op,
                // @ts-ignore
                value: (0, read_1.read)(value),
            });
        }; // @ts-ignore
        var peg$f870 = function (op) {
            return op;
        }; // @ts-ignore
        var peg$f871 = function (kw, e) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "filter_arg",
                // @ts-ignore
                filterKw: (0, read_1.read)(kw),
                // @ts-ignore
                where: e,
            });
        }; // @ts-ignore
        var peg$f872 = function (kw, win) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "over_arg",
                // @ts-ignore
                overKw: (0, read_1.read)(kw),
                // @ts-ignore
                window: win,
            });
        }; // @ts-ignore
        var peg$f873 = function (kw, minmax, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "having_arg",
                // @ts-ignore
                havingKw: (0, read_1.read)(kw),
                // @ts-ignore
                minMaxKw: (0, read_1.read)(minmax),
                // @ts-ignore
                expr: (0, read_1.read)(expr),
            });
        }; // @ts-ignore
        var peg$f874 = function (caseKw, expr, clauses, els, endKw) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "case_expr",
                // @ts-ignore
                caseKw,
                // @ts-ignore
                expr: (0, read_1.read)(expr),
                // @ts-ignore
                clauses: [...clauses.map(read_1.read), ...(els ? [(0, read_1.read)(els)] : [])],
                // @ts-ignore
                endKw: (0, read_1.read)(endKw),
            });
        }; // @ts-ignore
        var peg$f875 = function (whenKw, condition, thenKw, result) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "case_when",
                // @ts-ignore
                whenKw,
                // @ts-ignore
                condition: (0, read_1.read)(condition),
                // @ts-ignore
                thenKw,
                // @ts-ignore
                result: (0, read_1.read)(result),
            });
        }; // @ts-ignore
        var peg$f876 = function (kw, result) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "case_else",
                // @ts-ignore
                elseKw: kw,
                // @ts-ignore
                result: (0, read_1.read)(result),
            });
        }; // @ts-ignore
        var peg$f877 = function (kw, e, unit) {
            // @ts-ignore
            return {
                // @ts-ignore
                type: "interval_expr",
                // @ts-ignore
                intervalKw: kw,
                // @ts-ignore
                expr: (0, read_1.read)(e),
                // @ts-ignore
                unit,
            };
        }; // @ts-ignore
        var peg$f878 = function (fromUnit, toKw, toUnit) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "interval_unit_range",
                // @ts-ignore
                fromUnit,
                // @ts-ignore
                toKw: (0, read_1.read)(toKw),
                // @ts-ignore
                toUnit,
            });
        }; // @ts-ignore
        var peg$f879 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "interval_unit", unitKw: kw });
        }; // @ts-ignore
        var peg$f880 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f881 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createPrefixOpExpr)(kw, (0, read_1.read)(expr)));
        }; // @ts-ignore
        var peg$f882 = function () {
            return (0, parserState_1.hasParamType)("?nr");
        }; // @ts-ignore
        var peg$f883 = function () {
            return (0, parserState_1.hasParamType)("?");
        }; // @ts-ignore
        var peg$f884 = function () {
            return (0, parserState_1.hasParamType)(":name");
        }; // @ts-ignore
        var peg$f885 = function () {
            return (0, parserState_1.hasParamType)("$nr");
        }; // @ts-ignore
        var peg$f886 = function () {
            return (0, parserState_1.hasParamType)("$name");
        }; // @ts-ignore
        var peg$f887 = function () {
            return (0, parserState_1.hasParamType)("@name");
        }; // @ts-ignore
        var peg$f888 = function () {
            return (0, parserState_1.hasParamType)("@`name`");
        }; // @ts-ignore
        var peg$f889 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "parameter", text: text() });
        }; // @ts-ignore
        var peg$f890 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f891 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f892 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f893 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f894 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f895 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f896 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f897 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f898 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f899 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f900 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f901 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f902 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f903 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f904 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f905 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f906 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f907 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f908 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f909 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f910 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f911 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f912 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f913 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f914 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f915 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f916 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f917 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f918 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f919 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f920 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f921 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f922 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f923 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f924 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f925 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f926 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f927 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f928 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f929 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f930 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f931 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f932 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f933 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f934 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f935 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f936 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f937 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f938 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f939 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f940 = function (c1, expr, c2) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createParenExpr)(c1, expr, c2));
        }; // @ts-ignore
        var peg$f941 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f942 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f943 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f944 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f945 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f946 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f947 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f948 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f949 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f950 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f951 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f952 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f953 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f954 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f955 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f956 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f957 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f958 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f959 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f960 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f961 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f962 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f963 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f964 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f965 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f966 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f967 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f968 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f969 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f970 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f971 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f972 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f973 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f974 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f975 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f976 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f977 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f978 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f979 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f980 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f981 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f982 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f983 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f984 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f985 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f986 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f987 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f988 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f989 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f990 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f991 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f992 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f993 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f994 = function (head, tail) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createListExpr)(head, tail));
        }; // @ts-ignore
        var peg$f995 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "list_expr", items: [] });
        }; // @ts-ignore
        var peg$f996 = function (expr, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(expr, alias));
        }; // @ts-ignore
        var peg$f997 = function (expr, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(expr, alias));
        }; // @ts-ignore
        var peg$f998 = function (expr, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(expr, alias));
        }; // @ts-ignore
        var peg$f999 = function (expr, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(expr, alias));
        }; // @ts-ignore
        var peg$f1000 = function (expr, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(expr, alias));
        }; // @ts-ignore
        var peg$f1001 = function (expr, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(expr, alias));
        }; // @ts-ignore
        var peg$f1002 = function (expr, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(expr, alias));
        }; // @ts-ignore
        var peg$f1003 = function (expr, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(expr, alias));
        }; // @ts-ignore
        var peg$f1004 = function (expr, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(expr, alias));
        }; // @ts-ignore
        var peg$f1005 = function (expr, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(expr, alias));
        }; // @ts-ignore
        var peg$f1006 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "as_clause",
                // @ts-ignore
                asKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f1007 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "as_clause",
                // @ts-ignore
                asKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f1008 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "as_clause",
                // @ts-ignore
                asKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f1009 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "as_clause",
                // @ts-ignore
                asKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f1010 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "as_clause",
                // @ts-ignore
                asKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f1011 = function (kw, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "as_clause",
                // @ts-ignore
                asKw: (0, read_1.read)(kw),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f1012 = function (tbl, col) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "member_expr",
                // @ts-ignore
                object: (0, read_1.read)(tbl),
                // @ts-ignore
                property: (0, read_1.read)(col),
            });
        }; // @ts-ignore
        var peg$f1013 = function (name) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createIdentifier)(name, name));
        }; // @ts-ignore
        var peg$f1014 = function (s) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createIdentifier)(s.text, s.value));
        }; // @ts-ignore
        var peg$f1015 = function (name) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createIdentifier)(name, name));
        }; // @ts-ignore
        var peg$f1016 = function (name) {
            return (0, keywords_1.isReservedKeyword)(name);
        }; // @ts-ignore
        var peg$f1017 = function (name) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createIdentifier)(name, name));
        }; // @ts-ignore
        var peg$f1018 = function (ident) {
            return ident;
        }; // @ts-ignore
        var peg$f1019 = function (ident) {
            return ident;
        }; // @ts-ignore
        var peg$f1020 = function (ident) {
            return ident;
        }; // @ts-ignore
        var peg$f1021 = function (str) {
            return (0, loc_1.loc)((0, node_1.createIdentifier)(str.text, str.value));
        }; // @ts-ignore
        var peg$f1022 = function (ident) {
            return ident;
        }; // @ts-ignore
        var peg$f1023 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f1024 = function (str) {
            return (0, loc_1.loc)((0, node_1.createIdentifier)(str.text, str.value));
        }; // @ts-ignore
        var peg$f1025 = function (chars) {
            return (0, loc_1.loc)((0, node_1.createIdentifier)(text(), chars.join("")));
        }; // @ts-ignore
        var peg$f1026 = function () {
            return "`";
        }; // @ts-ignore
        var peg$f1027 = function (chars) {
            return (0, loc_1.loc)((0, node_1.createIdentifier)(text(), chars.join("")));
        }; // @ts-ignore
        var peg$f1028 = function (e) {
            return (0, loc_1.loc)({ type: "bigquery_quoted_member_expr", expr: e });
        }; // @ts-ignore
        var peg$f1029 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createMemberExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f1030 = function () {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createIdentifier)(text(), text()));
        }; // @ts-ignore
        var peg$f1031 = function () {
            return true;
        }; // @ts-ignore
        var peg$f1032 = function () {
            // @ts-ignore
            return [];
        }; // @ts-ignore
        var peg$f1033 = function (chars) {
            return (0, loc_1.loc)((0, node_1.createIdentifier)(text(), chars.join("")));
        }; // @ts-ignore
        var peg$f1034 = function () {
            return "]";
        }; // @ts-ignore
        var peg$f1035 = function () {
            return text();
        }; // @ts-ignore
        var peg$f1036 = function () {
            return text();
        }; // @ts-ignore
        var peg$f1037 = function () {
            return text();
        }; // @ts-ignore
        var peg$f1038 = function (name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "variable",
                // @ts-ignore
                name: name,
                // @ts-ignore
                text: text(),
            });
        }; // @ts-ignore
        var peg$f1039 = function (ident) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "variable",
                // @ts-ignore
                name: ident.name,
                // @ts-ignore
                text: text(),
            });
        }; // @ts-ignore
        var peg$f1040 = function (str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "variable",
                // @ts-ignore
                name: str.value,
                // @ts-ignore
                text: text(),
            });
        }; // @ts-ignore
        var peg$f1041 = function (name) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "variable",
                // @ts-ignore
                name: name,
                // @ts-ignore
                text: text(),
            });
        }; // @ts-ignore
        var peg$f1042 = function (type, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "typed_expr",
                // @ts-ignore
                dataType: (0, read_1.read)(type),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f1043 = function (items) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "array_expr",
                // @ts-ignore
                expr: (0, read_1.read)(items),
            });
        }; // @ts-ignore
        var peg$f1044 = function (type, expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "typed_expr",
                // @ts-ignore
                dataType: (0, read_1.read)(type),
                // @ts-ignore
                expr,
            });
        }; // @ts-ignore
        var peg$f1045 = function (expr) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "struct_expr",
                // @ts-ignore
                expr: (0, read_1.read)(expr),
            });
        }; // @ts-ignore
        var peg$f1046 = function (e, alias) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createAlias)(e, alias));
        }; // @ts-ignore
        var peg$f1047 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "null_literal", nullKw: kw, value: null });
        }; // @ts-ignore
        var peg$f1048 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "boolean_literal", valueKw: kw, value: true });
        }; // @ts-ignore
        var peg$f1049 = function (kw) {
            // @ts-ignore
            return (0, loc_1.loc)({ type: "boolean_literal", valueKw: kw, value: false });
        }; // @ts-ignore
        var peg$f1050 = function (s) {
            return s;
        }; // @ts-ignore
        var peg$f1051 = function (s) {
            return s;
        }; // @ts-ignore
        var peg$f1052 = function (charset, string) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_with_charset",
                // @ts-ignore
                charset,
                // @ts-ignore
                string: (0, read_1.read)(string),
            });
        }; // @ts-ignore
        var peg$f1053 = function (s) {
            return s;
        }; // @ts-ignore
        var peg$f1054 = function (s) {
            return s;
        }; // @ts-ignore
        var peg$f1055 = function (s) {
            return s;
        }; // @ts-ignore
        var peg$f1056 = function (s) {
            return s;
        }; // @ts-ignore
        var peg$f1057 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createStringConcatExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f1058 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createStringConcatExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f1059 = function (cs) {
            return cs;
        }; // @ts-ignore
        var peg$f1060 = function () {
            return text();
        }; // @ts-ignore
        var peg$f1061 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f1062 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f1063 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f1064 = function (head, tail) {
            // @ts-ignore
            return (0, node_1.createBinaryExprChain)(head, tail);
        }; // @ts-ignore
        var peg$f1065 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: chars.join(""),
            });
        }; // @ts-ignore
        var peg$f1066 = function (str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: str.value
            });
        }; // @ts-ignore
        var peg$f1067 = function (str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: str.value,
            });
        }; // @ts-ignore
        var peg$f1068 = function (str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: str.value,
            });
        }; // @ts-ignore
        var peg$f1069 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: chars.join(""),
            });
        }; // @ts-ignore
        var peg$f1070 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: chars.join(""),
            });
        }; // @ts-ignore
        var peg$f1071 = function () {
            return "'";
        }; // @ts-ignore
        var peg$f1072 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: chars.join(""),
            });
        }; // @ts-ignore
        var peg$f1073 = function () {
            return '"';
        }; // @ts-ignore
        var peg$f1074 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: chars.join(""),
            });
        }; // @ts-ignore
        var peg$f1075 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: chars.join(""),
            });
        }; // @ts-ignore
        var peg$f1076 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: chars.join(""),
            });
        }; // @ts-ignore
        var peg$f1077 = function (s) {
            return s;
        }; // @ts-ignore
        var peg$f1078 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: chars.join(""),
            });
        }; // @ts-ignore
        var peg$f1079 = function (s) {
            return s;
        }; // @ts-ignore
        var peg$f1080 = function () {
            return "\n";
        }; // @ts-ignore
        var peg$f1081 = function () {
            return "\r";
        }; // @ts-ignore
        var peg$f1082 = function () {
            return "\t";
        }; // @ts-ignore
        var peg$f1083 = function () {
            return "\b";
        }; // @ts-ignore
        var peg$f1084 = function () {
            return "\f";
        }; // @ts-ignore
        var peg$f1085 = function () {
            return "\v";
        }; // @ts-ignore
        var peg$f1086 = function () {
            return "\x07"; /* BELL, ASCII code 7 */
        }; // @ts-ignore
        var peg$f1087 = function (oct) {
            // 1..3-digit octal escape
            // @ts-ignore
            return String.fromCodePoint(parseInt(oct, 8));
        }; // @ts-ignore
        var peg$f1088 = function (oct) {
            // 3-digit octal escape
            // @ts-ignore
            return String.fromCodePoint(parseInt(oct, 8));
        }; // @ts-ignore
        var peg$f1089 = function (hex) {
            // 1..2-digit hex escape
            // @ts-ignore
            return String.fromCodePoint(parseInt(hex, 16));
        }; // @ts-ignore
        var peg$f1090 = function (hex) {
            // 2-digit hex escape
            // @ts-ignore
            return String.fromCodePoint(parseInt(hex, 16));
        }; // @ts-ignore
        var peg$f1091 = function (hex) {
            // 4-digit unicode escape
            // @ts-ignore
            return String.fromCodePoint(parseInt(hex, 16));
        }; // @ts-ignore
        var peg$f1092 = function (hex) {
            // 8-digit unicode escape
            // @ts-ignore
            return String.fromCodePoint(parseInt(hex, 16));
        }; // @ts-ignore
        var peg$f1093 = function () {
            return "\\%";
        }; // @ts-ignore
        var peg$f1094 = function () {
            return "\\_";
        }; // @ts-ignore
        var peg$f1095 = function () {
            return "\0";
        }; // @ts-ignore
        var peg$f1096 = function () {
            return "\x1A"; /* Ctrl+Z (ASCII code 26 dec, 1A hex) */
        }; // @ts-ignore
        var peg$f1097 = function (c) {
            return c;
        }; // @ts-ignore
        var peg$f1098 = function (str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: str.value,
            });
        }; // @ts-ignore
        var peg$f1099 = function (cs) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: cs,
            });
        }; // @ts-ignore
        var peg$f1100 = function (cs) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "blob_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: (0, blob_1.parseTextBlob)(cs),
            });
        }; // @ts-ignore
        var peg$f1101 = function (cs) {
            return cs;
        }; // @ts-ignore
        var peg$f1102 = function (cs) {
            return cs;
        }; // @ts-ignore
        var peg$f1103 = function (cs) {
            return cs;
        }; // @ts-ignore
        var peg$f1104 = function (cs) {
            return cs;
        }; // @ts-ignore
        var peg$f1105 = function (value) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: value,
            });
        }; // @ts-ignore
        var peg$f1106 = function (x, y) {
            return x === y;
        }; // @ts-ignore
        var peg$f1107 = function (x, value, z) {
            return x === z;
        }; // @ts-ignore
        var peg$f1108 = function (x, value, z) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "string_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: value,
            });
        }; // @ts-ignore
        var peg$f1109 = function () {
            return text();
        }; // @ts-ignore
        var peg$f1110 = function (str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "blob_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: (0, blob_1.parseTextBlob)(str.value),
            });
        }; // @ts-ignore
        var peg$f1111 = function (kw, str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "datetime_literal",
                // @ts-ignore
                datetimeKw: kw,
                // @ts-ignore
                string: (0, read_1.read)(str)
            });
        }; // @ts-ignore
        var peg$f1112 = function (kw, str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "timestamp_literal",
                // @ts-ignore
                timestampKw: kw,
                // @ts-ignore
                string: (0, read_1.read)(str)
            });
        }; // @ts-ignore
        var peg$f1113 = function (kw, str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "date_literal",
                // @ts-ignore
                dateKw: kw,
                // @ts-ignore
                string: (0, read_1.read)(str)
            });
        }; // @ts-ignore
        var peg$f1114 = function (kw, str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "time_literal",
                // @ts-ignore
                timeKw: kw,
                // @ts-ignore
                string: (0, read_1.read)(str)
            });
        }; // @ts-ignore
        var peg$f1115 = function (kw, str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "json_literal",
                // @ts-ignore
                jsonKw: kw,
                // @ts-ignore
                string: (0, read_1.read)(str),
            });
        }; // @ts-ignore
        var peg$f1116 = function (kw, str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "jsonb_literal",
                // @ts-ignore
                jsonbKw: kw,
                // @ts-ignore
                string: (0, read_1.read)(str),
            });
        }; // @ts-ignore
        var peg$f1117 = function (kw, str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "numeric_literal",
                // @ts-ignore
                numericKw: kw,
                // @ts-ignore
                string: (0, read_1.read)(str),
            });
        }; // @ts-ignore
        var peg$f1118 = function (kw, str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "bignumeric_literal",
                // @ts-ignore
                bignumericKw: kw,
                // @ts-ignore
                string: (0, read_1.read)(str),
            });
        }; // @ts-ignore
        var peg$f1119 = function (kw, str) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "interval_literal",
                // @ts-ignore
                intervalKw: kw,
                // @ts-ignore
                string: (0, read_1.read)(str),
            });
        }; // @ts-ignore
        var peg$f1120 = function (n) {
            return n;
        }; // @ts-ignore
        var peg$f1121 = function (n) {
            return n;
        }; // @ts-ignore
        var peg$f1122 = function (n) {
            return n;
        }; // @ts-ignore
        var peg$f1123 = function (n) {
            return n;
        }; // @ts-ignore
        var peg$f1124 = function (n) {
            return n;
        }; // @ts-ignore
        var peg$f1125 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "blob_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: (0, blob_1.parseHexBlob)(chars),
            });
        }; // @ts-ignore
        var peg$f1126 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "blob_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: (0, blob_1.parseBitBlob)(chars),
            });
        }; // @ts-ignore
        var peg$f1127 = function (op, right) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createPrefixOpExpr)(op, (0, read_1.read)(right)));
        }; // @ts-ignore
        var peg$f1128 = function (n) {
            return n;
        }; // @ts-ignore
        var peg$f1129 = function (n) {
            return n;
        }; // @ts-ignore
        var peg$f1130 = function (n) {
            return n;
        }; // @ts-ignore
        var peg$f1131 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "number_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: parseInt(text().replace(/_/g, ""), 16),
            });
        }; // @ts-ignore
        var peg$f1132 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "number_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: parseInt(text(), 16),
            });
        }; // @ts-ignore
        var peg$f1133 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "blob_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: (0, blob_1.parseHexBlob)(chars),
            });
        }; // @ts-ignore
        var peg$f1134 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "number_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: parseInt(chars.replace(/_/g, ""), 2),
            });
        }; // @ts-ignore
        var peg$f1135 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "blob_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: (0, blob_1.parseBitBlob)(chars),
            });
        }; // @ts-ignore
        var peg$f1136 = function (chars) {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "number_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: parseInt(chars.replace(/_/g, ""), 8),
            });
        }; // @ts-ignore
        var peg$f1137 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "number_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: parseFloat(text().replace(/_/g, "")),
            });
        }; // @ts-ignore
        var peg$f1138 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "number_literal",
                // @ts-ignore
                text: text(),
                // @ts-ignore
                value: parseFloat(text()),
            });
        }; // @ts-ignore
        var peg$f1139 = function () {
            return text();
        }; // @ts-ignore
        var peg$f1140 = function (xs) {
            // @ts-ignore
            return xs.filter(parserState_1.isEnabledWhitespace);
        }; // @ts-ignore
        var peg$f1141 = function (xs) {
            // @ts-ignore
            return xs.filter(parserState_1.isEnabledWhitespace);
        }; // @ts-ignore
        var peg$f1142 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f1143 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f1144 = function (x) {
            return x;
        }; // @ts-ignore
        var peg$f1145 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "block_comment",
                // @ts-ignore
                text: text(),
            });
        }; // @ts-ignore
        var peg$f1146 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "block_comment",
                // @ts-ignore
                text: text(),
            });
        }; // @ts-ignore
        var peg$f1147 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "line_comment",
                // @ts-ignore
                text: text(),
            });
        }; // @ts-ignore
        var peg$f1148 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "line_comment",
                // @ts-ignore
                text: text(),
            });
        }; // @ts-ignore
        var peg$f1149 = function () {
            return { type: "space", text: text() };
        }; // @ts-ignore
        var peg$f1150 = function () {
            return { type: "newline", text: text() };
        }; // @ts-ignore
        var peg$f1151 = function () {
            return false;
        }; // @ts-ignore
        var peg$f1152 = function () {
            return (0, parserState_1.isBigquery)();
        }; // @ts-ignore
        var peg$f1153 = function () {
            return (0, parserState_1.isSqlite)();
        }; // @ts-ignore
        var peg$f1154 = function () {
            return (0, parserState_1.isMysql)() || (0, parserState_1.isMariadb)();
        }; // @ts-ignore
        var peg$f1155 = function () {
            return (0, parserState_1.isMysql)();
        }; // @ts-ignore
        var peg$f1156 = function () {
            return (0, parserState_1.isMariadb)();
        }; // @ts-ignore
        var peg$f1157 = function () {
            return (0, parserState_1.isPostgresql)();
        }; // @ts-ignore
        var peg$f1158 = function () {
            // @ts-ignore
            return (0, loc_1.loc)({
                // @ts-ignore
                type: "unsupported_grammar_stmt",
                // @ts-ignore
                text: text(),
            });
        }; // @ts-ignore
        var peg$f1159 = function (name) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createKeyword)(name));
        }; // @ts-ignore
        var peg$f1160 = function (name) {
            return (0, keywords_1.isReservedKeyword)(name);
        }; // @ts-ignore
        var peg$f1161 = function (name) {
            // @ts-ignore
            return (0, loc_1.loc)((0, node_1.createKeyword)(name));
        }; // @ts-ignore
        var peg$f1162 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1163 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1164 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1165 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1166 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1167 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1168 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1169 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1170 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1171 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1172 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1173 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1174 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1175 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1176 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1177 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1178 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1179 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1180 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1181 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1182 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1183 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1184 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1185 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1186 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1187 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1188 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1189 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1190 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1191 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1192 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1193 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1194 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1195 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1196 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1197 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1198 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1199 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1200 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1201 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1202 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1203 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1204 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1205 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1206 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1207 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1208 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1209 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1210 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1211 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1212 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1213 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1214 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1215 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1216 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1217 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1218 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1219 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1220 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1221 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1222 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1223 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1224 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1225 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1226 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1227 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1228 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1229 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1230 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1231 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1232 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1233 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1234 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1235 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1236 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1237 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1238 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1239 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1240 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1241 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1242 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1243 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1244 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1245 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1246 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1247 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1248 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1249 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1250 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1251 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1252 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1253 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1254 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1255 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1256 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1257 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1258 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1259 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1260 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1261 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1262 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1263 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1264 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1265 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1266 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1267 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1268 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1269 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1270 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1271 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1272 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1273 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1274 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1275 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1276 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1277 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1278 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1279 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1280 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1281 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1282 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1283 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1284 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1285 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1286 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1287 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1288 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1289 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1290 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1291 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1292 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1293 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1294 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1295 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1296 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1297 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1298 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1299 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1300 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1301 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1302 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1303 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1304 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1305 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1306 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1307 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1308 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1309 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1310 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1311 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1312 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1313 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1314 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1315 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1316 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1317 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1318 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1319 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1320 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1321 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1322 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1323 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1324 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1325 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1326 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1327 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1328 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1329 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1330 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1331 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1332 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1333 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1334 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1335 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1336 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1337 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1338 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1339 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1340 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1341 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1342 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1343 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1344 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1345 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1346 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1347 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1348 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1349 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1350 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1351 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1352 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1353 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1354 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1355 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1356 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1357 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1358 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1359 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1360 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1361 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1362 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1363 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1364 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1365 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1366 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1367 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1368 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1369 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1370 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1371 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1372 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1373 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1374 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1375 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1376 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1377 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1378 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1379 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1380 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1381 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1382 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1383 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1384 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1385 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1386 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1387 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1388 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1389 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1390 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1391 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1392 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1393 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1394 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1395 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1396 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1397 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1398 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1399 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1400 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1401 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1402 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1403 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1404 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1405 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1406 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1407 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1408 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1409 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1410 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1411 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1412 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1413 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1414 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1415 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1416 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1417 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1418 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1419 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1420 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1421 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1422 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1423 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1424 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1425 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1426 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1427 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1428 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1429 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1430 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1431 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1432 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1433 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1434 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1435 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1436 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1437 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1438 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1439 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1440 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1441 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1442 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1443 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1444 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1445 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1446 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1447 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1448 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1449 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1450 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1451 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1452 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1453 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1454 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1455 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1456 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1457 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1458 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1459 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1460 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1461 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1462 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1463 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1464 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1465 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1466 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1467 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1468 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1469 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1470 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1471 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1472 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1473 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1474 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1475 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1476 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1477 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1478 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1479 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1480 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1481 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1482 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1483 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1484 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1485 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1486 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1487 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1488 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1489 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1490 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1491 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1492 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1493 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1494 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1495 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1496 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1497 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1498 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1499 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1500 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1501 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1502 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1503 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1504 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1505 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1506 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1507 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1508 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1509 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1510 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1511 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1512 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1513 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1514 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1515 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1516 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1517 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1518 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1519 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1520 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1521 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1522 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1523 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1524 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1525 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1526 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1527 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1528 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1529 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1530 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1531 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1532 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1533 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1534 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1535 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1536 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1537 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1538 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1539 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1540 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1541 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1542 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1543 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1544 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1545 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1546 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1547 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1548 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1549 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1550 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1551 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1552 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1553 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1554 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1555 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1556 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1557 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1558 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1559 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1560 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1561 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1562 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1563 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1564 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1565 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1566 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1567 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1568 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1569 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1570 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1571 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1572 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1573 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1574 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1575 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1576 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1577 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1578 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1579 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1580 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1581 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1582 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1583 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1584 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1585 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1586 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1587 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1588 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1589 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1590 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1591 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1592 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1593 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1594 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1595 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1596 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1597 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1598 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1599 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1600 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1601 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1602 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1603 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1604 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1605 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1606 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1607 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1608 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1609 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1610 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1611 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1612 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1613 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1614 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1615 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1616 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1617 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1618 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1619 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1620 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1621 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1622 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1623 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1624 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1625 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1626 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1627 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1628 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1629 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1630 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1631 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1632 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1633 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1634 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1635 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1636 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1637 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1638 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1639 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1640 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1641 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1642 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1643 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1644 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1645 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1646 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1647 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1648 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1649 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1650 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1651 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1652 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1653 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1654 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1655 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1656 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1657 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1658 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1659 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1660 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1661 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1662 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1663 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1664 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1665 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1666 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1667 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1668 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1669 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1670 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1671 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1672 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1673 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1674 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1675 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1676 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1677 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1678 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1679 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1680 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1681 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1682 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1683 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1684 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1685 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1686 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1687 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1688 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1689 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1690 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1691 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1692 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1693 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1694 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1695 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1696 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1697 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1698 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1699 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1700 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1701 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1702 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1703 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1704 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1705 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1706 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1707 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1708 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1709 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1710 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1711 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1712 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1713 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1714 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1715 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1716 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1717 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1718 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1719 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1720 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1721 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1722 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1723 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1724 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1725 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1726 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1727 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1728 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1729 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1730 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1731 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1732 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1733 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1734 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1735 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1736 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1737 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1738 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1739 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1740 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1741 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1742 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1743 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1744 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1745 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1746 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1747 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1748 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1749 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1750 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1751 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1752 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1753 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1754 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1755 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1756 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1757 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1758 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1759 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1760 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1761 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1762 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1763 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1764 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1765 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1766 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1767 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1768 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1769 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        }; // @ts-ignore
        var peg$f1770 = function (kw) {
            return (0, loc_1.loc)((0, node_1.createKeyword)(kw));
        };
        // @ts-ignore
        var peg$currPos = 0;
        // @ts-ignore
        var peg$savedPos = 0;
        // @ts-ignore
        var peg$posDetailsCache = [{ line: 1, column: 1 }];
        // @ts-ignore
        var peg$maxFailPos = 0;
        // @ts-ignore
        var peg$maxFailExpected = [];
        // @ts-ignore
        var peg$silentFails = 0;
        // @ts-ignore
        var peg$result;
        // @ts-ignore
        if ("startRule" in options) {
            // @ts-ignore
            if (!(options.startRule in peg$startRuleFunctions)) {
                // @ts-ignore
                throw new Error("Can't start parsing from rule \"" + options.startRule + "\".");
            }
            // @ts-ignore
            peg$startRuleFunction = peg$startRuleFunctions[options.startRule];
        }
        // @ts-ignore
        function text() {
            // @ts-ignore
            return input.substring(peg$savedPos, peg$currPos);
        }
        // @ts-ignore
        function offset() {
            // @ts-ignore
            return peg$savedPos;
        }
        // @ts-ignore
        function range() {
            // @ts-ignore
            return {
                // @ts-ignore
                source: peg$source,
                // @ts-ignore
                start: peg$savedPos,
                // @ts-ignore
                end: peg$currPos
            };
        }
        // @ts-ignore
        function location() {
            // @ts-ignore
            return peg$computeLocation(peg$savedPos, peg$currPos);
        }
        // @ts-ignore
        function expected(description, location) {
            // @ts-ignore
            location = location !== undefined
                // @ts-ignore
                ? location
                // @ts-ignore
                : peg$computeLocation(peg$savedPos, peg$currPos);
            // @ts-ignore
            throw peg$buildStructuredError(
            // @ts-ignore
            [peg$otherExpectation(description)], 
            // @ts-ignore
            input.substring(peg$savedPos, peg$currPos), 
            // @ts-ignore
            location);
        }
        // @ts-ignore
        function error(message, location) {
            // @ts-ignore
            location = location !== undefined
                // @ts-ignore
                ? location
                // @ts-ignore
                : peg$computeLocation(peg$savedPos, peg$currPos);
            // @ts-ignore
            throw peg$buildSimpleError(message, location);
        }
        // @ts-ignore
        function peg$literalExpectation(text, ignoreCase) {
            // @ts-ignore
            return { type: "literal", text: text, ignoreCase: ignoreCase };
        }
        // @ts-ignore
        function peg$classExpectation(parts, inverted, ignoreCase) {
            // @ts-ignore
            return { type: "class", parts: parts, inverted: inverted, ignoreCase: ignoreCase };
        }
        // @ts-ignore
        function peg$anyExpectation() {
            // @ts-ignore
            return { type: "any" };
        }
        // @ts-ignore
        function peg$endExpectation() {
            // @ts-ignore
            return { type: "end" };
        }
        // @ts-ignore
        function peg$otherExpectation(description) {
            // @ts-ignore
            return { type: "other", description: description };
        }
        // @ts-ignore
        function peg$computePosDetails(pos) {
            // @ts-ignore
            var details = peg$posDetailsCache[pos];
            // @ts-ignore
            var p;
            // @ts-ignore
            if (details) {
                // @ts-ignore
                return details;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                p = pos - 1;
                // @ts-ignore
                while (!peg$posDetailsCache[p]) {
                    // @ts-ignore
                    p--;
                }
                // @ts-ignore
                details = peg$posDetailsCache[p];
                // @ts-ignore
                details = {
                    // @ts-ignore
                    line: details.line,
                    // @ts-ignore
                    column: details.column
                };
                // @ts-ignore
                while (p < pos) {
                    // @ts-ignore
                    if (input.charCodeAt(p) === 10) {
                        // @ts-ignore
                        details.line++;
                        // @ts-ignore
                        details.column = 1;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        details.column++;
                    }
                    // @ts-ignore
                    p++;
                }
                // @ts-ignore
                peg$posDetailsCache[pos] = details;
                // @ts-ignore
                return details;
            }
        }
        // @ts-ignore
        function peg$computeLocation(startPos, endPos, offset) {
            // @ts-ignore
            var startPosDetails = peg$computePosDetails(startPos);
            // @ts-ignore
            var endPosDetails = peg$computePosDetails(endPos);
            // @ts-ignore
            var res = {
                // @ts-ignore
                source: peg$source,
                // @ts-ignore
                start: {
                    // @ts-ignore
                    offset: startPos,
                    // @ts-ignore
                    line: startPosDetails.line,
                    // @ts-ignore
                    column: startPosDetails.column
                },
                // @ts-ignore
                end: {
                    // @ts-ignore
                    offset: endPos,
                    // @ts-ignore
                    line: endPosDetails.line,
                    // @ts-ignore
                    column: endPosDetails.column
                }
            };
            // @ts-ignore
            if (offset && peg$source && (typeof peg$source.offset === "function")) {
                // @ts-ignore
                res.start = peg$source.offset(res.start);
                // @ts-ignore
                res.end = peg$source.offset(res.end);
            }
            // @ts-ignore
            return res;
        }
        // @ts-ignore
        function peg$fail(expected) {
            // @ts-ignore
            if (peg$currPos < peg$maxFailPos) {
                return;
            }
            // @ts-ignore
            if (peg$currPos > peg$maxFailPos) {
                // @ts-ignore
                peg$maxFailPos = peg$currPos;
                // @ts-ignore
                peg$maxFailExpected = [];
            }
            // @ts-ignore
            peg$maxFailExpected.push(expected);
        }
        // @ts-ignore
        function peg$buildSimpleError(message, location) {
            // @ts-ignore
            return new peg$SyntaxError(message, null, null, location);
        }
        // @ts-ignore
        function peg$buildStructuredError(expected, found, location) {
            // @ts-ignore
            return new peg$SyntaxError(
            // @ts-ignore
            peg$SyntaxError.buildMessage(expected, found), 
            // @ts-ignore
            expected, 
            // @ts-ignore
            found, 
            // @ts-ignore
            location);
        }
        // @ts-ignore
        function peg$parsestart() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parse__();
            // @ts-ignore
            s2 = peg$parseprogram();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f0(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseprogram() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsestatement();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseempty();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 59) {
                    // @ts-ignore
                    s5 = peg$c0;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e0);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsestatement();
                    // @ts-ignore
                    if (s7 === peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parseempty();
                    }
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 59) {
                        // @ts-ignore
                        s5 = peg$c0;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e0);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsestatement();
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parseempty();
                        }
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestatement() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsenon_transaction_statement();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsetransaction_statement();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    peg$savedPos = peg$currPos;
                    // @ts-ignore
                    s1 = peg$f2();
                    // @ts-ignore
                    if (s1) {
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseunsupported_grammar_stmt();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f3(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenon_transaction_statement() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsedml_statement();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseddl_statement();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsedcl_statement();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsestatement_sqlite();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f4(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsemysql();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsestatement_mysql();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f5(s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$currPos;
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s2 = peg$parsebigquery();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s1 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parsestatement_bigquery();
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f6(s2);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$currPos;
                                    // @ts-ignore
                                    s1 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s2 = peg$parsepostgres();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s1 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$parsestatement_postgres();
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f7(s2);
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestatement_sqlite() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseanalyze_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseexplain_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsesqlite_statement();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestatement_mysql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseproc_statement();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseanalyze_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseexplain_stmt();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseexecute_stmt();
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestatement_bigquery() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseproc_statement();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseexecute_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsebigquery_statement();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestatement_postgres() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseanalyze_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseexplain_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseexecute_stmt();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseddl_statement() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsecreate_view_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsedrop_view_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsecreate_index_stmt();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsedrop_index_stmt();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsealter_index_stmt();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f8(s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$currPos;
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s2 = peg$parsepostgres();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s1 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parsealter_index_all_in_tablespace_stmt();
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f9(s2);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$currPos;
                                    // @ts-ignore
                                    s1 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s2 = peg$parsepostgres();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s1 === peg$FAILED) {
                                        // @ts-ignore
                                        s1 = peg$currPos;
                                        // @ts-ignore
                                        peg$silentFails++;
                                        // @ts-ignore
                                        s2 = peg$parsesqlite();
                                        // @ts-ignore
                                        peg$silentFails--;
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                    }
                                    // @ts-ignore
                                    if (s1 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$parsereindex_stmt();
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f10(s2);
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$currPos;
                                        // @ts-ignore
                                        s1 = peg$currPos;
                                        // @ts-ignore
                                        peg$silentFails++;
                                        // @ts-ignore
                                        s2 = peg$parsesqlite();
                                        // @ts-ignore
                                        peg$silentFails--;
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s1 !== peg$FAILED) {
                                            // @ts-ignore
                                            s2 = peg$parseddl_statement_sqlite();
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                peg$savedPos = s0;
                                                // @ts-ignore
                                                s0 = peg$f11(s2);
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$currPos;
                                            // @ts-ignore
                                            s1 = peg$currPos;
                                            // @ts-ignore
                                            peg$silentFails++;
                                            // @ts-ignore
                                            s2 = peg$parsemysql();
                                            // @ts-ignore
                                            peg$silentFails--;
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                peg$currPos = s1;
                                                // @ts-ignore
                                                s1 = undefined;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s1 !== peg$FAILED) {
                                                // @ts-ignore
                                                s2 = peg$parseddl_statement_mysql();
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$savedPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$f12(s2);
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$currPos;
                                                // @ts-ignore
                                                s1 = peg$currPos;
                                                // @ts-ignore
                                                peg$silentFails++;
                                                // @ts-ignore
                                                s2 = peg$parsebigquery();
                                                // @ts-ignore
                                                peg$silentFails--;
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$currPos = s1;
                                                    // @ts-ignore
                                                    s1 = undefined;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s1 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s1 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    s2 = peg$parseddl_statement_bigquery();
                                                    // @ts-ignore
                                                    if (s2 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        peg$savedPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$f13(s2);
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$currPos;
                                                    // @ts-ignore
                                                    s1 = peg$currPos;
                                                    // @ts-ignore
                                                    peg$silentFails++;
                                                    // @ts-ignore
                                                    s2 = peg$parsepostgres();
                                                    // @ts-ignore
                                                    peg$silentFails--;
                                                    // @ts-ignore
                                                    if (s2 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        peg$currPos = s1;
                                                        // @ts-ignore
                                                        s1 = undefined;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s1 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                    if (s1 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        s2 = peg$parseddl_statement_postgres();
                                                        // @ts-ignore
                                                        if (s2 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            peg$savedPos = s0;
                                                            // @ts-ignore
                                                            s0 = peg$f14(s2);
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s0;
                                                            // @ts-ignore
                                                            s0 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parsecreate_table_stmt();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parsedrop_table_stmt();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parsealter_table_stmt();
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseddl_statement_sqlite() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsecreate_trigger_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsedrop_trigger_stmt();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseddl_statement_mysql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_view_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parserename_table_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsecreate_trigger_stmt();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsedrop_trigger_stmt();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsecreate_schema_stmt();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsedrop_schema_stmt();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsealter_schema_stmt();
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseddl_statement_bigquery() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_view_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsecreate_function_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsedrop_function_stmt();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsecreate_procedure_stmt();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsedrop_procedure_stmt();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsecreate_schema_stmt();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsedrop_schema_stmt();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsealter_schema_stmt();
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseddl_statement_postgres() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_view_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parserefresh_materialized_view_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsecreate_function_stmt();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsedrop_function_stmt();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_function_stmt();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsecreate_procedure_stmt();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsedrop_procedure_stmt();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsealter_procedure_stmt();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsealter_table_all_in_tablespace_stmt();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsecreate_schema_stmt();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parsedrop_schema_stmt();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parsealter_schema_stmt();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parsecreate_sequence_stmt();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parsealter_sequence_stmt();
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$parsedrop_sequence_stmt();
                                                                    // @ts-ignore
                                                                    if (s0 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s0 = peg$parsecreate_trigger_stmt();
                                                                        // @ts-ignore
                                                                        if (s0 === peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s0 = peg$parsealter_trigger_stmt();
                                                                            // @ts-ignore
                                                                            if (s0 === peg$FAILED) {
                                                                                // @ts-ignore
                                                                                s0 = peg$parsedrop_trigger_stmt();
                                                                                // @ts-ignore
                                                                                if (s0 === peg$FAILED) {
                                                                                    // @ts-ignore
                                                                                    s0 = peg$parsecreate_type_stmt();
                                                                                    // @ts-ignore
                                                                                    if (s0 === peg$FAILED) {
                                                                                        // @ts-ignore
                                                                                        s0 = peg$parsealter_type_stmt();
                                                                                        // @ts-ignore
                                                                                        if (s0 === peg$FAILED) {
                                                                                            // @ts-ignore
                                                                                            s0 = peg$parsedrop_type_stmt();
                                                                                            // @ts-ignore
                                                                                            if (s0 === peg$FAILED) {
                                                                                                // @ts-ignore
                                                                                                s0 = peg$parsecreate_domain_stmt();
                                                                                                // @ts-ignore
                                                                                                if (s0 === peg$FAILED) {
                                                                                                    // @ts-ignore
                                                                                                    s0 = peg$parsealter_domain_stmt();
                                                                                                    // @ts-ignore
                                                                                                    if (s0 === peg$FAILED) {
                                                                                                        // @ts-ignore
                                                                                                        s0 = peg$parsedrop_domain_stmt();
                                                                                                        // @ts-ignore
                                                                                                        if (s0 === peg$FAILED) {
                                                                                                            // @ts-ignore
                                                                                                            s0 = peg$parsecreate_role_stmt();
                                                                                                            // @ts-ignore
                                                                                                            if (s0 === peg$FAILED) {
                                                                                                                // @ts-ignore
                                                                                                                s0 = peg$parsealter_role_stmt();
                                                                                                                // @ts-ignore
                                                                                                                if (s0 === peg$FAILED) {
                                                                                                                    // @ts-ignore
                                                                                                                    s0 = peg$parsedrop_role_stmt();
                                                                                                                    // @ts-ignore
                                                                                                                    if (s0 === peg$FAILED) {
                                                                                                                        // @ts-ignore
                                                                                                                        s0 = peg$parseset_role_stmt();
                                                                                                                        // @ts-ignore
                                                                                                                        if (s0 === peg$FAILED) {
                                                                                                                            // @ts-ignore
                                                                                                                            s0 = peg$parsereset_role_stmt();
                                                                                                                            // @ts-ignore
                                                                                                                            if (s0 === peg$FAILED) {
                                                                                                                                // @ts-ignore
                                                                                                                                s0 = peg$parsecreate_policy_stmt();
                                                                                                                                // @ts-ignore
                                                                                                                                if (s0 === peg$FAILED) {
                                                                                                                                    // @ts-ignore
                                                                                                                                    s0 = peg$parsealter_policy_stmt();
                                                                                                                                    // @ts-ignore
                                                                                                                                    if (s0 === peg$FAILED) {
                                                                                                                                        // @ts-ignore
                                                                                                                                        s0 = peg$parsedrop_policy_stmt();
                                                                                                                                    }
                                                                                                                                }
                                                                                                                            }
                                                                                                                        }
                                                                                                                    }
                                                                                                                }
                                                                                                            }
                                                                                                        }
                                                                                                    }
                                                                                                }
                                                                                            }
                                                                                        }
                                                                                    }
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedml_statement() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsecompound_select_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseinsert_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseupdate_stmt();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsedelete_stmt();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsebigquery();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 === peg$FAILED) {
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s2 = peg$parsemysql();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s1 === peg$FAILED) {
                                    // @ts-ignore
                                    s1 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s2 = peg$parsepostgres();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                }
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsetruncate_stmt();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f15(s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$currPos;
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s2 = peg$parsebigquery();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s1 === peg$FAILED) {
                                    // @ts-ignore
                                    s1 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s2 = peg$parsepostgres();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                }
                                // @ts-ignore
                                if (s1 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parsemerge_stmt();
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f16(s2);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseempty() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            if (input.length > peg$currPos) {
                // @ts-ignore
                s2 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s2 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e1);
                }
            }
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseend_of_file();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f17();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinner_program() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseinner_program_statement();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 59) {
                    // @ts-ignore
                    s5 = peg$c0;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e0);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseinner_program_statement();
                    // @ts-ignore
                    if (s7 === peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parseempty();
                    }
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    while (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2.push(s3);
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 59) {
                            // @ts-ignore
                            s5 = peg$c0;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e0);
                            }
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parseinner_program_statement();
                            // @ts-ignore
                            if (s7 === peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parseempty();
                            }
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = [s4, s5, s6, s7];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f18(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseempty();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f19();
                }
                // @ts-ignore
                s0 = s1;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinner_program_statement() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsenon_transaction_statement();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f20(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsestatement();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f21(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsereturn_stmt();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f22(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecompound_select_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseintersect_select_stmt();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsecompound_op();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseintersect_select_stmt();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsecompound_op();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseintersect_select_stmt();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f23(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecompound_op() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUNION();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseEXCEPT();
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseALL();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseDISTINCT();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f24(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseUNION();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseEXCEPT();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseintersect_select_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsesub_select();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseintersect_op();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsesub_select();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseintersect_op();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsesub_select();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f25(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesub_select() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseselect_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseparen$compound_select_stmt();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseintersect_op() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINTERSECT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseALL();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseDISTINCT();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f26(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseINTERSECT();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseselect_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsewith_clause();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$parseselect_main_clause();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$compound_select_stmt();
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseother_clause();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                while (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3.push(s4);
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseother_clause();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f27(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseselect_main_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseselect_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parsevalues_clause();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f28(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parsetable_clause();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f29(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseTABLE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parserelation_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f30(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_stmt() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetable_clause();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f31(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewith_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseWITH();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseRECURSIVE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parselist$common_table_expr();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f32(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecommon_table_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$list$column();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseAS();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsecte_materialized();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseparen$cte_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parsecte_search_clause();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = null;
                        }
                        // @ts-ignore
                        s7 = peg$currPos;
                        // @ts-ignore
                        s8 = peg$parse__();
                        // @ts-ignore
                        s9 = peg$parsecte_cycle_clause();
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = [s8, s9];
                            // @ts-ignore
                            s7 = s8;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s7;
                            // @ts-ignore
                            s7 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f33(s1, s2, s3, s4, s5, s6, s7);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecte_materialized() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNOT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseMATERIALIZED();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseMATERIALIZED();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f34(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecte_expr() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parsecompound_select_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseupdate_stmt();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseinsert_stmt();
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parsedelete_stmt();
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f35(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecte_search_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSEARCH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBREADTH();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseDEPTH();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseFIRST();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseBY();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$parse__();
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6, s7, s8, s9];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$ident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseSET();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5, s6];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseident();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s6 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f36(s1, s2, s3, s4);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecte_cycle_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCYCLE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$ident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseSET();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5, s6];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseident();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parsecte_cycle_clause_values();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                s5 = null;
                            }
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseUSING();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s9 = peg$parse__();
                                // @ts-ignore
                                s7 = [s7, s8, s9];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parseident();
                                // @ts-ignore
                                if (s7 !== peg$FAILED) {
                                    // @ts-ignore
                                    s8 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s9 = peg$parsepostgres();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s9 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s8;
                                        // @ts-ignore
                                        s8 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s8 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s8 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f37(s1, s2, s3, s4, s5, s6, s7);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecte_cycle_clause_values() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseTO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseliteral();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseDEFAULT();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5, s6];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseliteral();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f38(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseother_clause() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsefrom_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsewhere_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsegroup_by_clause();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsehaving_clause();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseorder_by_clause();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parselimit_clause();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsewindow_clause();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$currPos;
                                        // @ts-ignore
                                        s1 = peg$currPos;
                                        // @ts-ignore
                                        peg$silentFails++;
                                        // @ts-ignore
                                        s2 = peg$parsebigquery();
                                        // @ts-ignore
                                        peg$silentFails--;
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s1 !== peg$FAILED) {
                                            // @ts-ignore
                                            s2 = peg$parsequalify_clause();
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                peg$savedPos = s0;
                                                // @ts-ignore
                                                s0 = peg$f39(s2);
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$currPos;
                                            // @ts-ignore
                                            s1 = peg$currPos;
                                            // @ts-ignore
                                            peg$silentFails++;
                                            // @ts-ignore
                                            s2 = peg$parsepostgres();
                                            // @ts-ignore
                                            peg$silentFails--;
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                peg$currPos = s1;
                                                // @ts-ignore
                                                s1 = undefined;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s1 === peg$FAILED) {
                                                // @ts-ignore
                                                s1 = peg$currPos;
                                                // @ts-ignore
                                                peg$silentFails++;
                                                // @ts-ignore
                                                s2 = peg$parseonly_mariadb();
                                                // @ts-ignore
                                                peg$silentFails--;
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$currPos = s1;
                                                    // @ts-ignore
                                                    s1 = undefined;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s1 = peg$FAILED;
                                                }
                                            }
                                            // @ts-ignore
                                            if (s1 !== peg$FAILED) {
                                                // @ts-ignore
                                                s2 = peg$parseoffset_clause();
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$savedPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$f40(s2);
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$currPos;
                                                // @ts-ignore
                                                s1 = peg$currPos;
                                                // @ts-ignore
                                                peg$silentFails++;
                                                // @ts-ignore
                                                s2 = peg$parsepostgres();
                                                // @ts-ignore
                                                peg$silentFails--;
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$currPos = s1;
                                                    // @ts-ignore
                                                    s1 = undefined;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s1 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s1 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s1 = peg$currPos;
                                                    // @ts-ignore
                                                    peg$silentFails++;
                                                    // @ts-ignore
                                                    s2 = peg$parseonly_mariadb();
                                                    // @ts-ignore
                                                    peg$silentFails--;
                                                    // @ts-ignore
                                                    if (s2 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        peg$currPos = s1;
                                                        // @ts-ignore
                                                        s1 = undefined;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s1 = peg$FAILED;
                                                    }
                                                }
                                                // @ts-ignore
                                                if (s1 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    s2 = peg$parsefetch_clause();
                                                    // @ts-ignore
                                                    if (s2 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        peg$savedPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$f41(s2);
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$currPos;
                                                    // @ts-ignore
                                                    s1 = peg$currPos;
                                                    // @ts-ignore
                                                    peg$silentFails++;
                                                    // @ts-ignore
                                                    s2 = peg$parsemysql();
                                                    // @ts-ignore
                                                    peg$silentFails--;
                                                    // @ts-ignore
                                                    if (s2 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        peg$currPos = s1;
                                                        // @ts-ignore
                                                        s1 = undefined;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s1 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                    if (s1 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        s2 = peg$parseinto_variables_clause();
                                                        // @ts-ignore
                                                        if (s2 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s2 = peg$parseinto_dumpfile_clause();
                                                            // @ts-ignore
                                                            if (s2 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s2 = peg$parseinto_outfile_clause();
                                                            }
                                                        }
                                                        // @ts-ignore
                                                        if (s2 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            peg$savedPos = s0;
                                                            // @ts-ignore
                                                            s0 = peg$f42(s2);
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s0;
                                                            // @ts-ignore
                                                            s0 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$currPos;
                                                        // @ts-ignore
                                                        s1 = peg$currPos;
                                                        // @ts-ignore
                                                        peg$silentFails++;
                                                        // @ts-ignore
                                                        s2 = peg$parsepostgres();
                                                        // @ts-ignore
                                                        peg$silentFails--;
                                                        // @ts-ignore
                                                        if (s2 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            peg$currPos = s1;
                                                            // @ts-ignore
                                                            s1 = undefined;
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            s1 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                        if (s1 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            s2 = peg$parseinto_table_clause();
                                                            // @ts-ignore
                                                            if (s2 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                peg$savedPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$f43(s2);
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s0;
                                                            // @ts-ignore
                                                            s0 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$currPos;
                                                            // @ts-ignore
                                                            s1 = peg$currPos;
                                                            // @ts-ignore
                                                            peg$silentFails++;
                                                            // @ts-ignore
                                                            s2 = peg$parsepostgres();
                                                            // @ts-ignore
                                                            peg$silentFails--;
                                                            // @ts-ignore
                                                            if (s2 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                peg$currPos = s1;
                                                                // @ts-ignore
                                                                s1 = undefined;
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                s1 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                            if (s1 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s1 = peg$currPos;
                                                                // @ts-ignore
                                                                peg$silentFails++;
                                                                // @ts-ignore
                                                                s2 = peg$parsemysql();
                                                                // @ts-ignore
                                                                peg$silentFails--;
                                                                // @ts-ignore
                                                                if (s2 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    peg$currPos = s1;
                                                                    // @ts-ignore
                                                                    s1 = undefined;
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    s1 = peg$FAILED;
                                                                }
                                                            }
                                                            // @ts-ignore
                                                            if (s1 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                s2 = peg$parsefor_clause();
                                                                // @ts-ignore
                                                                if (s2 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    peg$savedPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$f44(s2);
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$currPos;
                                                                // @ts-ignore
                                                                s1 = peg$currPos;
                                                                // @ts-ignore
                                                                peg$silentFails++;
                                                                // @ts-ignore
                                                                s2 = peg$parsemysql();
                                                                // @ts-ignore
                                                                peg$silentFails--;
                                                                // @ts-ignore
                                                                if (s2 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    peg$currPos = s1;
                                                                    // @ts-ignore
                                                                    s1 = undefined;
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    s1 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                                if (s1 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s2 = peg$parselock_in_share_mode_clause();
                                                                    // @ts-ignore
                                                                    if (s2 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        peg$savedPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$f45(s2);
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$FAILED;
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseselect_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseSELECT();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseselect_distinct();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        if (s3.length >= 1) {
                            // @ts-ignore
                            s4 = peg$FAILED;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseselect_distinct();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                        }
                    }
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseselect_columns();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f46(s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseSELECT();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [];
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseselect_distinct();
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parsemysql_select_modifier();
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        while (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s3.push(s4);
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseselect_distinct();
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parsemysql_select_modifier();
                            }
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseselect_columns();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f47(s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseSELECT();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = [];
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseselect_distinct();
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parsebigquery_select_as();
                            }
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            while (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s3.push(s4);
                                // @ts-ignore
                                if (s3.length >= 2) {
                                    // @ts-ignore
                                    s4 = peg$FAILED;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s4 = peg$currPos;
                                    // @ts-ignore
                                    s5 = peg$parse__();
                                    // @ts-ignore
                                    s6 = peg$parseselect_distinct();
                                    // @ts-ignore
                                    if (s6 === peg$FAILED) {
                                        // @ts-ignore
                                        s6 = peg$parsebigquery_select_as();
                                    }
                                    // @ts-ignore
                                    if (s6 !== peg$FAILED) {
                                        // @ts-ignore
                                        s5 = [s5, s6];
                                        // @ts-ignore
                                        s4 = s5;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s4;
                                        // @ts-ignore
                                        s4 = peg$FAILED;
                                    }
                                }
                            }
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseselect_columns();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f48(s2, s3, s4);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseSELECT();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = [];
                                // @ts-ignore
                                s4 = peg$currPos;
                                // @ts-ignore
                                s5 = peg$parse__();
                                // @ts-ignore
                                s6 = peg$parseselect_distinct();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s5 = [s5, s6];
                                    // @ts-ignore
                                    s4 = s5;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s4;
                                    // @ts-ignore
                                    s4 = peg$FAILED;
                                }
                                // @ts-ignore
                                while (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s3.push(s4);
                                    // @ts-ignore
                                    if (s3.length >= 1) {
                                        // @ts-ignore
                                        s4 = peg$FAILED;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s4 = peg$currPos;
                                        // @ts-ignore
                                        s5 = peg$parse__();
                                        // @ts-ignore
                                        s6 = peg$parseselect_distinct();
                                        // @ts-ignore
                                        if (s6 !== peg$FAILED) {
                                            // @ts-ignore
                                            s5 = [s5, s6];
                                            // @ts-ignore
                                            s4 = s5;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s4;
                                            // @ts-ignore
                                            s4 = peg$FAILED;
                                        }
                                    }
                                }
                                // @ts-ignore
                                s4 = peg$currPos;
                                // @ts-ignore
                                s5 = peg$parse__();
                                // @ts-ignore
                                s6 = peg$parseselect_columns();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s5 = [s5, s6];
                                    // @ts-ignore
                                    s4 = s5;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s4;
                                    // @ts-ignore
                                    s4 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f49(s2, s3, s4);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseselect_distinct() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseALL();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f50(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseDISTINCT();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseON();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseparen$list$expr();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s4 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f51(s1, s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseDISTINCT();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s1 = peg$f52(s1);
                    }
                    // @ts-ignore
                    s0 = s1;
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseDISTINCTROW();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsemysql();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f53(s1);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_select_as() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseSTRUCT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f54(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseAS();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseVALUE();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f55(s1);
                }
                // @ts-ignore
                s0 = s1;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_select_modifier() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseHIGH_PRIORITY();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseSTRAIGHT_JOIN();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseSQL_CALC_FOUND_ROWS();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            s3 = peg$parseSQL_CACHE();
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s5 = peg$parseonly_mariadb();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s4;
                                    // @ts-ignore
                                    s4 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s4 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s2;
                                    // @ts-ignore
                                    s2 = peg$f56(s3);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s2;
                                    // @ts-ignore
                                    s2 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parseSQL_NO_CACHE();
                                // @ts-ignore
                                if (s2 === peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parseSQL_BIG_RESULT();
                                    // @ts-ignore
                                    if (s2 === peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$parseSQL_SMALL_RESULT();
                                        // @ts-ignore
                                        if (s2 === peg$FAILED) {
                                            // @ts-ignore
                                            s2 = peg$parseSQL_BUFFER_RESULT();
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f57(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseselect_columns() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsecolumn_list_item();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsecolumn_list_item();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsecolumn_list_item();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseempty();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f58(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_list_item() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsestar_or_qualified_star();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseEXCEPT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseparen$list$column();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f59(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parsestar_or_qualified_star();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseREPLACE();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4, s5];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseparen$list$alias$expr();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f60(s1, s2, s3);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsestar_or_qualified_star();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseexpr();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            s3 = peg$parse__();
                            // @ts-ignore
                            s4 = peg$parsealias();
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = [s3, s4];
                                // @ts-ignore
                                s2 = s3;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f61(s1, s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestar_or_qualified_star() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsestar();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsequalified_star();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsequalified_star() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 46) {
                    // @ts-ignore
                    s2 = peg$c2;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e3);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsestar();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f62(s1, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestar() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 42) {
                // @ts-ignore
                s1 = peg$c3;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e4);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f63();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealias() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseexplicit_alias();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseimplicit_alias();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexplicit_alias() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseAS();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexplicit_alias_ident();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsecolumn_aliases();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f64(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseimplicit_alias() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsepivot_expr_right();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseunpivot_expr_right();
                }
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseimplicit_alias_ident();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f65(s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseimplicit_alias_ident();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parsecolumn_aliases();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f66(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_aliases() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseparen$list$column();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f67(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefrom_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFROM();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsejoin_expr();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsedual_table();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f68(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefrom_using_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUSING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsejoin_expr();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsedual_table();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f69(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedual_table() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseDUAL();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f70(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsejoin_expr() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsealias$table_factor();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$parsejoin_expr_right();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsepivot_expr_right();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseunpivot_expr_right();
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parsetablesample_expr_right();
                            // @ts-ignore
                            if (s3 === peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parsefor_system_time_as_of_expr_right();
                            }
                        }
                    }
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$parsejoin_expr_right();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsepivot_expr_right();
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parseunpivot_expr_right();
                            // @ts-ignore
                            if (s3 === peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parsetablesample_expr_right();
                                // @ts-ignore
                                if (s3 === peg$FAILED) {
                                    // @ts-ignore
                                    s3 = peg$parsefor_system_time_as_of_expr_right();
                                }
                            }
                        }
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f71(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsejoin_expr_right() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parse__();
            // @ts-ignore
            s2 = peg$parsejoin_op();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s2 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsealias$table_factor();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsejoin_specification();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f72(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_factor() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseunnest_with_offset_expr();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsewith_ordinality_expr();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsetable_func_call();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parselateral_derived_table();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseparen$join_expr();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseparen$compound_select_stmt();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsepartitioned_table();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parserows_from_expr();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parserelation_expr();
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserelation_expr() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsepg_table_with_inheritance();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsepg_table_without_inheritance();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsesqlite_indexed_table();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsesqlite_not_indexed_table();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsemember_expr();
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesqlite_indexed_table() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsealias$entity_name();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseINDEXED();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseBY();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseident();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f73(s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesqlite_not_indexed_table() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsealias$entity_name();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseNOT();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseINDEXED();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f74(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_table_with_inheritance() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsemember_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 42) {
                        // @ts-ignore
                        s3 = peg$c3;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e4);
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f75(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_table_without_inheritance() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseONLY();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseparen$entity_name();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsemember_expr();
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f76(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_func_call() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsefunc_call();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseAS();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseparen$list$column_definition();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s5 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f77(s1, s2, s3);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parsealias$func_call();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = peg$currPos;
                    // @ts-ignore
                    s2 = peg$f78(s1);
                    // @ts-ignore
                    if (s2) {
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseparen$list$column_definition();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s5 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f79(s1, s3);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsefunc_call();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewith_ordinality_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetable_func_call();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parserows_from_expr();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseWITH();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseORDINALITY();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [s3, s4, s5, s6];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f80(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselateral_derived_table() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseLATERAL();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$compound_select_stmt();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s4 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f81(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseLATERAL();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsewith_ordinality_expr();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parserows_from_expr();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsetable_func_call();
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s4 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f82(s1, s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserows_from_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseROWS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseFROM();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$table_func_call();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f83(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepartitioned_table() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsealias$entity_name();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parsePARTITION();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseparen$list$ident();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f84(s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsejoin_op() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parsenatural_join();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsecross_join();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsejoin_type();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseSTRAIGHT_JOIN();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsemysql();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f85(s1);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenatural_join() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNATURAL();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsejoin_type();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s4 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f86(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecross_join() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCROSS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseJOIN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f87(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsejoin_type() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseleft_right_full_kw();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseOUTER();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseJOIN();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseleft_right_full_kw();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseJOIN();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseINNER();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseJOIN();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseJOIN();
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f88(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseleft_right_full_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseLEFT();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseRIGHT();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseFULL();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsebigquery();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f89(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsejoin_specification() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseusing_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseon_clause();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseusing_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseUSING();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$list$column();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f90(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseon_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseON();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f91(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseunnest_with_offset_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsealias$unnest_or_member_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseWITH();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseOFFSET();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f92(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseunnest_expr();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f93(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseunnest_or_member_expr() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseunnest_expr();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsemember_expr();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseunnest_expr() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUNNEST();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f94(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepivot_expr_right() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parsePIVOT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseparen$pivot_for_in();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f95(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepivot_for_in() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parselist$alias$func_call();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseFOR();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseident();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseIN();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parseparen$list$alias$expr();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f96(s1, s2, s3, s4, s5);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseunpivot_expr_right() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseUNPIVOT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseINCLUDE();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parseEXCLUDE();
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseNULLS();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6, s7, s8];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$parseparen$unpivot_for_in();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f97(s2, s3, s4, s5);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseunpivot_for_in() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$column();
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseFOR();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseident();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseIN();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parseparen$list$alias$column();
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$parseparen$list$alias$paren$list$column();
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f98(s1, s2, s3, s4, s5);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetablesample_expr_right() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseTABLESAMPLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parsetablesample_method();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parseident();
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parseparen$list$tablesample_arg();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parsetablesample_repeatable();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f99(s2, s3, s4, s5, s6);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetablesample_method() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseBERNOULLI();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseSYSTEM();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f100(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetablesample_arg() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsetablesample_percent();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseexpr();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetablesample_percent() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseliteral();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseparameter();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsePERCENT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f101(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetablesample_repeatable() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseREPEATABLE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f102(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefor_system_time_as_of_expr_right() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseFOR();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseSYSTEM_TIME();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseAS();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$parse__();
                            // @ts-ignore
                            s10 = peg$parseOF();
                            // @ts-ignore
                            if (s10 !== peg$FAILED) {
                                // @ts-ignore
                                s11 = peg$parse__();
                                // @ts-ignore
                                s4 = [s4, s5, s6, s7, s8, s9, s10, s11];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseexpr();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f103(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewhere_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseWHERE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f104(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegroup_by_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseGROUP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsegroup_by_distinct();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parselist$grouping_element();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseWITH();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseROLLUP();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6, s7, s8];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f105(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegroup_by_distinct() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseALL();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseDISTINCT();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f106(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegrouping_element() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parsegroup_by_rollup();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsegroup_by_cube();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsegroup_by_grouping_sets();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parsegroup_by_all();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsebigquery();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s1 = [s1, s2];
                                // @ts-ignore
                                s0 = s1;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseparen$empty_list();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseexpr();
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegroup_by_rollup() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseROLLUP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s4 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f107(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegroup_by_cube() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCUBE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s4 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f108(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegroup_by_grouping_sets() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseGROUPING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseSETS();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$grouping_element();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s4 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f109(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegroup_by_all() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseALL();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f110(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsehaving_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseHAVING();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f111(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepartition_by_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsePARTITION();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f112(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecluster_by_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCLUSTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$column();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f113(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseorder_by_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseORDER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$sort_specification();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseWITH();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseROLLUP();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f114(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesort_specification() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseexpr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsesort_direction();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsenull_handling_keyword();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f115(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseindex_specification() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseexpr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsepostgresql_operator_class();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsesort_direction();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parsenull_handling_keyword();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f116(s1, s2, s3, s4);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesort_direction() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseASC();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f117(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseDESC();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f118(s1);
                }
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseUSING();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsepostgresql_operator_expr();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsepostgresql_operator();
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s4 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f119(s1, s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenull_handling_keyword() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNULLS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseFIRST();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseLAST();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f120(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselimit_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseLIMIT();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parselimit_all();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f121(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseLIMIT();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseexpr();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4, s5];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseOFFSET();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseexpr();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$currPos;
                                // @ts-ignore
                                s6 = peg$parse__();
                                // @ts-ignore
                                s7 = peg$parselimit_rows_examined();
                                // @ts-ignore
                                if (s7 !== peg$FAILED) {
                                    // @ts-ignore
                                    s6 = [s6, s7];
                                    // @ts-ignore
                                    s5 = s6;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s5;
                                    // @ts-ignore
                                    s5 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s5 === peg$FAILED) {
                                    // @ts-ignore
                                    s5 = null;
                                }
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f122(s1, s2, s3, s4, s5);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseLIMIT();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseexpr();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s3 = [s3, s4, s5];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            if (input.charCodeAt(peg$currPos) === 44) {
                                // @ts-ignore
                                s3 = peg$c1;
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s3 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e2);
                                }
                            }
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = peg$currPos;
                                // @ts-ignore
                                s5 = peg$parse__();
                                // @ts-ignore
                                s6 = peg$parseexpr();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s5 = [s5, s6];
                                    // @ts-ignore
                                    s4 = s5;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s4;
                                    // @ts-ignore
                                    s4 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s5 = peg$currPos;
                                    // @ts-ignore
                                    s6 = peg$parse__();
                                    // @ts-ignore
                                    s7 = peg$parselimit_rows_examined();
                                    // @ts-ignore
                                    if (s7 !== peg$FAILED) {
                                        // @ts-ignore
                                        s6 = [s6, s7];
                                        // @ts-ignore
                                        s5 = s6;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s5;
                                        // @ts-ignore
                                        s5 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s5 === peg$FAILED) {
                                        // @ts-ignore
                                        s5 = null;
                                    }
                                    // @ts-ignore
                                    s6 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s7 = peg$parsesqlite();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s7 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s6;
                                        // @ts-ignore
                                        s6 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s6 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s6 === peg$FAILED) {
                                        // @ts-ignore
                                        s6 = peg$currPos;
                                        // @ts-ignore
                                        peg$silentFails++;
                                        // @ts-ignore
                                        s7 = peg$parsemysql();
                                        // @ts-ignore
                                        peg$silentFails--;
                                        // @ts-ignore
                                        if (s7 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$currPos = s6;
                                            // @ts-ignore
                                            s6 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s6 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s6 === peg$FAILED) {
                                            // @ts-ignore
                                            s6 = peg$currPos;
                                            // @ts-ignore
                                            peg$silentFails++;
                                            // @ts-ignore
                                            s7 = peg$parsebigquery();
                                            // @ts-ignore
                                            peg$silentFails--;
                                            // @ts-ignore
                                            if (s7 !== peg$FAILED) {
                                                // @ts-ignore
                                                peg$currPos = s6;
                                                // @ts-ignore
                                                s6 = undefined;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s6 = peg$FAILED;
                                            }
                                        }
                                    }
                                    // @ts-ignore
                                    if (s6 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f123(s1, s2, s4, s5);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseLIMIT();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            s3 = peg$parse__();
                            // @ts-ignore
                            s4 = peg$parseexpr();
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = [s3, s4];
                                // @ts-ignore
                                s2 = s3;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$currPos;
                                // @ts-ignore
                                s4 = peg$parse__();
                                // @ts-ignore
                                s5 = peg$parselimit_rows_examined();
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    s4 = [s4, s5];
                                    // @ts-ignore
                                    s3 = s4;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s3;
                                    // @ts-ignore
                                    s3 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s3 === peg$FAILED) {
                                    // @ts-ignore
                                    s3 = null;
                                }
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f124(s1, s2, s3);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$parseLIMIT();
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$currPos;
                                // @ts-ignore
                                s3 = peg$parse__();
                                // @ts-ignore
                                s4 = peg$parselimit_rows_examined();
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s3 = [s3, s4];
                                    // @ts-ignore
                                    s2 = s3;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s2;
                                    // @ts-ignore
                                    s2 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f125(s1, s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselimit_all() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseALL();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f126(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselimit_rows_examined() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parseonly_mariadb();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseROWS();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseEXAMINED();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4, s5, s6];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsenumber_literal();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f127(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoffset_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOFFSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseexpr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseROW();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parseROWS();
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f128(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefetch_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFETCH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseFIRST();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseNEXT();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsenumber_literal();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseROW();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseROWS();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseONLY();
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseWITH();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parseTIES();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6, s7];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f129(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewindow_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWINDOW();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$named_window();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f130(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenamed_window() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseAS();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseparen$window_definition();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f131(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewindow_definition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsewindow_name();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$currPos;
            // @ts-ignore
            s3 = peg$parse__();
            // @ts-ignore
            s4 = peg$parsepartition_by_clause();
            // @ts-ignore
            if (s4 !== peg$FAILED) {
                // @ts-ignore
                s3 = [s3, s4];
                // @ts-ignore
                s2 = s3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s2;
                // @ts-ignore
                s2 = peg$FAILED;
            }
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = null;
            }
            // @ts-ignore
            s3 = peg$currPos;
            // @ts-ignore
            s4 = peg$parse__();
            // @ts-ignore
            s5 = peg$parseorder_by_clause();
            // @ts-ignore
            if (s5 !== peg$FAILED) {
                // @ts-ignore
                s4 = [s4, s5];
                // @ts-ignore
                s3 = s4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s3;
                // @ts-ignore
                s3 = peg$FAILED;
            }
            // @ts-ignore
            if (s3 === peg$FAILED) {
                // @ts-ignore
                s3 = null;
            }
            // @ts-ignore
            s4 = peg$currPos;
            // @ts-ignore
            s5 = peg$parse__();
            // @ts-ignore
            s6 = peg$parseframe_clause();
            // @ts-ignore
            if (s6 !== peg$FAILED) {
                // @ts-ignore
                s5 = [s5, s6];
                // @ts-ignore
                s4 = s5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s4;
                // @ts-ignore
                s4 = peg$FAILED;
            }
            // @ts-ignore
            if (s4 === peg$FAILED) {
                // @ts-ignore
                s4 = null;
            }
            // @ts-ignore
            peg$savedPos = s0;
            // @ts-ignore
            s0 = peg$f132(s1, s2, s3, s4);
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewindow_name() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = peg$currPos;
                // @ts-ignore
                s2 = peg$f133(s1);
                // @ts-ignore
                if (s2) {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = undefined;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f134(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseframe_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseframe_unit();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseframe_bound();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseframe_between();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseframe_exclusion();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f135(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseframe_unit() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseROWS();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseRANGE();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseGROUPS();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f136(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseframe_between() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseBETWEEN();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseframe_bound();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseAND();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseframe_bound();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f137(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseframe_bound() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCURRENT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseROW();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f138(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseframe_unbounded();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseliteral();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsePRECEDING();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f139(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseframe_unbounded();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseliteral();
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseFOLLOWING();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f140(s1, s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseframe_unbounded() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseUNBOUNDED();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f141(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseframe_exclusion() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseEXCLUDE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseframe_exclusion_kind();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f142(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseframe_exclusion_kind() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCURRENT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseROW();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseNO();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseOTHERS();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseGROUP();
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseTIES();
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f143(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsequalify_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseQUALIFY();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f144(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereturning_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseRETURNING();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseselect_columns();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f145(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewhere_current_of_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWHERE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCURRENT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseOF();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6, s7];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f146(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinto_table_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINTO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsetable_kind();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseTABLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$parsemember_expr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f147(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinto_variables_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINTO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$variable();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f148(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinto_dumpfile_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINTO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDUMPFILE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f149(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinto_outfile_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINTO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseOUTFILE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseoutfile_option_character_set();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseoutfile_fields();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseoutfile_lines();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f150(s1, s2, s3, s4, s5);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoutfile_option_character_set() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCHARACTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseSET();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f151(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoutfile_fields() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseFIELDS();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseCOLUMNS();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseoutfile_fields_option();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    while (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2.push(s3);
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseoutfile_fields_option();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f152(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoutfile_fields_option() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseoutfile_option_terminated_by();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseoutfile_option_enclosed_by();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseoutfile_option_escaped_by();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoutfile_lines() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseLINES();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseoutfile_lines_option();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    while (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2.push(s3);
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseoutfile_lines_option();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f153(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoutfile_lines_option() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseoutfile_option_starting_by();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseoutfile_option_terminated_by();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoutfile_option_terminated_by() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseTERMINATED();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f154(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoutfile_option_enclosed_by() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOPTIONALLY();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$currPos;
            // @ts-ignore
            s3 = peg$parseENCLOSED();
            // @ts-ignore
            if (s3 !== peg$FAILED) {
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseBY();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5, s6];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s2;
                // @ts-ignore
                s2 = peg$FAILED;
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parsestring_literal();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f155(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoutfile_option_starting_by() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSTARTING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f156(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoutfile_option_escaped_by() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseESCAPED();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f157(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefor_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFOR();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselock_strength();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsefor_clause_tables();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseNOWAIT();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseSKIP();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseLOCKED();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6, s7, s8];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f158(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselock_strength() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$parseUPDATE();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseNO();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parse__();
                    // @ts-ignore
                    s3 = peg$parseKEY();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseUPDATE();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s1 = [s1, s2, s3, s4, s5];
                            // @ts-ignore
                            s0 = s1;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseSHARE();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseKEY();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parse__();
                            // @ts-ignore
                            s3 = peg$parseSHARE();
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                s1 = [s1, s2, s3];
                                // @ts-ignore
                                s0 = s1;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefor_clause_tables() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOF();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$ident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f159(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselock_in_share_mode_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseLOCK();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseIN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseSHARE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseMODE();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6, s7, s8];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f160(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinsert_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsewith_clause();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$parseinsert_clause();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseoverriding_clause();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseinsert_source();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parserow_alias_clause();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = null;
                    }
                    // @ts-ignore
                    s6 = peg$currPos;
                    // @ts-ignore
                    s7 = peg$parse__();
                    // @ts-ignore
                    s8 = peg$parseon_duplicate_key_update_clause();
                    // @ts-ignore
                    if (s8 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = [s7, s8];
                        // @ts-ignore
                        s6 = s7;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s6;
                        // @ts-ignore
                        s6 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = null;
                    }
                    // @ts-ignore
                    s7 = [];
                    // @ts-ignore
                    s8 = peg$currPos;
                    // @ts-ignore
                    s9 = peg$parse__();
                    // @ts-ignore
                    s10 = peg$parseupsert_clause();
                    // @ts-ignore
                    if (s10 !== peg$FAILED) {
                        // @ts-ignore
                        s9 = [s9, s10];
                        // @ts-ignore
                        s8 = s9;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s8;
                        // @ts-ignore
                        s8 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s8 !== peg$FAILED) {
                        // @ts-ignore
                        s7.push(s8);
                        // @ts-ignore
                        s8 = peg$currPos;
                        // @ts-ignore
                        s9 = peg$parse__();
                        // @ts-ignore
                        s10 = peg$parseupsert_clause();
                        // @ts-ignore
                        if (s10 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = [s9, s10];
                            // @ts-ignore
                            s8 = s9;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s8;
                            // @ts-ignore
                            s8 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    s8 = peg$currPos;
                    // @ts-ignore
                    s9 = peg$parse__();
                    // @ts-ignore
                    s10 = peg$parsereturning_clause();
                    // @ts-ignore
                    if (s10 !== peg$FAILED) {
                        // @ts-ignore
                        s9 = [s9, s10];
                        // @ts-ignore
                        s8 = s9;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s8;
                        // @ts-ignore
                        s8 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s8 === peg$FAILED) {
                        // @ts-ignore
                        s8 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f161(s1, s2, s3, s4, s5, s6, s7, s8);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinsert_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseINSERT();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseREPLACE();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsemysql_upsert_modifier();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsemysql_upsert_modifier();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseor_alternate_action();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseINTO();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = null;
                }
                // @ts-ignore
                s5 = peg$currPos;
                // @ts-ignore
                s6 = peg$parse__();
                // @ts-ignore
                s7 = peg$parsepartitioned_table();
                // @ts-ignore
                if (s7 === peg$FAILED) {
                    // @ts-ignore
                    s7 = peg$parsetable_or_explicit_alias();
                }
                // @ts-ignore
                if (s7 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = [s6, s7];
                    // @ts-ignore
                    s5 = s6;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s5;
                    // @ts-ignore
                    s5 = peg$FAILED;
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$currPos;
                    // @ts-ignore
                    s7 = peg$parse__();
                    // @ts-ignore
                    s8 = peg$parseparen$list$column();
                    // @ts-ignore
                    if (s8 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = [s7, s8];
                        // @ts-ignore
                        s6 = s7;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s6;
                        // @ts-ignore
                        s6 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f162(s1, s2, s3, s4, s5, s6);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_upsert_modifier() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseLOW_PRIORITY();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseDELAYED();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseHIGH_PRIORITY();
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseIGNORE();
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f163(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseor_alternate_action() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOR();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseABORT();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseFAIL();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseIGNORE();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseREPLACE();
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parseROLLBACK();
                            }
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f164(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_or_explicit_alias() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemember_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexplicit_alias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f165(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoverriding_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOVERRIDING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseSYSTEM();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseUSER();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseVALUE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f166(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinsert_source() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsevalues_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsecompound_select_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsedefault_values();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseset_clause();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f167(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsevalues_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsevalues_kw();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parselist$values_row();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f168(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsevalues_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseVALUES();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseVALUE();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f169(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsevalues_row() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f170(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseparen$list$expr_or_default();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f171(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseparen$list$expr_or_default();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parserow_constructor();
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f172(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserow_constructor() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseROW();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$expr_or_default();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f173(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsearray_constructor() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseARRAY();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseselect_stmt();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f174(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexpr_or_default() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseexpr();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsedefault();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedefault() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseDEFAULT();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f175(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedefault_values() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDEFAULT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseVALUES();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f176(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseupsert_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseON();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCONFLICT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseconflict_target();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parsewhere_clause();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$parseDO();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseupsert_action();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s7 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s7 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f177(s1, s2, s3, s4, s5);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconflict_target() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseparen$list$index_specification();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseconflict_target_on_constraint();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconflict_target_on_constraint() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseON();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCONSTRAINT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f178(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseupsert_action() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseNOTHING();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f179(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseUPDATE();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseset_clause();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parsewhere_clause();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f180(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserow_alias_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseAS();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseident();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseparen$list$ident();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f181(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseon_duplicate_key_update_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseON();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseDUPLICATE();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseKEY();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parse__();
                            // @ts-ignore
                            s9 = peg$parseUPDATE();
                            // @ts-ignore
                            if (s9 !== peg$FAILED) {
                                // @ts-ignore
                                s10 = peg$parse__();
                                // @ts-ignore
                                s3 = [s3, s4, s5, s6, s7, s8, s9, s10];
                                // @ts-ignore
                                s2 = s3;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parselist$column_assignment();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f182(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseupdate_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsewith_clause();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$currPos;
            // @ts-ignore
            s3 = peg$parseupdate_clause();
            // @ts-ignore
            if (s3 !== peg$FAILED) {
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s3 = [s3, s4];
                // @ts-ignore
                s2 = s3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s2;
                // @ts-ignore
                s2 = peg$FAILED;
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parseset_clause();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [];
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseother_update_clause();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4.push(s5);
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseother_update_clause();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f183(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseupdate_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUPDATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parsemysql_upsert_modifier();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parsemysql_upsert_modifier();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseor_alternate_action();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$parselist$alias$relation_expr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f184(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseset_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$column_assignment();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f185(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseother_update_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parsefrom_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parsewhere_current_of_clause();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f186(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsewhere_clause();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsereturning_clause();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseorder_by_clause();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parselimit_clause();
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_assignment() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseoptionally_qualified_column();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$column();
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 61) {
                    // @ts-ignore
                    s2 = peg$c4;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e5);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsecolumn_value();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f187(s1, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_value() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsedefault();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f188(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseexpr();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedelete_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsewith_clause();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$parsedelete_clause();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseother_delete_clause();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                while (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3.push(s4);
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseother_delete_clause();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f189(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedelete_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDELETE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parsemysql_delete_modifier();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parsemysql_delete_modifier();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseFROM();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$parselist$delete_clause_table();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f190(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_delete_modifier() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseLOW_PRIORITY();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseQUICK();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseIGNORE();
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f191(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedelete_clause_table() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsequalified_star();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f192(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsepartitioned_table();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealias$relation_expr();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseother_delete_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parsewhere_current_of_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsewhere_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsereturning_clause();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseorder_by_clause();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parselimit_clause();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$currPos;
                                // @ts-ignore
                                s1 = peg$parsefrom_using_clause();
                                // @ts-ignore
                                if (s1 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s3 = peg$parsemysql();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s3 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s2;
                                        // @ts-ignore
                                        s2 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s2 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s2 === peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$currPos;
                                        // @ts-ignore
                                        peg$silentFails++;
                                        // @ts-ignore
                                        s3 = peg$parsepostgres();
                                        // @ts-ignore
                                        peg$silentFails--;
                                        // @ts-ignore
                                        if (s3 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$currPos = s2;
                                            // @ts-ignore
                                            s2 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s2 = peg$FAILED;
                                        }
                                    }
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f193(s1);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$currPos;
                                    // @ts-ignore
                                    s1 = peg$parsefrom_clause();
                                    // @ts-ignore
                                    if (s1 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$currPos;
                                        // @ts-ignore
                                        peg$silentFails++;
                                        // @ts-ignore
                                        s3 = peg$parsemysql();
                                        // @ts-ignore
                                        peg$silentFails--;
                                        // @ts-ignore
                                        if (s3 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$currPos = s2;
                                            // @ts-ignore
                                            s2 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s2 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f194(s1);
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetruncate_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseTRUNCATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseTABLE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parselist$relation_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseRESTART();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseCONTINUE();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseIDENTITY();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6, s7, s8];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseCASCADE();
                    // @ts-ignore
                    if (s7 === peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parseRESTRICT();
                    }
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f195(s1, s2, s3, s4, s5);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemerge_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsewith_clause();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$parsemerge_clause();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parsemerge_when_clause();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parsemerge_when_clause();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f196(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemerge_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseMERGE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseINTO();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parsealias$relation_expr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseUSING();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parsealias$relation_expr();
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parsealias$paren$compound_select_stmt();
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parseON();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s8 = peg$parse__();
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parseexpr();
                                // @ts-ignore
                                if (s7 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f197(s1, s2, s3, s4, s5, s6, s7);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemerge_when_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWHEN();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseMATCHED();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseNOT();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseMATCHED();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s3 = [s3, s4, s5, s6];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseBY();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseTARGET();
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parseSOURCE();
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parsemerge_when_condition();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parseTHEN();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parsemerge_action();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f198(s1, s2, s3, s4, s5, s6);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemerge_when_condition() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAND();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseexpr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f199(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemerge_action() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemerge_action_do_nothing();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f200(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsemerge_action_delete();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsemerge_action_update();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsemerge_action_insert();
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemerge_action_do_nothing() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseNOTHING();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f201(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemerge_action_delete() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseDELETE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f202(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemerge_action_update() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUPDATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseset_clause();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f203(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemerge_action_insert() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINSERT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseparen$list$column();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseoverriding_clause();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$parsevalues_clause();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parsedefault_values();
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parsemerge_action_insert_row_clause();
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f204(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemerge_action_insert_row_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseROW();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f205(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_view_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCREATE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseOR();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseREPLACE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [s3, s4, s5, s6];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseview_kind();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                while (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3.push(s4);
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseview_kind();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseVIEW();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseif_not_exists();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = null;
                    }
                    // @ts-ignore
                    s6 = peg$currPos;
                    // @ts-ignore
                    s7 = peg$parse__();
                    // @ts-ignore
                    s8 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s8 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = [s7, s8];
                        // @ts-ignore
                        s6 = s7;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s6;
                        // @ts-ignore
                        s6 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$currPos;
                        // @ts-ignore
                        s8 = peg$parse__();
                        // @ts-ignore
                        s9 = peg$parseparen$list$view_column_definition();
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = [s8, s9];
                            // @ts-ignore
                            s7 = s8;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s7;
                            // @ts-ignore
                            s7 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = null;
                        }
                        // @ts-ignore
                        s8 = [];
                        // @ts-ignore
                        s9 = peg$currPos;
                        // @ts-ignore
                        s10 = peg$parse__();
                        // @ts-ignore
                        s11 = peg$parsecreate_view_clause();
                        // @ts-ignore
                        if (s11 !== peg$FAILED) {
                            // @ts-ignore
                            s10 = [s10, s11];
                            // @ts-ignore
                            s9 = s10;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s9;
                            // @ts-ignore
                            s9 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            while (s9 !== peg$FAILED) {
                                // @ts-ignore
                                s8.push(s9);
                                // @ts-ignore
                                s9 = peg$currPos;
                                // @ts-ignore
                                s10 = peg$parse__();
                                // @ts-ignore
                                s11 = peg$parsecreate_view_clause();
                                // @ts-ignore
                                if (s11 !== peg$FAILED) {
                                    // @ts-ignore
                                    s10 = [s10, s11];
                                    // @ts-ignore
                                    s9 = s10;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s9;
                                    // @ts-ignore
                                    s9 = peg$FAILED;
                                }
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s8 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f206(s1, s2, s3, s4, s5, s6, s7, s8);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseview_kind() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseTEMP();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseTEMPORARY();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f207(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseRECURSIVE();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f208(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseMATERIALIZED();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsebigquery();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f209(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseview_column_definition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsebigquery_options();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (s2.length >= 1) {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parsebigquery_options();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f210(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_view_clause() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parseas_clause$compound_select_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsebigquery_create_view_clause();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f211(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsepostgres_create_view_clause();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f212(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_create_view_clause() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsebigquery_options();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsecluster_by_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsepartition_by_clause();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseas_replica_of_clause();
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgres_create_view_clause() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsepostgresql_with_options();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsewith_check_option_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseusing_access_method_clause();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsetablespace_clause();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsewith_data_clause();
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewith_check_option_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWITH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseLOCAL();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseCASCADED();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseCHECK();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseOPTION();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f213(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseas_replica_of_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseREPLICA();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseOF();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6, s7];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f214(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_view_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseDROP();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseview_kind();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseVIEW();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseif_exists();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parselist$entity_name();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseCASCADE();
                        // @ts-ignore
                        if (s8 === peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parseRESTRICT();
                        }
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f215(s1, s2, s3, s4, s5, s6);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_view_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseALTER();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseview_kind();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseVIEW();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseif_exists();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseparen$list$column();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = null;
                        }
                        // @ts-ignore
                        s7 = peg$currPos;
                        // @ts-ignore
                        s8 = peg$parse__();
                        // @ts-ignore
                        s9 = peg$parselist$alter_view_action();
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = [s8, s9];
                            // @ts-ignore
                            s7 = s8;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s7;
                            // @ts-ignore
                            s7 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f216(s1, s2, s3, s4, s5, s6, s7);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_view_action() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsealter_action_set_bigquery_options();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsealter_action_alter_column();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f217(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseas_clause$compound_select_stmt();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f218(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsealter_view_action_postgres();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f219(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_view_action_postgres() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_rename();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_rename_column();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_owner_to();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsealter_action_alter_column();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_action_set_schema();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsealter_action_set_tablespace();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsealter_action_set_access_method();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsealter_action_cluster_on();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsealter_action_set_without_cluster();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsealter_action_set_postgresql_options();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parsealter_action_reset_postgresql_options();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parsealter_action_depends_on_extension();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parsealter_action_no_depends_on_extension();
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserefresh_materialized_view_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseREFRESH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseMATERIALIZED();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseVIEW();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6, s7];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseCONCURRENTLY();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parsemember_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [];
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsewith_data_clause();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4.push(s5);
                        // @ts-ignore
                        if (s4.length >= 1) {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parsewith_data_clause();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f220(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_index_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13, s14, s15;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseCREATE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseOR();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseREPLACE();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseindex_type_kw();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parseINDEX();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parseif_not_exists();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parse__();
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = null;
                        }
                        // @ts-ignore
                        s7 = peg$currPos;
                        // @ts-ignore
                        s8 = peg$parsemember_expr();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$parse__();
                            // @ts-ignore
                            s8 = [s8, s9];
                            // @ts-ignore
                            s7 = s8;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s7;
                            // @ts-ignore
                            s7 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = null;
                        }
                        // @ts-ignore
                        s8 = peg$currPos;
                        // @ts-ignore
                        s9 = peg$parseON();
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            s10 = peg$parse__();
                            // @ts-ignore
                            s9 = [s9, s10];
                            // @ts-ignore
                            s8 = s9;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s8;
                            // @ts-ignore
                            s8 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$currPos;
                            // @ts-ignore
                            s10 = peg$parsemember_expr();
                            // @ts-ignore
                            if (s10 !== peg$FAILED) {
                                // @ts-ignore
                                s11 = peg$parse__();
                                // @ts-ignore
                                s10 = [s10, s11];
                                // @ts-ignore
                                s9 = s10;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s9;
                                // @ts-ignore
                                s9 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s9 !== peg$FAILED) {
                                // @ts-ignore
                                s10 = peg$parseparen$list$index_specification();
                                // @ts-ignore
                                if (s10 === peg$FAILED) {
                                    // @ts-ignore
                                    s10 = peg$parseparen$verbose_all_columns();
                                }
                                // @ts-ignore
                                if (s10 !== peg$FAILED) {
                                    // @ts-ignore
                                    s11 = [];
                                    // @ts-ignore
                                    s12 = peg$currPos;
                                    // @ts-ignore
                                    s13 = peg$parse__();
                                    // @ts-ignore
                                    s14 = peg$parsecreate_index_subclause();
                                    // @ts-ignore
                                    if (s14 !== peg$FAILED) {
                                        // @ts-ignore
                                        s13 = [s13, s14];
                                        // @ts-ignore
                                        s12 = s13;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s12;
                                        // @ts-ignore
                                        s12 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    while (s12 !== peg$FAILED) {
                                        // @ts-ignore
                                        s11.push(s12);
                                        // @ts-ignore
                                        s12 = peg$currPos;
                                        // @ts-ignore
                                        s13 = peg$parse__();
                                        // @ts-ignore
                                        s14 = peg$parsecreate_index_subclause();
                                        // @ts-ignore
                                        if (s14 !== peg$FAILED) {
                                            // @ts-ignore
                                            s13 = [s13, s14];
                                            // @ts-ignore
                                            s12 = s13;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s12;
                                            // @ts-ignore
                                            s12 = peg$FAILED;
                                        }
                                    }
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f221(s2, s3, s4, s5, s6, s7, s8, s9, s10, s11);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseCREATE();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parseindex_type_kw();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = null;
                        }
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseINDEX();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parseCONCURRENTLY();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                s5 = null;
                            }
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parseif_not_exists();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s8 = peg$parse__();
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = null;
                            }
                            // @ts-ignore
                            s7 = peg$currPos;
                            // @ts-ignore
                            s8 = peg$parsemember_expr();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s9 = peg$parse__();
                                // @ts-ignore
                                s8 = [s8, s9];
                                // @ts-ignore
                                s7 = s8;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s7;
                                // @ts-ignore
                                s7 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s7 === peg$FAILED) {
                                // @ts-ignore
                                s7 = null;
                            }
                            // @ts-ignore
                            s8 = peg$currPos;
                            // @ts-ignore
                            s9 = peg$parseON();
                            // @ts-ignore
                            if (s9 !== peg$FAILED) {
                                // @ts-ignore
                                s10 = peg$parse__();
                                // @ts-ignore
                                s9 = [s9, s10];
                                // @ts-ignore
                                s8 = s9;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s8;
                                // @ts-ignore
                                s8 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s9 = peg$currPos;
                                // @ts-ignore
                                s10 = peg$parsepg_table_without_inheritance();
                                // @ts-ignore
                                if (s10 === peg$FAILED) {
                                    // @ts-ignore
                                    s10 = peg$parsemember_expr();
                                }
                                // @ts-ignore
                                if (s10 !== peg$FAILED) {
                                    // @ts-ignore
                                    s11 = peg$parse__();
                                    // @ts-ignore
                                    s10 = [s10, s11];
                                    // @ts-ignore
                                    s9 = s10;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s9;
                                    // @ts-ignore
                                    s9 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s9 !== peg$FAILED) {
                                    // @ts-ignore
                                    s10 = peg$currPos;
                                    // @ts-ignore
                                    s11 = peg$parseusing_access_method_clause();
                                    // @ts-ignore
                                    if (s11 !== peg$FAILED) {
                                        // @ts-ignore
                                        s12 = peg$parse__();
                                        // @ts-ignore
                                        s11 = [s11, s12];
                                        // @ts-ignore
                                        s10 = s11;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s10;
                                        // @ts-ignore
                                        s10 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s10 === peg$FAILED) {
                                        // @ts-ignore
                                        s10 = null;
                                    }
                                    // @ts-ignore
                                    s11 = peg$parseparen$list$index_specification();
                                    // @ts-ignore
                                    if (s11 !== peg$FAILED) {
                                        // @ts-ignore
                                        s12 = [];
                                        // @ts-ignore
                                        s13 = peg$currPos;
                                        // @ts-ignore
                                        s14 = peg$parse__();
                                        // @ts-ignore
                                        s15 = peg$parsecreate_index_subclause();
                                        // @ts-ignore
                                        if (s15 !== peg$FAILED) {
                                            // @ts-ignore
                                            s14 = [s14, s15];
                                            // @ts-ignore
                                            s13 = s14;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s13;
                                            // @ts-ignore
                                            s13 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        while (s13 !== peg$FAILED) {
                                            // @ts-ignore
                                            s12.push(s13);
                                            // @ts-ignore
                                            s13 = peg$currPos;
                                            // @ts-ignore
                                            s14 = peg$parse__();
                                            // @ts-ignore
                                            s15 = peg$parsecreate_index_subclause();
                                            // @ts-ignore
                                            if (s15 !== peg$FAILED) {
                                                // @ts-ignore
                                                s14 = [s14, s15];
                                                // @ts-ignore
                                                s13 = s14;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s13;
                                                // @ts-ignore
                                                s13 = peg$FAILED;
                                            }
                                        }
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f222(s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseindex_type_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseUNIQUE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f223(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseFULLTEXT();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f224(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseSPATIAL();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f225(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseSEARCH();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsebigquery();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f226(s1);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$parseVECTOR();
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s3 = peg$parsebigquery();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s3 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s2;
                                    // @ts-ignore
                                    s2 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s2 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f227(s1);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_index_subclause() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsewhere_clause();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f228(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsebigquery_options();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f229(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsetablespace_clause();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsepostgresql_with_options();
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parseindex_include_clause();
                                // @ts-ignore
                                if (s2 === peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parseindex_nulls_distinct_clause();
                                    // @ts-ignore
                                    if (s2 === peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$parseindex_nulls_not_distinct_clause();
                                    }
                                }
                            }
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f230(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseverbose_all_columns() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseALL();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseCOLUMNS();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [s3, s4, s5];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f231(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseindex_include_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINCLUDE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$column();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f232(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseindex_nulls_distinct_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNULLS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDISTINCT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f233(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseindex_nulls_not_distinct_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNULLS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseNOT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseDISTINCT();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f234(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_index_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseDROP();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseINDEX();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseCONCURRENTLY();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parseif_exists();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s5 = null;
                        }
                        // @ts-ignore
                        s6 = peg$parselist$entity_name();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$currPos;
                            // @ts-ignore
                            s8 = peg$parse__();
                            // @ts-ignore
                            s9 = peg$parseCASCADE();
                            // @ts-ignore
                            if (s9 === peg$FAILED) {
                                // @ts-ignore
                                s9 = peg$parseRESTRICT();
                            }
                            // @ts-ignore
                            if (s9 !== peg$FAILED) {
                                // @ts-ignore
                                s8 = [s8, s9];
                                // @ts-ignore
                                s7 = s8;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s7;
                                // @ts-ignore
                                s7 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s7 === peg$FAILED) {
                                // @ts-ignore
                                s7 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f235(s2, s3, s4, s5, s6, s7);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseDROP();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parseSEARCH();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = null;
                        }
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseINDEX();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parseif_exists();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                s5 = null;
                            }
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parselist$entity_name();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s8 = peg$parse__();
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$currPos;
                                // @ts-ignore
                                s8 = peg$parseON();
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s9 = peg$parse__();
                                    // @ts-ignore
                                    s8 = [s8, s9];
                                    // @ts-ignore
                                    s7 = s8;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s7;
                                    // @ts-ignore
                                    s7 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s7 !== peg$FAILED) {
                                    // @ts-ignore
                                    s8 = peg$parsemember_expr();
                                    // @ts-ignore
                                    if (s8 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f236(s2, s3, s4, s5, s6, s7, s8);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_index_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseINDEX();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseif_exists();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsealter_index_action();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f237(s1, s2, s3, s4, s5);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_index_action() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_rename();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_set_tablespace();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_depends_on_extension();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsealter_action_no_depends_on_extension();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_action_set_postgresql_options();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsealter_action_reset_postgresql_options();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsealter_action_alter_column();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsealter_action_attach_partition();
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_index_all_in_tablespace_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseINDEX();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseALL();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseIN();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseTABLESPACE();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parse__();
                            // @ts-ignore
                            s3 = [s3, s4, s5, s6, s7, s8];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseident();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseowned_by_clause();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        s5 = peg$parsealter_action_set_tablespace();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f238(s1, s2, s3, s4, s5);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereindex_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseREINDEX();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f239(s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseREINDEX();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseparen$list$reindex_option();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = null;
                        }
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseINDEX();
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parseSCHEMA();
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parseSYSTEM();
                                // @ts-ignore
                                if (s6 === peg$FAILED) {
                                    // @ts-ignore
                                    s6 = peg$parseTABLE();
                                    // @ts-ignore
                                    if (s6 === peg$FAILED) {
                                        // @ts-ignore
                                        s6 = peg$parseDATABASE();
                                    }
                                }
                            }
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parseCONCURRENTLY();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                s5 = null;
                            }
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parsemember_expr();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f240(s2, s3, s4, s5, s6);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereindex_option() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsereindex_option_concurrently();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsereindex_option_tablespace();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsereindex_option_verbose();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereindex_option_concurrently() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCONCURRENTLY();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseboolean_literal();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f241(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereindex_option_tablespace() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseTABLESPACE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f242(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereindex_option_verbose() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseVERBOSE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseboolean_literal();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f243(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13, s14;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCREATE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseOR();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseREPLACE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [s3, s4, s5, s6];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsetable_kind();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseTABLE();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseif_not_exists();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = null;
                    }
                    // @ts-ignore
                    s6 = peg$currPos;
                    // @ts-ignore
                    s7 = peg$parse__();
                    // @ts-ignore
                    s8 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s8 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = [s7, s8];
                        // @ts-ignore
                        s6 = s7;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s6;
                        // @ts-ignore
                        s6 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$currPos;
                        // @ts-ignore
                        s8 = peg$parse__();
                        // @ts-ignore
                        s9 = peg$parsecreate_table_partition_of_clause();
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = [s8, s9];
                            // @ts-ignore
                            s7 = s8;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s7;
                            // @ts-ignore
                            s7 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = null;
                        }
                        // @ts-ignore
                        s8 = peg$currPos;
                        // @ts-ignore
                        s9 = peg$parse__();
                        // @ts-ignore
                        s10 = peg$parsecreate_table_of_type_clause();
                        // @ts-ignore
                        if (s10 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = [s9, s10];
                            // @ts-ignore
                            s8 = s9;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s8;
                            // @ts-ignore
                            s8 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s8 === peg$FAILED) {
                            // @ts-ignore
                            s8 = null;
                        }
                        // @ts-ignore
                        s9 = peg$currPos;
                        // @ts-ignore
                        s10 = peg$parse__();
                        // @ts-ignore
                        s11 = peg$parseparen$list$create_definition();
                        // @ts-ignore
                        if (s11 !== peg$FAILED) {
                            // @ts-ignore
                            s10 = [s10, s11];
                            // @ts-ignore
                            s9 = s10;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s9;
                            // @ts-ignore
                            s9 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s9 === peg$FAILED) {
                            // @ts-ignore
                            s9 = null;
                        }
                        // @ts-ignore
                        s10 = peg$currPos;
                        // @ts-ignore
                        s11 = peg$parse__();
                        // @ts-ignore
                        s12 = peg$parsetable_options();
                        // @ts-ignore
                        if (s12 !== peg$FAILED) {
                            // @ts-ignore
                            s11 = [s11, s12];
                            // @ts-ignore
                            s10 = s11;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s10;
                            // @ts-ignore
                            s10 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s10 === peg$FAILED) {
                            // @ts-ignore
                            s10 = null;
                        }
                        // @ts-ignore
                        s11 = [];
                        // @ts-ignore
                        s12 = peg$currPos;
                        // @ts-ignore
                        s13 = peg$parse__();
                        // @ts-ignore
                        s14 = peg$parsecreate_table_clause();
                        // @ts-ignore
                        if (s14 !== peg$FAILED) {
                            // @ts-ignore
                            s13 = [s13, s14];
                            // @ts-ignore
                            s12 = s13;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s12;
                            // @ts-ignore
                            s12 = peg$FAILED;
                        }
                        // @ts-ignore
                        while (s12 !== peg$FAILED) {
                            // @ts-ignore
                            s11.push(s12);
                            // @ts-ignore
                            s12 = peg$currPos;
                            // @ts-ignore
                            s13 = peg$parse__();
                            // @ts-ignore
                            s14 = peg$parsecreate_table_clause();
                            // @ts-ignore
                            if (s14 !== peg$FAILED) {
                                // @ts-ignore
                                s13 = [s13, s14];
                                // @ts-ignore
                                s12 = s13;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s12;
                                // @ts-ignore
                                s12 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f244(s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_kind() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseTEMP();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseTEMPORARY();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f245(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseGLOBAL();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseLOCAL();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseTEMPORARY();
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseTEMP();
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f246(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseUNLOGGED();
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseFOREIGN();
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f247(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseEXTERNAL();
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$parseSNAPSHOT();
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsebigquery();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f248(s1);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$parseVIRTUAL();
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s3 = peg$parsesqlite();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s3 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s2;
                                    // @ts-ignore
                                    s2 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s2 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f249(s1);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseif_not_exists() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseIF();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseNOT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseEXISTS();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f250(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_definition() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetable_constraint();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f251(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsecreate_table_like_clause();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f252(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsecolumn_definition();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_definition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsedata_type();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseWITH();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseOPTIONS();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = [];
                // @ts-ignore
                s5 = peg$currPos;
                // @ts-ignore
                s6 = peg$parse__();
                // @ts-ignore
                s7 = peg$parsecolumn_constraint();
                // @ts-ignore
                if (s7 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = [s6, s7];
                    // @ts-ignore
                    s5 = s6;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s5;
                    // @ts-ignore
                    s5 = peg$FAILED;
                }
                // @ts-ignore
                while (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4.push(s5);
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsecolumn_constraint();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f253(s1, s2, s3, s4);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_partition_of_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsePARTITION();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseOF();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f254(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_of_type_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOF();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f255(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_clause() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parseas_clause$compound_select_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsecreate_table_like_clause();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f256(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsecreate_table_clause_bigquery();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f257(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsecreate_table_using_clause();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f258(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsecreate_table_clause_postgresql();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f259(s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_like_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseLIKE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsetable_like_option();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parsetable_like_option();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f260(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_like_option() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINCLUDING();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseEXCLUDING();
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseCOMMENTS();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseCOMPRESSION();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseCONSTRAINTS();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseDEFAULTS();
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parseGENERATED();
                                // @ts-ignore
                                if (s2 === peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parseIDENTITY();
                                    // @ts-ignore
                                    if (s2 === peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$parseINDEXES();
                                        // @ts-ignore
                                        if (s2 === peg$FAILED) {
                                            // @ts-ignore
                                            s2 = peg$parseSTATISTICS();
                                            // @ts-ignore
                                            if (s2 === peg$FAILED) {
                                                // @ts-ignore
                                                s2 = peg$parseSTORAGE();
                                                // @ts-ignore
                                                if (s2 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s2 = peg$parseALL();
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f261(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_clause_bigquery() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsecreate_table_copy_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsecreate_table_clone_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsebigquery_options();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsebigquery_option_default_collate();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsepartition_by_clause();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsecluster_by_clause();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsewith_connection_clause();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsewith_partition_columns_clause();
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_copy_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCOPY();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f262(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_clone_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCLONE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseclone_for_system_time_as_of_expr();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsemember_expr();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f263(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseclone_for_system_time_as_of_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsemember_expr();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseFOR();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseSYSTEM_TIME();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseAS();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parse__();
                            // @ts-ignore
                            s9 = peg$parseOF();
                            // @ts-ignore
                            if (s9 !== peg$FAILED) {
                                // @ts-ignore
                                s10 = peg$parse__();
                                // @ts-ignore
                                s3 = [s3, s4, s5, s6, s7, s8, s9, s10];
                                // @ts-ignore
                                s2 = s3;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseexpr();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f264(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewith_partition_columns_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWITH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsePARTITION();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseCOLUMNS();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$list$column_definition();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f265(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_using_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUSING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsefunc_call();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseident();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f266(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_clause_postgresql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsecreate_table_inherits_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsecreate_table_partition_by_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsecreate_table_partition_bound_clause();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsecreate_table_default_partition_clause();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsecreate_table_on_commit_clause();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsetablespace_clause();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseusing_access_method_clause();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsepostgresql_with_options();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsecreate_table_without_oids_clause();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsewith_data_clause();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parsecreate_table_server_clause();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parsepostgresql_options();
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_inherits_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINHERITS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$entity_name();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f267(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_partition_by_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsePARTITION();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseRANGE();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseLIST();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseHASH();
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseparen$list$index_specification();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f268(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_partition_bound_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFOR();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseVALUES();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsepartition_bound_from_to();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsepartition_bound_in();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsepartition_bound_with();
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f269(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepartition_bound_from_to() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFROM();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$partition_bound_from_to_value();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseTO();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5, s6];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseparen$list$partition_bound_from_to_value();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f270(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepartition_bound_from_to_value() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseMINVALUE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f271(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseMAXVALUE();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f272(s1);
                }
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseexpr();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepartition_bound_in() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseIN();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f273(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepartition_bound_with() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWITH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$partition_bound_with_value();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f274(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepartition_bound_with_value() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseMODULUS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsenumber_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f275(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseREMAINDER();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsenumber_literal();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f276(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_default_partition_clause() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseDEFAULT();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f277(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_on_commit_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseON();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCOMMIT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsePRESERVE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseROWS();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [s3, s4, s5];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseDELETE();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseROWS();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = [s3, s4, s5];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseDROP();
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f278(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetablespace_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseTABLESPACE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f279(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseusing_access_method_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUSING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f280(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_without_oids_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWITHOUT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseOIDS();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f281(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewith_data_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWITH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDATA();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseWITH();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseNO();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseDATA();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f282(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_table_server_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSERVER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f283(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_options() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseOPTIONS();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseparen$list$equals_expr();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f284(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseequals_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 61) {
                    // @ts-ignore
                    s2 = peg$c4;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e5);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseexpr();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f285(s1, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_option_default_collate() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDEFAULT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCOLLATE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f286(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_table_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsetable_kind();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseTABLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseif_exists();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$parselist$entity_name();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseCASCADE();
                        // @ts-ignore
                        if (s8 === peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parseRESTRICT();
                        }
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f287(s1, s2, s3, s4, s5, s6);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseif_exists() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseIF();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseEXISTS();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f288(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_table_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTABLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parserelation_expr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parselist$alter_action();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f289(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_table_all_in_tablespace_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTABLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseALL();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseIN();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseTABLESPACE();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parse__();
                            // @ts-ignore
                            s3 = [s3, s4, s5, s6, s7, s8];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseident();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseowned_by_clause();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        s5 = peg$parsealter_action_set_tablespace();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f290(s1, s2, s3, s4, s5);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseowned_by_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOWNED();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$role_specification();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f291(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsealter_action_rename_column();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_rename();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsealter_action_bigquery();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f292(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsealter_action_mysql();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f293(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsealter_action_postgres();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f294(s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsealter_action_add_column();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsealter_action_drop_column();
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_bigquery() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_alter_column();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_set_default_collate();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_set_bigquery_options();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsealter_action_add_constraint();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_action_drop_constraint();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsealter_action_drop_primary_key();
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_mysql() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsealter_action_alter_column();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_add_constraint();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_drop_constraint();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parseonly_mysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsealter_action_alter_constraint();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f295(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_postgres() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_alter_column();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_add_constraint();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_drop_constraint();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsealter_action_alter_constraint();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_action_rename_constraint();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsealter_action_validate_constraint();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsealter_action_owner_to();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsealter_action_set_schema();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsealter_action_enable();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsealter_action_disable();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parsealter_action_force();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parsealter_action_no_force();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parsealter_action_set_tablespace();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parsealter_action_set_access_method();
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$parsealter_action_cluster_on();
                                                                    // @ts-ignore
                                                                    if (s0 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s0 = peg$parsealter_action_set_without_cluster();
                                                                        // @ts-ignore
                                                                        if (s0 === peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s0 = peg$parsealter_action_set_without_oids();
                                                                            // @ts-ignore
                                                                            if (s0 === peg$FAILED) {
                                                                                // @ts-ignore
                                                                                s0 = peg$parsealter_action_set_logged();
                                                                                // @ts-ignore
                                                                                if (s0 === peg$FAILED) {
                                                                                    // @ts-ignore
                                                                                    s0 = peg$parsealter_action_set_unlogged();
                                                                                    // @ts-ignore
                                                                                    if (s0 === peg$FAILED) {
                                                                                        // @ts-ignore
                                                                                        s0 = peg$parsealter_action_inherit();
                                                                                        // @ts-ignore
                                                                                        if (s0 === peg$FAILED) {
                                                                                            // @ts-ignore
                                                                                            s0 = peg$parsealter_action_no_inherit();
                                                                                            // @ts-ignore
                                                                                            if (s0 === peg$FAILED) {
                                                                                                // @ts-ignore
                                                                                                s0 = peg$parsealter_action_of_type();
                                                                                                // @ts-ignore
                                                                                                if (s0 === peg$FAILED) {
                                                                                                    // @ts-ignore
                                                                                                    s0 = peg$parsealter_action_not_of_type();
                                                                                                    // @ts-ignore
                                                                                                    if (s0 === peg$FAILED) {
                                                                                                        // @ts-ignore
                                                                                                        s0 = peg$parsealter_action_set_postgresql_options();
                                                                                                        // @ts-ignore
                                                                                                        if (s0 === peg$FAILED) {
                                                                                                            // @ts-ignore
                                                                                                            s0 = peg$parsealter_action_reset_postgresql_options();
                                                                                                            // @ts-ignore
                                                                                                            if (s0 === peg$FAILED) {
                                                                                                                // @ts-ignore
                                                                                                                s0 = peg$parsealter_action_replica_identity();
                                                                                                            }
                                                                                                        }
                                                                                                    }
                                                                                                }
                                                                                            }
                                                                                        }
                                                                                    }
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_add_column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseADD();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCOLUMN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseADD();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_not_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parsecolumn_definition();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f296(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_drop_column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCOLUMN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseDROP();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseCASCADE();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseRESTRICT();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f297(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_rename() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parserename_action_kw();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f298(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserename_action_kw() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRENAME();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTO();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f299(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseRENAME();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseAS();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parseonly_mysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f300(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseRENAME();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f301(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_rename_column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parserename_column_kw();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseident();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseTO();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parseident();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f302(s1, s2, s3, s4, s5);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserename_column_kw() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRENAME();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCOLUMN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f303(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseRENAME();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f304(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_alter_column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsealter_column_kw();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseident();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parsenumber_literal();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parsealter_column_action();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f305(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_column_kw() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCOLUMN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f306(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseALTER();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f307(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_default_collate() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDEFAULT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseCOLLATE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6, s7];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f308(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_bigquery_options() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsebigquery_options();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f309(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_postgresql_options() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$table_option_postgresql();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f310(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_reset_postgresql_options() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRESET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$member_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f311(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_add_constraint() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseADD();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsealter_action_add_constraint_constraint_name();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parsetable_constraint_type();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseconstraint_not_null();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s6 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s3;
                            // @ts-ignore
                            s3 = peg$f312(s1, s2, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [];
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseconstraint_modifier();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4.push(s5);
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseconstraint_modifier();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f313(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_add_constraint_constraint_name() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCONSTRAINT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_not_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f314(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_drop_constraint() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCONSTRAINT();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseCHECK();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseCASCADE();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseRESTRICT();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f315(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_drop_primary_key() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsePRIMARY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseKEY();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseif_exists();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f316(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_alter_constraint() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCONSTRAINT();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseCHECK();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseconstraint_modifier();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        while (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s3.push(s4);
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseconstraint_modifier();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f317(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_rename_constraint() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRENAME();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCONSTRAINT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseTO();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseident();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f318(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_validate_constraint() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseVALIDATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCONSTRAINT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f319(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_owner_to() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOWNER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTO();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parserole_specification();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f320(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_schema() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseSCHEMA();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f321(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_enable() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseENABLE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseALWAYS();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseREPLICA();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parsetoggle_item();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f322(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_disable() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDISABLE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsetoggle_item();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f323(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_force() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFORCE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsetoggle_row_level_security();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f324(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_no_force() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseFORCE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsetoggle_row_level_security();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f325(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_tablespace() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTABLESPACE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseNOWAIT();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f326(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_access_method() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseACCESS();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseMETHOD();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6, s7];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f327(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_cluster_on() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCLUSTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseON();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f328(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_without_cluster() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseWITHOUT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseCLUSTER();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f329(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_without_oids() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseWITHOUT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseOIDS();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f330(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_logged() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseLOGGED();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f331(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_unlogged() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseUNLOGGED();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f332(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_inherit() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINHERIT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f333(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_no_inherit() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseINHERIT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f334(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_of_type() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOF();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f335(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_not_of_type() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNOT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseOF();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f336(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_depends_on_extension() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDEPENDS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseON();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseEXTENSION();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6, s7];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f337(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_no_depends_on_extension() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDEPENDS();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseON();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseEXTENSION();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$parse__();
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6, s7, s8, s9];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f338(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_replica_identity() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseREPLICA();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseIDENTITY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseDEFAULT();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseNOTHING();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseFULL();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsereplica_identity_using_index();
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f339(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereplica_identity_using_index() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUSING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseINDEX();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f340(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_attach_partition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseATTACH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsePARTITION();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f341(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_add_enum_value() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseADD();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseVALUE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_not_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parsestring_literal();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsealter_action_add_enum_value_position();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f342(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_add_enum_value_position() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseBEFORE();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseAFTER();
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f343(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_rename_enum_value() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRENAME();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseVALUE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseTO();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5, s6];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parsestring_literal();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f344(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_rename_attribute() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRENAME();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseATTRIBUTE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseTO();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5, s6];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseident();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parseCASCADE();
                            // @ts-ignore
                            if (s7 === peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parseRESTRICT();
                            }
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                s5 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f345(s1, s2, s3, s4, s5);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_add_attribute() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseADD();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseATTRIBUTE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsedata_type();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseconstraint_collate();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseCASCADE();
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parseRESTRICT();
                        }
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s5 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f346(s1, s2, s3, s4, s5);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_drop_attribute() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseATTRIBUTE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseCASCADE();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseRESTRICT();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f347(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_alter_attribute() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseATTRIBUTE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseSET();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseDATA();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseTYPE();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s9 = peg$parse__();
                                // @ts-ignore
                                s4 = [s4, s5, s6, s7, s8, s9];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parseTYPE();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parsedata_type();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parseconstraint_collate();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                s5 = null;
                            }
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseCASCADE();
                            // @ts-ignore
                            if (s8 === peg$FAILED) {
                                // @ts-ignore
                                s8 = peg$parseRESTRICT();
                            }
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f348(s1, s2, s3, s4, s5, s6);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_column_action() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsealter_action_set_default();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_drop_default();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsealter_column_action_bigquery();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f349(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parseonly_mysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsealter_column_action_mysql();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f350(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsealter_column_action_postgres();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f351(s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_column_action_bigquery() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_drop_not_null();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_set_data_type();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_set_bigquery_options();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_column_action_mysql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_set_visible();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_set_invisible();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_column_action_postgres() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_set_not_null();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_drop_not_null();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_set_data_type();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsealter_action_set_compression();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_action_set_storage();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsealter_action_set_statistics();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsealter_action_set_postgresql_options();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsealter_action_reset_postgresql_options();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsealter_action_drop_expression();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsealter_action_drop_identity();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parsealter_action_add_identity();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parsealter_action_alter_identity();
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_default() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDEFAULT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseexpr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f352(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_drop_default() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDEFAULT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f353(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_not_null() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseNOT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseNULL();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f354(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_drop_not_null() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseNOT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseNULL();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f355(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_data_type() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDATA();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseTYPE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6, s7];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseTYPE();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsedata_type();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseset_data_type_collate_clause();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseset_data_type_using_clause();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseset_data_type_collate_clause();
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parseset_data_type_using_clause();
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f356(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseset_data_type_collate_clause() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseconstraint_collate();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f357(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseset_data_type_using_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUSING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseexpr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f358(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_visible() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseVISIBLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f359(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_invisible() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseINVISIBLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f360(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_compression() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCOMPRESSION();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsedefault();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f361(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_storage() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseSTORAGE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsepg_storage_type();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f362(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_statistics() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseSTATISTICS();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsenumber_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f363(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_drop_expression() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseEXPRESSION();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseif_exists();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f364(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_drop_identity() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseIDENTITY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseif_exists();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f365(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_add_identity() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseADD();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseGENERATED();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseALWAYS();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseBY();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseDEFAULT();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = [s3, s4, s5];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseAS();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseIDENTITY();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseparen$sequence_option_list();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f366(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_alter_identity() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsealter_identity_action();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsealter_identity_action();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsealter_identity_action();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f367(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetoggle_item() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsetoggle_row_level_security();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsetoggle_trigger();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsetoggle_rule();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetoggle_row_level_security() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseROW();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseLEVEL();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseSECURITY();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f368(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetoggle_trigger() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseTRIGGER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseALL();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseUSER();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseident();
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f369(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetoggle_rule() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRULE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f370(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_identity_action() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_set_generated();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_set_sequence_option();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_restart();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_generated() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseGENERATED();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseALWAYS();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseBY();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseDEFAULT();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = [s3, s4, s5];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f371(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_sequence_option() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsesequence_option();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f372(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_restart() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsesequence_option_restart();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f373(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserename_table_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRENAME();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseTABLE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parselist$rename_action();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f374(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserename_action() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemember_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTO();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f375(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_trigger_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCREATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseOR();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseREPLACE();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4, s5, s6];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parsetrigger_kind();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parseTRIGGER();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parseif_not_exists();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = null;
                    }
                    // @ts-ignore
                    s6 = peg$currPos;
                    // @ts-ignore
                    s7 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s8 = peg$parse__();
                        // @ts-ignore
                        s7 = [s7, s8];
                        // @ts-ignore
                        s6 = s7;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s6;
                        // @ts-ignore
                        s6 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$currPos;
                        // @ts-ignore
                        s8 = peg$parseBEFORE();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$parse__();
                            // @ts-ignore
                            s8 = [s8, s9];
                            // @ts-ignore
                            s7 = s8;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s7;
                            // @ts-ignore
                            s7 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$currPos;
                            // @ts-ignore
                            s8 = peg$parseAFTER();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s9 = peg$parse__();
                                // @ts-ignore
                                s8 = [s8, s9];
                                // @ts-ignore
                                s7 = s8;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s7;
                                // @ts-ignore
                                s7 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s7 === peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$currPos;
                                // @ts-ignore
                                s8 = peg$parseINSTEAD();
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s9 = peg$parse__();
                                    // @ts-ignore
                                    s10 = peg$parseOF();
                                    // @ts-ignore
                                    if (s10 !== peg$FAILED) {
                                        // @ts-ignore
                                        s11 = peg$parse__();
                                        // @ts-ignore
                                        s8 = [s8, s9, s10, s11];
                                        // @ts-ignore
                                        s7 = s8;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s7;
                                        // @ts-ignore
                                        s7 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s7;
                                    // @ts-ignore
                                    s7 = peg$FAILED;
                                }
                            }
                        }
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = null;
                        }
                        // @ts-ignore
                        s8 = peg$currPos;
                        // @ts-ignore
                        s9 = peg$parsetrigger_event_expr();
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            s10 = peg$parse__();
                            // @ts-ignore
                            s9 = [s9, s10];
                            // @ts-ignore
                            s8 = s9;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s8;
                            // @ts-ignore
                            s8 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$currPos;
                            // @ts-ignore
                            s10 = peg$parsetrigger_target();
                            // @ts-ignore
                            if (s10 !== peg$FAILED) {
                                // @ts-ignore
                                s11 = peg$parse__();
                                // @ts-ignore
                                s10 = [s10, s11];
                                // @ts-ignore
                                s9 = s10;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s9;
                                // @ts-ignore
                                s9 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s9 !== peg$FAILED) {
                                // @ts-ignore
                                s10 = [];
                                // @ts-ignore
                                s11 = peg$currPos;
                                // @ts-ignore
                                s12 = peg$parsetrigger_clause();
                                // @ts-ignore
                                if (s12 !== peg$FAILED) {
                                    // @ts-ignore
                                    s13 = peg$parse__();
                                    // @ts-ignore
                                    s12 = [s12, s13];
                                    // @ts-ignore
                                    s11 = s12;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s11;
                                    // @ts-ignore
                                    s11 = peg$FAILED;
                                }
                                // @ts-ignore
                                while (s11 !== peg$FAILED) {
                                    // @ts-ignore
                                    s10.push(s11);
                                    // @ts-ignore
                                    s11 = peg$currPos;
                                    // @ts-ignore
                                    s12 = peg$parsetrigger_clause();
                                    // @ts-ignore
                                    if (s12 !== peg$FAILED) {
                                        // @ts-ignore
                                        s13 = peg$parse__();
                                        // @ts-ignore
                                        s12 = [s12, s13];
                                        // @ts-ignore
                                        s11 = s12;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s11;
                                        // @ts-ignore
                                        s11 = peg$FAILED;
                                    }
                                }
                                // @ts-ignore
                                s11 = peg$parsetrigger_body();
                                // @ts-ignore
                                if (s11 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f376(s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetrigger_kind() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseTEMPORARY();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseTEMP();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f377(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseCONSTRAINT();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f378(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetrigger_event_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetrigger_event();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseOR();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsetrigger_event();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseOR();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsetrigger_event();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f379(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetrigger_event() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUPDATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseOF();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parselist$column();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f380(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseDELETE();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseINSERT();
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseUPDATE();
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$parseTRUNCATE();
                        }
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f381(s1);
                }
                // @ts-ignore
                s0 = s1;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetrigger_target() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseON();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f382(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetrigger_clause() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsefor_each_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsewhen_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsefrom_referenced_table_clause();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsetrigger_timing_clause();
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsetrigger_referencing_clause();
                            }
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f383(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefor_each_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFOR();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseEACH();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseFOR();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseROW();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseSTATEMENT();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f384(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewhen_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWHEN();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseexpr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f385(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefrom_referenced_table_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFROM();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f386(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetrigger_timing_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNOT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDEFERRABLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseDEFERRABLE();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseINITIALLY();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseDEFERRED();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseDEFERRABLE();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseINITIALLY();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseIMMEDIATE();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = [s2, s3, s4, s5, s6];
                                // @ts-ignore
                                s1 = s2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseDEFERRABLE();
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            s2 = peg$parseINITIALLY();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parse__();
                                // @ts-ignore
                                s4 = peg$parseDEFERRED();
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = [s2, s3, s4];
                                    // @ts-ignore
                                    s1 = s2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 === peg$FAILED) {
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                s2 = peg$parseINITIALLY();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    s3 = peg$parse__();
                                    // @ts-ignore
                                    s4 = peg$parseIMMEDIATE();
                                    // @ts-ignore
                                    if (s4 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = [s2, s3, s4];
                                        // @ts-ignore
                                        s1 = s2;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f387(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetrigger_referencing_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseREFERENCING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$trigger_transition();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f388(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetrigger_transition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNEW();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseOLD();
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseTABLE();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseROW();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseAS();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$parseident();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f389(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetrigger_body() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseBEGIN();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsetrigger_program();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseEND();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f390(s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseEXECUTE();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parsePROCEDURE();
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parseFUNCTION();
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parsemember_expr();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parse__();
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$parseparen$empty_list();
                                // @ts-ignore
                                if (s5 === peg$FAILED) {
                                    // @ts-ignore
                                    s5 = peg$parseparen$list$expr();
                                }
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f391(s2, s3, s4, s5);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetrigger_program() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsedml_statement();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 59) {
                    // @ts-ignore
                    s5 = peg$c0;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e0);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsedml_statement();
                    // @ts-ignore
                    if (s7 === peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parseempty();
                    }
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    while (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2.push(s3);
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 59) {
                            // @ts-ignore
                            s5 = peg$c0;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e0);
                            }
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parsedml_statement();
                            // @ts-ignore
                            if (s7 === peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parseempty();
                            }
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = [s4, s5, s6, s7];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f392(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_trigger_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTRIGGER();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parsetrigger_target();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parsealter_trigger_action();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f393(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_trigger_action() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_rename();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_depends_on_extension();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_no_depends_on_extension();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_trigger_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseDROP();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseTRIGGER();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4, s5, s6];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseif_exists();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f394(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseDROP();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseTRIGGER();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s3 = [s3, s4, s5, s6];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parseif_exists();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = null;
                        }
                        // @ts-ignore
                        s4 = peg$parsemember_expr();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parsetrigger_target();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                s5 = null;
                            }
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseCASCADE();
                            // @ts-ignore
                            if (s8 === peg$FAILED) {
                                // @ts-ignore
                                s8 = peg$parseRESTRICT();
                            }
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f395(s2, s3, s4, s5, s6);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_schema_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCREATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseschema_kw();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseif_not_exists();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsemember_expr();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = [];
                // @ts-ignore
                s5 = peg$currPos;
                // @ts-ignore
                s6 = peg$parse__();
                // @ts-ignore
                s7 = peg$parsecreate_schema_clause();
                // @ts-ignore
                if (s7 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = [s6, s7];
                    // @ts-ignore
                    s5 = s6;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s5;
                    // @ts-ignore
                    s5 = peg$FAILED;
                }
                // @ts-ignore
                while (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4.push(s5);
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsecreate_schema_clause();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s5 = [];
                // @ts-ignore
                s6 = peg$currPos;
                // @ts-ignore
                s7 = peg$parse__();
                // @ts-ignore
                s8 = peg$parseschema_scoped_statement();
                // @ts-ignore
                if (s8 !== peg$FAILED) {
                    // @ts-ignore
                    s7 = [s7, s8];
                    // @ts-ignore
                    s6 = s7;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s6;
                    // @ts-ignore
                    s6 = peg$FAILED;
                }
                // @ts-ignore
                while (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5.push(s6);
                    // @ts-ignore
                    s6 = peg$currPos;
                    // @ts-ignore
                    s7 = peg$parse__();
                    // @ts-ignore
                    s8 = peg$parseschema_scoped_statement();
                    // @ts-ignore
                    if (s8 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = [s7, s8];
                        // @ts-ignore
                        s6 = s7;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s6;
                        // @ts-ignore
                        s6 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f396(s1, s2, s3, s4, s5);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_schema_clause() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsebigquery_options();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f397(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsebigquery_option_default_collate();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f398(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsecreate_schema_authorization_clause();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f399(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_schema_authorization_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAUTHORIZATION();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parserole_specification();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f400(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseschema_scoped_statement() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsecreate_table_stmt();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsecreate_view_stmt();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsecreate_index_stmt();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsecreate_sequence_stmt();
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsecreate_trigger_stmt();
                                // @ts-ignore
                                if (s2 === peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parsegrant_stmt();
                                }
                            }
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f401(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_schema_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseschema_kw();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parselist$entity_name();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseCASCADE();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseRESTRICT();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f402(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_schema_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseschema_kw();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parsemember_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [];
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsealter_schema_action();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        while (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4.push(s5);
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parsealter_schema_action();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f403(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_schema_action() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsealter_action_set_bigquery_options();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f404(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsealter_action_set_default_collate();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f405(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsealter_action_rename();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f406(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsealter_action_owner_to();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f407(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseschema_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseSCHEMA();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseDATABASE();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f408(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_function_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseCREATE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseOR();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseREPLACE();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseTEMPORARY();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parseTEMP();
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parseTABLE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = null;
                    }
                    // @ts-ignore
                    s6 = peg$currPos;
                    // @ts-ignore
                    s7 = peg$parseFUNCTION();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s8 = peg$parse__();
                        // @ts-ignore
                        s7 = [s7, s8];
                        // @ts-ignore
                        s6 = s7;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s6;
                        // @ts-ignore
                        s6 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$currPos;
                        // @ts-ignore
                        s8 = peg$parseif_not_exists();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$parse__();
                            // @ts-ignore
                            s8 = [s8, s9];
                            // @ts-ignore
                            s7 = s8;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s7;
                            // @ts-ignore
                            s7 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = null;
                        }
                        // @ts-ignore
                        s8 = peg$currPos;
                        // @ts-ignore
                        s9 = peg$parsemember_expr();
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            s10 = peg$parse__();
                            // @ts-ignore
                            s9 = [s9, s10];
                            // @ts-ignore
                            s8 = s9;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s8;
                            // @ts-ignore
                            s8 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$parseparen$list$func_param();
                            // @ts-ignore
                            if (s9 === peg$FAILED) {
                                // @ts-ignore
                                s9 = peg$parseparen$empty_list();
                            }
                            // @ts-ignore
                            if (s9 !== peg$FAILED) {
                                // @ts-ignore
                                s10 = [];
                                // @ts-ignore
                                s11 = peg$currPos;
                                // @ts-ignore
                                s12 = peg$parse__();
                                // @ts-ignore
                                s13 = peg$parsecreate_function_clause();
                                // @ts-ignore
                                if (s13 !== peg$FAILED) {
                                    // @ts-ignore
                                    s12 = [s12, s13];
                                    // @ts-ignore
                                    s11 = s12;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s11;
                                    // @ts-ignore
                                    s11 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s11 !== peg$FAILED) {
                                    // @ts-ignore
                                    while (s11 !== peg$FAILED) {
                                        // @ts-ignore
                                        s10.push(s11);
                                        // @ts-ignore
                                        s11 = peg$currPos;
                                        // @ts-ignore
                                        s12 = peg$parse__();
                                        // @ts-ignore
                                        s13 = peg$parsecreate_function_clause();
                                        // @ts-ignore
                                        if (s13 !== peg$FAILED) {
                                            // @ts-ignore
                                            s12 = [s12, s13];
                                            // @ts-ignore
                                            s11 = s12;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s11;
                                            // @ts-ignore
                                            s11 = peg$FAILED;
                                        }
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s10 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s10 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f409(s2, s3, s4, s5, s6, s7, s8, s9, s10);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseCREATE();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parseOR();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseREPLACE();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s4 = [s4, s5, s6, s7];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = null;
                        }
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseFUNCTION();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parsemember_expr();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parseparen$list$func_param();
                                // @ts-ignore
                                if (s6 === peg$FAILED) {
                                    // @ts-ignore
                                    s6 = peg$parseparen$empty_list();
                                }
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = [];
                                    // @ts-ignore
                                    s8 = peg$currPos;
                                    // @ts-ignore
                                    s9 = peg$parse__();
                                    // @ts-ignore
                                    s10 = peg$parsecreate_function_clause();
                                    // @ts-ignore
                                    if (s10 !== peg$FAILED) {
                                        // @ts-ignore
                                        s9 = [s9, s10];
                                        // @ts-ignore
                                        s8 = s9;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s8;
                                        // @ts-ignore
                                        s8 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s8 !== peg$FAILED) {
                                        // @ts-ignore
                                        while (s8 !== peg$FAILED) {
                                            // @ts-ignore
                                            s7.push(s8);
                                            // @ts-ignore
                                            s8 = peg$currPos;
                                            // @ts-ignore
                                            s9 = peg$parse__();
                                            // @ts-ignore
                                            s10 = peg$parsecreate_function_clause();
                                            // @ts-ignore
                                            if (s10 !== peg$FAILED) {
                                                // @ts-ignore
                                                s9 = [s9, s10];
                                                // @ts-ignore
                                                s8 = s9;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s8;
                                                // @ts-ignore
                                                s8 = peg$FAILED;
                                            }
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s7 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s7 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f410(s2, s3, s4, s5, s6, s7);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunction_signature() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemember_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$list$func_param();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseparen$empty_list();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f411(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunc_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsedata_type();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f412(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseprocedure_param();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f413(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_function_clause() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsereturns_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parselanguage_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsecreate_function_clause_postgres();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f414(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsebigquery();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsecreate_function_clause_bigquery();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f415(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_function_clause_bigquery() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsedeterminism_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseas_clause$func_as_expr_bigquery();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsewith_connection_clause();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsebigquery_options();
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_function_clause_postgres() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsereturn_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseblock_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseas_clause$func_as_expr_postgresql();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsefunction_window_clause();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsefunction_behavior_clause();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsefunction_security_clause();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsefunction_cost_clause();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsefunction_rows_clause();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsefunction_support_clause();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsefunction_transform_clause();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseset_parameter_clause();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parseset_parameter_from_current_clause();
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereturns_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRETURNS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsetable_data_type();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsedata_type();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f416(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereturn_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRETURN();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseexpr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f417(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedeterminism_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseDETERMINISTIC();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseNOT();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseDETERMINISTIC();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f418(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselanguage_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseLANGUAGE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f419(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunc_as_expr_bigquery() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseparen$expr();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsestring_literal();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsecompound_select_stmt();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunc_as_expr_postgresql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsedynamically_loaded_function();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsestring_literal();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedynamically_loaded_function() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsestring_literal();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s2 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsestring_literal();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f420(s1, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewith_connection_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseREMOTE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseWITH();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseCONNECTION();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6, s7];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseWITH();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseCONNECTION();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f421(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunction_window_clause() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseWINDOW();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f422(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunction_behavior_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseIMMUTABLE();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseSTABLE();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseVOLATILE();
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseLEAKPROOF();
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            s2 = peg$parseNOT();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parse__();
                                // @ts-ignore
                                s4 = peg$parseLEAKPROOF();
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = [s2, s3, s4];
                                    // @ts-ignore
                                    s1 = s2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 === peg$FAILED) {
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                s2 = peg$parseCALLED();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    s3 = peg$parse__();
                                    // @ts-ignore
                                    s4 = peg$parseON();
                                    // @ts-ignore
                                    if (s4 !== peg$FAILED) {
                                        // @ts-ignore
                                        s5 = peg$parse__();
                                        // @ts-ignore
                                        s6 = peg$parseNULL();
                                        // @ts-ignore
                                        if (s6 !== peg$FAILED) {
                                            // @ts-ignore
                                            s7 = peg$parse__();
                                            // @ts-ignore
                                            s8 = peg$parseINPUT();
                                            // @ts-ignore
                                            if (s8 !== peg$FAILED) {
                                                // @ts-ignore
                                                s2 = [s2, s3, s4, s5, s6, s7, s8];
                                                // @ts-ignore
                                                s1 = s2;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s1;
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s1 === peg$FAILED) {
                                    // @ts-ignore
                                    s1 = peg$currPos;
                                    // @ts-ignore
                                    s2 = peg$parseRETURNS();
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        s3 = peg$parse__();
                                        // @ts-ignore
                                        s4 = peg$parseNULL();
                                        // @ts-ignore
                                        if (s4 !== peg$FAILED) {
                                            // @ts-ignore
                                            s5 = peg$parse__();
                                            // @ts-ignore
                                            s6 = peg$parseON();
                                            // @ts-ignore
                                            if (s6 !== peg$FAILED) {
                                                // @ts-ignore
                                                s7 = peg$parse__();
                                                // @ts-ignore
                                                s8 = peg$parseNULL();
                                                // @ts-ignore
                                                if (s8 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    s9 = peg$parse__();
                                                    // @ts-ignore
                                                    s10 = peg$parseINPUT();
                                                    // @ts-ignore
                                                    if (s10 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        s2 = [s2, s3, s4, s5, s6, s7, s8, s9, s10];
                                                        // @ts-ignore
                                                        s1 = s2;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s1;
                                                        // @ts-ignore
                                                        s1 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s1;
                                                    // @ts-ignore
                                                    s1 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s1;
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s1 === peg$FAILED) {
                                        // @ts-ignore
                                        s1 = peg$parseSTRICT();
                                        // @ts-ignore
                                        if (s1 === peg$FAILED) {
                                            // @ts-ignore
                                            s1 = peg$currPos;
                                            // @ts-ignore
                                            s2 = peg$parsePARALLEL();
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                s3 = peg$parse__();
                                                // @ts-ignore
                                                s4 = peg$parseUNSAFE();
                                                // @ts-ignore
                                                if (s4 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s4 = peg$parseRESTRICTED();
                                                    // @ts-ignore
                                                    if (s4 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s4 = peg$parseSAFE();
                                                    }
                                                }
                                                // @ts-ignore
                                                if (s4 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    s2 = [s2, s3, s4];
                                                    // @ts-ignore
                                                    s1 = s2;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s1;
                                                    // @ts-ignore
                                                    s1 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s1;
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f423(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunction_security_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseEXTERNAL();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$currPos;
            // @ts-ignore
            s3 = peg$parseSECURITY();
            // @ts-ignore
            if (s3 !== peg$FAILED) {
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseDEFINER();
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parseINVOKER();
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s2;
                // @ts-ignore
                s2 = peg$FAILED;
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f424(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunction_cost_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCOST();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsenumber_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f425(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunction_rows_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseROWS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsenumber_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f426(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunction_support_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSUPPORT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f427(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunction_transform_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseTRANSFORM();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$transform_type();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f428(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetransform_type() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFOR();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTYPE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsedata_type();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f429(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseset_parameter_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 61) {
                        // @ts-ignore
                        s3 = peg$c4;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e5);
                        }
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseTO();
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parselist$config_parameter_value();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f430(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconfig_parameter_value() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseliteral();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsedefault();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseident();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseset_parameter_from_current_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseFROM();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseCURRENT();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f431(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereset_parameter_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRESET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f432(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereset_all_parameters_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRESET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseALL();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f433(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_function_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseTABLE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseFUNCTION();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseif_exists();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseparen$list$func_param();
                        // @ts-ignore
                        if (s8 === peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parseparen$empty_list();
                        }
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = null;
                        }
                        // @ts-ignore
                        s7 = peg$currPos;
                        // @ts-ignore
                        s8 = peg$parse__();
                        // @ts-ignore
                        s9 = peg$parseCASCADE();
                        // @ts-ignore
                        if (s9 === peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$parseRESTRICT();
                        }
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = [s8, s9];
                            // @ts-ignore
                            s7 = s8;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s7;
                            // @ts-ignore
                            s7 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f434(s1, s2, s3, s4, s5, s6, s7);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_function_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseFUNCTION();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseparen$list$func_param();
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parseparen$empty_list();
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        s5 = [];
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parsealter_function_action();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            while (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5.push(s6);
                                // @ts-ignore
                                s6 = peg$currPos;
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s8 = peg$parsealter_function_action();
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = [s7, s8];
                                    // @ts-ignore
                                    s6 = s7;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s6;
                                    // @ts-ignore
                                    s6 = peg$FAILED;
                                }
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseRESTRICT();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f435(s1, s2, s3, s4, s5, s6);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_function_action() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_rename();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_owner_to();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_set_schema();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsealter_action_depends_on_extension();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_action_no_depends_on_extension();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseset_parameter_clause();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseset_parameter_from_current_clause();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsereset_all_parameters_clause();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsereset_parameter_clause();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsefunction_behavior_clause();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parsefunction_security_clause();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parsefunction_cost_clause();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parsefunction_rows_clause();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parsefunction_support_clause();
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_procedure_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCREATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseOR();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseREPLACE();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4, s5, s6];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parsePROCEDURE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseif_not_exists();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseparen$list$procedure_param();
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parseparen$empty_list();
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [];
                            // @ts-ignore
                            s8 = peg$currPos;
                            // @ts-ignore
                            s9 = peg$parse__();
                            // @ts-ignore
                            s10 = peg$parsecreate_procedure_clause();
                            // @ts-ignore
                            if (s10 !== peg$FAILED) {
                                // @ts-ignore
                                s9 = [s9, s10];
                                // @ts-ignore
                                s8 = s9;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s8;
                                // @ts-ignore
                                s8 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                while (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7.push(s8);
                                    // @ts-ignore
                                    s8 = peg$currPos;
                                    // @ts-ignore
                                    s9 = peg$parse__();
                                    // @ts-ignore
                                    s10 = peg$parsecreate_procedure_clause();
                                    // @ts-ignore
                                    if (s10 !== peg$FAILED) {
                                        // @ts-ignore
                                        s9 = [s9, s10];
                                        // @ts-ignore
                                        s8 = s9;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s8;
                                        // @ts-ignore
                                        s8 = peg$FAILED;
                                    }
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s7 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f436(s1, s2, s3, s4, s5, s6, s7);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseprocedure_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseINOUT();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseIN();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseOUT();
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseident();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parsedata_type();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f437(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseINOUT();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseIN();
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parseOUT();
                            // @ts-ignore
                            if (s3 === peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parseVARIADIC();
                            }
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = null;
                    }
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseident();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parsedata_type();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parsefunction_param_default();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                s5 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f438(s2, s3, s4, s5);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parseINOUT();
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parseIN();
                            // @ts-ignore
                            if (s3 === peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parseOUT();
                                // @ts-ignore
                                if (s3 === peg$FAILED) {
                                    // @ts-ignore
                                    s3 = peg$parseVARIADIC();
                                }
                            }
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parse__();
                            // @ts-ignore
                            s3 = [s3, s4];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = null;
                        }
                        // @ts-ignore
                        s3 = peg$parsedata_type();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parsefunction_param_default();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 === peg$FAILED) {
                                // @ts-ignore
                                s4 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f439(s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunction_param_default() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseDEFAULT();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 61) {
                    // @ts-ignore
                    s1 = peg$c4;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e5);
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f440(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_procedure_clause() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parseblock_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parselanguage_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsecreate_procedure_clause_bigquery();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f441(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsecreate_procedure_clause_postgresql();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f442(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_procedure_clause_bigquery() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseas_clause$func_as_expr_bigquery();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsewith_connection_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsebigquery_options();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_procedure_clause_postgresql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseas_clause$func_as_expr_postgresql();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsefunction_security_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsefunction_transform_clause();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseset_parameter_clause();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseset_parameter_from_current_clause();
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_procedure_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsePROCEDURE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseif_exists();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseparen$list$procedure_param();
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parseparen$empty_list();
                        }
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s5 = null;
                        }
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseCASCADE();
                        // @ts-ignore
                        if (s8 === peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parseRESTRICT();
                        }
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f443(s1, s2, s3, s4, s5, s6);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_procedure_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsePROCEDURE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseparen$list$func_param();
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parseparen$empty_list();
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        s5 = [];
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parsealter_procedure_action();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            while (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5.push(s6);
                                // @ts-ignore
                                s6 = peg$currPos;
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s8 = peg$parsealter_procedure_action();
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = [s7, s8];
                                    // @ts-ignore
                                    s6 = s7;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s6;
                                    // @ts-ignore
                                    s6 = peg$FAILED;
                                }
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseRESTRICT();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f444(s1, s2, s3, s4, s5, s6);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_procedure_action() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_rename();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_owner_to();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_set_schema();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsealter_action_depends_on_extension();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_action_no_depends_on_extension();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseset_parameter_clause();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseset_parameter_from_current_clause();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsereset_all_parameters_clause();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsereset_parameter_clause();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsefunction_security_clause();
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_sequence_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCREATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsesequence_kind();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseSEQUENCE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseif_not_exists();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [];
                        // @ts-ignore
                        s7 = peg$currPos;
                        // @ts-ignore
                        s8 = peg$parse__();
                        // @ts-ignore
                        s9 = peg$parsesequence_option();
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = [s8, s9];
                            // @ts-ignore
                            s7 = s8;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s7;
                            // @ts-ignore
                            s7 = peg$FAILED;
                        }
                        // @ts-ignore
                        while (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s6.push(s7);
                            // @ts-ignore
                            s7 = peg$currPos;
                            // @ts-ignore
                            s8 = peg$parse__();
                            // @ts-ignore
                            s9 = peg$parsesequence_option();
                            // @ts-ignore
                            if (s9 !== peg$FAILED) {
                                // @ts-ignore
                                s8 = [s8, s9];
                                // @ts-ignore
                                s7 = s8;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s7;
                                // @ts-ignore
                                s7 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f445(s1, s2, s3, s4, s5, s6);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_kind() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseTEMP();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseTEMPORARY();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseUNLOGGED();
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f446(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_list() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsesequence_option();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsesequence_option();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsesequence_option();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f447(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsesequence_option_as_type();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsesequence_option_increment();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsesequence_option_start();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsesequence_option_restart();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsesequence_option_minvalue();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsesequence_option_maxvalue();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsesequence_option_no_minvalue();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsesequence_option_no_maxvalue();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsesequence_option_cache();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsesequence_option_cycle();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parsesequence_option_no_cycle();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parsesequence_option_owned_by();
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_as_type() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsedata_type();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f448(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_increment() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINCREMENT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseBY();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parsesigned_number_literal();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f449(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_start() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSTART();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseWITH();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parsesigned_number_literal();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f450(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_restart() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRESTART();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseWITH();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsesigned_number_literal();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f451(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseRESTART();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parsesigned_number_literal();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f452(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_minvalue() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseMINVALUE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsesigned_number_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f453(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_maxvalue() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseMAXVALUE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsesigned_number_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f454(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_no_minvalue() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseMINVALUE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f455(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_no_maxvalue() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseMAXVALUE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f456(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_cache() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCACHE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsesigned_number_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f457(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_cycle() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCYCLE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f458(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_no_cycle() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCYCLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f459(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesequence_option_owned_by() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOWNED();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f460(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_sequence_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseSEQUENCE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseif_exists();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [];
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parsesequence_option();
                        // @ts-ignore
                        if (s8 === peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parsealter_sequence_action();
                        }
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            while (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5.push(s6);
                                // @ts-ignore
                                s6 = peg$currPos;
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s8 = peg$parsesequence_option();
                                // @ts-ignore
                                if (s8 === peg$FAILED) {
                                    // @ts-ignore
                                    s8 = peg$parsealter_sequence_action();
                                }
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = [s7, s8];
                                    // @ts-ignore
                                    s6 = s7;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s6;
                                    // @ts-ignore
                                    s6 = peg$FAILED;
                                }
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f461(s1, s2, s3, s4, s5);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_sequence_action() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_set_logged();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_set_unlogged();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_owner_to();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsealter_action_rename();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_action_set_schema();
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_sequence_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseSEQUENCE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseif_exists();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$parselist$entity_name();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseCASCADE();
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parseRESTRICT();
                        }
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s5 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f462(s1, s2, s3, s4, s5);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_type_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCREATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTYPE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsetype_definition();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f463(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetype_definition() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsecomposite_type_definition();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseenum_type_definition();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecomposite_type_definition() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$empty_list();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseparen$list$column_definition();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f464(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseenum_type_definition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseENUM();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$empty_list();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseparen$list$string_literal();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f465(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_type_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTYPE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parselist$alter_type_action();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f466(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_type_action() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_owner_to();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_rename();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_set_schema();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsealter_action_add_enum_value();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_action_rename_enum_value();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsealter_action_rename_attribute();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsealter_action_add_attribute();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsealter_action_drop_attribute();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsealter_action_alter_attribute();
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_type_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTYPE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parselist$entity_name();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseCASCADE();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseRESTRICT();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f467(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_domain_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCREATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDOMAIN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsemember_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseAS();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$parsedata_type();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [];
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parsecolumn_constraint();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        while (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5.push(s6);
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parsecolumn_constraint();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f468(s1, s2, s3, s4, s5);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_domain_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDOMAIN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsealter_domain_action();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f469(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_domain_action() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_owner_to();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_rename();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_set_schema();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsealter_action_set_default();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_action_drop_default();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsealter_action_set_not_null();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsealter_action_drop_not_null();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsealter_action_rename_constraint();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsealter_action_validate_constraint();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsealter_action_drop_constraint();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parsealter_action_add_constraint();
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_domain_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDOMAIN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parselist$entity_name();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseCASCADE();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseRESTRICT();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f470(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_role_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCREATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseROLE();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseUSER();
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseGROUP();
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseWITH();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = [];
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parserole_option();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4.push(s5);
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parserole_option();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f471(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserole_option() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parserole_option_keyword();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parserole_option_connection_limit();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parserole_option_password();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parserole_option_valid_until();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parserole_option_in_role();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parserole_option_role();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parserole_option_admin();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parserole_option_sysid();
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserole_option_keyword() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseSUPERUSER();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseNOSUPERUSER();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseCREATEDB();
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseNOCREATEDB();
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$parseCREATEROLE();
                            // @ts-ignore
                            if (s1 === peg$FAILED) {
                                // @ts-ignore
                                s1 = peg$parseNOCREATEROLE();
                                // @ts-ignore
                                if (s1 === peg$FAILED) {
                                    // @ts-ignore
                                    s1 = peg$parseINHERIT();
                                    // @ts-ignore
                                    if (s1 === peg$FAILED) {
                                        // @ts-ignore
                                        s1 = peg$parseNOINHERIT();
                                        // @ts-ignore
                                        if (s1 === peg$FAILED) {
                                            // @ts-ignore
                                            s1 = peg$parseLOGIN();
                                            // @ts-ignore
                                            if (s1 === peg$FAILED) {
                                                // @ts-ignore
                                                s1 = peg$parseNOLOGIN();
                                                // @ts-ignore
                                                if (s1 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s1 = peg$parseREPLICATION();
                                                    // @ts-ignore
                                                    if (s1 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s1 = peg$parseNOREPLICATION();
                                                        // @ts-ignore
                                                        if (s1 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s1 = peg$parseBYPASSRLS();
                                                            // @ts-ignore
                                                            if (s1 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s1 = peg$parseNOBYPASSRLS();
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f472(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserole_option_connection_limit() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCONNECTION();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseLIMIT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsenumber_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f473(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserole_option_password() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseENCRYPTED();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$currPos;
            // @ts-ignore
            s3 = peg$parsePASSWORD();
            // @ts-ignore
            if (s3 !== peg$FAILED) {
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s3 = [s3, s4];
                // @ts-ignore
                s2 = s3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s2;
                // @ts-ignore
                s2 = peg$FAILED;
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parsestring_literal();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsenull_literal();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f474(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserole_option_valid_until() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseVALID();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseUNTIL();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f475(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserole_option_in_role() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseIN();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseROLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$role_specification();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f476(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserole_option_role() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseROLE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$role_specification();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f477(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserole_option_admin() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseADMIN();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$role_specification();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f478(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserole_option_sysid() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSYSID();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsenumber_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f479(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_role_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseROLE();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseUSER();
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseGROUP();
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parserole_specification();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseALL();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parsein_database_clause();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$parsealter_role_action();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f480(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsein_database_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseIN();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDATABASE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f481(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_role_action() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_with_role_options();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsealter_action_rename();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsealter_action_set_postgresql_option();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsealter_action_set_postgresql_option_from_current();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_action_reset_postgresql_option();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsealter_action_add_user();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsealter_action_drop_user();
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_with_role_options() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseWITH();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parserole_option();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    while (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2.push(s3);
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parserole_option();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f482(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parserole_option();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [];
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parserole_option();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2.push(s3);
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parserole_option();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f483(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_postgresql_option() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 61) {
                        // @ts-ignore
                        s3 = peg$c4;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e5);
                        }
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseTO();
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parselist$expr();
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parsekeyword();
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f484(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_set_postgresql_option_from_current() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseFROM();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseCURRENT();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f485(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_reset_postgresql_option() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRESET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseALL();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f486(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_add_user() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseADD();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseUSER();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$ident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f487(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_action_drop_user() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseUSER();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$ident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f488(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_role_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseROLE();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseUSER();
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseGROUP();
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parselist$role_specification();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f489(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseset_role_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseSESSION();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseLOCAL();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseROLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseNONE();
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseident();
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parsestring_literal();
                        }
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f490(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereset_role_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseRESET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseROLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f491(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_policy_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCREATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsePOLICY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseON();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parsemember_expr();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [];
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parsecreate_policy_clause();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            while (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5.push(s6);
                                // @ts-ignore
                                s6 = peg$currPos;
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s8 = peg$parsecreate_policy_clause();
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = [s7, s8];
                                    // @ts-ignore
                                    s6 = s7;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s6;
                                    // @ts-ignore
                                    s6 = peg$FAILED;
                                }
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f492(s1, s2, s3, s4, s5);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_policy_clause() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsepolicy_permissive_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsepolicy_restrictive_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsepolicy_command_clause();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsepolicy_roles_clause();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsepolicy_using_clause();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsepolicy_check_clause();
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepolicy_permissive_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsePERMISSIVE();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f493(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepolicy_restrictive_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseRESTRICTIVE();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f494(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepolicy_command_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFOR();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseALL();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseSELECT();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseINSERT();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseUPDATE();
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parseDELETE();
                            }
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f495(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepolicy_roles_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseTO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$grantee();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f496(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepolicy_using_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUSING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f497(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepolicy_check_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWITH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseCHECK();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseparen$expr();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f498(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_policy_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsePOLICY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseON();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parsemember_expr();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [];
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parsealter_policy_action();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                while (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s5.push(s6);
                                    // @ts-ignore
                                    s6 = peg$currPos;
                                    // @ts-ignore
                                    s7 = peg$parse__();
                                    // @ts-ignore
                                    s8 = peg$parsealter_policy_action();
                                    // @ts-ignore
                                    if (s8 !== peg$FAILED) {
                                        // @ts-ignore
                                        s7 = [s7, s8];
                                        // @ts-ignore
                                        s6 = s7;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s6;
                                        // @ts-ignore
                                        s6 = peg$FAILED;
                                    }
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f499(s1, s2, s3, s4, s5);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_policy_action() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsealter_action_rename();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsepolicy_roles_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsepolicy_using_clause();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsepolicy_check_clause();
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_policy_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsePOLICY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseif_exists();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseident();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseON();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parsemember_expr();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseCASCADE();
                            // @ts-ignore
                            if (s8 === peg$FAILED) {
                                // @ts-ignore
                                s8 = peg$parseRESTRICT();
                            }
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f500(s1, s2, s3, s4, s5, s6);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseanalyze_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseANALYZE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTABLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parselist$entity_name();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f501(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexplain_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseexplain_kw();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseANALYZE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseQUERY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsePLAN();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$parsestatement();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f502(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexplain_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseEXPLAIN();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseDESCRIBE();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f503(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseDESC();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f504(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetransaction_statement() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsestart_transaction_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsecommit_transaction_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parserollback_transaction_stmt();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsesavepoint_stmt();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parserelease_savepoint_stmt();
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestart_transaction_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseBEGIN();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseDEFERRED();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parseIMMEDIATE();
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parseEXCLUSIVE();
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseTRANSACTION();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f505(s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseBEGIN();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseTRANSACTION();
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parseWORK();
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = null;
                        }
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parselist$transaction_mode();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f506(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseBEGIN();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$currPos;
                            // @ts-ignore
                            s4 = peg$parse__();
                            // @ts-ignore
                            s5 = peg$parseWORK();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = [s4, s5];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s3 === peg$FAILED) {
                                // @ts-ignore
                                s3 = null;
                            }
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f507(s2, s3);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseSTART();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$currPos;
                                // @ts-ignore
                                s4 = peg$parse__();
                                // @ts-ignore
                                s5 = peg$parseTRANSACTION();
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    s4 = [s4, s5];
                                    // @ts-ignore
                                    s3 = s4;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s3;
                                    // @ts-ignore
                                    s3 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s3 !== peg$FAILED) {
                                    // @ts-ignore
                                    s4 = peg$currPos;
                                    // @ts-ignore
                                    s5 = peg$parse__();
                                    // @ts-ignore
                                    s6 = peg$parselist$transaction_mode();
                                    // @ts-ignore
                                    if (s6 !== peg$FAILED) {
                                        // @ts-ignore
                                        s5 = [s5, s6];
                                        // @ts-ignore
                                        s4 = s5;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s4;
                                        // @ts-ignore
                                        s4 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s4 === peg$FAILED) {
                                        // @ts-ignore
                                        s4 = null;
                                    }
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f508(s2, s3, s4);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetransaction_mode() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsetransaction_mode_deferrable();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsetransaction_mode_not_deferrable();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsetransaction_mode_read_write();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsetransaction_mode_read_only();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsetransaction_mode_isolation_level();
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetransaction_mode_deferrable() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseDEFERRABLE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f509(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetransaction_mode_not_deferrable() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNOT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDEFERRABLE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f510(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetransaction_mode_read_write() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseREAD();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseWRITE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f511(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetransaction_mode_read_only() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseREAD();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseONLY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f512(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetransaction_mode_isolation_level() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseISOLATION();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseLEVEL();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseisolation_level_kw();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f513(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseisolation_level_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseSERIALIZABLE();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseREPEATABLE();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parse__();
                    // @ts-ignore
                    s3 = peg$parseREAD();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s1 = [s1, s2, s3];
                        // @ts-ignore
                        s0 = s1;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseREAD();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parse__();
                        // @ts-ignore
                        s3 = peg$parseCOMMITTED();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s1 = [s1, s2, s3];
                            // @ts-ignore
                            s0 = s1;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseREAD();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parse__();
                            // @ts-ignore
                            s3 = peg$parseUNCOMMITTED();
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                s1 = [s1, s2, s3];
                                // @ts-ignore
                                s0 = s1;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecommit_transaction_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsecommit_kw();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsetransaction_kw();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsetransaction_chain_clause();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f514(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecommit_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseCOMMIT();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseEND();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f515(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserollback_transaction_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parserollback_kw();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsetransaction_kw();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parserollback_to_savepoint();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parsetransaction_chain_clause();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f516(s1, s2, s3, s4);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserollback_kw() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parseROLLBACK();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseABORT();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f517(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserollback_to_savepoint() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseTO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseSAVEPOINT();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f518(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetransaction_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseTRANSACTION();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f519(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseWORK();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f520(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesavepoint_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseSAVEPOINT();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseident();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f521(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserelease_savepoint_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseRELEASE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseSAVEPOINT();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$parseident();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f522(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetransaction_chain_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAND();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCHAIN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f523(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseAND();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseNO();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseCHAIN();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f524(s1);
                }
                // @ts-ignore
                s0 = s1;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedcl_statement() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsegrant_stmt();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parserevoke_stmt();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f525(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegrant_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseGRANT();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parselist$privilege();
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseall_privileges();
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseON();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parsegrant_resource_postgres();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$currPos;
                                // @ts-ignore
                                s7 = peg$parseTO();
                                // @ts-ignore
                                if (s7 !== peg$FAILED) {
                                    // @ts-ignore
                                    s8 = peg$parse__();
                                    // @ts-ignore
                                    s7 = [s7, s8];
                                    // @ts-ignore
                                    s6 = s7;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s6;
                                    // @ts-ignore
                                    s6 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = peg$parselist$grantee();
                                    // @ts-ignore
                                    if (s7 !== peg$FAILED) {
                                        // @ts-ignore
                                        s8 = [];
                                        // @ts-ignore
                                        s9 = peg$currPos;
                                        // @ts-ignore
                                        s10 = peg$parse__();
                                        // @ts-ignore
                                        s11 = peg$parsegrant_stmt_clause();
                                        // @ts-ignore
                                        if (s11 !== peg$FAILED) {
                                            // @ts-ignore
                                            s10 = [s10, s11];
                                            // @ts-ignore
                                            s9 = s10;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s9;
                                            // @ts-ignore
                                            s9 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        while (s9 !== peg$FAILED) {
                                            // @ts-ignore
                                            s8.push(s9);
                                            // @ts-ignore
                                            s9 = peg$currPos;
                                            // @ts-ignore
                                            s10 = peg$parse__();
                                            // @ts-ignore
                                            s11 = peg$parsegrant_stmt_clause();
                                            // @ts-ignore
                                            if (s11 !== peg$FAILED) {
                                                // @ts-ignore
                                                s10 = [s10, s11];
                                                // @ts-ignore
                                                s9 = s10;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s9;
                                                // @ts-ignore
                                                s9 = peg$FAILED;
                                            }
                                        }
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f526(s2, s3, s4, s5, s6, s7, s8);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseGRANT();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parselist$ident();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parseON();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parse__();
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$currPos;
                                // @ts-ignore
                                s6 = peg$parsegrant_resource_bigquery();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = peg$parse__();
                                    // @ts-ignore
                                    s6 = [s6, s7];
                                    // @ts-ignore
                                    s5 = s6;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s5;
                                    // @ts-ignore
                                    s5 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    s6 = peg$currPos;
                                    // @ts-ignore
                                    s7 = peg$parseTO();
                                    // @ts-ignore
                                    if (s7 !== peg$FAILED) {
                                        // @ts-ignore
                                        s8 = peg$parse__();
                                        // @ts-ignore
                                        s7 = [s7, s8];
                                        // @ts-ignore
                                        s6 = s7;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s6;
                                        // @ts-ignore
                                        s6 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s6 !== peg$FAILED) {
                                        // @ts-ignore
                                        s7 = peg$parselist$string_literal();
                                        // @ts-ignore
                                        if (s7 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f527(s2, s3, s4, s5, s6, s7);
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parseGRANT();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parse__();
                            // @ts-ignore
                            s3 = [s3, s4];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$currPos;
                            // @ts-ignore
                            s4 = peg$parselist$ident();
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$parse__();
                                // @ts-ignore
                                s4 = [s4, s5];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = peg$currPos;
                                // @ts-ignore
                                s5 = peg$parseTO();
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    s6 = peg$parse__();
                                    // @ts-ignore
                                    s5 = [s5, s6];
                                    // @ts-ignore
                                    s4 = s5;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s4;
                                    // @ts-ignore
                                    s4 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s5 = peg$parselist$grantee();
                                    // @ts-ignore
                                    if (s5 !== peg$FAILED) {
                                        // @ts-ignore
                                        s6 = [];
                                        // @ts-ignore
                                        s7 = peg$currPos;
                                        // @ts-ignore
                                        s8 = peg$parse__();
                                        // @ts-ignore
                                        s9 = peg$parsegrant_stmt_clause();
                                        // @ts-ignore
                                        if (s9 !== peg$FAILED) {
                                            // @ts-ignore
                                            s8 = [s8, s9];
                                            // @ts-ignore
                                            s7 = s8;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s7;
                                            // @ts-ignore
                                            s7 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        while (s7 !== peg$FAILED) {
                                            // @ts-ignore
                                            s6.push(s7);
                                            // @ts-ignore
                                            s7 = peg$currPos;
                                            // @ts-ignore
                                            s8 = peg$parse__();
                                            // @ts-ignore
                                            s9 = peg$parsegrant_stmt_clause();
                                            // @ts-ignore
                                            if (s9 !== peg$FAILED) {
                                                // @ts-ignore
                                                s8 = [s8, s9];
                                                // @ts-ignore
                                                s7 = s8;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s7;
                                                // @ts-ignore
                                                s7 = peg$FAILED;
                                            }
                                        }
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f528(s2, s3, s4, s5, s6);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseprivilege() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseprivilege_kw();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$list$ident();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f529(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseprivilege_kw() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$parseSELECT();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseINSERT();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseUPDATE();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseDELETE();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseTRUNCATE();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseREFERENCES();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseTRIGGER();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parseMAINTAIN();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parseUSAGE();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parseCREATE();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseCONNECT();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parseTEMPORARY();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parseTEMP();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parseSET();
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$parseEXECUTE();
                                                                    // @ts-ignore
                                                                    if (s0 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s0 = peg$currPos;
                                                                        // @ts-ignore
                                                                        s1 = peg$currPos;
                                                                        // @ts-ignore
                                                                        s2 = peg$parseALTER();
                                                                        // @ts-ignore
                                                                        if (s2 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s3 = peg$parse__();
                                                                            // @ts-ignore
                                                                            s4 = peg$parseSYSTEM();
                                                                            // @ts-ignore
                                                                            if (s4 !== peg$FAILED) {
                                                                                // @ts-ignore
                                                                                s2 = [s2, s3, s4];
                                                                                // @ts-ignore
                                                                                s1 = s2;
                                                                                // @ts-ignore
                                                                            }
                                                                            else {
                                                                                // @ts-ignore
                                                                                peg$currPos = s1;
                                                                                // @ts-ignore
                                                                                s1 = peg$FAILED;
                                                                            }
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            peg$currPos = s1;
                                                                            // @ts-ignore
                                                                            s1 = peg$FAILED;
                                                                        }
                                                                        // @ts-ignore
                                                                        if (s1 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            peg$savedPos = s0;
                                                                            // @ts-ignore
                                                                            s1 = peg$f530(s1);
                                                                        }
                                                                        // @ts-ignore
                                                                        s0 = s1;
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseall_privileges() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseALL();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsePRIVILEGES();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseparen$list$ident();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f531(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegrant_resource_postgres() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALL();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTABLES();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseIN();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseSCHEMA();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$parse__();
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6, s7, s8, s9];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$ident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f532(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseALL();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseSEQUENCES();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseIN();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseSCHEMA();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s9 = peg$parse__();
                                // @ts-ignore
                                s2 = [s2, s3, s4, s5, s6, s7, s8, s9];
                                // @ts-ignore
                                s1 = s2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parselist$ident();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f533(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseALL();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseFUNCTIONS();
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parsePROCEDURES();
                            // @ts-ignore
                            if (s4 === peg$FAILED) {
                                // @ts-ignore
                                s4 = peg$parseROUTINES();
                            }
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseIN();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s8 = peg$parseSCHEMA();
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s9 = peg$parse__();
                                    // @ts-ignore
                                    s2 = [s2, s3, s4, s5, s6, s7, s8, s9];
                                    // @ts-ignore
                                    s1 = s2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parselist$ident();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f534(s1, s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        s2 = peg$parseSEQUENCE();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parse__();
                            // @ts-ignore
                            s2 = [s2, s3];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parselist$entity_name();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f535(s1, s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            s2 = peg$parseDATABASE();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parse__();
                                // @ts-ignore
                                s2 = [s2, s3];
                                // @ts-ignore
                                s1 = s2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parselist$ident();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f536(s1, s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$currPos;
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                s2 = peg$parseDOMAIN();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    s3 = peg$parse__();
                                    // @ts-ignore
                                    s2 = [s2, s3];
                                    // @ts-ignore
                                    s1 = s2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s1 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parselist$entity_name();
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f537(s1, s2);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$currPos;
                                    // @ts-ignore
                                    s1 = peg$currPos;
                                    // @ts-ignore
                                    s2 = peg$parseFOREIGN();
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        s3 = peg$parse__();
                                        // @ts-ignore
                                        s4 = peg$parseDATA();
                                        // @ts-ignore
                                        if (s4 !== peg$FAILED) {
                                            // @ts-ignore
                                            s5 = peg$parse__();
                                            // @ts-ignore
                                            s6 = peg$parseWRAPPER();
                                            // @ts-ignore
                                            if (s6 !== peg$FAILED) {
                                                // @ts-ignore
                                                s7 = peg$parse__();
                                                // @ts-ignore
                                                s2 = [s2, s3, s4, s5, s6, s7];
                                                // @ts-ignore
                                                s1 = s2;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s1;
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s1 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$parselist$ident();
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f538(s1, s2);
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$currPos;
                                        // @ts-ignore
                                        s1 = peg$currPos;
                                        // @ts-ignore
                                        s2 = peg$parseFOREIGN();
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            s3 = peg$parse__();
                                            // @ts-ignore
                                            s4 = peg$parseSERVER();
                                            // @ts-ignore
                                            if (s4 !== peg$FAILED) {
                                                // @ts-ignore
                                                s5 = peg$parse__();
                                                // @ts-ignore
                                                s2 = [s2, s3, s4, s5];
                                                // @ts-ignore
                                                s1 = s2;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s1;
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s1 !== peg$FAILED) {
                                            // @ts-ignore
                                            s2 = peg$parselist$ident();
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                peg$savedPos = s0;
                                                // @ts-ignore
                                                s0 = peg$f539(s1, s2);
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$currPos;
                                            // @ts-ignore
                                            s1 = peg$currPos;
                                            // @ts-ignore
                                            s2 = peg$parseFUNCTION();
                                            // @ts-ignore
                                            if (s2 === peg$FAILED) {
                                                // @ts-ignore
                                                s2 = peg$parsePROCEDURE();
                                                // @ts-ignore
                                                if (s2 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s2 = peg$parseROUTINE();
                                                }
                                            }
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                s3 = peg$parse__();
                                                // @ts-ignore
                                                s2 = [s2, s3];
                                                // @ts-ignore
                                                s1 = s2;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s1;
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s1 !== peg$FAILED) {
                                                // @ts-ignore
                                                s2 = peg$parselist$function_signature();
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$savedPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$f540(s1, s2);
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$currPos;
                                                // @ts-ignore
                                                s1 = peg$currPos;
                                                // @ts-ignore
                                                s2 = peg$parseLANGUAGE();
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    s3 = peg$parse__();
                                                    // @ts-ignore
                                                    s2 = [s2, s3];
                                                    // @ts-ignore
                                                    s1 = s2;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s1;
                                                    // @ts-ignore
                                                    s1 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s1 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    s2 = peg$parselist$ident();
                                                    // @ts-ignore
                                                    if (s2 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        peg$savedPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$f541(s1, s2);
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$currPos;
                                                    // @ts-ignore
                                                    s1 = peg$currPos;
                                                    // @ts-ignore
                                                    s2 = peg$parseLARGE();
                                                    // @ts-ignore
                                                    if (s2 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        s3 = peg$parse__();
                                                        // @ts-ignore
                                                        s4 = peg$parseOBJECT();
                                                        // @ts-ignore
                                                        if (s4 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            s5 = peg$parse__();
                                                            // @ts-ignore
                                                            s2 = [s2, s3, s4, s5];
                                                            // @ts-ignore
                                                            s1 = s2;
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s1;
                                                            // @ts-ignore
                                                            s1 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s1;
                                                        // @ts-ignore
                                                        s1 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                    if (s1 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        s2 = peg$parselist$expr();
                                                        // @ts-ignore
                                                        if (s2 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            peg$savedPos = s0;
                                                            // @ts-ignore
                                                            s0 = peg$f542(s1, s2);
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s0;
                                                            // @ts-ignore
                                                            s0 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$currPos;
                                                        // @ts-ignore
                                                        s1 = peg$currPos;
                                                        // @ts-ignore
                                                        s2 = peg$parsePARAMETER();
                                                        // @ts-ignore
                                                        if (s2 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            s3 = peg$parse__();
                                                            // @ts-ignore
                                                            s2 = [s2, s3];
                                                            // @ts-ignore
                                                            s1 = s2;
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s1;
                                                            // @ts-ignore
                                                            s1 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                        if (s1 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            s2 = peg$parselist$ident();
                                                            // @ts-ignore
                                                            if (s2 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                peg$savedPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$f543(s1, s2);
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s0;
                                                            // @ts-ignore
                                                            s0 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$currPos;
                                                            // @ts-ignore
                                                            s1 = peg$currPos;
                                                            // @ts-ignore
                                                            s2 = peg$parseSCHEMA();
                                                            // @ts-ignore
                                                            if (s2 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                s3 = peg$parse__();
                                                                // @ts-ignore
                                                                s2 = [s2, s3];
                                                                // @ts-ignore
                                                                s1 = s2;
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s1;
                                                                // @ts-ignore
                                                                s1 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                            if (s1 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                s2 = peg$parselist$ident();
                                                                // @ts-ignore
                                                                if (s2 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    peg$savedPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$f544(s1, s2);
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$currPos;
                                                                // @ts-ignore
                                                                s1 = peg$currPos;
                                                                // @ts-ignore
                                                                s2 = peg$parseTABLESPACE();
                                                                // @ts-ignore
                                                                if (s2 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s3 = peg$parse__();
                                                                    // @ts-ignore
                                                                    s2 = [s2, s3];
                                                                    // @ts-ignore
                                                                    s1 = s2;
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s1;
                                                                    // @ts-ignore
                                                                    s1 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                                if (s1 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s2 = peg$parselist$ident();
                                                                    // @ts-ignore
                                                                    if (s2 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        peg$savedPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$f545(s1, s2);
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$currPos;
                                                                    // @ts-ignore
                                                                    s1 = peg$currPos;
                                                                    // @ts-ignore
                                                                    s2 = peg$parseTYPE();
                                                                    // @ts-ignore
                                                                    if (s2 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s3 = peg$parse__();
                                                                        // @ts-ignore
                                                                        s2 = [s2, s3];
                                                                        // @ts-ignore
                                                                        s1 = s2;
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s1;
                                                                        // @ts-ignore
                                                                        s1 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s1 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s2 = peg$parselist$entity_name();
                                                                        // @ts-ignore
                                                                        if (s2 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            peg$savedPos = s0;
                                                                            // @ts-ignore
                                                                            s0 = peg$f546(s1, s2);
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            peg$currPos = s0;
                                                                            // @ts-ignore
                                                                            s0 = peg$FAILED;
                                                                        }
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s0 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s0 = peg$currPos;
                                                                        // @ts-ignore
                                                                        s1 = peg$currPos;
                                                                        // @ts-ignore
                                                                        s2 = peg$parseTABLE();
                                                                        // @ts-ignore
                                                                        if (s2 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s3 = peg$parse__();
                                                                            // @ts-ignore
                                                                            s2 = [s2, s3];
                                                                            // @ts-ignore
                                                                            s1 = s2;
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            peg$currPos = s1;
                                                                            // @ts-ignore
                                                                            s1 = peg$FAILED;
                                                                        }
                                                                        // @ts-ignore
                                                                        if (s1 === peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s1 = null;
                                                                        }
                                                                        // @ts-ignore
                                                                        s2 = peg$parselist$entity_name();
                                                                        // @ts-ignore
                                                                        if (s2 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            peg$savedPos = s0;
                                                                            // @ts-ignore
                                                                            s0 = peg$f547(s1, s2);
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            peg$currPos = s0;
                                                                            // @ts-ignore
                                                                            s0 = peg$FAILED;
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegrant_resource_bigquery() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseTABLE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseEXTERNAL();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseTABLE();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$entity_name();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f548(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseVIEW();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parselist$entity_name();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f549(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseSCHEMA();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parselist$entity_name();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f550(s1, s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegrant_stmt_clause() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsewith_grant_option_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsegranted_by_clause();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewith_grant_option_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWITH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseGRANT();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseADMIN();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseINHERIT();
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parseSET();
                        }
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseOPTION();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseboolean_literal();
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f551(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegrant_option_for_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseGRANT();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseADMIN();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseINHERIT();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseSET();
                    }
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseOPTION();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseFOR();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4, s5, s6];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f552(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegranted_by_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseGRANTED();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsegrantee();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f553(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserevoke_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseREVOKE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parsegrant_option_for_clause();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parselist$privilege();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parseall_privileges();
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parseON();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parsegrant_resource_postgres();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s8 = peg$parse__();
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$currPos;
                                // @ts-ignore
                                s8 = peg$parseFROM();
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s9 = peg$parse__();
                                    // @ts-ignore
                                    s8 = [s8, s9];
                                    // @ts-ignore
                                    s7 = s8;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s7;
                                    // @ts-ignore
                                    s7 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s7 !== peg$FAILED) {
                                    // @ts-ignore
                                    s8 = peg$parselist$grantee();
                                    // @ts-ignore
                                    if (s8 !== peg$FAILED) {
                                        // @ts-ignore
                                        s9 = peg$currPos;
                                        // @ts-ignore
                                        s10 = peg$parse__();
                                        // @ts-ignore
                                        s11 = peg$parsegranted_by_clause();
                                        // @ts-ignore
                                        if (s11 !== peg$FAILED) {
                                            // @ts-ignore
                                            s10 = [s10, s11];
                                            // @ts-ignore
                                            s9 = s10;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s9;
                                            // @ts-ignore
                                            s9 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s9 === peg$FAILED) {
                                            // @ts-ignore
                                            s9 = null;
                                        }
                                        // @ts-ignore
                                        s10 = peg$currPos;
                                        // @ts-ignore
                                        s11 = peg$parse__();
                                        // @ts-ignore
                                        s12 = peg$parseCASCADE();
                                        // @ts-ignore
                                        if (s12 === peg$FAILED) {
                                            // @ts-ignore
                                            s12 = peg$parseRESTRICT();
                                        }
                                        // @ts-ignore
                                        if (s12 !== peg$FAILED) {
                                            // @ts-ignore
                                            s11 = [s11, s12];
                                            // @ts-ignore
                                            s10 = s11;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s10;
                                            // @ts-ignore
                                            s10 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s10 === peg$FAILED) {
                                            // @ts-ignore
                                            s10 = null;
                                        }
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f554(s2, s3, s4, s5, s6, s7, s8, s9, s10);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseREVOKE();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parselist$ident();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parseON();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parse__();
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$currPos;
                                // @ts-ignore
                                s6 = peg$parsegrant_resource_bigquery();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = peg$parse__();
                                    // @ts-ignore
                                    s6 = [s6, s7];
                                    // @ts-ignore
                                    s5 = s6;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s5;
                                    // @ts-ignore
                                    s5 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    s6 = peg$currPos;
                                    // @ts-ignore
                                    s7 = peg$parseFROM();
                                    // @ts-ignore
                                    if (s7 !== peg$FAILED) {
                                        // @ts-ignore
                                        s8 = peg$parse__();
                                        // @ts-ignore
                                        s7 = [s7, s8];
                                        // @ts-ignore
                                        s6 = s7;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s6;
                                        // @ts-ignore
                                        s6 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s6 !== peg$FAILED) {
                                        // @ts-ignore
                                        s7 = peg$parselist$string_literal();
                                        // @ts-ignore
                                        if (s7 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f555(s2, s3, s4, s5, s6, s7);
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parseREVOKE();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parse__();
                            // @ts-ignore
                            s3 = [s3, s4];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$currPos;
                            // @ts-ignore
                            s4 = peg$parsegrant_option_for_clause();
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$parse__();
                                // @ts-ignore
                                s4 = [s4, s5];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s3 === peg$FAILED) {
                                // @ts-ignore
                                s3 = null;
                            }
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parselist$ident();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parse__();
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$currPos;
                                // @ts-ignore
                                s6 = peg$parseFROM();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = peg$parse__();
                                    // @ts-ignore
                                    s6 = [s6, s7];
                                    // @ts-ignore
                                    s5 = s6;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s5;
                                    // @ts-ignore
                                    s5 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    s6 = peg$parselist$grantee();
                                    // @ts-ignore
                                    if (s6 !== peg$FAILED) {
                                        // @ts-ignore
                                        s7 = peg$currPos;
                                        // @ts-ignore
                                        s8 = peg$parse__();
                                        // @ts-ignore
                                        s9 = peg$parsegranted_by_clause();
                                        // @ts-ignore
                                        if (s9 !== peg$FAILED) {
                                            // @ts-ignore
                                            s8 = [s8, s9];
                                            // @ts-ignore
                                            s7 = s8;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s7;
                                            // @ts-ignore
                                            s7 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s7 === peg$FAILED) {
                                            // @ts-ignore
                                            s7 = null;
                                        }
                                        // @ts-ignore
                                        s8 = peg$currPos;
                                        // @ts-ignore
                                        s9 = peg$parse__();
                                        // @ts-ignore
                                        s10 = peg$parseCASCADE();
                                        // @ts-ignore
                                        if (s10 === peg$FAILED) {
                                            // @ts-ignore
                                            s10 = peg$parseRESTRICT();
                                        }
                                        // @ts-ignore
                                        if (s10 !== peg$FAILED) {
                                            // @ts-ignore
                                            s9 = [s9, s10];
                                            // @ts-ignore
                                            s8 = s9;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s8;
                                            // @ts-ignore
                                            s8 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s8 === peg$FAILED) {
                                            // @ts-ignore
                                            s8 = null;
                                        }
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f556(s2, s3, s4, s5, s6, s7, s8);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegrantee() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseGROUP();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseident();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f557(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parsePUBLIC();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f558(s1);
                }
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parsegrantee_fn_name();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s1 = peg$f559(s1);
                    }
                    // @ts-ignore
                    s0 = s1;
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseident();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s1 = peg$f560(s1);
                        }
                        // @ts-ignore
                        s0 = s1;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegrantee_fn_name() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCURRENT_ROLE();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseCURRENT_USER();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseSESSION_USER();
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f561(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserole_specification() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseparen_less_func_call();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseident();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseproc_statement() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parselabeled$block_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsedeclare_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseset_stmt();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseif_stmt();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsecase_stmt();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parselabeled$loop_stmt();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parselabeled$repeat_stmt();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parselabeled$while_stmt();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$currPos;
                                            // @ts-ignore
                                            s1 = peg$parselabeled$for_stmt();
                                            // @ts-ignore
                                            if (s1 !== peg$FAILED) {
                                                // @ts-ignore
                                                s2 = peg$currPos;
                                                // @ts-ignore
                                                peg$silentFails++;
                                                // @ts-ignore
                                                s3 = peg$parsebigquery();
                                                // @ts-ignore
                                                peg$silentFails--;
                                                // @ts-ignore
                                                if (s3 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$currPos = s2;
                                                    // @ts-ignore
                                                    s2 = undefined;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s2 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$savedPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$f562(s1);
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsebreak_stmt();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parsecontinue_stmt();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parsecall_stmt();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parsereturn_stmt();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$currPos;
                                                                // @ts-ignore
                                                                s1 = peg$parseraise_stmt();
                                                                // @ts-ignore
                                                                if (s1 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s2 = peg$currPos;
                                                                    // @ts-ignore
                                                                    peg$silentFails++;
                                                                    // @ts-ignore
                                                                    s3 = peg$parsebigquery();
                                                                    // @ts-ignore
                                                                    peg$silentFails--;
                                                                    // @ts-ignore
                                                                    if (s3 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        peg$currPos = s2;
                                                                        // @ts-ignore
                                                                        s2 = undefined;
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        s2 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s2 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        peg$savedPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$f563(s1);
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$FAILED;
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselabeled$__template__() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 58) {
                    // @ts-ignore
                    s2 = peg$c5;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e6);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parse__template__();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseident();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f564(s1, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parse__template__();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselabeled$block_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 58) {
                    // @ts-ignore
                    s2 = peg$c5;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e6);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseblock_stmt();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseident();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f565(s1, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseblock_stmt();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselabeled$loop_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 58) {
                    // @ts-ignore
                    s2 = peg$c5;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e6);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseloop_stmt();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseident();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f566(s1, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseloop_stmt();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselabeled$while_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 58) {
                    // @ts-ignore
                    s2 = peg$c5;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e6);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsewhile_stmt();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseident();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f567(s1, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsewhile_stmt();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselabeled$repeat_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 58) {
                    // @ts-ignore
                    s2 = peg$c5;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e6);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parserepeat_stmt();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseident();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f568(s1, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parserepeat_stmt();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselabeled$for_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 58) {
                    // @ts-ignore
                    s2 = peg$c5;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e6);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsefor_stmt();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseident();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f569(s1, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsefor_stmt();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseblock_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseBEGIN();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseatomic_kw();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parseinner_program();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseexception_clause();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseEND();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f570(s1, s2, s3, s4, s5);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseatomic_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseATOMIC();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f571(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexception_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseEXCEPTION();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseWHEN();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseerror_category();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parseTHEN();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parseinner_program();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f572(s2, s3, s4, s5, s6);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseerror_category() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseERROR();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f573(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedeclare_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDECLARE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$ident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsedata_type();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsedeclare_default();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f574(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedeclare_default() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDEFAULT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseexpr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f575(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseset_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSET();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$set_assignment();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f576(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseset_assignment() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsevariable();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseparen$list$ident();
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parseparen$list$variable();
                        }
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 61) {
                        // @ts-ignore
                        s3 = peg$c4;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e5);
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseexpr();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f577(s2, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseident();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseparen$list$ident();
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 61) {
                            // @ts-ignore
                            s3 = peg$c4;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e5);
                            }
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseexpr();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f578(s2, s4);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseif_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseif_clause();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseelseif_clause();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseelseif_clause();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseelse_clause();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parseEND();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseIF();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6, s7];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f579(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseif_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseIF();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseexpr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseTHEN();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseinner_program();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f580(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseelseif_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseELSEIF();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseexpr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseTHEN();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parseinner_program();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f581(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseelse_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseELSE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseinner_program();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f582(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecase_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCASE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parsecase_stmt_when();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parsecase_stmt_when();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsecase_stmt_else();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseEND();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s8 = peg$parse__();
                        // @ts-ignore
                        s9 = peg$parseCASE();
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = [s6, s7, s8, s9];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f583(s1, s2, s3, s4, s5);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecase_stmt_when() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseWHEN();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseTHEN();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseinner_program();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f584(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecase_stmt_else() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseELSE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseinner_program();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f585(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseloop_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseLOOP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseinner_program();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseEND();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseLOOP();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f586(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserepeat_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseREPEAT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseinner_program();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseUNTIL();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseexpr();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parseEND();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s8 = peg$parseREPEAT();
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s6 = [s6, s7, s8];
                                    // @ts-ignore
                                    s5 = s6;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s5;
                                    // @ts-ignore
                                    s5 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f587(s1, s2, s3, s4, s5);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsewhile_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWHILE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseexpr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseDO();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseinner_program();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parseEND();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s8 = peg$parseWHILE();
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s6 = [s6, s7, s8];
                                    // @ts-ignore
                                    s5 = s6;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s5;
                                    // @ts-ignore
                                    s5 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f588(s1, s2, s3, s4, s5);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefor_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFOR();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseIN();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parseparen$expr();
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parseparen$compound_select_stmt();
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            s6 = peg$parseDO();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s6 = [s6, s7];
                                // @ts-ignore
                                s5 = s6;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$currPos;
                                // @ts-ignore
                                s7 = peg$parseinner_program();
                                // @ts-ignore
                                if (s7 !== peg$FAILED) {
                                    // @ts-ignore
                                    s8 = peg$parse__();
                                    // @ts-ignore
                                    s7 = [s7, s8];
                                    // @ts-ignore
                                    s6 = s7;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s6;
                                    // @ts-ignore
                                    s6 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = peg$currPos;
                                    // @ts-ignore
                                    s8 = peg$parseEND();
                                    // @ts-ignore
                                    if (s8 !== peg$FAILED) {
                                        // @ts-ignore
                                        s9 = peg$parse__();
                                        // @ts-ignore
                                        s10 = peg$parseFOR();
                                        // @ts-ignore
                                        if (s10 !== peg$FAILED) {
                                            // @ts-ignore
                                            s8 = [s8, s9, s10];
                                            // @ts-ignore
                                            s7 = s8;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s7;
                                            // @ts-ignore
                                            s7 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s7;
                                        // @ts-ignore
                                        s7 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s7 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f589(s1, s2, s3, s4, s5, s6, s7);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebreak_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsebreak_kw();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseident();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f590(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebreak_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseLEAVE();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseBREAK();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f591(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecontinue_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsecontinue_kw();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseident();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f592(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecontinue_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseITERATE();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseCONTINUE();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f593(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecall_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCALL();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsefunc_call();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f594(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereturn_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseRETURN();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseexpr();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f595(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseRETURN();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f596(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseraise_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseRAISE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseraise_message();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f597(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseraise_message() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUSING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseMESSAGE();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 61) {
                    // @ts-ignore
                    s2 = peg$c4;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e5);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsestring_literal();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f598(s1, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexecute_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseEXECUTE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseimmediate_kw();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parseexpr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseexecute_into_clause();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseexecute_using_clause();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f599(s1, s2, s3, s4, s5);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseimmediate_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseIMMEDIATE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f600(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexecute_into_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINTO();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$ident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f601(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexecute_using_clause() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUSING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parselist$expr_or_explicit_alias();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f602(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesqlite_statement() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseattach_database_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsedetach_database_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsevacuum_stmt();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsepragma_stmt();
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseattach_database_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseATTACH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseDATABASE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseAS();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parseident();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f603(s1, s2, s3, s4, s5);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedetach_database_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDETACH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseDATABASE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f604(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsevacuum_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseVACUUM();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseINTO();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parsestring_literal();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f605(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseVACUUM();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseident();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f606(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepragma_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsePRAGMA();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsepragma_assignment();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsepragma_func_call();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsemember_expr();
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f607(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepragma_assignment() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsemember_expr();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 61) {
                    // @ts-ignore
                    s2 = peg$c4;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e5);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsepragma_value();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f608(s1, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepragma_func_call() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parse__();
            // @ts-ignore
            s3 = peg$parsemember_expr();
            // @ts-ignore
            if (s3 !== peg$FAILED) {
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$pragma_value();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f609(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepragma_value() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident_name();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f610(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseliteral();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_statement() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsecreate_bigquery_entity_stmt();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsedrop_bigquery_entity_stmt();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsecreate_row_access_policy_stmt();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsedrop_row_access_policy_stmt();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsealter_organization_stmt();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsealter_project_stmt();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsealter_bi_capacity_stmt();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsealter_capacity_stmt();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsealter_reservation_stmt();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parseassert_stmt();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseexport_data_stmt();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parseload_data_stmt();
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_bigquery_entity_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCREATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsebigquery_entity();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parsebigquery_options();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f611(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_bigquery_entity_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsebigquery_entity();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseif_exists();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f612(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_entity() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseCAPACITY();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseRESERVATION();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseASSIGNMENT();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecreate_row_access_policy_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCREATE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseOR();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseREPLACE();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4, s5, s6];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseROW();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseACCESS();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parsePOLICY();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$parse__();
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7, s8, s9];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseif_not_exists();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parseident();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parseON();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parse__();
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parsemember_expr();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s8 = [];
                                // @ts-ignore
                                s9 = peg$currPos;
                                // @ts-ignore
                                s10 = peg$parse__();
                                // @ts-ignore
                                s11 = peg$parserow_access_policy_clause();
                                // @ts-ignore
                                if (s11 !== peg$FAILED) {
                                    // @ts-ignore
                                    s10 = [s10, s11];
                                    // @ts-ignore
                                    s9 = s10;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s9;
                                    // @ts-ignore
                                    s9 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s9 !== peg$FAILED) {
                                    // @ts-ignore
                                    while (s9 !== peg$FAILED) {
                                        // @ts-ignore
                                        s8.push(s9);
                                        // @ts-ignore
                                        s9 = peg$currPos;
                                        // @ts-ignore
                                        s10 = peg$parse__();
                                        // @ts-ignore
                                        s11 = peg$parserow_access_policy_clause();
                                        // @ts-ignore
                                        if (s11 !== peg$FAILED) {
                                            // @ts-ignore
                                            s10 = [s10, s11];
                                            // @ts-ignore
                                            s9 = s10;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s9;
                                            // @ts-ignore
                                            s9 = peg$FAILED;
                                        }
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s8 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f613(s1, s2, s3, s4, s5, s6, s7, s8);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserow_access_policy_clause() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parserow_access_policy_grant_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parserow_access_policy_filter_clause();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserow_access_policy_grant_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseGRANT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTO();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$string_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f614(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parserow_access_policy_filter_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFILTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseUSING();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f615(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedrop_row_access_policy_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDROP();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseROW();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseACCESS();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsePOLICY();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s8 = peg$parse__();
                            // @ts-ignore
                            s3 = [s3, s4, s5, s6, s7, s8];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parseif_exists();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parseident();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parseON();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parsemember_expr();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f616(s1, s2, s3, s4, s5, s6);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseDROP();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseALL();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parseROW();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseACCESS();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parse__();
                                // @ts-ignore
                                s8 = peg$parsePOLICIES();
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s9 = peg$parse__();
                                    // @ts-ignore
                                    s4 = [s4, s5, s6, s7, s8, s9];
                                    // @ts-ignore
                                    s3 = s4;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s3;
                                    // @ts-ignore
                                    s3 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parseON();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parse__();
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$parsemember_expr();
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f617(s1, s2, s3, s4, s5);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_organization_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseORGANIZATION();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsealter_action_set_bigquery_options();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f618(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_project_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsePROJECT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsealter_action_set_bigquery_options();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f619(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_bi_capacity_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBI_CAPACITY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsemember_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsealter_action_set_bigquery_options();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f620(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_capacity_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCAPACITY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsemember_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsealter_action_set_bigquery_options();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f621(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealter_reservation_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseALTER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseRESERVATION();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsemember_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsealter_action_set_bigquery_options();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f622(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseassert_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseASSERT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseexpr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseas_clause$string_literal();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f623(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexport_data_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseEXPORT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDATA();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsewith_connection_clause();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parsebigquery_options();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseas_clause$compound_select_stmt();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f624(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseload_data_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseLOAD();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDATA();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseINTO();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseOVERWRITE();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseparen$list$column_definition();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        s5 = [];
                        // @ts-ignore
                        s6 = peg$currPos;
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseload_data_clause();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = [s7, s8];
                            // @ts-ignore
                            s6 = s7;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                        while (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5.push(s6);
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseload_data_clause();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s7 = [s7, s8];
                                // @ts-ignore
                                s6 = s7;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f625(s1, s2, s3, s4, s5);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseload_data_clause() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsepartition_by_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsecluster_by_clause();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsebigquery_options();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsefrom_files_options();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsewith_partition_columns_clause();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsewith_connection_clause();
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefrom_files_options() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFROM();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseFILES();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$equals_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f626(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgresql_with_options() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWITH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$table_option_postgresql();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f627(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_option_postgresql() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsemember_expr();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 61) {
                    // @ts-ignore
                    s2 = peg$c4;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e5);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseexpr();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parsekeyword();
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f628(s1, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parsemember_expr();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f629(s1);
                }
                // @ts-ignore
                s0 = s1;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgresql_options() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOPTIONS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$postgresql_option_element();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f630(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgresql_option_element() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f631(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgresql_operator_class() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseparen$list$table_option_postgresql();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f632(s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_options() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsetable_option();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s6 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s6 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parsetable_option();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6, s7, s8];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 44) {
                            // @ts-ignore
                            s6 = peg$c1;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s6 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e2);
                            }
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parsetable_option();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6, s7, s8];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f633(s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_option() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsetable_option_sqlite();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f634(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsetable_option_mysql();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f635(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_option_sqlite() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseSTRICT();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseWITHOUT();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseROWID();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f636(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_option_mysql() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsemysql_table_opt_name();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 61) {
                    // @ts-ignore
                    s2 = peg$c4;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e5);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsemysql_table_opt_value();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f637(s1, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parsemysql_table_opt_name();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsemysql_table_opt_value();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f638(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseSTART();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseTRANSACTION();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s1 = peg$f639(s1);
                    }
                    // @ts-ignore
                    s0 = s1;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_table_opt_name() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$parseAUTOEXTEND_SIZE();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseAUTO_INCREMENT();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseAVG_ROW_LENGTH();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        s2 = peg$parseDEFAULT();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parse__();
                            // @ts-ignore
                            s4 = peg$parseCHARACTER();
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$parse__();
                                // @ts-ignore
                                s6 = peg$parseSET();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = [s2, s3, s4, s5, s6];
                                    // @ts-ignore
                                    s1 = s2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s1 = peg$f640(s1);
                        }
                        // @ts-ignore
                        s0 = s1;
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            s2 = peg$parseCHARACTER();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parse__();
                                // @ts-ignore
                                s4 = peg$parseSET();
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = [s2, s3, s4];
                                    // @ts-ignore
                                    s1 = s2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s1 = peg$f641(s1);
                            }
                            // @ts-ignore
                            s0 = s1;
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseCHECKSUM();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$currPos;
                                    // @ts-ignore
                                    s1 = peg$currPos;
                                    // @ts-ignore
                                    s2 = peg$parseDEFAULT();
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        s3 = peg$parse__();
                                        // @ts-ignore
                                        s4 = peg$parseCOLLATE();
                                        // @ts-ignore
                                        if (s4 !== peg$FAILED) {
                                            // @ts-ignore
                                            s2 = [s2, s3, s4];
                                            // @ts-ignore
                                            s1 = s2;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s1 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s1 = peg$f642(s1);
                                    }
                                    // @ts-ignore
                                    s0 = s1;
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parseCOLLATE();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parseCOMMENT();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parseCOMPRESSION();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseCONNECTION();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$currPos;
                                                        // @ts-ignore
                                                        s1 = peg$currPos;
                                                        // @ts-ignore
                                                        s2 = peg$parseDATA();
                                                        // @ts-ignore
                                                        if (s2 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            s3 = peg$parse__();
                                                            // @ts-ignore
                                                            s4 = peg$parseDIRECTORY();
                                                            // @ts-ignore
                                                            if (s4 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                s2 = [s2, s3, s4];
                                                                // @ts-ignore
                                                                s1 = s2;
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s1;
                                                                // @ts-ignore
                                                                s1 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s1;
                                                            // @ts-ignore
                                                            s1 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                        if (s1 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            peg$savedPos = s0;
                                                            // @ts-ignore
                                                            s1 = peg$f643(s1);
                                                        }
                                                        // @ts-ignore
                                                        s0 = s1;
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$currPos;
                                                            // @ts-ignore
                                                            s1 = peg$currPos;
                                                            // @ts-ignore
                                                            s2 = peg$parseINDEX();
                                                            // @ts-ignore
                                                            if (s2 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                s3 = peg$parse__();
                                                                // @ts-ignore
                                                                s4 = peg$parseDIRECTORY();
                                                                // @ts-ignore
                                                                if (s4 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s2 = [s2, s3, s4];
                                                                    // @ts-ignore
                                                                    s1 = s2;
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s1;
                                                                    // @ts-ignore
                                                                    s1 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s1;
                                                                // @ts-ignore
                                                                s1 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                            if (s1 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                peg$savedPos = s0;
                                                                // @ts-ignore
                                                                s1 = peg$f644(s1);
                                                            }
                                                            // @ts-ignore
                                                            s0 = s1;
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parseDELAY_KEY_WRITE();
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$parseENCRYPTION();
                                                                    // @ts-ignore
                                                                    if (s0 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s0 = peg$parseENGINE();
                                                                        // @ts-ignore
                                                                        if (s0 === peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s0 = peg$parseENGINE_ATTRIBUTE();
                                                                            // @ts-ignore
                                                                            if (s0 === peg$FAILED) {
                                                                                // @ts-ignore
                                                                                s0 = peg$parseINSERT_METHOD();
                                                                                // @ts-ignore
                                                                                if (s0 === peg$FAILED) {
                                                                                    // @ts-ignore
                                                                                    s0 = peg$parseKEY_BLOCK_SIZE();
                                                                                    // @ts-ignore
                                                                                    if (s0 === peg$FAILED) {
                                                                                        // @ts-ignore
                                                                                        s0 = peg$parseMAX_ROWS();
                                                                                        // @ts-ignore
                                                                                        if (s0 === peg$FAILED) {
                                                                                            // @ts-ignore
                                                                                            s0 = peg$parseMIN_ROWS();
                                                                                            // @ts-ignore
                                                                                            if (s0 === peg$FAILED) {
                                                                                                // @ts-ignore
                                                                                                s0 = peg$parsePACK_KEYS();
                                                                                                // @ts-ignore
                                                                                                if (s0 === peg$FAILED) {
                                                                                                    // @ts-ignore
                                                                                                    s0 = peg$parsePASSWORD();
                                                                                                    // @ts-ignore
                                                                                                    if (s0 === peg$FAILED) {
                                                                                                        // @ts-ignore
                                                                                                        s0 = peg$parseROW_FORMAT();
                                                                                                        // @ts-ignore
                                                                                                        if (s0 === peg$FAILED) {
                                                                                                            // @ts-ignore
                                                                                                            s0 = peg$parseSECONDARY_ENGINE_ATTRIBUTE();
                                                                                                            // @ts-ignore
                                                                                                            if (s0 === peg$FAILED) {
                                                                                                                // @ts-ignore
                                                                                                                s0 = peg$parseSTATS_AUTO_RECALC();
                                                                                                                // @ts-ignore
                                                                                                                if (s0 === peg$FAILED) {
                                                                                                                    // @ts-ignore
                                                                                                                    s0 = peg$parseSTATS_PERSISTENT();
                                                                                                                    // @ts-ignore
                                                                                                                    if (s0 === peg$FAILED) {
                                                                                                                        // @ts-ignore
                                                                                                                        s0 = peg$parseSTATS_SAMPLE_PAGES();
                                                                                                                        // @ts-ignore
                                                                                                                        if (s0 === peg$FAILED) {
                                                                                                                            // @ts-ignore
                                                                                                                            s0 = peg$parseTABLESPACE();
                                                                                                                            // @ts-ignore
                                                                                                                            if (s0 === peg$FAILED) {
                                                                                                                                // @ts-ignore
                                                                                                                                s0 = peg$parseSTORAGE();
                                                                                                                                // @ts-ignore
                                                                                                                                if (s0 === peg$FAILED) {
                                                                                                                                    // @ts-ignore
                                                                                                                                    s0 = peg$parseUNION();
                                                                                                                                }
                                                                                                                            }
                                                                                                                        }
                                                                                                                    }
                                                                                                                }
                                                                                                            }
                                                                                                        }
                                                                                                    }
                                                                                                }
                                                                                            }
                                                                                        }
                                                                                    }
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_table_opt_value() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsestring_literal();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsenumber_literal();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseident();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseparen$list$entity_name();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseDEFAULT();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseDYNAMIC();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseFIXED();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parseCOMPRESSED();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parseREDUNDANT();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parseCOMPACT();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseNO();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parseFIRST();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parseLAST();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parseDISK();
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$parseMEMORY();
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_constraint() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseconstraint_name();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$parsecolumn_constraint_type();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseconstraint_modifier();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                while (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3.push(s4);
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseconstraint_modifier();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f645(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_constraint() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseconstraint_name();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$parsetable_constraint_type();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseconstraint_not_null();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s5 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s2;
                        // @ts-ignore
                        s2 = peg$f646(s1, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseconstraint_modifier();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                while (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3.push(s4);
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseconstraint_modifier();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f647(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_name() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCONSTRAINT();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseident();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f648(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_modifier() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseDEFERRABLE();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseNOT();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseDEFERRABLE();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = [s3, s4, s5];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parseINITIALLY();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parse__();
                            // @ts-ignore
                            s5 = peg$parseIMMEDIATE();
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$parseDEFERRED();
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = [s3, s4, s5];
                                // @ts-ignore
                                s2 = s3;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f649(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseNO();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseINHERIT();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = [s3, s4, s5];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parseNOT();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parse__();
                            // @ts-ignore
                            s5 = peg$parseVALID();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = [s3, s4, s5];
                                // @ts-ignore
                                s2 = s3;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f650(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parseonly_mysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsebigquery();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parseNOT();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parse__();
                            // @ts-ignore
                            s5 = peg$parseENFORCED();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = [s3, s4, s5];
                                // @ts-ignore
                                s2 = s3;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f651(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parseonly_mysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseENFORCED();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f652(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_constraint_type() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parseconstraint_not_null();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseconstraint_null();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f653(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseconstraint_default();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseconstraint_collate();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsecolumn_constraint_primary_key();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsereferences_specification();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$currPos;
                                    // @ts-ignore
                                    s1 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s2 = peg$parsebigquery();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s2 === peg$FAILED) {
                                        // @ts-ignore
                                        s1 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s1 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$parsecolumn_constraint_type_common();
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f654(s2);
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$currPos;
                                        // @ts-ignore
                                        s1 = peg$currPos;
                                        // @ts-ignore
                                        peg$silentFails++;
                                        // @ts-ignore
                                        s2 = peg$parsemysql();
                                        // @ts-ignore
                                        peg$silentFails--;
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s1 !== peg$FAILED) {
                                            // @ts-ignore
                                            s2 = peg$parsecolumn_constraint_type_mysql();
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                peg$savedPos = s0;
                                                // @ts-ignore
                                                s0 = peg$f655(s2);
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$currPos;
                                            // @ts-ignore
                                            s1 = peg$currPos;
                                            // @ts-ignore
                                            peg$silentFails++;
                                            // @ts-ignore
                                            s2 = peg$parsebigquery();
                                            // @ts-ignore
                                            peg$silentFails--;
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                peg$currPos = s1;
                                                // @ts-ignore
                                                s1 = undefined;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s1 !== peg$FAILED) {
                                                // @ts-ignore
                                                s2 = peg$parsebigquery_options();
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$savedPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$f656(s2);
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$currPos;
                                                // @ts-ignore
                                                s1 = peg$currPos;
                                                // @ts-ignore
                                                peg$silentFails++;
                                                // @ts-ignore
                                                s2 = peg$parsepostgres();
                                                // @ts-ignore
                                                peg$silentFails--;
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$currPos = s1;
                                                    // @ts-ignore
                                                    s1 = undefined;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s1 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s1 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    s2 = peg$parsecolumn_constraint_type_postgresql();
                                                    // @ts-ignore
                                                    if (s2 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        peg$savedPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$f657(s2);
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_constraint_type_common() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsecolumn_constraint_unique();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseconstraint_check();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseconstraint_generated();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseconstraint_auto_increment();
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_constraint_type_mysql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseconstraint_comment();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseconstraint_visible();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseconstraint_column_format();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseconstraint_storage();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseconstraint_engine_attribute();
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_constraint_type_postgresql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseconstraint_storage();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseconstraint_compression();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseconstraint_generated_as_identity();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parsepostgresql_options();
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_not_null() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNOT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseNULL();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseon_conflict_clause();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (s2.length >= 1) {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseon_conflict_clause();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f658(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_null() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseNULL();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f659(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_default() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseDEFAULT();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f660(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_auto_increment() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseauto_increment_kw();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f661(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseauto_increment_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseAUTOINCREMENT();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f662(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseAUTO_INCREMENT();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f663(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_comment() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCOMMENT();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsestring_literal();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f664(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_collate() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCOLLATE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseident();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parsestring_literal();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f665(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_visible() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseVISIBLE();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseINVISIBLE();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f666(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_column_format() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCOLUMN_FORMAT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseFIXED();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseDYNAMIC();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseDEFAULT();
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f667(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_storage() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseSTORAGE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemysql_storage_type();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsepg_storage_type();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f668(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_storage_type() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseDISK();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseMEMORY();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f669(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_storage_type() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsePLAIN();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseEXTERNAL();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseEXTENDED();
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseMAIN();
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$parseDEFAULT();
                        }
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f670(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_engine_attribute() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseENGINE_ATTRIBUTE();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseSECONDARY_ENGINE_ATTRIBUTE();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 61) {
                    // @ts-ignore
                    s4 = peg$c4;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s4 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e5);
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsestring_literal();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f671(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_compression() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseCOMPRESSION();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsedefault();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f672(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_generated() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseGENERATED();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseALWAYS();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseparen$expr();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseSTORED();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseVIRTUAL();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f673(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_generated_as_identity() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseGENERATED();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseALWAYS();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseGENERATED();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseBY();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseDEFAULT();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseAS();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseidentity_column();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseparen$sequence_option_list();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f674(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseidentity_column() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseIDENTITY();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f675(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_constraint_type() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parsetable_constraint_primary_key();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseconstraint_foreign_key();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsetable_constraint_unique();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f676(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsebigquery();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseconstraint_check();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f677(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsemysql();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsetable_constraint_index();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f678(s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$currPos;
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s2 = peg$parsepostgres();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s1 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parsetable_constraint_exclude();
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f679(s2);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_constraint_primary_key() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsePRIMARY();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseKEY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$index_specification();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseexisting_index();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseon_conflict_clause();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseindex_parameter_clause();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseon_conflict_clause();
                        // @ts-ignore
                        if (s6 === peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parseindex_parameter_clause();
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f680(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_constraint_primary_key() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseprimary_key_keyword();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsesqlite_sort_direction();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseon_conflict_clause();
                // @ts-ignore
                if (s6 === peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parseindex_parameter_clause();
                }
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                while (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3.push(s4);
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseon_conflict_clause();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseindex_parameter_clause();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f681(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseprimary_key_keyword() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsePRIMARY();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parseKEY();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s1 = [s1, s2, s3];
                    // @ts-ignore
                    s0 = s1;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseKEY();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f682(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesqlite_sort_direction() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsesort_direction();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f683(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexisting_index() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUSING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseINDEX();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f684(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_constraint_unique() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseunique_key();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsenulls_distinctness();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parseparen$list$column();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseexisting_index();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [];
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseon_conflict_clause();
                    // @ts-ignore
                    if (s7 === peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parseindex_parameter_clause();
                    }
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4.push(s5);
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseon_conflict_clause();
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parseindex_parameter_clause();
                        }
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f685(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecolumn_constraint_unique() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseunique_key();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsenulls_distinctness();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseon_conflict_clause();
                // @ts-ignore
                if (s6 === peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parseindex_parameter_clause();
                }
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                while (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3.push(s4);
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseon_conflict_clause();
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseindex_parameter_clause();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f686(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenulls_distinctness() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNULLS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseDISTINCT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseNULLS();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseNOT();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseDISTINCT();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f687(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseunique_key() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUNIQUE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseINDEX();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseKEY();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseUNIQUE();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f688(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_check() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCHECK();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$expr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseon_conflict_clause();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        if (s3.length >= 1) {
                            // @ts-ignore
                            s4 = peg$FAILED;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseon_conflict_clause();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f689(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconstraint_foreign_key() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseFOREIGN();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseKEY();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parseparen$list$column();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsereferences_specification();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f690(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereferences_specification() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseREFERENCES();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemember_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseparen$list$column();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = [];
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsereferential_action();
                    // @ts-ignore
                    if (s7 === peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parsereferential_match();
                    }
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4.push(s5);
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsereferential_action();
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parsereferential_match();
                        }
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f691(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereferential_action() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseON();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseUPDATE();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseDELETE();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsereference_action_type();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseparen$list$column();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f692(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereferential_match() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseMATCH();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseFULL();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsePARTIAL();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseSIMPLE();
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f693(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsereference_action_type() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseRESTRICT();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseCASCADE();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseSET();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseNULL();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        s2 = peg$parseNO();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parse__();
                            // @ts-ignore
                            s4 = peg$parseACTION();
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = [s2, s3, s4];
                                // @ts-ignore
                                s1 = s2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            s2 = peg$parseSET();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parse__();
                                // @ts-ignore
                                s4 = peg$parseDEFAULT();
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = [s2, s3, s4];
                                    // @ts-ignore
                                    s1 = s2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f694(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_constraint_index() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINDEX();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseKEY();
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$column();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f695(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseFULLTEXT();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseSPATIAL();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseINDEX();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseKEY();
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = null;
                    }
                    // @ts-ignore
                    s3 = peg$parseparen$list$column();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f696(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_constraint_exclude() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseEXCLUDE();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseusing_access_method_clause();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parseparen$list$exclusion_param();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [];
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseindex_parameter_clause();
                    // @ts-ignore
                    if (s7 === peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parsewhere_clause();
                    }
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4.push(s5);
                        // @ts-ignore
                        s5 = peg$currPos;
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseindex_parameter_clause();
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parsewhere_clause();
                        }
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = [s6, s7];
                            // @ts-ignore
                            s5 = s6;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s5;
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f697(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexclusion_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseindex_specification();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseWITH();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsepostgresql_operator();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsepostgresql_operator_expr();
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f698(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseon_conflict_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseON();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseCONFLICT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s2 = [s2, s3, s4, s5];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseROLLBACK();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseABORT();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseFAIL();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseIGNORE();
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parseREPLACE();
                            }
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f699(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseindex_parameter_clause() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseindex_include_clause();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsepostgresql_with_options();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseindex_tablespace_clause();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseindex_tablespace_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseUSING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseINDEX();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseTABLESPACE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6, s7];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f700(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedata_type() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsenamed_data_type();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsearray_bounds();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        while (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s3.push(s4);
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parsearray_bounds();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f701(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsenamed_data_type();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseWITHOUT();
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parseWITH();
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parseTIME();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s8 = peg$parse__();
                                // @ts-ignore
                                s9 = peg$parseZONE();
                                // @ts-ignore
                                if (s9 !== peg$FAILED) {
                                    // @ts-ignore
                                    s4 = [s4, s5, s6, s7, s8, s9];
                                    // @ts-ignore
                                    s3 = s4;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s3;
                                    // @ts-ignore
                                    s3 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f702(s2, s3);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsenamed_data_type();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsearray_bounds() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 91) {
                // @ts-ignore
                s1 = peg$c6;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e7);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseempty();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 93) {
                        // @ts-ignore
                        s3 = peg$c7;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e8);
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f703(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 91) {
                    // @ts-ignore
                    s1 = peg$c6;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e7);
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parsenumber_literal();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s3 = [s3, s4, s5];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 93) {
                            // @ts-ignore
                            s3 = peg$c7;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e8);
                            }
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f704(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenamed_data_type() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsetype_name();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$list$literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f705(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsebigquery_array_type();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsebigquery_struct_type();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsebigquery_table_type();
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f706(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parsetype_name();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s1 = peg$f707(s1);
                    }
                    // @ts-ignore
                    s0 = s1;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_array_type() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseARRAY();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsegeneric_type_params();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f708(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_struct_type() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseSTRUCT();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsegeneric_type_params();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f709(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_table_type() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseTABLE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsegeneric_type_params();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f710(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsegeneric_type_params() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 60) {
                // @ts-ignore
                s1 = peg$c8;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e9);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parselist$type_param();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 62) {
                        // @ts-ignore
                        s3 = peg$c9;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e10);
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f711(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetype_param() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsestruct_type_param();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsearray_type_param();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestruct_type_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsedata_type();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsecolumn_constraint_type();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parsecolumn_constraint_type();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f712(s1, s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsearray_type_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsedata_type();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsecolumn_constraint_type();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsecolumn_constraint_type();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f713(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetable_data_type() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseTABLE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseparen$list$column_definition();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f714(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetype_name() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsetype_name_bigquery();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f715(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsetype_name_mysql();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f716(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsetype_name_postgresql();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f717(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsetype_name_sqlite();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f718(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetype_name_bigquery() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$parseBOOL();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseBYTES();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseGEOGRAPHY();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseINTERVAL();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseJSON();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseSTRING();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseDATE();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parseDATETIME();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parseTIME();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parseTIMESTAMP();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseINT();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parseINT64();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parseSMALLINT();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parseINTEGER();
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$parseBIGINT();
                                                                    // @ts-ignore
                                                                    if (s0 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s0 = peg$parseTINYINT();
                                                                        // @ts-ignore
                                                                        if (s0 === peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s0 = peg$parseBYTEINT();
                                                                            // @ts-ignore
                                                                            if (s0 === peg$FAILED) {
                                                                                // @ts-ignore
                                                                                s0 = peg$parseNUMERIC();
                                                                                // @ts-ignore
                                                                                if (s0 === peg$FAILED) {
                                                                                    // @ts-ignore
                                                                                    s0 = peg$parseDECIMAL();
                                                                                    // @ts-ignore
                                                                                    if (s0 === peg$FAILED) {
                                                                                        // @ts-ignore
                                                                                        s0 = peg$parseBIGNUMERIC();
                                                                                        // @ts-ignore
                                                                                        if (s0 === peg$FAILED) {
                                                                                            // @ts-ignore
                                                                                            s0 = peg$parseBIGDECIMAL();
                                                                                            // @ts-ignore
                                                                                            if (s0 === peg$FAILED) {
                                                                                                // @ts-ignore
                                                                                                s0 = peg$parseFLOAT64();
                                                                                                // @ts-ignore
                                                                                                if (s0 === peg$FAILED) {
                                                                                                    // @ts-ignore
                                                                                                    s0 = peg$currPos;
                                                                                                    // @ts-ignore
                                                                                                    s1 = peg$currPos;
                                                                                                    // @ts-ignore
                                                                                                    s2 = peg$parseANY();
                                                                                                    // @ts-ignore
                                                                                                    if (s2 !== peg$FAILED) {
                                                                                                        // @ts-ignore
                                                                                                        s3 = peg$parse__();
                                                                                                        // @ts-ignore
                                                                                                        s4 = peg$parseTYPE();
                                                                                                        // @ts-ignore
                                                                                                        if (s4 !== peg$FAILED) {
                                                                                                            // @ts-ignore
                                                                                                            s2 = [s2, s3, s4];
                                                                                                            // @ts-ignore
                                                                                                            s1 = s2;
                                                                                                            // @ts-ignore
                                                                                                        }
                                                                                                        else {
                                                                                                            // @ts-ignore
                                                                                                            peg$currPos = s1;
                                                                                                            // @ts-ignore
                                                                                                            s1 = peg$FAILED;
                                                                                                        }
                                                                                                        // @ts-ignore
                                                                                                    }
                                                                                                    else {
                                                                                                        // @ts-ignore
                                                                                                        peg$currPos = s1;
                                                                                                        // @ts-ignore
                                                                                                        s1 = peg$FAILED;
                                                                                                    }
                                                                                                    // @ts-ignore
                                                                                                    if (s1 !== peg$FAILED) {
                                                                                                        // @ts-ignore
                                                                                                        peg$savedPos = s0;
                                                                                                        // @ts-ignore
                                                                                                        s1 = peg$f719(s1);
                                                                                                    }
                                                                                                    // @ts-ignore
                                                                                                    s0 = s1;
                                                                                                }
                                                                                            }
                                                                                        }
                                                                                    }
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetype_name_mysql() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$parseBOOLEAN();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseBOOL();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseBLOB();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseTINYBLOB();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseMEDIUMBLOB();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseLONGBLOB();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseBINARY();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parseVARBINARY();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parseDATE();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parseDATETIME();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseTIME();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parseTIMESTAMP();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parseYEAR();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parseCHAR();
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$parseNCHAR();
                                                                    // @ts-ignore
                                                                    if (s0 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s0 = peg$parseVARCHAR();
                                                                        // @ts-ignore
                                                                        if (s0 === peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s0 = peg$parseNVARCHAR();
                                                                            // @ts-ignore
                                                                            if (s0 === peg$FAILED) {
                                                                                // @ts-ignore
                                                                                s0 = peg$parseTINYTEXT();
                                                                                // @ts-ignore
                                                                                if (s0 === peg$FAILED) {
                                                                                    // @ts-ignore
                                                                                    s0 = peg$parseTEXT();
                                                                                    // @ts-ignore
                                                                                    if (s0 === peg$FAILED) {
                                                                                        // @ts-ignore
                                                                                        s0 = peg$parseMEDIUMTEXT();
                                                                                        // @ts-ignore
                                                                                        if (s0 === peg$FAILED) {
                                                                                            // @ts-ignore
                                                                                            s0 = peg$parseLONGTEXT();
                                                                                            // @ts-ignore
                                                                                            if (s0 === peg$FAILED) {
                                                                                                // @ts-ignore
                                                                                                s0 = peg$parseNUMERIC();
                                                                                                // @ts-ignore
                                                                                                if (s0 === peg$FAILED) {
                                                                                                    // @ts-ignore
                                                                                                    s0 = peg$parseFIXED();
                                                                                                    // @ts-ignore
                                                                                                    if (s0 === peg$FAILED) {
                                                                                                        // @ts-ignore
                                                                                                        s0 = peg$parseDECIMAL();
                                                                                                        // @ts-ignore
                                                                                                        if (s0 === peg$FAILED) {
                                                                                                            // @ts-ignore
                                                                                                            s0 = peg$parseDEC();
                                                                                                            // @ts-ignore
                                                                                                            if (s0 === peg$FAILED) {
                                                                                                                // @ts-ignore
                                                                                                                s0 = peg$parseINT();
                                                                                                                // @ts-ignore
                                                                                                                if (s0 === peg$FAILED) {
                                                                                                                    // @ts-ignore
                                                                                                                    s0 = peg$parseINTEGER();
                                                                                                                    // @ts-ignore
                                                                                                                    if (s0 === peg$FAILED) {
                                                                                                                        // @ts-ignore
                                                                                                                        s0 = peg$parseSMALLINT();
                                                                                                                        // @ts-ignore
                                                                                                                        if (s0 === peg$FAILED) {
                                                                                                                            // @ts-ignore
                                                                                                                            s0 = peg$parseTINYINT();
                                                                                                                            // @ts-ignore
                                                                                                                            if (s0 === peg$FAILED) {
                                                                                                                                // @ts-ignore
                                                                                                                                s0 = peg$parseMEDIUMINT();
                                                                                                                                // @ts-ignore
                                                                                                                                if (s0 === peg$FAILED) {
                                                                                                                                    // @ts-ignore
                                                                                                                                    s0 = peg$parseBIGINT();
                                                                                                                                    // @ts-ignore
                                                                                                                                    if (s0 === peg$FAILED) {
                                                                                                                                        // @ts-ignore
                                                                                                                                        s0 = peg$parseFLOAT();
                                                                                                                                        // @ts-ignore
                                                                                                                                        if (s0 === peg$FAILED) {
                                                                                                                                            // @ts-ignore
                                                                                                                                            s0 = peg$currPos;
                                                                                                                                            // @ts-ignore
                                                                                                                                            s1 = peg$currPos;
                                                                                                                                            // @ts-ignore
                                                                                                                                            s2 = peg$parseDOUBLE();
                                                                                                                                            // @ts-ignore
                                                                                                                                            if (s2 !== peg$FAILED) {
                                                                                                                                                // @ts-ignore
                                                                                                                                                s3 = peg$parse__();
                                                                                                                                                // @ts-ignore
                                                                                                                                                s4 = peg$parsePRECISION();
                                                                                                                                                // @ts-ignore
                                                                                                                                                if (s4 !== peg$FAILED) {
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    s2 = [s2, s3, s4];
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    s1 = s2;
                                                                                                                                                    // @ts-ignore
                                                                                                                                                }
                                                                                                                                                else {
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    peg$currPos = s1;
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    s1 = peg$FAILED;
                                                                                                                                                }
                                                                                                                                                // @ts-ignore
                                                                                                                                            }
                                                                                                                                            else {
                                                                                                                                                // @ts-ignore
                                                                                                                                                peg$currPos = s1;
                                                                                                                                                // @ts-ignore
                                                                                                                                                s1 = peg$FAILED;
                                                                                                                                            }
                                                                                                                                            // @ts-ignore
                                                                                                                                            if (s1 !== peg$FAILED) {
                                                                                                                                                // @ts-ignore
                                                                                                                                                peg$savedPos = s0;
                                                                                                                                                // @ts-ignore
                                                                                                                                                s1 = peg$f720(s1);
                                                                                                                                            }
                                                                                                                                            // @ts-ignore
                                                                                                                                            s0 = s1;
                                                                                                                                            // @ts-ignore
                                                                                                                                            if (s0 === peg$FAILED) {
                                                                                                                                                // @ts-ignore
                                                                                                                                                s0 = peg$currPos;
                                                                                                                                                // @ts-ignore
                                                                                                                                                s1 = peg$currPos;
                                                                                                                                                // @ts-ignore
                                                                                                                                                s2 = peg$parseVARYING();
                                                                                                                                                // @ts-ignore
                                                                                                                                                if (s2 !== peg$FAILED) {
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    s3 = peg$parse__();
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    s4 = peg$parseCHARACTER();
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    if (s4 !== peg$FAILED) {
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        s2 = [s2, s3, s4];
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        s1 = s2;
                                                                                                                                                        // @ts-ignore
                                                                                                                                                    }
                                                                                                                                                    else {
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        peg$currPos = s1;
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        s1 = peg$FAILED;
                                                                                                                                                    }
                                                                                                                                                    // @ts-ignore
                                                                                                                                                }
                                                                                                                                                else {
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    peg$currPos = s1;
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    s1 = peg$FAILED;
                                                                                                                                                }
                                                                                                                                                // @ts-ignore
                                                                                                                                                if (s1 !== peg$FAILED) {
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    peg$savedPos = s0;
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    s1 = peg$f721(s1);
                                                                                                                                                }
                                                                                                                                                // @ts-ignore
                                                                                                                                                s0 = s1;
                                                                                                                                                // @ts-ignore
                                                                                                                                                if (s0 === peg$FAILED) {
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    s0 = peg$currPos;
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    s1 = peg$currPos;
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    s2 = peg$parseNATIVE();
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    if (s2 !== peg$FAILED) {
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        s3 = peg$parse__();
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        s4 = peg$parseCHARACTER();
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        if (s4 !== peg$FAILED) {
                                                                                                                                                            // @ts-ignore
                                                                                                                                                            s2 = [s2, s3, s4];
                                                                                                                                                            // @ts-ignore
                                                                                                                                                            s1 = s2;
                                                                                                                                                            // @ts-ignore
                                                                                                                                                        }
                                                                                                                                                        else {
                                                                                                                                                            // @ts-ignore
                                                                                                                                                            peg$currPos = s1;
                                                                                                                                                            // @ts-ignore
                                                                                                                                                            s1 = peg$FAILED;
                                                                                                                                                        }
                                                                                                                                                        // @ts-ignore
                                                                                                                                                    }
                                                                                                                                                    else {
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        peg$currPos = s1;
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        s1 = peg$FAILED;
                                                                                                                                                    }
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    if (s1 !== peg$FAILED) {
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        peg$savedPos = s0;
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        s1 = peg$f722(s1);
                                                                                                                                                    }
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    s0 = s1;
                                                                                                                                                    // @ts-ignore
                                                                                                                                                    if (s0 === peg$FAILED) {
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        s0 = peg$parseDOUBLE();
                                                                                                                                                        // @ts-ignore
                                                                                                                                                        if (s0 === peg$FAILED) {
                                                                                                                                                            // @ts-ignore
                                                                                                                                                            s0 = peg$parseREAL();
                                                                                                                                                            // @ts-ignore
                                                                                                                                                            if (s0 === peg$FAILED) {
                                                                                                                                                                // @ts-ignore
                                                                                                                                                                s0 = peg$parseBIT();
                                                                                                                                                                // @ts-ignore
                                                                                                                                                                if (s0 === peg$FAILED) {
                                                                                                                                                                    // @ts-ignore
                                                                                                                                                                    s0 = peg$parseJSON();
                                                                                                                                                                    // @ts-ignore
                                                                                                                                                                    if (s0 === peg$FAILED) {
                                                                                                                                                                        // @ts-ignore
                                                                                                                                                                        s0 = peg$parseENUM();
                                                                                                                                                                        // @ts-ignore
                                                                                                                                                                        if (s0 === peg$FAILED) {
                                                                                                                                                                            // @ts-ignore
                                                                                                                                                                            s0 = peg$parseSET();
                                                                                                                                                                        }
                                                                                                                                                                    }
                                                                                                                                                                }
                                                                                                                                                            }
                                                                                                                                                        }
                                                                                                                                                    }
                                                                                                                                                }
                                                                                                                                            }
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                }
                                                                                                                            }
                                                                                                                        }
                                                                                                                    }
                                                                                                                }
                                                                                                            }
                                                                                                        }
                                                                                                    }
                                                                                                }
                                                                                            }
                                                                                        }
                                                                                    }
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetype_name_postgresql() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseBIT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseVARYING();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f723(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseCHARACTER();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseVARYING();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f724(s1);
                }
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseDOUBLE();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parsePRECISION();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s1 = peg$f725(s1);
                    }
                    // @ts-ignore
                    s0 = s1;
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseinterval_type_name_postgresql();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseunreserved_keyword();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsequoted_ident();
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinterval_type_name_postgresql() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseINTERVAL();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseinterval_unit_kw();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseTO();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseinterval_unit_kw();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6, s7, s8];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f726(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseINTERVAL();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseinterval_unit_kw();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f727(s1);
                }
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseINTERVAL();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetype_name_sqlite() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseunreserved_keyword();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseunreserved_keyword();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseunreserved_keyword();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f728(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexpr() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemysql_assign_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f729(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseor_expr();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f730(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_assign_expr() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemysql_or_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse_mysql_assign_expr_right();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f731(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parse_mysql_assign_expr_right() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parse__();
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c10) {
                // @ts-ignore
                s2 = peg$c10;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s2 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e11);
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsemysql_assign_expr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f732(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_or_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemysql_xor_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseOR();
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c11) {
                        // @ts-ignore
                        s5 = peg$c11;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e12);
                        }
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsemysql_xor_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseOR();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        if (input.substr(peg$currPos, 2) === peg$c11) {
                            // @ts-ignore
                            s5 = peg$c11;
                            // @ts-ignore
                            peg$currPos += 2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e12);
                            }
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsemysql_xor_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f733(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_xor_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemysql_and_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseXOR();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsemysql_and_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseXOR();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsemysql_and_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f734(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_and_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsenot_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseAND();
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c12) {
                        // @ts-ignore
                        s5 = peg$c12;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e13);
                        }
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsenot_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseAND();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        if (input.substr(peg$currPos, 2) === peg$c12) {
                            // @ts-ignore
                            s5 = peg$c12;
                            // @ts-ignore
                            peg$currPos += 2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e13);
                            }
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsenot_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f735(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseor_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseand_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseOR();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseand_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseOR();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseand_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f736(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseand_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsenot_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseAND();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsenot_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseAND();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsenot_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f737(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenot_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseNOT();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsenot_expr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f738(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsepg_is_expr();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f739(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsecomparison_expr();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f740(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_is_expr() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepg_comparison_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse_pg_is_expr_right();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f741(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parse_pg_is_expr_right() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parse__();
            // @ts-ignore
            s3 = peg$parseunary_comparison_op();
            // @ts-ignore
            if (s3 !== peg$FAILED) {
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f742(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = [];
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseis_op();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsepg_comparison_expr();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [s3, s4, s5, s6];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    while (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s1.push(s2);
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseis_op();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parsepg_comparison_expr();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = [s3, s4, s5, s6];
                                // @ts-ignore
                                s2 = s3;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f743(s1);
                }
                // @ts-ignore
                s0 = s1;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_comparison_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepg_in_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c13) {
                    // @ts-ignore
                    s5 = peg$c13;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e14);
                    }
                }
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 62) {
                        // @ts-ignore
                        s5 = peg$c9;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e10);
                        }
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        if (input.substr(peg$currPos, 2) === peg$c14) {
                            // @ts-ignore
                            s5 = peg$c14;
                            // @ts-ignore
                            peg$currPos += 2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e15);
                            }
                        }
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            if (input.substr(peg$currPos, 2) === peg$c15) {
                                // @ts-ignore
                                s5 = peg$c15;
                                // @ts-ignore
                                peg$currPos += 2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s5 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e16);
                                }
                            }
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                if (input.charCodeAt(peg$currPos) === 60) {
                                    // @ts-ignore
                                    s5 = peg$c8;
                                    // @ts-ignore
                                    peg$currPos++;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s5 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e9);
                                    }
                                }
                                // @ts-ignore
                                if (s5 === peg$FAILED) {
                                    // @ts-ignore
                                    if (input.charCodeAt(peg$currPos) === 61) {
                                        // @ts-ignore
                                        s5 = peg$c4;
                                        // @ts-ignore
                                        peg$currPos++;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s5 = peg$FAILED;
                                        // @ts-ignore
                                        if (peg$silentFails === 0) {
                                            peg$fail(peg$e5);
                                        }
                                    }
                                    // @ts-ignore
                                    if (s5 === peg$FAILED) {
                                        // @ts-ignore
                                        if (input.substr(peg$currPos, 2) === peg$c16) {
                                            // @ts-ignore
                                            s5 = peg$c16;
                                            // @ts-ignore
                                            peg$currPos += 2;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s5 = peg$FAILED;
                                            // @ts-ignore
                                            if (peg$silentFails === 0) {
                                                peg$fail(peg$e17);
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsequantifier_expr();
                    // @ts-ignore
                    if (s7 === peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parsepg_in_expr();
                    }
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c13) {
                        // @ts-ignore
                        s5 = peg$c13;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e14);
                        }
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 62) {
                            // @ts-ignore
                            s5 = peg$c9;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e10);
                            }
                        }
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            if (input.substr(peg$currPos, 2) === peg$c14) {
                                // @ts-ignore
                                s5 = peg$c14;
                                // @ts-ignore
                                peg$currPos += 2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s5 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e15);
                                }
                            }
                            // @ts-ignore
                            if (s5 === peg$FAILED) {
                                // @ts-ignore
                                if (input.substr(peg$currPos, 2) === peg$c15) {
                                    // @ts-ignore
                                    s5 = peg$c15;
                                    // @ts-ignore
                                    peg$currPos += 2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s5 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e16);
                                    }
                                }
                                // @ts-ignore
                                if (s5 === peg$FAILED) {
                                    // @ts-ignore
                                    if (input.charCodeAt(peg$currPos) === 60) {
                                        // @ts-ignore
                                        s5 = peg$c8;
                                        // @ts-ignore
                                        peg$currPos++;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s5 = peg$FAILED;
                                        // @ts-ignore
                                        if (peg$silentFails === 0) {
                                            peg$fail(peg$e9);
                                        }
                                    }
                                    // @ts-ignore
                                    if (s5 === peg$FAILED) {
                                        // @ts-ignore
                                        if (input.charCodeAt(peg$currPos) === 61) {
                                            // @ts-ignore
                                            s5 = peg$c4;
                                            // @ts-ignore
                                            peg$currPos++;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s5 = peg$FAILED;
                                            // @ts-ignore
                                            if (peg$silentFails === 0) {
                                                peg$fail(peg$e5);
                                            }
                                        }
                                        // @ts-ignore
                                        if (s5 === peg$FAILED) {
                                            // @ts-ignore
                                            if (input.substr(peg$currPos, 2) === peg$c16) {
                                                // @ts-ignore
                                                s5 = peg$c16;
                                                // @ts-ignore
                                                peg$currPos += 2;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s5 = peg$FAILED;
                                                // @ts-ignore
                                                if (peg$silentFails === 0) {
                                                    peg$fail(peg$e17);
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsequantifier_expr();
                        // @ts-ignore
                        if (s7 === peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parsepg_in_expr();
                        }
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f744(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_in_expr() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsesub_comparison_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse_pg_in_expr_right();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f745(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parse_pg_in_expr_right() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parse__();
            // @ts-ignore
            s2 = peg$currPos;
            // @ts-ignore
            s3 = peg$parseNOT();
            // @ts-ignore
            if (s3 !== peg$FAILED) {
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseIN();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s2;
                // @ts-ignore
                s2 = peg$FAILED;
            }
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseIN();
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$list$expr();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parsesub_comparison_expr();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f746(s1, s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parse__();
                // @ts-ignore
                s2 = peg$parsepg_like_op();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseescape_expr();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f747(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parse__();
                    // @ts-ignore
                    s3 = peg$parsepg_between_op();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parsesub_comparison_expr();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = [s3, s4];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$currPos;
                            // @ts-ignore
                            s4 = peg$parse__();
                            // @ts-ignore
                            s5 = peg$parseAND();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = [s4, s5];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = peg$currPos;
                                // @ts-ignore
                                s5 = peg$parse__();
                                // @ts-ignore
                                s6 = peg$parsesub_comparison_expr();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s5 = [s5, s6];
                                    // @ts-ignore
                                    s4 = s5;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s4;
                                    // @ts-ignore
                                    s4 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f748(s1, s2, s3, s4);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_like_op() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$parseLIKE();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseILIKE();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseSIMILAR();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parse__();
                        // @ts-ignore
                        s3 = peg$parseTO();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s1 = [s1, s2, s3];
                            // @ts-ignore
                            s0 = s1;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseNOT();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parse__();
                            // @ts-ignore
                            s3 = peg$parseLIKE();
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                s1 = [s1, s2, s3];
                                // @ts-ignore
                                s0 = s1;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$parseNOT();
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parse__();
                                // @ts-ignore
                                s3 = peg$parseILIKE();
                                // @ts-ignore
                                if (s3 !== peg$FAILED) {
                                    // @ts-ignore
                                    s1 = [s1, s2, s3];
                                    // @ts-ignore
                                    s0 = s1;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$currPos;
                                // @ts-ignore
                                s1 = peg$parseNOT();
                                // @ts-ignore
                                if (s1 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parse__();
                                    // @ts-ignore
                                    s3 = peg$parseSIMILAR();
                                    // @ts-ignore
                                    if (s3 !== peg$FAILED) {
                                        // @ts-ignore
                                        s4 = peg$parse__();
                                        // @ts-ignore
                                        s5 = peg$parseTO();
                                        // @ts-ignore
                                        if (s5 !== peg$FAILED) {
                                            // @ts-ignore
                                            s1 = [s1, s2, s3, s4, s5];
                                            // @ts-ignore
                                            s0 = s1;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_between_op() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNOT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBETWEEN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseSYMMETRIC();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseBETWEEN();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseSYMMETRIC();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseNOT();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseBETWEEN();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseBETWEEN();
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f749(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecomparison_expr() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsesub_comparison_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse_comparison_expr_right();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f750(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsefull_text_match_expr();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f751(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parse_comparison_expr_right() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parse__();
            // @ts-ignore
            s3 = peg$parseunary_comparison_op();
            // @ts-ignore
            if (s3 !== peg$FAILED) {
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f752(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = [];
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsecomparison_op();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$currPos;
                    // @ts-ignore
                    s7 = peg$parsequantifier_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s8 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s9 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s9 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s8;
                            // @ts-ignore
                            s8 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s8 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s6;
                            // @ts-ignore
                            s6 = peg$f753(s7);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s6;
                            // @ts-ignore
                            s6 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s6;
                        // @ts-ignore
                        s6 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parsesub_comparison_expr();
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [s3, s4, s5, s6];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    while (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s1.push(s2);
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parsecomparison_op();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$parsequantifier_expr();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s8 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s9 = peg$parsemysql();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s9 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s8;
                                    // @ts-ignore
                                    s8 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s8 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s6;
                                    // @ts-ignore
                                    s6 = peg$f753(s7);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s6;
                                    // @ts-ignore
                                    s6 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s6 === peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parsesub_comparison_expr();
                            }
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = [s3, s4, s5, s6];
                                // @ts-ignore
                                s2 = s3;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f754(s1);
                }
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parse__();
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parseNOT();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseIN();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = [s3, s4, s5];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseIN();
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseparen$list$expr();
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parsesub_comparison_expr();
                            // @ts-ignore
                            if (s4 === peg$FAILED) {
                                // @ts-ignore
                                s4 = peg$currPos;
                                // @ts-ignore
                                s5 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s6 = peg$parsebigquery();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s5;
                                    // @ts-ignore
                                    s5 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s5 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    s6 = peg$parseunnest_expr();
                                    // @ts-ignore
                                    if (s6 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s4;
                                        // @ts-ignore
                                        s4 = peg$f755(s1, s2, s3, s6);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s4;
                                        // @ts-ignore
                                        s4 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s4;
                                    // @ts-ignore
                                    s4 = peg$FAILED;
                                }
                            }
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f756(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parse__();
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parseNOT();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parse__();
                            // @ts-ignore
                            s5 = peg$parseLIKE();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = [s3, s4, s5];
                                // @ts-ignore
                                s2 = s3;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseLIKE();
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parse__();
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s6 = peg$parsebigquery();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s5;
                                // @ts-ignore
                                s5 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s5 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parsequantifier_expr();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s4;
                                    // @ts-ignore
                                    s4 = peg$f757(s1, s2, s3, s6);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s4;
                                    // @ts-ignore
                                    s4 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 === peg$FAILED) {
                                // @ts-ignore
                                s4 = peg$parseescape_expr();
                            }
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f758(s1, s2, s3, s4);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parseonly_mysql();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parse__();
                                // @ts-ignore
                                s3 = peg$currPos;
                                // @ts-ignore
                                s4 = peg$parseMEMBER();
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s5 = peg$parse__();
                                    // @ts-ignore
                                    s6 = peg$parseOF();
                                    // @ts-ignore
                                    if (s6 !== peg$FAILED) {
                                        // @ts-ignore
                                        s4 = [s4, s5, s6];
                                        // @ts-ignore
                                        s3 = s4;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s3;
                                        // @ts-ignore
                                        s3 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s3;
                                    // @ts-ignore
                                    s3 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s3 !== peg$FAILED) {
                                    // @ts-ignore
                                    s4 = peg$parse__();
                                    // @ts-ignore
                                    s5 = peg$parseparen$string_literal();
                                    // @ts-ignore
                                    if (s5 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f759(s2, s3, s4, s5);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$currPos;
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s2 = peg$parsemysql();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s1 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parse__();
                                    // @ts-ignore
                                    s3 = peg$currPos;
                                    // @ts-ignore
                                    s4 = peg$parseSOUNDS();
                                    // @ts-ignore
                                    if (s4 !== peg$FAILED) {
                                        // @ts-ignore
                                        s5 = peg$parse__();
                                        // @ts-ignore
                                        s6 = peg$parseLIKE();
                                        // @ts-ignore
                                        if (s6 !== peg$FAILED) {
                                            // @ts-ignore
                                            s4 = [s4, s5, s6];
                                            // @ts-ignore
                                            s3 = s4;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s3;
                                            // @ts-ignore
                                            s3 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s3;
                                        // @ts-ignore
                                        s3 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s3 !== peg$FAILED) {
                                        // @ts-ignore
                                        s4 = peg$parse__();
                                        // @ts-ignore
                                        s5 = peg$parsesub_comparison_expr();
                                        // @ts-ignore
                                        if (s5 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f760(s2, s3, s4, s5);
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$currPos;
                                    // @ts-ignore
                                    s1 = peg$currPos;
                                    // @ts-ignore
                                    s2 = peg$parse__();
                                    // @ts-ignore
                                    s3 = peg$parsebetween_op();
                                    // @ts-ignore
                                    if (s3 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = [s2, s3];
                                        // @ts-ignore
                                        s1 = s2;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s1 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$currPos;
                                        // @ts-ignore
                                        s3 = peg$parse__();
                                        // @ts-ignore
                                        s4 = peg$parsesub_comparison_expr();
                                        // @ts-ignore
                                        if (s4 !== peg$FAILED) {
                                            // @ts-ignore
                                            s3 = [s3, s4];
                                            // @ts-ignore
                                            s2 = s3;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s2;
                                            // @ts-ignore
                                            s2 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            s3 = peg$currPos;
                                            // @ts-ignore
                                            s4 = peg$parse__();
                                            // @ts-ignore
                                            s5 = peg$parseAND();
                                            // @ts-ignore
                                            if (s5 !== peg$FAILED) {
                                                // @ts-ignore
                                                s4 = [s4, s5];
                                                // @ts-ignore
                                                s3 = s4;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s3;
                                                // @ts-ignore
                                                s3 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s3 !== peg$FAILED) {
                                                // @ts-ignore
                                                s4 = peg$currPos;
                                                // @ts-ignore
                                                s5 = peg$parse__();
                                                // @ts-ignore
                                                s6 = peg$parsesub_comparison_expr();
                                                // @ts-ignore
                                                if (s6 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    s5 = [s5, s6];
                                                    // @ts-ignore
                                                    s4 = s5;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s4;
                                                    // @ts-ignore
                                                    s4 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s4 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$savedPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$f761(s1, s2, s3, s4);
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseunary_comparison_op() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseNOTNULL();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseISNULL();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f762(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseNOT();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseNULL();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f763(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseIS();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseUNKNOWN();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        s2 = peg$parseIS();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parse__();
                            // @ts-ignore
                            s4 = peg$parseNOT();
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$parse__();
                                // @ts-ignore
                                s6 = peg$parseUNKNOWN();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = [s2, s3, s4, s5, s6];
                                    // @ts-ignore
                                    s1 = s2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsebigquery();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s3 = peg$parsepostgres();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s3 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s2;
                                    // @ts-ignore
                                    s2 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s2 = peg$FAILED;
                                }
                            }
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f764(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        s2 = peg$parseIS();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parse__();
                            // @ts-ignore
                            s4 = peg$parseNOT();
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$parse__();
                                // @ts-ignore
                                s6 = peg$parsenormalization_form();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = peg$parse__();
                                    // @ts-ignore
                                    s8 = peg$parseNORMALIZED();
                                    // @ts-ignore
                                    if (s8 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = [s2, s3, s4, s5, s6, s7, s8];
                                        // @ts-ignore
                                        s1 = s2;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            s2 = peg$parseIS();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parse__();
                                // @ts-ignore
                                s4 = peg$parsenormalization_form();
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s5 = peg$parse__();
                                    // @ts-ignore
                                    s6 = peg$parseNORMALIZED();
                                    // @ts-ignore
                                    if (s6 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = [s2, s3, s4, s5, s6];
                                        // @ts-ignore
                                        s1 = s2;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f765(s1);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            s2 = peg$parseIS();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parse__();
                                // @ts-ignore
                                s4 = peg$parseNOT();
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s5 = peg$parse__();
                                    // @ts-ignore
                                    s6 = peg$parseNORMALIZED();
                                    // @ts-ignore
                                    if (s6 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = [s2, s3, s4, s5, s6];
                                        // @ts-ignore
                                        s1 = s2;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 === peg$FAILED) {
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                s2 = peg$parseIS();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    s3 = peg$parse__();
                                    // @ts-ignore
                                    s4 = peg$parseNORMALIZED();
                                    // @ts-ignore
                                    if (s4 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = [s2, s3, s4];
                                        // @ts-ignore
                                        s1 = s2;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s3 = peg$parsepostgres();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s3 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s2;
                                    // @ts-ignore
                                    s2 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s2 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f766(s1);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenormalization_form() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseNFC();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseNFD();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseNFKC();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseNFKD();
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecomparison_op() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3) === peg$c17) {
                // @ts-ignore
                s1 = peg$c17;
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e18);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f767(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c18) {
                    // @ts-ignore
                    s1 = peg$c18;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e19);
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f768(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c13) {
                        // @ts-ignore
                        s0 = peg$c13;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s0 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e14);
                        }
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 62) {
                            // @ts-ignore
                            s0 = peg$c9;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s0 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e10);
                            }
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            if (input.substr(peg$currPos, 2) === peg$c14) {
                                // @ts-ignore
                                s0 = peg$c14;
                                // @ts-ignore
                                peg$currPos += 2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s0 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e15);
                                }
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                if (input.substr(peg$currPos, 2) === peg$c15) {
                                    // @ts-ignore
                                    s0 = peg$c15;
                                    // @ts-ignore
                                    peg$currPos += 2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e16);
                                    }
                                }
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    if (input.charCodeAt(peg$currPos) === 60) {
                                        // @ts-ignore
                                        s0 = peg$c8;
                                        // @ts-ignore
                                        peg$currPos++;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                        // @ts-ignore
                                        if (peg$silentFails === 0) {
                                            peg$fail(peg$e9);
                                        }
                                    }
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        if (input.charCodeAt(peg$currPos) === 61) {
                                            // @ts-ignore
                                            s0 = peg$c4;
                                            // @ts-ignore
                                            peg$currPos++;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                            // @ts-ignore
                                            if (peg$silentFails === 0) {
                                                peg$fail(peg$e5);
                                            }
                                        }
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            if (input.substr(peg$currPos, 2) === peg$c16) {
                                                // @ts-ignore
                                                s0 = peg$c16;
                                                // @ts-ignore
                                                peg$currPos += 2;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                                // @ts-ignore
                                                if (peg$silentFails === 0) {
                                                    peg$fail(peg$e17);
                                                }
                                            }
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parseis_op();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseregexp_op();
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseis_op() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseIS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseNOT();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseDISTINCT();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseFROM();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6, s7, s8];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f769(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseIS();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseDISTINCT();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseFROM();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4, s5, s6];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsebigquery();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f770(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseIS();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseNOT();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = [s2, s3, s4];
                            // @ts-ignore
                            s1 = s2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s1 = peg$f771(s1);
                    }
                    // @ts-ignore
                    s0 = s1;
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseIS();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s1 = peg$f772(s1);
                        }
                        // @ts-ignore
                        s0 = s1;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseregexp_op() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNOT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseregexp_op_kw();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseregexp_op_kw();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f773(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseregexp_op_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseREGEXP();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseRLIKE();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f774(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseGLOB();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f775(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseMATCH();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsesqlite();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f776(s1);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseescape_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsesub_comparison_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parseESCAPE();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsestring_literal();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f777(s1, s2, s3, s4, s5);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsesub_comparison_expr();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebetween_op() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseNOT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseBETWEEN();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = [s2, s3, s4];
                    // @ts-ignore
                    s1 = s2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseBETWEEN();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f778(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsequantifier_expr() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseANY();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseSOME();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseALL();
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$compound_select_stmt();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseparen$list$expr();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f779(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefull_text_match_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseMATCH();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$list$ident();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseAGAINST();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseparen$full_text_match_args();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f780(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefull_text_match_args() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsesub_comparison_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsefull_text_modifier();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f781(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefull_text_modifier() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13, s14;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseIN();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseNATURAL();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseLANGUAGE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseMODE();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s9 = peg$parse__();
                            // @ts-ignore
                            s10 = peg$parseWITH();
                            // @ts-ignore
                            if (s10 !== peg$FAILED) {
                                // @ts-ignore
                                s11 = peg$parse__();
                                // @ts-ignore
                                s12 = peg$parseQUERY();
                                // @ts-ignore
                                if (s12 !== peg$FAILED) {
                                    // @ts-ignore
                                    s13 = peg$parse__();
                                    // @ts-ignore
                                    s14 = peg$parseEXPANSION();
                                    // @ts-ignore
                                    if (s14 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = [s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12, s13, s14];
                                        // @ts-ignore
                                        s1 = s2;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                s2 = peg$parseIN();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parseNATURAL();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseLANGUAGE();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseMODE();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = [s2, s3, s4, s5, s6, s7, s8];
                                // @ts-ignore
                                s1 = s2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    s2 = peg$parseIN();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parseBOOLEAN();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parse__();
                            // @ts-ignore
                            s6 = peg$parseMODE();
                            // @ts-ignore
                            if (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = [s2, s3, s4, s5, s6];
                                // @ts-ignore
                                s1 = s2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        s2 = peg$parseWITH();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parse__();
                            // @ts-ignore
                            s4 = peg$parseQUERY();
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = peg$parse__();
                                // @ts-ignore
                                s6 = peg$parseEXPANSION();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = [s2, s3, s4, s5, s6];
                                    // @ts-ignore
                                    s1 = s2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f782(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesub_comparison_expr() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsebitwise_or_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f783(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsepg_other_expr();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f784(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_other_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepg_other_unary_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsepg_other_op();
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parsepostgresql_operator_expr();
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsepg_other_unary_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsepg_other_op();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parsepostgresql_operator_expr();
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsepg_other_unary_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f785(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_other_op() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3) === peg$c19) {
                // @ts-ignore
                s1 = peg$c19;
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e20);
                }
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c20) {
                    // @ts-ignore
                    s1 = peg$c20;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e21);
                    }
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c11) {
                        // @ts-ignore
                        s1 = peg$c11;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e12);
                        }
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        if (input.substr(peg$currPos, 2) === peg$c21) {
                            // @ts-ignore
                            s1 = peg$c21;
                            // @ts-ignore
                            peg$currPos += 2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e22);
                            }
                        }
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            if (input.substr(peg$currPos, 2) === peg$c22) {
                                // @ts-ignore
                                s1 = peg$c22;
                                // @ts-ignore
                                peg$currPos += 2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e23);
                                }
                            }
                            // @ts-ignore
                            if (s1 === peg$FAILED) {
                                // @ts-ignore
                                if (input.substr(peg$currPos, 4) === peg$c23) {
                                    // @ts-ignore
                                    s1 = peg$c23;
                                    // @ts-ignore
                                    peg$currPos += 4;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e24);
                                    }
                                }
                                // @ts-ignore
                                if (s1 === peg$FAILED) {
                                    // @ts-ignore
                                    if (input.substr(peg$currPos, 3) === peg$c24) {
                                        // @ts-ignore
                                        s1 = peg$c24;
                                        // @ts-ignore
                                        peg$currPos += 3;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                        // @ts-ignore
                                        if (peg$silentFails === 0) {
                                            peg$fail(peg$e25);
                                        }
                                    }
                                    // @ts-ignore
                                    if (s1 === peg$FAILED) {
                                        // @ts-ignore
                                        if (input.substr(peg$currPos, 3) === peg$c25) {
                                            // @ts-ignore
                                            s1 = peg$c25;
                                            // @ts-ignore
                                            peg$currPos += 3;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                            // @ts-ignore
                                            if (peg$silentFails === 0) {
                                                peg$fail(peg$e26);
                                            }
                                        }
                                        // @ts-ignore
                                        if (s1 === peg$FAILED) {
                                            // @ts-ignore
                                            if (input.substr(peg$currPos, 2) === peg$c26) {
                                                // @ts-ignore
                                                s1 = peg$c26;
                                                // @ts-ignore
                                                peg$currPos += 2;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                                // @ts-ignore
                                                if (peg$silentFails === 0) {
                                                    peg$fail(peg$e27);
                                                }
                                            }
                                            // @ts-ignore
                                            if (s1 === peg$FAILED) {
                                                // @ts-ignore
                                                if (input.substr(peg$currPos, 3) === peg$c27) {
                                                    // @ts-ignore
                                                    s1 = peg$c27;
                                                    // @ts-ignore
                                                    peg$currPos += 3;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s1 = peg$FAILED;
                                                    // @ts-ignore
                                                    if (peg$silentFails === 0) {
                                                        peg$fail(peg$e28);
                                                    }
                                                }
                                                // @ts-ignore
                                                if (s1 === peg$FAILED) {
                                                    // @ts-ignore
                                                    if (input.substr(peg$currPos, 2) === peg$c28) {
                                                        // @ts-ignore
                                                        s1 = peg$c28;
                                                        // @ts-ignore
                                                        peg$currPos += 2;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s1 = peg$FAILED;
                                                        // @ts-ignore
                                                        if (peg$silentFails === 0) {
                                                            peg$fail(peg$e29);
                                                        }
                                                    }
                                                    // @ts-ignore
                                                    if (s1 === peg$FAILED) {
                                                        // @ts-ignore
                                                        if (input.substr(peg$currPos, 2) === peg$c29) {
                                                            // @ts-ignore
                                                            s1 = peg$c29;
                                                            // @ts-ignore
                                                            peg$currPos += 2;
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            s1 = peg$FAILED;
                                                            // @ts-ignore
                                                            if (peg$silentFails === 0) {
                                                                peg$fail(peg$e30);
                                                            }
                                                        }
                                                        // @ts-ignore
                                                        if (s1 === peg$FAILED) {
                                                            // @ts-ignore
                                                            if (input.substr(peg$currPos, 2) === peg$c30) {
                                                                // @ts-ignore
                                                                s1 = peg$c30;
                                                                // @ts-ignore
                                                                peg$currPos += 2;
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                s1 = peg$FAILED;
                                                                // @ts-ignore
                                                                if (peg$silentFails === 0) {
                                                                    peg$fail(peg$e31);
                                                                }
                                                            }
                                                            // @ts-ignore
                                                            if (s1 === peg$FAILED) {
                                                                // @ts-ignore
                                                                if (input.substr(peg$currPos, 3) === peg$c31) {
                                                                    // @ts-ignore
                                                                    s1 = peg$c31;
                                                                    // @ts-ignore
                                                                    peg$currPos += 3;
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    s1 = peg$FAILED;
                                                                    // @ts-ignore
                                                                    if (peg$silentFails === 0) {
                                                                        peg$fail(peg$e32);
                                                                    }
                                                                }
                                                                // @ts-ignore
                                                                if (s1 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    if (input.substr(peg$currPos, 2) === peg$c32) {
                                                                        // @ts-ignore
                                                                        s1 = peg$c32;
                                                                        // @ts-ignore
                                                                        peg$currPos += 2;
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        s1 = peg$FAILED;
                                                                        // @ts-ignore
                                                                        if (peg$silentFails === 0) {
                                                                            peg$fail(peg$e33);
                                                                        }
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s1 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        if (input.substr(peg$currPos, 3) === peg$c33) {
                                                                            // @ts-ignore
                                                                            s1 = peg$c33;
                                                                            // @ts-ignore
                                                                            peg$currPos += 3;
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            s1 = peg$FAILED;
                                                                            // @ts-ignore
                                                                            if (peg$silentFails === 0) {
                                                                                peg$fail(peg$e34);
                                                                            }
                                                                        }
                                                                        // @ts-ignore
                                                                        if (s1 === peg$FAILED) {
                                                                            // @ts-ignore
                                                                            if (input.substr(peg$currPos, 2) === peg$c34) {
                                                                                // @ts-ignore
                                                                                s1 = peg$c34;
                                                                                // @ts-ignore
                                                                                peg$currPos += 2;
                                                                                // @ts-ignore
                                                                            }
                                                                            else {
                                                                                // @ts-ignore
                                                                                s1 = peg$FAILED;
                                                                                // @ts-ignore
                                                                                if (peg$silentFails === 0) {
                                                                                    peg$fail(peg$e35);
                                                                                }
                                                                            }
                                                                            // @ts-ignore
                                                                            if (s1 === peg$FAILED) {
                                                                                // @ts-ignore
                                                                                if (input.substr(peg$currPos, 2) === peg$c35) {
                                                                                    // @ts-ignore
                                                                                    s1 = peg$c35;
                                                                                    // @ts-ignore
                                                                                    peg$currPos += 2;
                                                                                    // @ts-ignore
                                                                                }
                                                                                else {
                                                                                    // @ts-ignore
                                                                                    s1 = peg$FAILED;
                                                                                    // @ts-ignore
                                                                                    if (peg$silentFails === 0) {
                                                                                        peg$fail(peg$e36);
                                                                                    }
                                                                                }
                                                                                // @ts-ignore
                                                                                if (s1 === peg$FAILED) {
                                                                                    // @ts-ignore
                                                                                    if (input.substr(peg$currPos, 2) === peg$c36) {
                                                                                        // @ts-ignore
                                                                                        s1 = peg$c36;
                                                                                        // @ts-ignore
                                                                                        peg$currPos += 2;
                                                                                        // @ts-ignore
                                                                                    }
                                                                                    else {
                                                                                        // @ts-ignore
                                                                                        s1 = peg$FAILED;
                                                                                        // @ts-ignore
                                                                                        if (peg$silentFails === 0) {
                                                                                            peg$fail(peg$e37);
                                                                                        }
                                                                                    }
                                                                                    // @ts-ignore
                                                                                    if (s1 === peg$FAILED) {
                                                                                        // @ts-ignore
                                                                                        if (input.substr(peg$currPos, 2) === peg$c37) {
                                                                                            // @ts-ignore
                                                                                            s1 = peg$c37;
                                                                                            // @ts-ignore
                                                                                            peg$currPos += 2;
                                                                                            // @ts-ignore
                                                                                        }
                                                                                        else {
                                                                                            // @ts-ignore
                                                                                            s1 = peg$FAILED;
                                                                                            // @ts-ignore
                                                                                            if (peg$silentFails === 0) {
                                                                                                peg$fail(peg$e38);
                                                                                            }
                                                                                        }
                                                                                        // @ts-ignore
                                                                                        if (s1 === peg$FAILED) {
                                                                                            // @ts-ignore
                                                                                            if (input.substr(peg$currPos, 2) === peg$c38) {
                                                                                                // @ts-ignore
                                                                                                s1 = peg$c38;
                                                                                                // @ts-ignore
                                                                                                peg$currPos += 2;
                                                                                                // @ts-ignore
                                                                                            }
                                                                                            else {
                                                                                                // @ts-ignore
                                                                                                s1 = peg$FAILED;
                                                                                                // @ts-ignore
                                                                                                if (peg$silentFails === 0) {
                                                                                                    peg$fail(peg$e39);
                                                                                                }
                                                                                            }
                                                                                            // @ts-ignore
                                                                                            if (s1 === peg$FAILED) {
                                                                                                // @ts-ignore
                                                                                                if (input.substr(peg$currPos, 2) === peg$c39) {
                                                                                                    // @ts-ignore
                                                                                                    s1 = peg$c39;
                                                                                                    // @ts-ignore
                                                                                                    peg$currPos += 2;
                                                                                                    // @ts-ignore
                                                                                                }
                                                                                                else {
                                                                                                    // @ts-ignore
                                                                                                    s1 = peg$FAILED;
                                                                                                    // @ts-ignore
                                                                                                    if (peg$silentFails === 0) {
                                                                                                        peg$fail(peg$e40);
                                                                                                    }
                                                                                                }
                                                                                                // @ts-ignore
                                                                                                if (s1 === peg$FAILED) {
                                                                                                    // @ts-ignore
                                                                                                    if (input.substr(peg$currPos, 2) === peg$c40) {
                                                                                                        // @ts-ignore
                                                                                                        s1 = peg$c40;
                                                                                                        // @ts-ignore
                                                                                                        peg$currPos += 2;
                                                                                                        // @ts-ignore
                                                                                                    }
                                                                                                    else {
                                                                                                        // @ts-ignore
                                                                                                        s1 = peg$FAILED;
                                                                                                        // @ts-ignore
                                                                                                        if (peg$silentFails === 0) {
                                                                                                            peg$fail(peg$e41);
                                                                                                        }
                                                                                                    }
                                                                                                    // @ts-ignore
                                                                                                    if (s1 === peg$FAILED) {
                                                                                                        // @ts-ignore
                                                                                                        if (input.substr(peg$currPos, 2) === peg$c41) {
                                                                                                            // @ts-ignore
                                                                                                            s1 = peg$c41;
                                                                                                            // @ts-ignore
                                                                                                            peg$currPos += 2;
                                                                                                            // @ts-ignore
                                                                                                        }
                                                                                                        else {
                                                                                                            // @ts-ignore
                                                                                                            s1 = peg$FAILED;
                                                                                                            // @ts-ignore
                                                                                                            if (peg$silentFails === 0) {
                                                                                                                peg$fail(peg$e42);
                                                                                                            }
                                                                                                        }
                                                                                                        // @ts-ignore
                                                                                                        if (s1 === peg$FAILED) {
                                                                                                            // @ts-ignore
                                                                                                            if (input.charCodeAt(peg$currPos) === 33) {
                                                                                                                // @ts-ignore
                                                                                                                s1 = peg$c42;
                                                                                                                // @ts-ignore
                                                                                                                peg$currPos++;
                                                                                                                // @ts-ignore
                                                                                                            }
                                                                                                            else {
                                                                                                                // @ts-ignore
                                                                                                                s1 = peg$FAILED;
                                                                                                                // @ts-ignore
                                                                                                                if (peg$silentFails === 0) {
                                                                                                                    peg$fail(peg$e43);
                                                                                                                }
                                                                                                            }
                                                                                                            // @ts-ignore
                                                                                                            if (s1 === peg$FAILED) {
                                                                                                                // @ts-ignore
                                                                                                                if (input.charCodeAt(peg$currPos) === 126) {
                                                                                                                    // @ts-ignore
                                                                                                                    s1 = peg$c43;
                                                                                                                    // @ts-ignore
                                                                                                                    peg$currPos++;
                                                                                                                    // @ts-ignore
                                                                                                                }
                                                                                                                else {
                                                                                                                    // @ts-ignore
                                                                                                                    s1 = peg$FAILED;
                                                                                                                    // @ts-ignore
                                                                                                                    if (peg$silentFails === 0) {
                                                                                                                        peg$fail(peg$e44);
                                                                                                                    }
                                                                                                                }
                                                                                                                // @ts-ignore
                                                                                                                if (s1 === peg$FAILED) {
                                                                                                                    // @ts-ignore
                                                                                                                    if (input.charCodeAt(peg$currPos) === 64) {
                                                                                                                        // @ts-ignore
                                                                                                                        s1 = peg$c44;
                                                                                                                        // @ts-ignore
                                                                                                                        peg$currPos++;
                                                                                                                        // @ts-ignore
                                                                                                                    }
                                                                                                                    else {
                                                                                                                        // @ts-ignore
                                                                                                                        s1 = peg$FAILED;
                                                                                                                        // @ts-ignore
                                                                                                                        if (peg$silentFails === 0) {
                                                                                                                            peg$fail(peg$e45);
                                                                                                                        }
                                                                                                                    }
                                                                                                                    // @ts-ignore
                                                                                                                    if (s1 === peg$FAILED) {
                                                                                                                        // @ts-ignore
                                                                                                                        if (input.charCodeAt(peg$currPos) === 35) {
                                                                                                                            // @ts-ignore
                                                                                                                            s1 = peg$c45;
                                                                                                                            // @ts-ignore
                                                                                                                            peg$currPos++;
                                                                                                                            // @ts-ignore
                                                                                                                        }
                                                                                                                        else {
                                                                                                                            // @ts-ignore
                                                                                                                            s1 = peg$FAILED;
                                                                                                                            // @ts-ignore
                                                                                                                            if (peg$silentFails === 0) {
                                                                                                                                peg$fail(peg$e46);
                                                                                                                            }
                                                                                                                        }
                                                                                                                        // @ts-ignore
                                                                                                                        if (s1 === peg$FAILED) {
                                                                                                                            // @ts-ignore
                                                                                                                            if (input.charCodeAt(peg$currPos) === 38) {
                                                                                                                                // @ts-ignore
                                                                                                                                s1 = peg$c46;
                                                                                                                                // @ts-ignore
                                                                                                                                peg$currPos++;
                                                                                                                                // @ts-ignore
                                                                                                                            }
                                                                                                                            else {
                                                                                                                                // @ts-ignore
                                                                                                                                s1 = peg$FAILED;
                                                                                                                                // @ts-ignore
                                                                                                                                if (peg$silentFails === 0) {
                                                                                                                                    peg$fail(peg$e47);
                                                                                                                                }
                                                                                                                            }
                                                                                                                            // @ts-ignore
                                                                                                                            if (s1 === peg$FAILED) {
                                                                                                                                // @ts-ignore
                                                                                                                                if (input.charCodeAt(peg$currPos) === 124) {
                                                                                                                                    // @ts-ignore
                                                                                                                                    s1 = peg$c47;
                                                                                                                                    // @ts-ignore
                                                                                                                                    peg$currPos++;
                                                                                                                                    // @ts-ignore
                                                                                                                                }
                                                                                                                                else {
                                                                                                                                    // @ts-ignore
                                                                                                                                    s1 = peg$FAILED;
                                                                                                                                    // @ts-ignore
                                                                                                                                    if (peg$silentFails === 0) {
                                                                                                                                        peg$fail(peg$e48);
                                                                                                                                    }
                                                                                                                                }
                                                                                                                                // @ts-ignore
                                                                                                                                if (s1 === peg$FAILED) {
                                                                                                                                    // @ts-ignore
                                                                                                                                    if (input.charCodeAt(peg$currPos) === 96) {
                                                                                                                                        // @ts-ignore
                                                                                                                                        s1 = peg$c48;
                                                                                                                                        // @ts-ignore
                                                                                                                                        peg$currPos++;
                                                                                                                                        // @ts-ignore
                                                                                                                                    }
                                                                                                                                    else {
                                                                                                                                        // @ts-ignore
                                                                                                                                        s1 = peg$FAILED;
                                                                                                                                        // @ts-ignore
                                                                                                                                        if (peg$silentFails === 0) {
                                                                                                                                            peg$fail(peg$e49);
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    // @ts-ignore
                                                                                                                                    if (s1 === peg$FAILED) {
                                                                                                                                        // @ts-ignore
                                                                                                                                        if (input.charCodeAt(peg$currPos) === 63) {
                                                                                                                                            // @ts-ignore
                                                                                                                                            s1 = peg$c49;
                                                                                                                                            // @ts-ignore
                                                                                                                                            peg$currPos++;
                                                                                                                                            // @ts-ignore
                                                                                                                                        }
                                                                                                                                        else {
                                                                                                                                            // @ts-ignore
                                                                                                                                            s1 = peg$FAILED;
                                                                                                                                            // @ts-ignore
                                                                                                                                            if (peg$silentFails === 0) {
                                                                                                                                                peg$fail(peg$e50);
                                                                                                                                            }
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                }
                                                                                                                            }
                                                                                                                        }
                                                                                                                    }
                                                                                                                }
                                                                                                            }
                                                                                                        }
                                                                                                    }
                                                                                                }
                                                                                            }
                                                                                        }
                                                                                    }
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f786(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgresql_operator_expr() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOPERATOR();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$postgresql_op();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f787(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgresql_op() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsepostgresql_operator_member_expr();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsepostgresql_operator();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgresql_operator_member_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsemember_expr();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 46) {
                    // @ts-ignore
                    s2 = peg$c2;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e3);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsepostgresql_operator();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f788(s1, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgresql_operator() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = [];
            // @ts-ignore
            if (peg$r0.test(input.charAt(peg$currPos))) {
                // @ts-ignore
                s2 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s2 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e51);
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                while (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s1.push(s2);
                    // @ts-ignore
                    if (peg$r0.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s2 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e51);
                        }
                    }
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f789(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_other_unary_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 126) {
                // @ts-ignore
                s1 = peg$c43;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e44);
                }
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parsepostgresql_operator_expr();
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsepg_other_unary_expr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f790(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsepg_additive_expr();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_additive_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepg_multiplicative_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseadditive_operator();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsepg_multiplicative_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseadditive_operator();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsepg_multiplicative_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f791(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_multiplicative_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepg_exponent_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 42) {
                    // @ts-ignore
                    s5 = peg$c3;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e4);
                    }
                }
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 47) {
                        // @ts-ignore
                        s5 = peg$c50;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e52);
                        }
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 37) {
                            // @ts-ignore
                            s5 = peg$c51;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e53);
                            }
                        }
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsepg_exponent_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 42) {
                        // @ts-ignore
                        s5 = peg$c3;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e4);
                        }
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 47) {
                            // @ts-ignore
                            s5 = peg$c50;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e52);
                            }
                        }
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            if (input.charCodeAt(peg$currPos) === 37) {
                                // @ts-ignore
                                s5 = peg$c51;
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s5 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e53);
                                }
                            }
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsepg_exponent_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f792(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_exponent_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepg_at_time_zone_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 94) {
                    // @ts-ignore
                    s5 = peg$c52;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e54);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsepg_at_time_zone_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 94) {
                        // @ts-ignore
                        s5 = peg$c52;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e54);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsepg_at_time_zone_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f793(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_at_time_zone_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepg_collate_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsepg_at_time_zone_op();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsepg_collate_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsepg_at_time_zone_op();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsepg_collate_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f794(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_collate_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepg_negation_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseCOLLATE();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseident();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseCOLLATE();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseident();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f795(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_at_time_zone_op() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTIME();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseZONE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f796(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_negation_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 45) {
                // @ts-ignore
                s1 = peg$c53;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e55);
                }
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 43) {
                    // @ts-ignore
                    s1 = peg$c54;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e56);
                    }
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 126) {
                        // @ts-ignore
                        s1 = peg$c43;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e44);
                        }
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsepg_negation_expr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f797(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsepg_cast_operator_expr();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_cast_operator_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemember_expr_or_func_call();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c55) {
                    // @ts-ignore
                    s5 = peg$c55;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e57);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsedata_type();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c55) {
                        // @ts-ignore
                        s5 = peg$c55;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e57);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsedata_type();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f798(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebitwise_or_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsebigquery_bitwise_xor_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 124) {
                    // @ts-ignore
                    s5 = peg$c47;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e48);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsebigquery_bitwise_xor_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 124) {
                        // @ts-ignore
                        s5 = peg$c47;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e48);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsebigquery_bitwise_xor_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f799(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_bitwise_xor_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsebitwise_and_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 94) {
                        // @ts-ignore
                        s6 = peg$c52;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s6 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e54);
                        }
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parsebitwise_and_expr();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6, s7, s8];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 94) {
                            // @ts-ignore
                            s6 = peg$c52;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s6 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e54);
                            }
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parsebitwise_and_expr();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6, s7, s8];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f800(s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsebitwise_and_expr();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f801(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebitwise_and_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsebit_shift_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 38) {
                    // @ts-ignore
                    s5 = peg$c46;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e47);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsebit_shift_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 38) {
                        // @ts-ignore
                        s5 = peg$c46;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e47);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsebit_shift_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f802(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebit_shift_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseadditive_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c21) {
                    // @ts-ignore
                    s5 = peg$c21;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e22);
                    }
                }
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c22) {
                        // @ts-ignore
                        s5 = peg$c22;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e23);
                        }
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseadditive_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c21) {
                        // @ts-ignore
                        s5 = peg$c21;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e22);
                        }
                    }
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        if (input.substr(peg$currPos, 2) === peg$c22) {
                            // @ts-ignore
                            s5 = peg$c22;
                            // @ts-ignore
                            peg$currPos += 2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e23);
                            }
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseadditive_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f803(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseadditive_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemultiplicative_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseadditive_operator();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsemultiplicative_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseadditive_operator();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsemultiplicative_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f804(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseadditive_operator() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 43) {
                // @ts-ignore
                s0 = peg$c54;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e56);
                }
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 45) {
                    // @ts-ignore
                    s0 = peg$c53;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s0 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e55);
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemultiplicative_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemysql_bitwise_xor_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsemultiplicative_operator();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsemysql_bitwise_xor_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsemultiplicative_operator();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsemysql_bitwise_xor_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f805(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemultiplicative_operator() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 42) {
                // @ts-ignore
                s0 = peg$c3;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e4);
                }
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 47) {
                    // @ts-ignore
                    s0 = peg$c50;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s0 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e52);
                    }
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 37) {
                        // @ts-ignore
                        s1 = peg$c51;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e53);
                        }
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsesqlite();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f806(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseDIV();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsemysql();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s3 = peg$parsesqlite();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s3 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s2;
                                    // @ts-ignore
                                    s2 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s2 = peg$FAILED;
                                }
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f807(s1);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$parseMOD();
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s3 = peg$parsemysql();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s3 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s2;
                                    // @ts-ignore
                                    s2 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s2 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s2 === peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s3 = peg$parsesqlite();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s3 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s2;
                                        // @ts-ignore
                                        s2 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s2 = peg$FAILED;
                                    }
                                }
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f808(s1);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$currPos;
                                // @ts-ignore
                                if (input.substr(peg$currPos, 2) === peg$c11) {
                                    // @ts-ignore
                                    s1 = peg$c11;
                                    // @ts-ignore
                                    peg$currPos += 2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e12);
                                    }
                                }
                                // @ts-ignore
                                if (s1 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s3 = peg$parsebigquery();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s3 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s2;
                                        // @ts-ignore
                                        s2 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s2 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f809(s1);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_bitwise_xor_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseconcat_or_json_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 94) {
                        // @ts-ignore
                        s6 = peg$c52;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s6 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e54);
                        }
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseconcat_or_json_expr();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6, s7, s8];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 94) {
                            // @ts-ignore
                            s6 = peg$c52;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s6 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e54);
                            }
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseconcat_or_json_expr();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6, s7, s8];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f810(s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseconcat_or_json_expr();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f811(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconcat_or_json_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsebinary_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseconcat_or_json_op();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsebinary_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseconcat_or_json_op();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsebinary_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f812(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseconcat_or_json_op() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c11) {
                // @ts-ignore
                s1 = peg$c11;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e12);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f813(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                if (input.substr(peg$currPos, 3) === peg$c31) {
                    // @ts-ignore
                    s1 = peg$c31;
                    // @ts-ignore
                    peg$currPos += 3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e32);
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parseonly_mysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f814(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c32) {
                        // @ts-ignore
                        s1 = peg$c32;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e33);
                        }
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parseonly_mysql();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f815(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebinary_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseBINARY();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsebinary_expr();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f816(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsecollate_expr();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecollate_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsenegation_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseCOLLATE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s8 = peg$parseident();
                        // @ts-ignore
                        if (s8 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6, s7, s8];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseCOLLATE();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parse__();
                            // @ts-ignore
                            s8 = peg$parseident();
                            // @ts-ignore
                            if (s8 !== peg$FAILED) {
                                // @ts-ignore
                                s5 = [s5, s6, s7, s8];
                                // @ts-ignore
                                s4 = s5;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f817(s2, s3);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsenegation_expr();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f818(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenegation_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsenegation_operator();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsenegation_expr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f819(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsemember_expr_or_func_call();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenegation_operator() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 45) {
                // @ts-ignore
                s0 = peg$c53;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e55);
                }
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 43) {
                    // @ts-ignore
                    s0 = peg$c54;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s0 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e56);
                    }
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 126) {
                        // @ts-ignore
                        s1 = peg$c43;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e44);
                        }
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f820(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 33) {
                            // @ts-ignore
                            s1 = peg$c42;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e43);
                            }
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsemysql();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f821(s1);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemember_expr_or_func_call() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsefunc_name_kw();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsefunc_call_right();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f822(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseparen_less_func_call();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseprimary();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [];
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 46) {
                            // @ts-ignore
                            s5 = peg$c2;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e3);
                            }
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parsequalified_column();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = [s4, s5, s6, s7];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$currPos;
                            // @ts-ignore
                            s4 = peg$parse__();
                            // @ts-ignore
                            s5 = peg$parsearray_subscript();
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = [s4, s5];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s3 === peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$currPos;
                                // @ts-ignore
                                s4 = peg$parse__();
                                // @ts-ignore
                                s5 = peg$parsefunc_call_right();
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    s4 = [s4, s5];
                                    // @ts-ignore
                                    s3 = s4;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s3;
                                    // @ts-ignore
                                    s3 = peg$FAILED;
                                }
                            }
                        }
                        // @ts-ignore
                        while (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s2.push(s3);
                            // @ts-ignore
                            s3 = peg$currPos;
                            // @ts-ignore
                            s4 = peg$parse__();
                            // @ts-ignore
                            if (input.charCodeAt(peg$currPos) === 46) {
                                // @ts-ignore
                                s5 = peg$c2;
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s5 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e3);
                                }
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parse__();
                                // @ts-ignore
                                s7 = peg$parsequalified_column();
                                // @ts-ignore
                                if (s7 !== peg$FAILED) {
                                    // @ts-ignore
                                    s4 = [s4, s5, s6, s7];
                                    // @ts-ignore
                                    s3 = s4;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s3;
                                    // @ts-ignore
                                    s3 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s3 === peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$currPos;
                                // @ts-ignore
                                s4 = peg$parse__();
                                // @ts-ignore
                                s5 = peg$parsearray_subscript();
                                // @ts-ignore
                                if (s5 !== peg$FAILED) {
                                    // @ts-ignore
                                    s4 = [s4, s5];
                                    // @ts-ignore
                                    s3 = s4;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s3;
                                    // @ts-ignore
                                    s3 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s3 === peg$FAILED) {
                                    // @ts-ignore
                                    s3 = peg$currPos;
                                    // @ts-ignore
                                    s4 = peg$parse__();
                                    // @ts-ignore
                                    s5 = peg$parsefunc_call_right();
                                    // @ts-ignore
                                    if (s5 !== peg$FAILED) {
                                        // @ts-ignore
                                        s4 = [s4, s5];
                                        // @ts-ignore
                                        s3 = s4;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s3;
                                        // @ts-ignore
                                        s3 = peg$FAILED;
                                    }
                                }
                            }
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f823(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemember_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 46) {
                    // @ts-ignore
                    s5 = peg$c2;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e3);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsequalified_column();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 46) {
                        // @ts-ignore
                        s5 = peg$c2;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e3);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsequalified_column();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f824(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsearray_subscript() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 91) {
                    // @ts-ignore
                    s2 = peg$c6;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e7);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsearray_subscript_specifier();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parsearray_slice_specifier();
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parseexpr();
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s4 = [s4, s5, s6];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 93) {
                            // @ts-ignore
                            s4 = peg$c7;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s4 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e8);
                            }
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f825(s3);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsearray_subscript_specifier() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseOFFSET();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseSAFE_OFFSET();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseORDINAL();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseSAFE_ORDINAL();
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseparen$expr();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f826(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsearray_slice_specifier() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseexpr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 58) {
                    // @ts-ignore
                    s3 = peg$c5;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e6);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseexpr();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f827(s2, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseprimary() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parseliteral();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseprimary_paren_expr();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseparen$compound_select_stmt();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsebigquery();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsetyped_array_expr();
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsearray_expr();
                                // @ts-ignore
                                if (s2 === peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parsetyped_struct_expr();
                                }
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f828(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsetyped_array_expr();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f829(s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsecast_expr();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$currPos;
                                    // @ts-ignore
                                    s1 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s2 = peg$parsepostgres();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s1 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$parserow_constructor();
                                        // @ts-ignore
                                        if (s2 === peg$FAILED) {
                                            // @ts-ignore
                                            s2 = peg$parsearray_constructor();
                                        }
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f830(s2);
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$currPos;
                                        // @ts-ignore
                                        s1 = peg$currPos;
                                        // @ts-ignore
                                        peg$silentFails++;
                                        // @ts-ignore
                                        s2 = peg$parsesqlite();
                                        // @ts-ignore
                                        peg$silentFails--;
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s1 !== peg$FAILED) {
                                            // @ts-ignore
                                            s2 = peg$parseraise_expr();
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                peg$savedPos = s0;
                                                // @ts-ignore
                                                s0 = peg$f831(s2);
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$currPos;
                                            // @ts-ignore
                                            s1 = peg$currPos;
                                            // @ts-ignore
                                            peg$silentFails++;
                                            // @ts-ignore
                                            s2 = peg$parsemysql();
                                            // @ts-ignore
                                            peg$silentFails--;
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                peg$currPos = s1;
                                                // @ts-ignore
                                                s1 = undefined;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s1 === peg$FAILED) {
                                                // @ts-ignore
                                                s1 = peg$currPos;
                                                // @ts-ignore
                                                peg$silentFails++;
                                                // @ts-ignore
                                                s2 = peg$parsebigquery();
                                                // @ts-ignore
                                                peg$silentFails--;
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$currPos = s1;
                                                    // @ts-ignore
                                                    s1 = undefined;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s1 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s1 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s1 = peg$currPos;
                                                    // @ts-ignore
                                                    peg$silentFails++;
                                                    // @ts-ignore
                                                    s2 = peg$parsepostgres();
                                                    // @ts-ignore
                                                    peg$silentFails--;
                                                    // @ts-ignore
                                                    if (s2 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        peg$currPos = s1;
                                                        // @ts-ignore
                                                        s1 = undefined;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s1 = peg$FAILED;
                                                    }
                                                }
                                            }
                                            // @ts-ignore
                                            if (s1 !== peg$FAILED) {
                                                // @ts-ignore
                                                s2 = peg$parseextract_expr();
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$savedPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$f832(s2);
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsecase_expr();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseexists_expr();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parseident();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$currPos;
                                                            // @ts-ignore
                                                            s1 = peg$currPos;
                                                            // @ts-ignore
                                                            peg$silentFails++;
                                                            // @ts-ignore
                                                            s2 = peg$parsemysql();
                                                            // @ts-ignore
                                                            peg$silentFails--;
                                                            // @ts-ignore
                                                            if (s2 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                peg$currPos = s1;
                                                                // @ts-ignore
                                                                s1 = undefined;
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                s1 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                            if (s1 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s1 = peg$currPos;
                                                                // @ts-ignore
                                                                peg$silentFails++;
                                                                // @ts-ignore
                                                                s2 = peg$parsebigquery();
                                                                // @ts-ignore
                                                                peg$silentFails--;
                                                                // @ts-ignore
                                                                if (s2 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    peg$currPos = s1;
                                                                    // @ts-ignore
                                                                    s1 = undefined;
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    s1 = peg$FAILED;
                                                                }
                                                            }
                                                            // @ts-ignore
                                                            if (s1 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                s2 = peg$parseinterval_expr();
                                                                // @ts-ignore
                                                                if (s2 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    peg$savedPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$f833(s2);
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$currPos;
                                                                // @ts-ignore
                                                                s1 = peg$currPos;
                                                                // @ts-ignore
                                                                peg$silentFails++;
                                                                // @ts-ignore
                                                                s2 = peg$parsemysql();
                                                                // @ts-ignore
                                                                peg$silentFails--;
                                                                // @ts-ignore
                                                                if (s2 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    peg$currPos = s1;
                                                                    // @ts-ignore
                                                                    s1 = undefined;
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    s1 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                                if (s1 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s2 = peg$parsevariable();
                                                                    // @ts-ignore
                                                                    if (s2 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        peg$savedPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$f834(s2);
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$currPos;
                                                                    // @ts-ignore
                                                                    s1 = peg$currPos;
                                                                    // @ts-ignore
                                                                    peg$silentFails++;
                                                                    // @ts-ignore
                                                                    s2 = peg$parsebigquery();
                                                                    // @ts-ignore
                                                                    peg$silentFails--;
                                                                    // @ts-ignore
                                                                    if (s2 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        peg$currPos = s1;
                                                                        // @ts-ignore
                                                                        s1 = undefined;
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        s1 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s1 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s2 = peg$parsesystem_variable();
                                                                        // @ts-ignore
                                                                        if (s2 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            peg$savedPos = s0;
                                                                            // @ts-ignore
                                                                            s0 = peg$f835(s2);
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            peg$currPos = s0;
                                                                            // @ts-ignore
                                                                            s0 = peg$FAILED;
                                                                        }
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s0 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s0 = peg$parseparameter();
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseprimary_paren_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f836(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecast_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsecast_kw();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$cast_arg();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f837(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecast_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseCAST();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseSAFE_CAST();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f838(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecast_arg() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseexpr();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseAS();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsedata_type();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parsecast_format();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f839(s1, s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecast_format() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseFORMAT();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseexpr();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parsecast_format_timezone();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f840(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecast_format_timezone() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTIME();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parseZONE();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s7 = peg$parse__();
                        // @ts-ignore
                        s2 = [s2, s3, s4, s5, s6, s7];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f841(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseraise_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseRAISE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$raise_args();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f842(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseraise_args() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseraise_expr_type();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsestring_literal();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsestring_literal();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f843(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseraise_expr_type() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseIGNORE();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseROLLBACK();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseABORT();
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseFAIL();
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f844(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseextract_expr() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseEXTRACT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$extract_from();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f845(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseextract_from() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseextract_unit();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseFROM();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseexpr();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f846(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseextract_unit() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseinterval_unit();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f847(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseextract_unit_bigquery();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f848(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseextract_unit_postgresql();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f849(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseextract_unit_bigquery() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$parseweek_expr();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseextract_unit_kw_bigquery();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f850(s1);
                }
                // @ts-ignore
                s0 = s1;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseextract_unit_kw_bigquery() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseMICROSECOND();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseMILLISECOND();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseSECOND();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseMINUTE();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseHOUR();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseDAYOFWEEK();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseDAY();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parseDAYOFYEAR();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parseISOWEEK();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parseMONTH();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseQUARTER();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parseYEAR();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parseISOYEAR();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parseDATE();
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$parseTIME();
                                                                    // @ts-ignore
                                                                    if (s0 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s0 = peg$parseWEEK();
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseextract_unit_postgresql() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseextract_unit_kw_postgresql();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f851(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseextract_unit_kw_postgresql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseCENTURY();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseDAY();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseDECADE();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseDOW();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseDOY();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseEPOCH();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseHOUR();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parseISODOW();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parseISOYEAR();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parseJULIAN();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseMICROSECONDS();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parseMILLENNIUM();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parseMILLISECONDS();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parseMINUTE();
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$parseMONTH();
                                                                    // @ts-ignore
                                                                    if (s0 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s0 = peg$parseQUARTER();
                                                                        // @ts-ignore
                                                                        if (s0 === peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s0 = peg$parseSECOND();
                                                                            // @ts-ignore
                                                                            if (s0 === peg$FAILED) {
                                                                                // @ts-ignore
                                                                                s0 = peg$parseTIMEZONE();
                                                                                // @ts-ignore
                                                                                if (s0 === peg$FAILED) {
                                                                                    // @ts-ignore
                                                                                    s0 = peg$parseTIMEZONE_HOUR();
                                                                                    // @ts-ignore
                                                                                    if (s0 === peg$FAILED) {
                                                                                        // @ts-ignore
                                                                                        s0 = peg$parseTIMEZONE_MINUTE();
                                                                                        // @ts-ignore
                                                                                        if (s0 === peg$FAILED) {
                                                                                            // @ts-ignore
                                                                                            s0 = peg$parseWEEK();
                                                                                            // @ts-ignore
                                                                                            if (s0 === peg$FAILED) {
                                                                                                // @ts-ignore
                                                                                                s0 = peg$parseYEAR();
                                                                                            }
                                                                                        }
                                                                                    }
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseweek_expr() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseWEEK();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$weekday_unit();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f852(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseweekday_unit() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseSUNDAY();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseMONDAY();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseTUESDAY();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseWEDNESDAY();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseTHURSDAY();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseFRIDAY();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseSATURDAY();
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunc_call() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsefunc_name();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsefunc_call_right();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f853(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseparen_less_func_call();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunc_call_right() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseparen$func_args();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsefilter_arg();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseover_arg();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f854(s1, s2, s3);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunc_name() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsemember_expr();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseident();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsefunc_name_kw();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunc_name_kw() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsemysql_func_keyword();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f855(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsebigquery_func_keyword();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f856(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsepostgres_func_keyword();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f857(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsesqlite_func_keyword();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f858(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_func_keyword() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseVALUES();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseCUME_DIST();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseDENSE_RANK();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseFIRST_VALUE();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseLAG();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseLAST_VALUE();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseLEAD();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parseNTH_VALUE();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parseNTILE();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsePERCENT_RANK();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseRANK();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parseROW_NUMBER();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parseIF();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parseLEFT();
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$parseRIGHT();
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_func_keyword() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseLEFT();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseRIGHT();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseARRAY();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseCOLLATE();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseIF();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseGROUPING();
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgres_func_keyword() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseCURRENT_TIME();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseCURRENT_TIMESTAMP();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseLOCALTIME();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseLOCALTIMESTAMP();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseCURRENT_SCHEMA();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseRIGHT();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseLEFT();
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesqlite_func_keyword() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseGLOB();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseLIKE();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseREPLACE();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen_less_func_call() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseparen_less_func_name();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 40) {
                    // @ts-ignore
                    s5 = peg$c56;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e58);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f859(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen_less_func_name() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCURRENT_DATE();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseCURRENT_TIME();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseCURRENT_TIMESTAMP();
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseparen_less_func_name_bigquery();
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$parseparen_less_func_name_mysql();
                            // @ts-ignore
                            if (s1 === peg$FAILED) {
                                // @ts-ignore
                                s1 = peg$parseparen_less_func_name_postgresql();
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f860(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen_less_func_name_bigquery() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCURRENT_DATETIME();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsebigquery();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f861(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen_less_func_name_mysql() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseLOCALTIME();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseLOCALTIMESTAMP();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseCURRENT_USER();
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f862(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen_less_func_name_postgresql() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseLOCALTIME();
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$parseLOCALTIMESTAMP();
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$parseCURRENT_CATALOG();
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$parseCURRENT_ROLE();
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$parseCURRENT_SCHEMA();
                            // @ts-ignore
                            if (s1 === peg$FAILED) {
                                // @ts-ignore
                                s1 = peg$parseCURRENT_USER();
                                // @ts-ignore
                                if (s1 === peg$FAILED) {
                                    // @ts-ignore
                                    s1 = peg$parseUSER();
                                    // @ts-ignore
                                    if (s1 === peg$FAILED) {
                                        // @ts-ignore
                                        s1 = peg$parseSESSION_USER();
                                        // @ts-ignore
                                        if (s1 === peg$FAILED) {
                                            // @ts-ignore
                                            s1 = peg$parseSYSTEM_USER();
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f863(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunc_args() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseDISTINCT();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = null;
            }
            // @ts-ignore
            s2 = peg$parsefunc_args_list();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseIGNORE();
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parseRESPECT();
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseNULLS();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = null;
                }
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parseorder_by_clause();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = null;
                }
                // @ts-ignore
                s5 = peg$currPos;
                // @ts-ignore
                s6 = peg$parse__();
                // @ts-ignore
                s7 = peg$parselimit_clause();
                // @ts-ignore
                if (s7 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = [s6, s7];
                    // @ts-ignore
                    s5 = s6;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s5;
                    // @ts-ignore
                    s5 = peg$FAILED;
                }
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    s5 = null;
                }
                // @ts-ignore
                s6 = peg$currPos;
                // @ts-ignore
                s7 = peg$parse__();
                // @ts-ignore
                s8 = peg$parsehaving_arg();
                // @ts-ignore
                if (s8 !== peg$FAILED) {
                    // @ts-ignore
                    s7 = [s7, s8];
                    // @ts-ignore
                    s6 = s7;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s6;
                    // @ts-ignore
                    s6 = peg$FAILED;
                }
                // @ts-ignore
                if (s6 === peg$FAILED) {
                    // @ts-ignore
                    s6 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f864(s1, s2, s3, s4, s5, s6);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunc_args_list() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsefunc_1st_arg();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsefunc_arg();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsefunc_arg();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f865(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                if (input.length > peg$currPos) {
                    // @ts-ignore
                    s2 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e1);
                    }
                }
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f866();
                }
                // @ts-ignore
                s0 = s1;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunc_1st_arg() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsetable_stmt();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f867(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsestar();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsenamed_arg();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseexpr();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsecompound_select_stmt();
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefunc_arg() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsetable_stmt();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f868(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsenamed_arg();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseexpr();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenamed_arg() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsenamed_arg_op();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseexpr();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s5 = peg$parsebigquery();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s5 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s4;
                                // @ts-ignore
                                s4 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f869(s1, s2, s3);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenamed_arg_op() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c58) {
                // @ts-ignore
                s0 = peg$c58;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e60);
                }
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c10) {
                    // @ts-ignore
                    s1 = peg$c10;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e11);
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f870(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefilter_arg() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parseFILTER();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseparen$where_clause();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f871(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseover_arg() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseOVER();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseparen$window_definition();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseident();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f872(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsehaving_arg() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseHAVING();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseMIN();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseMAX();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parseexpr();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f873(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecase_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseCASE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$parse__();
                // @ts-ignore
                s6 = peg$parsecase_when();
                // @ts-ignore
                if (s6 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [s5, s6];
                    // @ts-ignore
                    s4 = s5;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parsecase_when();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s6 = peg$parsecase_else();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseEND();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = [s6, s7];
                        // @ts-ignore
                        s5 = s6;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f874(s1, s2, s3, s4, s5);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecase_when() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseWHEN();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseTHEN();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        s5 = peg$parse__();
                        // @ts-ignore
                        s6 = peg$parseexpr();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f875(s1, s2, s3, s4);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecase_else() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseELSE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f876(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinterval_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseINTERVAL();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexpr();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseinterval_unit_range();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseinterval_unit();
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f877(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinterval_unit_range() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseinterval_unit();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseTO();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseinterval_unit();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f878(s1, s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinterval_unit() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseinterval_unit_kw();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f879(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinterval_unit_kw() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseYEAR();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseMONTH();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseDAY();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseHOUR();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseMINUTE();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseSECOND();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$currPos;
                                    // @ts-ignore
                                    s1 = peg$parseinterval_unit_kw_mysql();
                                    // @ts-ignore
                                    if (s1 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$currPos;
                                        // @ts-ignore
                                        peg$silentFails++;
                                        // @ts-ignore
                                        s3 = peg$parsemysql();
                                        // @ts-ignore
                                        peg$silentFails--;
                                        // @ts-ignore
                                        if (s3 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$currPos = s2;
                                            // @ts-ignore
                                            s2 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s2 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f880(s1);
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinterval_unit_kw_mysql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseQUARTER();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseWEEK();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseMICROSECOND();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseSECOND_MICROSECOND();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parseMINUTE_MICROSECOND();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parseMINUTE_SECOND();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parseHOUR_MICROSECOND();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parseHOUR_SECOND();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parseHOUR_MINUTE();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parseDAY_MICROSECOND();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseDAY_SECOND();
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$parseDAY_MINUTE();
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$parseDAY_HOUR();
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$parseYEAR_MONTH();
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexists_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseEXISTS();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseparen$compound_select_stmt();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f881(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparameter() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 63) {
                // @ts-ignore
                s2 = peg$c49;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s2 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e50);
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parsedigits();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = peg$currPos;
                    // @ts-ignore
                    s4 = peg$f882();
                    // @ts-ignore
                    if (s4) {
                        // @ts-ignore
                        s4 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3, s4];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 63) {
                    // @ts-ignore
                    s2 = peg$c49;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e50);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = peg$currPos;
                    // @ts-ignore
                    s3 = peg$f883();
                    // @ts-ignore
                    if (s3) {
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = [s2, s3];
                        // @ts-ignore
                        s1 = s2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 58) {
                        // @ts-ignore
                        s2 = peg$c5;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e6);
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseident_name();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = peg$currPos;
                            // @ts-ignore
                            s4 = peg$f884();
                            // @ts-ignore
                            if (s4) {
                                // @ts-ignore
                                s4 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s4 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = [s2, s3, s4];
                                // @ts-ignore
                                s1 = s2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 36) {
                            // @ts-ignore
                            s2 = peg$c59;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e61);
                            }
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parsedigits();
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = peg$currPos;
                                // @ts-ignore
                                s4 = peg$f885();
                                // @ts-ignore
                                if (s4) {
                                    // @ts-ignore
                                    s4 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s4 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s4 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = [s2, s3, s4];
                                    // @ts-ignore
                                    s1 = s2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            if (input.charCodeAt(peg$currPos) === 36) {
                                // @ts-ignore
                                s2 = peg$c59;
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e61);
                                }
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = peg$parseident_name();
                                // @ts-ignore
                                if (s3 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = peg$currPos;
                                    // @ts-ignore
                                    s4 = peg$f886();
                                    // @ts-ignore
                                    if (s4) {
                                        // @ts-ignore
                                        s4 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s4 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s4 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = [s2, s3, s4];
                                        // @ts-ignore
                                        s1 = s2;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 === peg$FAILED) {
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                if (input.charCodeAt(peg$currPos) === 64) {
                                    // @ts-ignore
                                    s2 = peg$c44;
                                    // @ts-ignore
                                    peg$currPos++;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s2 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e45);
                                    }
                                }
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    s3 = peg$parseident_name();
                                    // @ts-ignore
                                    if (s3 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = peg$currPos;
                                        // @ts-ignore
                                        s4 = peg$f887();
                                        // @ts-ignore
                                        if (s4) {
                                            // @ts-ignore
                                            s4 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s4 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s4 !== peg$FAILED) {
                                            // @ts-ignore
                                            s2 = [s2, s3, s4];
                                            // @ts-ignore
                                            s1 = s2;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s1 === peg$FAILED) {
                                    // @ts-ignore
                                    s1 = peg$currPos;
                                    // @ts-ignore
                                    if (input.charCodeAt(peg$currPos) === 64) {
                                        // @ts-ignore
                                        s2 = peg$c44;
                                        // @ts-ignore
                                        peg$currPos++;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s2 = peg$FAILED;
                                        // @ts-ignore
                                        if (peg$silentFails === 0) {
                                            peg$fail(peg$e45);
                                        }
                                    }
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        s3 = peg$parsebackticks_quoted_ident_bs();
                                        // @ts-ignore
                                        if (s3 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = peg$currPos;
                                            // @ts-ignore
                                            s4 = peg$f888();
                                            // @ts-ignore
                                            if (s4) {
                                                // @ts-ignore
                                                s4 = undefined;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s4 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s4 !== peg$FAILED) {
                                                // @ts-ignore
                                                s2 = [s2, s3, s4];
                                                // @ts-ignore
                                                s1 = s2;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s1;
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s1;
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s1;
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f889();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$__template__() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parse__template__();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f890(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$cast_arg() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsecast_arg();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f891(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$compound_select_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsecompound_select_stmt();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f892(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$cte_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsecte_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f893(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$empty_list() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parseempty_list();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f894(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$entity_name() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsemember_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f895(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parseexpr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f896(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$extract_from() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parseextract_from();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f897(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$full_text_match_args() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsefull_text_match_args();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f898(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$func_args() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsefunc_args();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f899(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$join_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsejoin_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f900(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$alias$column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$alias$column();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f901(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$alias$expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$alias$expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f902(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$alias$paren$list$column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$alias$paren$list$column();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f903(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$column();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f904(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$column_definition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$column_definition();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f905(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$create_definition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$create_definition();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f906(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$entity_name() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$entity_name();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f907(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$equals_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$equals_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f908(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$exclusion_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$exclusion_param();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f909(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f910(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$expr_or_default() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$expr_or_default();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f911(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$func_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$func_param();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f912(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$grouping_element() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$grouping_element();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f913(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$ident() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$ident();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f914(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$index_specification() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$index_specification();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f915(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$literal();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f916(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$member_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$member_expr();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f917(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$partition_bound_from_to_value() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$partition_bound_from_to_value();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f918(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$partition_bound_with_value() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$partition_bound_with_value();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f919(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$postgresql_option_element() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$postgresql_option_element();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f920(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$procedure_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$procedure_param();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f921(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$reindex_option() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$reindex_option();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f922(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$sort_specification() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$sort_specification();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f923(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$string_literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$string_literal();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f924(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$table_func_call() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$table_func_call();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f925(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$table_option_postgresql() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$table_option_postgresql();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f926(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$tablesample_arg() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$tablesample_arg();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f927(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$variable() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$variable();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f928(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$list$view_column_definition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parselist$view_column_definition();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f929(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$pivot_for_in() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsepivot_for_in();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f930(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$postgresql_op() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsepostgresql_op();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f931(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$pragma_value() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsepragma_value();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f932(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$raise_args() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parseraise_args();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f933(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$sequence_option_list() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsesequence_option_list();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f934(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$string_literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsestring_literal();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f935(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$unpivot_for_in() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parseunpivot_for_in();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f936(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$verbose_all_columns() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parseverbose_all_columns();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f937(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$weekday_unit() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parseweekday_unit();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f938(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$where_clause() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsewhere_clause();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s5 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f939(s2, s3, s4);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseparen$window_definition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__();
                // @ts-ignore
                s3 = peg$parsewindow_definition();
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 41) {
                    // @ts-ignore
                    s5 = peg$c57;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e59);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f940(s2, s3, s4);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$__template__() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parse__template__();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parse__template__();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parse__template__();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f941(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$alias$column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsealias$column();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsealias$column();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsealias$column();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f942(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$alias$expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsealias$expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsealias$expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsealias$expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f943(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$alias$func_call() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsealias$func_call();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsealias$func_call();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsealias$func_call();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f944(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$alias$paren$list$column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsealias$paren$list$column();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsealias$paren$list$column();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsealias$paren$list$column();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f945(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$alias$relation_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsealias$relation_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsealias$relation_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsealias$relation_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f946(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$alter_action() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsealter_action();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsealter_action();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsealter_action();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f947(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$alter_view_action() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsealter_view_action();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsealter_view_action();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsealter_view_action();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f948(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$alter_type_action() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsealter_type_action();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsealter_type_action();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsealter_type_action();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f949(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseident();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseident();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f950(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$column_assignment() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsecolumn_assignment();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsecolumn_assignment();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsecolumn_assignment();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f951(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$column_definition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsecolumn_definition();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsecolumn_definition();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsecolumn_definition();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f952(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$common_table_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsecommon_table_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsecommon_table_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsecommon_table_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f953(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$config_parameter_value() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseconfig_parameter_value();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseconfig_parameter_value();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseconfig_parameter_value();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f954(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$create_definition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsecreate_definition();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsecreate_definition();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsecreate_definition();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f955(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$delete_clause_table() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsedelete_clause_table();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsedelete_clause_table();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsedelete_clause_table();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f956(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$entity_name() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemember_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsemember_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f957(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$equals_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseequals_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseequals_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseequals_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f958(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$exclusion_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseexclusion_param();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseexclusion_param();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseexclusion_param();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f959(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseexpr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseexpr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseexpr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f960(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$expr_or_default() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseexpr_or_default();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseexpr_or_default();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseexpr_or_default();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f961(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$expr_or_explicit_alias() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseexpr_or_explicit_alias();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseexpr_or_explicit_alias();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseexpr_or_explicit_alias();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f962(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$func_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsefunc_param();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsefunc_param();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsefunc_param();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f963(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$function_signature() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsefunction_signature();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsefunction_signature();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsefunction_signature();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f964(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$grantee() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsegrantee();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsegrantee();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsegrantee();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f965(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$grouping_element() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsegrouping_element();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsegrouping_element();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsegrouping_element();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f966(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$ident() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseident();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseident();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f967(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$index_specification() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseindex_specification();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseindex_specification();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseindex_specification();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f968(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseliteral();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseliteral();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseliteral();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f969(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$member_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemember_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsemember_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsemember_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f970(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$named_window() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsenamed_window();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsenamed_window();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsenamed_window();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f971(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$number_literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsenumber_literal();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsenumber_literal();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsenumber_literal();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f972(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$partition_bound_from_to_value() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepartition_bound_from_to_value();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsepartition_bound_from_to_value();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsepartition_bound_from_to_value();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f973(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$partition_bound_with_value() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepartition_bound_with_value();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsepartition_bound_with_value();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsepartition_bound_with_value();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f974(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$privilege() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseprivilege();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseprivilege();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseprivilege();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f975(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$postgresql_option_element() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepostgresql_option_element();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsepostgresql_option_element();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsepostgresql_option_element();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f976(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$procedure_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseprocedure_param();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseprocedure_param();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseprocedure_param();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f977(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$reindex_option() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsereindex_option();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsereindex_option();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsereindex_option();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f978(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$relation_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parserelation_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parserelation_expr();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parserelation_expr();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f979(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$rename_action() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parserename_action();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parserename_action();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parserename_action();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f980(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$role_specification() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parserole_specification();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parserole_specification();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parserole_specification();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f981(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$set_assignment() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseset_assignment();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseset_assignment();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseset_assignment();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f982(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$sort_specification() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsesort_specification();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsesort_specification();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsesort_specification();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f983(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$string_literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsestring_literal();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsestring_literal();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsestring_literal();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f984(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$table_func_call() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetable_func_call();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsetable_func_call();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsetable_func_call();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f985(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$table_option_postgresql() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetable_option_postgresql();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsetable_option_postgresql();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsetable_option_postgresql();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f986(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$tablesample_arg() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetablesample_arg();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsetablesample_arg();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsetablesample_arg();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f987(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$transaction_mode() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetransaction_mode();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsetransaction_mode();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsetransaction_mode();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f988(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$transform_type() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetransform_type();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsetransform_type();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsetransform_type();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f989(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$trigger_transition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetrigger_transition();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsetrigger_transition();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsetrigger_transition();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f990(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$type_param() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetype_param();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsetype_param();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsetype_param();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f991(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$values_row() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsevalues_row();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsevalues_row();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsevalues_row();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f992(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$variable() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsevariable();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsevariable();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsevariable();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f993(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parselist$view_column_definition() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseview_column_definition();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 44) {
                    // @ts-ignore
                    s5 = peg$c1;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e2);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parseview_column_definition();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 44) {
                        // @ts-ignore
                        s5 = peg$c1;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e2);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parseview_column_definition();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f994(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseempty_list() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            if (input.length > peg$currPos) {
                // @ts-ignore
                s2 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s2 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e1);
                }
            }
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f995();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealias$__template__() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parse__template__();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsealias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f996(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealias$column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsealias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f997(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealias$entity_name() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemember_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsealias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f998(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealias$expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseexpr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsealias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f999(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealias$func_call() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsefunc_call();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsealias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1000(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealias$paren$compound_select_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseparen$compound_select_stmt();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsealias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1001(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealias$paren$list$column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseparen$list$column();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsealias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1002(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealias$relation_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parserelation_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsealias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1003(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealias$table_factor() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsetable_factor();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsealias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1004(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsealias$unnest_or_member_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseunnest_or_member_expr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsealias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1005(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseas_clause$__template__() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parse__template__();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1006(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseas_clause$compound_select_stmt() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsecompound_select_stmt();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1007(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseas_clause$func_as_expr_bigquery() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsefunc_as_expr_bigquery();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1008(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseas_clause$func_as_expr_postgresql() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsefunc_as_expr_postgresql();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1009(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseas_clause$string_literal() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1010(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseas_clause$expr() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseAS();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseexpr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1011(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parse__template__() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            if (input.length > peg$currPos) {
                // @ts-ignore
                s0 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e1);
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseoptionally_qualified_column() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parseident();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 46) {
                    // @ts-ignore
                    s2 = peg$c2;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e3);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsequalified_column();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1012(s1, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parseident();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsequalified_column() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident_name();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1013(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsequoted_ident();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseimplicit_alias_ident() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseident();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parsestring_literal_plain();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsebigquery();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsemysql();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1014(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexplicit_alias_ident() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$parseimplicit_alias_ident();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseident_name();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1015(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseident() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s0 = peg$parsequoted_ident();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseident_name();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = peg$currPos;
                    // @ts-ignore
                    s2 = peg$f1016(s1);
                    // @ts-ignore
                    if (s2) {
                        // @ts-ignore
                        s2 = peg$FAILED;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = undefined;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1017(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e62);
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsequoted_ident() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsesqlite();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsebracket_quoted_ident();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1018(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsebackticks_quoted_ident_qq();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1019(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsebigquery_quoted_member_expr();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsebackticks_quoted_ident_bs();
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f1020(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 === peg$FAILED) {
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsestring_literal_double_quoted_qq();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f1021(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsepostgres_unicode_ident();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f1022(s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgres_unicode_ident() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident_unicode_double_quoted_qq();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseUESCAPE();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsestring_literal_single_quoted_qq();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (s2.length >= 1) {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseUESCAPE();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parsestring_literal_single_quoted_qq();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = [s4, s5, s6, s7];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1023(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseident_unicode_double_quoted_qq() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsestring_literal_unicode_double_quoted_qq();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1024(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebackticks_quoted_ident_qq() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 96) {
                // @ts-ignore
                s1 = peg$c48;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e49);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                if (peg$r1.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s3 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e63);
                    }
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseescaped_backtick_qq();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    while (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2.push(s3);
                        // @ts-ignore
                        if (peg$r1.test(input.charAt(peg$currPos))) {
                            // @ts-ignore
                            s3 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e63);
                            }
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parseescaped_backtick_qq();
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 96) {
                        // @ts-ignore
                        s3 = peg$c48;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e49);
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1025(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseescaped_backtick_qq() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c60) {
                // @ts-ignore
                s1 = peg$c60;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e64);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1026();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebackticks_quoted_ident_bs() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 96) {
                // @ts-ignore
                s1 = peg$c48;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e49);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                if (peg$r2.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s3 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e65);
                    }
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsebackslash_escape();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    while (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2.push(s3);
                        // @ts-ignore
                        if (peg$r2.test(input.charAt(peg$currPos))) {
                            // @ts-ignore
                            s3 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e65);
                            }
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parsebackslash_escape();
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 96) {
                        // @ts-ignore
                        s3 = peg$c48;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e49);
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1027(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery_quoted_member_expr() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 96) {
                // @ts-ignore
                s1 = peg$c48;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e49);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsequoted_member_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 96) {
                        // @ts-ignore
                        s3 = peg$c48;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e49);
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1028(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsequoted_member_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsequoted_member_expr_ident();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parseno_whitespace();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 46) {
                        // @ts-ignore
                        s5 = peg$c2;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e3);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parseno_whitespace();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s7 = peg$parsequoted_member_expr_ident();
                            // @ts-ignore
                            if (s7 === peg$FAILED) {
                                // @ts-ignore
                                s7 = peg$parseempty();
                            }
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = [s4, s5, s6, s7];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    while (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2.push(s3);
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parseno_whitespace();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            if (input.charCodeAt(peg$currPos) === 46) {
                                // @ts-ignore
                                s5 = peg$c2;
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s5 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e3);
                                }
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parseno_whitespace();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = peg$parsequoted_member_expr_ident();
                                    // @ts-ignore
                                    if (s7 === peg$FAILED) {
                                        // @ts-ignore
                                        s7 = peg$parseempty();
                                    }
                                    // @ts-ignore
                                    if (s7 !== peg$FAILED) {
                                        // @ts-ignore
                                        s4 = [s4, s5, s6, s7];
                                        // @ts-ignore
                                        s3 = s4;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s3;
                                        // @ts-ignore
                                        s3 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s3;
                                    // @ts-ignore
                                    s3 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1029(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsequoted_member_expr_ident() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = [];
            // @ts-ignore
            if (peg$r3.test(input.charAt(peg$currPos))) {
                // @ts-ignore
                s2 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s2 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e66);
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                while (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s1.push(s2);
                    // @ts-ignore
                    if (peg$r3.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s2 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e66);
                        }
                    }
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1030();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseno_whitespace() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            peg$savedPos = peg$currPos;
            // @ts-ignore
            s1 = peg$f1031();
            // @ts-ignore
            if (s1) {
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1032();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebracket_quoted_ident() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 91) {
                // @ts-ignore
                s1 = peg$c6;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e7);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                if (peg$r4.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s3 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e67);
                    }
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseescaped_bracket();
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    while (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s2.push(s3);
                        // @ts-ignore
                        if (peg$r4.test(input.charAt(peg$currPos))) {
                            // @ts-ignore
                            s3 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e67);
                            }
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parseescaped_bracket();
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 93) {
                        // @ts-ignore
                        s3 = peg$c7;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e8);
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1033(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseescaped_bracket() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c61) {
                // @ts-ignore
                s1 = peg$c61;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e68);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1034();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseident_name() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident_name_bigquery();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1035();
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseident_name_basic();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1036();
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsedigits();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = null;
                        }
                        // @ts-ignore
                        s3 = peg$parseident_name_basic();
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f1037();
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseident_name_bigquery() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident_name_basic();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 45) {
                    // @ts-ignore
                    s4 = peg$c53;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s4 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e55);
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parseident_name_basic();
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parsedigits();
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 45) {
                        // @ts-ignore
                        s4 = peg$c53;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e55);
                        }
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parseident_name_basic();
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s5 = peg$parsedigits();
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s1 = [s1, s2];
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseident_name_basic() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident_start();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$parseident_part();
                }
                // @ts-ignore
                s1 = [s1, s2];
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseident_start() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parseascii_letter();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseunicode_letter();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s1 = [s1, s2];
                        // @ts-ignore
                        s0 = s1;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseunicode_letter();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s1 = [s1, s2];
                            // @ts-ignore
                            s0 = s1;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseunicode_letter();
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                if (input.charCodeAt(peg$currPos) === 36) {
                                    // @ts-ignore
                                    s2 = peg$c59;
                                    // @ts-ignore
                                    peg$currPos++;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s2 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e61);
                                    }
                                }
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                s1 = [s1, s2];
                                // @ts-ignore
                                s0 = s1;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseident_part() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parseascii_letter();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsedigit();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseunicode_letter();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            if (input.charCodeAt(peg$currPos) === 36) {
                                // @ts-ignore
                                s2 = peg$c59;
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e61);
                                }
                            }
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            s1 = [s1, s2];
                            // @ts-ignore
                            s0 = s1;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseascii_letter() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            if (peg$r5.test(input.charAt(peg$currPos))) {
                // @ts-ignore
                s0 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e69);
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseunicode_letter() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            if (peg$r6.test(input.charAt(peg$currPos))) {
                // @ts-ignore
                s0 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e70);
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsevariable() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 64) {
                // @ts-ignore
                s1 = peg$c44;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e45);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident_name();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1038(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 64) {
                    // @ts-ignore
                    s1 = peg$c44;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e45);
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsebackticks_quoted_ident_qq();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1039(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 64) {
                        // @ts-ignore
                        s1 = peg$c44;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e45);
                        }
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsemysql_string_literal_plain();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f1040(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesystem_variable() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c41) {
                // @ts-ignore
                s1 = peg$c41;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e42);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseident_name();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1041(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetyped_array_expr() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsebigquery_array_type();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsearray_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1042(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsearray_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 91) {
                // @ts-ignore
                s1 = peg$c6;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e7);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parselist$expr();
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parseempty_list();
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 93) {
                        // @ts-ignore
                        s3 = peg$c7;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e8);
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1043(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetyped_struct_expr() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            s2 = peg$parsebigquery_struct_type();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s2 = [s2, s3];
                // @ts-ignore
                s1 = s2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestruct_expr();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1044(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestruct_expr() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 40) {
                // @ts-ignore
                s1 = peg$c56;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e58);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parselist$expr_or_explicit_alias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parse__();
                    // @ts-ignore
                    s3 = [s3, s4, s5];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 41) {
                        // @ts-ignore
                        s3 = peg$c57;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e59);
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1045(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexpr_or_explicit_alias() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseexpr();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parseexplicit_alias();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1046(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseliteral() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsestring_literal();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsenumber_literal();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parseblob_literal();
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$parseboolean_literal();
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$parsenull_literal();
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$parsedatetime_literal();
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$parsejson_literal();
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$parsejsonb_literal();
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$parsenumeric_literal();
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$parsebignumeric_literal();
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$parseinterval_literal();
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenull_literal() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseNULL();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1047(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseboolean_literal() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseTRUE();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1048(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseFALSE();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f1049(s1);
                }
                // @ts-ignore
                s0 = s1;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsemysql();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal_mysql();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1050(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsebigquery();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 === peg$FAILED) {
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsestring_literal_plain();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1051(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e71);
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_mysql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsestring_literal_with_charset();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsestring_literal_plain();
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$parsemysql_string_literal_natural_charset();
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_with_charset() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsecharset_introducer();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsestring_literal_without_charset();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1052(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_without_charset() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseblob_literal();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsestring_literal_plain();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_plain() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal_triple_single_quoted();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsestring_literal_triple_double_quoted();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsestring_literal_single_quoted_bs();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsestring_literal_double_quoted_bs();
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsestring_literal_raw();
                            }
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1053(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsesqlite();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsestring_literal_single_quoted_qq();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1054(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsemysql_string_literal_chain();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f1055(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsepostgres_single_quoted_string_chain();
                            // @ts-ignore
                            if (s2 === peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parsestring_literal_dollar_quoted();
                                // @ts-ignore
                                if (s2 === peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parsepostgres_e_single_quoted_string_chain();
                                    // @ts-ignore
                                    if (s2 === peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$parsepostgres_unicode_string();
                                    }
                                }
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f1056(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_string_literal_chain() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsemysql_string_literal_plain();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsemysql_string_literal_plain();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsemysql_string_literal_plain();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1057(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_string_literal_natural_charset() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsestring_literal_natural_charset();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parsemysql_string_literal_plain();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = [s4, s5];
                    // @ts-ignore
                    s3 = s4;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsemysql_string_literal_plain();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1058(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql_string_literal_plain() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parsestring_literal_single_quoted_qq_bs();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsestring_literal_double_quoted_qq_bs();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecharset_introducer() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 95) {
                // @ts-ignore
                s1 = peg$c62;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e72);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsecharset_name();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parseident_part();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1059(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecharset_name() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident_name_basic();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1060();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgres_single_quoted_string_chain() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsestring_literal_single_quoted_qq();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__hspace__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 10) {
                    // @ts-ignore
                    s5 = peg$c63;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e73);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsestring_literal_single_quoted_qq();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__hspace__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 10) {
                        // @ts-ignore
                        s5 = peg$c63;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e73);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsestring_literal_single_quoted_qq();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1061(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgres_e_single_quoted_string_chain() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsestring_literal_e_single_quoted_bs();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__hspace__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 10) {
                    // @ts-ignore
                    s5 = peg$c63;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e73);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsestring_literal_single_quoted_qq_bs();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__hspace__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 10) {
                        // @ts-ignore
                        s5 = peg$c63;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e73);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsestring_literal_single_quoted_qq_bs();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1062(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgres_unicode_string() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsepostgres_unicode_string_chain();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__();
                // @ts-ignore
                s5 = peg$parseUESCAPE();
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsestring_literal_single_quoted_qq();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (s2.length >= 1) {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$parse__();
                        // @ts-ignore
                        s5 = peg$parseUESCAPE();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s6 = peg$parse__();
                            // @ts-ignore
                            s7 = peg$parsestring_literal_single_quoted_qq();
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = [s4, s5, s6, s7];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1063(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgres_unicode_string_chain() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsestring_literal_unicode_single_quoted_qq();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$parse__hspace__();
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 10) {
                    // @ts-ignore
                    s5 = peg$c63;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e73);
                    }
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    s6 = peg$parse__();
                    // @ts-ignore
                    s7 = peg$parsestring_literal_single_quoted_qq();
                    // @ts-ignore
                    if (s7 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5, s6, s7];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__hspace__();
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 10) {
                        // @ts-ignore
                        s5 = peg$c63;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e73);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s6 = peg$parse__();
                        // @ts-ignore
                        s7 = peg$parsestring_literal_single_quoted_qq();
                        // @ts-ignore
                        if (s7 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5, s6, s7];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1064(s1, s2);
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_single_quoted_qq_bs() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 39) {
                // @ts-ignore
                s1 = peg$c64;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e74);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                if (peg$r7.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s3 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e75);
                    }
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseescaped_single_quote_qq();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsebackslash_escape();
                    }
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (peg$r7.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s3 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e75);
                        }
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseescaped_single_quote_qq();
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parsebackslash_escape();
                        }
                    }
                }
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 39) {
                    // @ts-ignore
                    s3 = peg$c64;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e74);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1065(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_e_single_quoted_bs() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 69) {
                // @ts-ignore
                s1 = peg$c65;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e76);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal_single_quoted_qq_bs();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1066(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_unicode_single_quoted_qq() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c66) {
                // @ts-ignore
                s1 = peg$c66;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e77);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal_single_quoted_qq();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1067(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_unicode_double_quoted_qq() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c66) {
                // @ts-ignore
                s1 = peg$c66;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e77);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal_double_quoted_qq();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1068(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_single_quoted_bs() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 39) {
                // @ts-ignore
                s1 = peg$c64;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e74);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                if (peg$r7.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s3 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e75);
                    }
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsebackslash_escape();
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (peg$r7.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s3 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e75);
                        }
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsebackslash_escape();
                    }
                }
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 39) {
                    // @ts-ignore
                    s3 = peg$c64;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e74);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1069(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_single_quoted_qq() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 39) {
                // @ts-ignore
                s1 = peg$c64;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e74);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                if (peg$r8.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s3 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e78);
                    }
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseescaped_single_quote_qq();
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (peg$r8.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s3 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e78);
                        }
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseescaped_single_quote_qq();
                    }
                }
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 39) {
                    // @ts-ignore
                    s3 = peg$c64;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e74);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1070(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseescaped_single_quote_qq() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c67) {
                // @ts-ignore
                s1 = peg$c67;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e79);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1071();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_double_quoted_qq() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 34) {
                // @ts-ignore
                s1 = peg$c68;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e80);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                if (peg$r9.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s3 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e81);
                    }
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseescaped_double_quote_qq();
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (peg$r9.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s3 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e81);
                        }
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseescaped_double_quote_qq();
                    }
                }
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 34) {
                    // @ts-ignore
                    s3 = peg$c68;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e80);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1072(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseescaped_double_quote_qq() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c69) {
                // @ts-ignore
                s1 = peg$c69;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e82);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1073();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_double_quoted_qq_bs() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 34) {
                // @ts-ignore
                s1 = peg$c68;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e80);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                if (peg$r10.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s3 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e83);
                    }
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parseescaped_double_quote_qq();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsebackslash_escape();
                    }
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (peg$r10.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s3 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e83);
                        }
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseescaped_double_quote_qq();
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parsebackslash_escape();
                        }
                    }
                }
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 34) {
                    // @ts-ignore
                    s3 = peg$c68;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e80);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1074(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_double_quoted_bs() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 34) {
                // @ts-ignore
                s1 = peg$c68;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e80);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                if (peg$r10.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s3 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e83);
                    }
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsebackslash_escape();
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (peg$r10.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s3 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e83);
                        }
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsebackslash_escape();
                    }
                }
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 34) {
                    // @ts-ignore
                    s3 = peg$c68;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e80);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1075(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_triple_single_quoted() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3) === peg$c70) {
                // @ts-ignore
                s1 = peg$c70;
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e84);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                if (peg$r7.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s3 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e75);
                    }
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsesingle_quote_in_3quote();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsebackslash_escape();
                    }
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (peg$r7.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s3 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e75);
                        }
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsesingle_quote_in_3quote();
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parsebackslash_escape();
                        }
                    }
                }
                // @ts-ignore
                if (input.substr(peg$currPos, 3) === peg$c70) {
                    // @ts-ignore
                    s3 = peg$c70;
                    // @ts-ignore
                    peg$currPos += 3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e84);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1076(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesingle_quote_in_3quote() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c67) {
                // @ts-ignore
                s1 = peg$c67;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e79);
                }
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 39) {
                    // @ts-ignore
                    s1 = peg$c64;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e74);
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 39) {
                    // @ts-ignore
                    s3 = peg$c64;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e74);
                    }
                }
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1077(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_triple_double_quoted() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3) === peg$c71) {
                // @ts-ignore
                s1 = peg$c71;
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e85);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                if (peg$r10.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s3 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e83);
                    }
                }
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsedouble_quote_in_3quote();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsebackslash_escape();
                    }
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    if (peg$r10.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s3 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e83);
                        }
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsedouble_quote_in_3quote();
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$parsebackslash_escape();
                        }
                    }
                }
                // @ts-ignore
                if (input.substr(peg$currPos, 3) === peg$c71) {
                    // @ts-ignore
                    s3 = peg$c71;
                    // @ts-ignore
                    peg$currPos += 3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e85);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1078(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedouble_quote_in_3quote() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c69) {
                // @ts-ignore
                s1 = peg$c69;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e82);
                }
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 34) {
                    // @ts-ignore
                    s1 = peg$c68;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e80);
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 34) {
                    // @ts-ignore
                    s3 = peg$c68;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e80);
                    }
                }
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1079(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebackslash_escape() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c72) {
                // @ts-ignore
                s1 = peg$c72;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e86);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1080();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c73) {
                    // @ts-ignore
                    s1 = peg$c73;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e87);
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s1 = peg$f1081();
                }
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c74) {
                        // @ts-ignore
                        s1 = peg$c74;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e88);
                        }
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s1 = peg$f1082();
                    }
                    // @ts-ignore
                    s0 = s1;
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        if (input.substr(peg$currPos, 2) === peg$c75) {
                            // @ts-ignore
                            s1 = peg$c75;
                            // @ts-ignore
                            peg$currPos += 2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e89);
                            }
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s1 = peg$f1083();
                        }
                        // @ts-ignore
                        s0 = s1;
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            if (input.substr(peg$currPos, 2) === peg$c76) {
                                // @ts-ignore
                                s1 = peg$c76;
                                // @ts-ignore
                                peg$currPos += 2;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e90);
                                }
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s3 = peg$parsebigquery();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s3 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s2;
                                    // @ts-ignore
                                    s2 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s2 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s2 === peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s3 = peg$parsepostgres();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s3 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s2;
                                        // @ts-ignore
                                        s2 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s2 = peg$FAILED;
                                    }
                                }
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f1084();
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$currPos;
                                // @ts-ignore
                                if (input.substr(peg$currPos, 2) === peg$c77) {
                                    // @ts-ignore
                                    s1 = peg$c77;
                                    // @ts-ignore
                                    peg$currPos += 2;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e91);
                                    }
                                }
                                // @ts-ignore
                                if (s1 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$currPos;
                                    // @ts-ignore
                                    peg$silentFails++;
                                    // @ts-ignore
                                    s3 = peg$parsebigquery();
                                    // @ts-ignore
                                    peg$silentFails--;
                                    // @ts-ignore
                                    if (s3 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$currPos = s2;
                                        // @ts-ignore
                                        s2 = undefined;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s2 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f1085();
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s0 === peg$FAILED) {
                                    // @ts-ignore
                                    s0 = peg$currPos;
                                    // @ts-ignore
                                    if (input.substr(peg$currPos, 2) === peg$c78) {
                                        // @ts-ignore
                                        s1 = peg$c78;
                                        // @ts-ignore
                                        peg$currPos += 2;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s1 = peg$FAILED;
                                        // @ts-ignore
                                        if (peg$silentFails === 0) {
                                            peg$fail(peg$e92);
                                        }
                                    }
                                    // @ts-ignore
                                    if (s1 !== peg$FAILED) {
                                        // @ts-ignore
                                        s2 = peg$currPos;
                                        // @ts-ignore
                                        peg$silentFails++;
                                        // @ts-ignore
                                        s3 = peg$parsebigquery();
                                        // @ts-ignore
                                        peg$silentFails--;
                                        // @ts-ignore
                                        if (s3 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$currPos = s2;
                                            // @ts-ignore
                                            s2 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s2 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s2 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f1086();
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                    if (s0 === peg$FAILED) {
                                        // @ts-ignore
                                        s0 = peg$currPos;
                                        // @ts-ignore
                                        if (input.charCodeAt(peg$currPos) === 92) {
                                            // @ts-ignore
                                            s1 = peg$c79;
                                            // @ts-ignore
                                            peg$currPos++;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s1 = peg$FAILED;
                                            // @ts-ignore
                                            if (peg$silentFails === 0) {
                                                peg$fail(peg$e93);
                                            }
                                        }
                                        // @ts-ignore
                                        if (s1 !== peg$FAILED) {
                                            // @ts-ignore
                                            s2 = peg$currPos;
                                            // @ts-ignore
                                            s3 = peg$currPos;
                                            // @ts-ignore
                                            if (peg$r11.test(input.charAt(peg$currPos))) {
                                                // @ts-ignore
                                                s4 = input.charAt(peg$currPos);
                                                // @ts-ignore
                                                peg$currPos++;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s4 = peg$FAILED;
                                                // @ts-ignore
                                                if (peg$silentFails === 0) {
                                                    peg$fail(peg$e94);
                                                }
                                            }
                                            // @ts-ignore
                                            if (s4 !== peg$FAILED) {
                                                // @ts-ignore
                                                if (peg$r11.test(input.charAt(peg$currPos))) {
                                                    // @ts-ignore
                                                    s5 = input.charAt(peg$currPos);
                                                    // @ts-ignore
                                                    peg$currPos++;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s5 = peg$FAILED;
                                                    // @ts-ignore
                                                    if (peg$silentFails === 0) {
                                                        peg$fail(peg$e94);
                                                    }
                                                }
                                                // @ts-ignore
                                                if (s5 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    if (peg$r11.test(input.charAt(peg$currPos))) {
                                                        // @ts-ignore
                                                        s6 = input.charAt(peg$currPos);
                                                        // @ts-ignore
                                                        peg$currPos++;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s6 = peg$FAILED;
                                                        // @ts-ignore
                                                        if (peg$silentFails === 0) {
                                                            peg$fail(peg$e94);
                                                        }
                                                    }
                                                    // @ts-ignore
                                                    if (s6 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        s4 = [s4, s5, s6];
                                                        // @ts-ignore
                                                        s3 = s4;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s3;
                                                        // @ts-ignore
                                                        s3 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s3;
                                                    // @ts-ignore
                                                    s3 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s3;
                                                // @ts-ignore
                                                s3 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s3 === peg$FAILED) {
                                                // @ts-ignore
                                                s3 = peg$currPos;
                                                // @ts-ignore
                                                if (peg$r11.test(input.charAt(peg$currPos))) {
                                                    // @ts-ignore
                                                    s4 = input.charAt(peg$currPos);
                                                    // @ts-ignore
                                                    peg$currPos++;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s4 = peg$FAILED;
                                                    // @ts-ignore
                                                    if (peg$silentFails === 0) {
                                                        peg$fail(peg$e94);
                                                    }
                                                }
                                                // @ts-ignore
                                                if (s4 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    if (peg$r11.test(input.charAt(peg$currPos))) {
                                                        // @ts-ignore
                                                        s5 = input.charAt(peg$currPos);
                                                        // @ts-ignore
                                                        peg$currPos++;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s5 = peg$FAILED;
                                                        // @ts-ignore
                                                        if (peg$silentFails === 0) {
                                                            peg$fail(peg$e94);
                                                        }
                                                    }
                                                    // @ts-ignore
                                                    if (s5 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        s4 = [s4, s5];
                                                        // @ts-ignore
                                                        s3 = s4;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s3;
                                                        // @ts-ignore
                                                        s3 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s3;
                                                    // @ts-ignore
                                                    s3 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s3 === peg$FAILED) {
                                                    // @ts-ignore
                                                    if (peg$r11.test(input.charAt(peg$currPos))) {
                                                        // @ts-ignore
                                                        s3 = input.charAt(peg$currPos);
                                                        // @ts-ignore
                                                        peg$currPos++;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s3 = peg$FAILED;
                                                        // @ts-ignore
                                                        if (peg$silentFails === 0) {
                                                            peg$fail(peg$e94);
                                                        }
                                                    }
                                                }
                                            }
                                            // @ts-ignore
                                            if (s3 !== peg$FAILED) {
                                                // @ts-ignore
                                                s2 = input.substring(s2, peg$currPos);
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s2 = s3;
                                            }
                                            // @ts-ignore
                                            if (s2 !== peg$FAILED) {
                                                // @ts-ignore
                                                s3 = peg$currPos;
                                                // @ts-ignore
                                                peg$silentFails++;
                                                // @ts-ignore
                                                s4 = peg$parsepostgres();
                                                // @ts-ignore
                                                peg$silentFails--;
                                                // @ts-ignore
                                                if (s4 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$currPos = s3;
                                                    // @ts-ignore
                                                    s3 = undefined;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s3 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s3 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    peg$savedPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$f1087(s2);
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s0 === peg$FAILED) {
                                            // @ts-ignore
                                            s0 = peg$currPos;
                                            // @ts-ignore
                                            if (input.charCodeAt(peg$currPos) === 92) {
                                                // @ts-ignore
                                                s1 = peg$c79;
                                                // @ts-ignore
                                                peg$currPos++;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s1 = peg$FAILED;
                                                // @ts-ignore
                                                if (peg$silentFails === 0) {
                                                    peg$fail(peg$e93);
                                                }
                                            }
                                            // @ts-ignore
                                            if (s1 !== peg$FAILED) {
                                                // @ts-ignore
                                                s2 = peg$currPos;
                                                // @ts-ignore
                                                s3 = peg$currPos;
                                                // @ts-ignore
                                                if (peg$r11.test(input.charAt(peg$currPos))) {
                                                    // @ts-ignore
                                                    s4 = input.charAt(peg$currPos);
                                                    // @ts-ignore
                                                    peg$currPos++;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s4 = peg$FAILED;
                                                    // @ts-ignore
                                                    if (peg$silentFails === 0) {
                                                        peg$fail(peg$e94);
                                                    }
                                                }
                                                // @ts-ignore
                                                if (s4 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    if (peg$r11.test(input.charAt(peg$currPos))) {
                                                        // @ts-ignore
                                                        s5 = input.charAt(peg$currPos);
                                                        // @ts-ignore
                                                        peg$currPos++;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s5 = peg$FAILED;
                                                        // @ts-ignore
                                                        if (peg$silentFails === 0) {
                                                            peg$fail(peg$e94);
                                                        }
                                                    }
                                                    // @ts-ignore
                                                    if (s5 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        if (peg$r11.test(input.charAt(peg$currPos))) {
                                                            // @ts-ignore
                                                            s6 = input.charAt(peg$currPos);
                                                            // @ts-ignore
                                                            peg$currPos++;
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            s6 = peg$FAILED;
                                                            // @ts-ignore
                                                            if (peg$silentFails === 0) {
                                                                peg$fail(peg$e94);
                                                            }
                                                        }
                                                        // @ts-ignore
                                                        if (s6 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            s4 = [s4, s5, s6];
                                                            // @ts-ignore
                                                            s3 = s4;
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s3;
                                                            // @ts-ignore
                                                            s3 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s3;
                                                        // @ts-ignore
                                                        s3 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s3;
                                                    // @ts-ignore
                                                    s3 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s3 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    s2 = input.substring(s2, peg$currPos);
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s2 = s3;
                                                }
                                                // @ts-ignore
                                                if (s2 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    s3 = peg$currPos;
                                                    // @ts-ignore
                                                    peg$silentFails++;
                                                    // @ts-ignore
                                                    s4 = peg$parsebigquery();
                                                    // @ts-ignore
                                                    peg$silentFails--;
                                                    // @ts-ignore
                                                    if (s4 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        peg$currPos = s3;
                                                        // @ts-ignore
                                                        s3 = undefined;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s3 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                    if (s3 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        peg$savedPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$f1088(s2);
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s0;
                                                // @ts-ignore
                                                s0 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s0 === peg$FAILED) {
                                                // @ts-ignore
                                                s0 = peg$currPos;
                                                // @ts-ignore
                                                if (input.charCodeAt(peg$currPos) === 92) {
                                                    // @ts-ignore
                                                    s1 = peg$c79;
                                                    // @ts-ignore
                                                    peg$currPos++;
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    s1 = peg$FAILED;
                                                    // @ts-ignore
                                                    if (peg$silentFails === 0) {
                                                        peg$fail(peg$e93);
                                                    }
                                                }
                                                // @ts-ignore
                                                if (s1 !== peg$FAILED) {
                                                    // @ts-ignore
                                                    if (input.charCodeAt(peg$currPos) === 120) {
                                                        // @ts-ignore
                                                        s2 = peg$c80;
                                                        // @ts-ignore
                                                        peg$currPos++;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s2 = peg$FAILED;
                                                        // @ts-ignore
                                                        if (peg$silentFails === 0) {
                                                            peg$fail(peg$e95);
                                                        }
                                                    }
                                                    // @ts-ignore
                                                    if (s2 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        s3 = peg$currPos;
                                                        // @ts-ignore
                                                        s4 = peg$currPos;
                                                        // @ts-ignore
                                                        s5 = peg$parsehex_digit();
                                                        // @ts-ignore
                                                        if (s5 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            s6 = peg$parsehex_digit();
                                                            // @ts-ignore
                                                            if (s6 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                s5 = [s5, s6];
                                                                // @ts-ignore
                                                                s4 = s5;
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s4;
                                                                // @ts-ignore
                                                                s4 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s4;
                                                            // @ts-ignore
                                                            s4 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                        if (s4 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s4 = peg$parsehex_digit();
                                                        }
                                                        // @ts-ignore
                                                        if (s4 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            s3 = input.substring(s3, peg$currPos);
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            s3 = s4;
                                                        }
                                                        // @ts-ignore
                                                        if (s3 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            s4 = peg$currPos;
                                                            // @ts-ignore
                                                            peg$silentFails++;
                                                            // @ts-ignore
                                                            s5 = peg$parsepostgres();
                                                            // @ts-ignore
                                                            peg$silentFails--;
                                                            // @ts-ignore
                                                            if (s5 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                peg$currPos = s4;
                                                                // @ts-ignore
                                                                s4 = undefined;
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                s4 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                            if (s4 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                peg$savedPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$f1089(s3);
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s0;
                                                            // @ts-ignore
                                                            s0 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                }
                                                else {
                                                    // @ts-ignore
                                                    peg$currPos = s0;
                                                    // @ts-ignore
                                                    s0 = peg$FAILED;
                                                }
                                                // @ts-ignore
                                                if (s0 === peg$FAILED) {
                                                    // @ts-ignore
                                                    s0 = peg$currPos;
                                                    // @ts-ignore
                                                    if (input.charCodeAt(peg$currPos) === 92) {
                                                        // @ts-ignore
                                                        s1 = peg$c79;
                                                        // @ts-ignore
                                                        peg$currPos++;
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        s1 = peg$FAILED;
                                                        // @ts-ignore
                                                        if (peg$silentFails === 0) {
                                                            peg$fail(peg$e93);
                                                        }
                                                    }
                                                    // @ts-ignore
                                                    if (s1 !== peg$FAILED) {
                                                        // @ts-ignore
                                                        if (input.substr(peg$currPos, 1).toLowerCase() === peg$c80) {
                                                            // @ts-ignore
                                                            s2 = input.charAt(peg$currPos);
                                                            // @ts-ignore
                                                            peg$currPos++;
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            s2 = peg$FAILED;
                                                            // @ts-ignore
                                                            if (peg$silentFails === 0) {
                                                                peg$fail(peg$e96);
                                                            }
                                                        }
                                                        // @ts-ignore
                                                        if (s2 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            s3 = peg$currPos;
                                                            // @ts-ignore
                                                            s4 = peg$currPos;
                                                            // @ts-ignore
                                                            s5 = peg$parsehex_digit();
                                                            // @ts-ignore
                                                            if (s5 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                s6 = peg$parsehex_digit();
                                                                // @ts-ignore
                                                                if (s6 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s5 = [s5, s6];
                                                                    // @ts-ignore
                                                                    s4 = s5;
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s4;
                                                                    // @ts-ignore
                                                                    s4 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s4;
                                                                // @ts-ignore
                                                                s4 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                            if (s4 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                s3 = input.substring(s3, peg$currPos);
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                s3 = s4;
                                                            }
                                                            // @ts-ignore
                                                            if (s3 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                s4 = peg$currPos;
                                                                // @ts-ignore
                                                                peg$silentFails++;
                                                                // @ts-ignore
                                                                s5 = peg$parsebigquery();
                                                                // @ts-ignore
                                                                peg$silentFails--;
                                                                // @ts-ignore
                                                                if (s5 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    peg$currPos = s4;
                                                                    // @ts-ignore
                                                                    s4 = undefined;
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    s4 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                                if (s4 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    peg$savedPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$f1090(s3);
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s0;
                                                            // @ts-ignore
                                                            s0 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                    }
                                                    else {
                                                        // @ts-ignore
                                                        peg$currPos = s0;
                                                        // @ts-ignore
                                                        s0 = peg$FAILED;
                                                    }
                                                    // @ts-ignore
                                                    if (s0 === peg$FAILED) {
                                                        // @ts-ignore
                                                        s0 = peg$currPos;
                                                        // @ts-ignore
                                                        if (input.charCodeAt(peg$currPos) === 92) {
                                                            // @ts-ignore
                                                            s1 = peg$c79;
                                                            // @ts-ignore
                                                            peg$currPos++;
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            s1 = peg$FAILED;
                                                            // @ts-ignore
                                                            if (peg$silentFails === 0) {
                                                                peg$fail(peg$e93);
                                                            }
                                                        }
                                                        // @ts-ignore
                                                        if (s1 !== peg$FAILED) {
                                                            // @ts-ignore
                                                            if (input.charCodeAt(peg$currPos) === 117) {
                                                                // @ts-ignore
                                                                s2 = peg$c81;
                                                                // @ts-ignore
                                                                peg$currPos++;
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                s2 = peg$FAILED;
                                                                // @ts-ignore
                                                                if (peg$silentFails === 0) {
                                                                    peg$fail(peg$e97);
                                                                }
                                                            }
                                                            // @ts-ignore
                                                            if (s2 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                s3 = peg$currPos;
                                                                // @ts-ignore
                                                                s4 = peg$currPos;
                                                                // @ts-ignore
                                                                s5 = peg$parsehex_digit();
                                                                // @ts-ignore
                                                                if (s5 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s6 = peg$parsehex_digit();
                                                                    // @ts-ignore
                                                                    if (s6 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s7 = peg$parsehex_digit();
                                                                        // @ts-ignore
                                                                        if (s7 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s8 = peg$parsehex_digit();
                                                                            // @ts-ignore
                                                                            if (s8 !== peg$FAILED) {
                                                                                // @ts-ignore
                                                                                s5 = [s5, s6, s7, s8];
                                                                                // @ts-ignore
                                                                                s4 = s5;
                                                                                // @ts-ignore
                                                                            }
                                                                            else {
                                                                                // @ts-ignore
                                                                                peg$currPos = s4;
                                                                                // @ts-ignore
                                                                                s4 = peg$FAILED;
                                                                            }
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            peg$currPos = s4;
                                                                            // @ts-ignore
                                                                            s4 = peg$FAILED;
                                                                        }
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s4;
                                                                        // @ts-ignore
                                                                        s4 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s4;
                                                                    // @ts-ignore
                                                                    s4 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                                if (s4 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s3 = input.substring(s3, peg$currPos);
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    s3 = s4;
                                                                }
                                                                // @ts-ignore
                                                                if (s3 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s4 = peg$currPos;
                                                                    // @ts-ignore
                                                                    peg$silentFails++;
                                                                    // @ts-ignore
                                                                    s5 = peg$parsebigquery();
                                                                    // @ts-ignore
                                                                    peg$silentFails--;
                                                                    // @ts-ignore
                                                                    if (s5 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        peg$currPos = s4;
                                                                        // @ts-ignore
                                                                        s4 = undefined;
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        s4 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s4 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s4 = peg$currPos;
                                                                        // @ts-ignore
                                                                        peg$silentFails++;
                                                                        // @ts-ignore
                                                                        s5 = peg$parsepostgres();
                                                                        // @ts-ignore
                                                                        peg$silentFails--;
                                                                        // @ts-ignore
                                                                        if (s5 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            peg$currPos = s4;
                                                                            // @ts-ignore
                                                                            s4 = undefined;
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            s4 = peg$FAILED;
                                                                        }
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s4 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        peg$savedPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$f1091(s3);
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                        }
                                                        else {
                                                            // @ts-ignore
                                                            peg$currPos = s0;
                                                            // @ts-ignore
                                                            s0 = peg$FAILED;
                                                        }
                                                        // @ts-ignore
                                                        if (s0 === peg$FAILED) {
                                                            // @ts-ignore
                                                            s0 = peg$currPos;
                                                            // @ts-ignore
                                                            if (input.charCodeAt(peg$currPos) === 92) {
                                                                // @ts-ignore
                                                                s1 = peg$c79;
                                                                // @ts-ignore
                                                                peg$currPos++;
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                s1 = peg$FAILED;
                                                                // @ts-ignore
                                                                if (peg$silentFails === 0) {
                                                                    peg$fail(peg$e93);
                                                                }
                                                            }
                                                            // @ts-ignore
                                                            if (s1 !== peg$FAILED) {
                                                                // @ts-ignore
                                                                if (input.charCodeAt(peg$currPos) === 85) {
                                                                    // @ts-ignore
                                                                    s2 = peg$c82;
                                                                    // @ts-ignore
                                                                    peg$currPos++;
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    s2 = peg$FAILED;
                                                                    // @ts-ignore
                                                                    if (peg$silentFails === 0) {
                                                                        peg$fail(peg$e98);
                                                                    }
                                                                }
                                                                // @ts-ignore
                                                                if (s2 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s3 = peg$currPos;
                                                                    // @ts-ignore
                                                                    s4 = peg$currPos;
                                                                    // @ts-ignore
                                                                    s5 = peg$parsehex_digit();
                                                                    // @ts-ignore
                                                                    if (s5 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s6 = peg$parsehex_digit();
                                                                        // @ts-ignore
                                                                        if (s6 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s7 = peg$parsehex_digit();
                                                                            // @ts-ignore
                                                                            if (s7 !== peg$FAILED) {
                                                                                // @ts-ignore
                                                                                s8 = peg$parsehex_digit();
                                                                                // @ts-ignore
                                                                                if (s8 !== peg$FAILED) {
                                                                                    // @ts-ignore
                                                                                    s9 = peg$parsehex_digit();
                                                                                    // @ts-ignore
                                                                                    if (s9 !== peg$FAILED) {
                                                                                        // @ts-ignore
                                                                                        s10 = peg$parsehex_digit();
                                                                                        // @ts-ignore
                                                                                        if (s10 !== peg$FAILED) {
                                                                                            // @ts-ignore
                                                                                            s11 = peg$parsehex_digit();
                                                                                            // @ts-ignore
                                                                                            if (s11 !== peg$FAILED) {
                                                                                                // @ts-ignore
                                                                                                s12 = peg$parsehex_digit();
                                                                                                // @ts-ignore
                                                                                                if (s12 !== peg$FAILED) {
                                                                                                    // @ts-ignore
                                                                                                    s5 = [s5, s6, s7, s8, s9, s10, s11, s12];
                                                                                                    // @ts-ignore
                                                                                                    s4 = s5;
                                                                                                    // @ts-ignore
                                                                                                }
                                                                                                else {
                                                                                                    // @ts-ignore
                                                                                                    peg$currPos = s4;
                                                                                                    // @ts-ignore
                                                                                                    s4 = peg$FAILED;
                                                                                                }
                                                                                                // @ts-ignore
                                                                                            }
                                                                                            else {
                                                                                                // @ts-ignore
                                                                                                peg$currPos = s4;
                                                                                                // @ts-ignore
                                                                                                s4 = peg$FAILED;
                                                                                            }
                                                                                            // @ts-ignore
                                                                                        }
                                                                                        else {
                                                                                            // @ts-ignore
                                                                                            peg$currPos = s4;
                                                                                            // @ts-ignore
                                                                                            s4 = peg$FAILED;
                                                                                        }
                                                                                        // @ts-ignore
                                                                                    }
                                                                                    else {
                                                                                        // @ts-ignore
                                                                                        peg$currPos = s4;
                                                                                        // @ts-ignore
                                                                                        s4 = peg$FAILED;
                                                                                    }
                                                                                    // @ts-ignore
                                                                                }
                                                                                else {
                                                                                    // @ts-ignore
                                                                                    peg$currPos = s4;
                                                                                    // @ts-ignore
                                                                                    s4 = peg$FAILED;
                                                                                }
                                                                                // @ts-ignore
                                                                            }
                                                                            else {
                                                                                // @ts-ignore
                                                                                peg$currPos = s4;
                                                                                // @ts-ignore
                                                                                s4 = peg$FAILED;
                                                                            }
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            peg$currPos = s4;
                                                                            // @ts-ignore
                                                                            s4 = peg$FAILED;
                                                                        }
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s4;
                                                                        // @ts-ignore
                                                                        s4 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s4 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s3 = input.substring(s3, peg$currPos);
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        s3 = s4;
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s3 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s4 = peg$currPos;
                                                                        // @ts-ignore
                                                                        peg$silentFails++;
                                                                        // @ts-ignore
                                                                        s5 = peg$parsebigquery();
                                                                        // @ts-ignore
                                                                        peg$silentFails--;
                                                                        // @ts-ignore
                                                                        if (s5 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            peg$currPos = s4;
                                                                            // @ts-ignore
                                                                            s4 = undefined;
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            s4 = peg$FAILED;
                                                                        }
                                                                        // @ts-ignore
                                                                        if (s4 === peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s4 = peg$currPos;
                                                                            // @ts-ignore
                                                                            peg$silentFails++;
                                                                            // @ts-ignore
                                                                            s5 = peg$parsepostgres();
                                                                            // @ts-ignore
                                                                            peg$silentFails--;
                                                                            // @ts-ignore
                                                                            if (s5 !== peg$FAILED) {
                                                                                // @ts-ignore
                                                                                peg$currPos = s4;
                                                                                // @ts-ignore
                                                                                s4 = undefined;
                                                                                // @ts-ignore
                                                                            }
                                                                            else {
                                                                                // @ts-ignore
                                                                                s4 = peg$FAILED;
                                                                            }
                                                                        }
                                                                        // @ts-ignore
                                                                        if (s4 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            peg$savedPos = s0;
                                                                            // @ts-ignore
                                                                            s0 = peg$f1092(s3);
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            peg$currPos = s0;
                                                                            // @ts-ignore
                                                                            s0 = peg$FAILED;
                                                                        }
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                            }
                                                            else {
                                                                // @ts-ignore
                                                                peg$currPos = s0;
                                                                // @ts-ignore
                                                                s0 = peg$FAILED;
                                                            }
                                                            // @ts-ignore
                                                            if (s0 === peg$FAILED) {
                                                                // @ts-ignore
                                                                s0 = peg$currPos;
                                                                // @ts-ignore
                                                                if (input.substr(peg$currPos, 2) === peg$c83) {
                                                                    // @ts-ignore
                                                                    s1 = peg$c83;
                                                                    // @ts-ignore
                                                                    peg$currPos += 2;
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    s1 = peg$FAILED;
                                                                    // @ts-ignore
                                                                    if (peg$silentFails === 0) {
                                                                        peg$fail(peg$e99);
                                                                    }
                                                                }
                                                                // @ts-ignore
                                                                if (s1 !== peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s2 = peg$currPos;
                                                                    // @ts-ignore
                                                                    peg$silentFails++;
                                                                    // @ts-ignore
                                                                    s3 = peg$parsemysql();
                                                                    // @ts-ignore
                                                                    peg$silentFails--;
                                                                    // @ts-ignore
                                                                    if (s3 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        peg$currPos = s2;
                                                                        // @ts-ignore
                                                                        s2 = undefined;
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        s2 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s2 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        peg$savedPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$f1093();
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                }
                                                                else {
                                                                    // @ts-ignore
                                                                    peg$currPos = s0;
                                                                    // @ts-ignore
                                                                    s0 = peg$FAILED;
                                                                }
                                                                // @ts-ignore
                                                                if (s0 === peg$FAILED) {
                                                                    // @ts-ignore
                                                                    s0 = peg$currPos;
                                                                    // @ts-ignore
                                                                    if (input.substr(peg$currPos, 2) === peg$c84) {
                                                                        // @ts-ignore
                                                                        s1 = peg$c84;
                                                                        // @ts-ignore
                                                                        peg$currPos += 2;
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        s1 = peg$FAILED;
                                                                        // @ts-ignore
                                                                        if (peg$silentFails === 0) {
                                                                            peg$fail(peg$e100);
                                                                        }
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s1 !== peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s2 = peg$currPos;
                                                                        // @ts-ignore
                                                                        peg$silentFails++;
                                                                        // @ts-ignore
                                                                        s3 = peg$parsemysql();
                                                                        // @ts-ignore
                                                                        peg$silentFails--;
                                                                        // @ts-ignore
                                                                        if (s3 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            peg$currPos = s2;
                                                                            // @ts-ignore
                                                                            s2 = undefined;
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            s2 = peg$FAILED;
                                                                        }
                                                                        // @ts-ignore
                                                                        if (s2 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            peg$savedPos = s0;
                                                                            // @ts-ignore
                                                                            s0 = peg$f1094();
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            peg$currPos = s0;
                                                                            // @ts-ignore
                                                                            s0 = peg$FAILED;
                                                                        }
                                                                        // @ts-ignore
                                                                    }
                                                                    else {
                                                                        // @ts-ignore
                                                                        peg$currPos = s0;
                                                                        // @ts-ignore
                                                                        s0 = peg$FAILED;
                                                                    }
                                                                    // @ts-ignore
                                                                    if (s0 === peg$FAILED) {
                                                                        // @ts-ignore
                                                                        s0 = peg$currPos;
                                                                        // @ts-ignore
                                                                        if (input.substr(peg$currPos, 2) === peg$c85) {
                                                                            // @ts-ignore
                                                                            s1 = peg$c85;
                                                                            // @ts-ignore
                                                                            peg$currPos += 2;
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            s1 = peg$FAILED;
                                                                            // @ts-ignore
                                                                            if (peg$silentFails === 0) {
                                                                                peg$fail(peg$e101);
                                                                            }
                                                                        }
                                                                        // @ts-ignore
                                                                        if (s1 !== peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s2 = peg$currPos;
                                                                            // @ts-ignore
                                                                            peg$silentFails++;
                                                                            // @ts-ignore
                                                                            s3 = peg$parsemysql();
                                                                            // @ts-ignore
                                                                            peg$silentFails--;
                                                                            // @ts-ignore
                                                                            if (s3 !== peg$FAILED) {
                                                                                // @ts-ignore
                                                                                peg$currPos = s2;
                                                                                // @ts-ignore
                                                                                s2 = undefined;
                                                                                // @ts-ignore
                                                                            }
                                                                            else {
                                                                                // @ts-ignore
                                                                                s2 = peg$FAILED;
                                                                            }
                                                                            // @ts-ignore
                                                                            if (s2 !== peg$FAILED) {
                                                                                // @ts-ignore
                                                                                peg$savedPos = s0;
                                                                                // @ts-ignore
                                                                                s0 = peg$f1095();
                                                                                // @ts-ignore
                                                                            }
                                                                            else {
                                                                                // @ts-ignore
                                                                                peg$currPos = s0;
                                                                                // @ts-ignore
                                                                                s0 = peg$FAILED;
                                                                            }
                                                                            // @ts-ignore
                                                                        }
                                                                        else {
                                                                            // @ts-ignore
                                                                            peg$currPos = s0;
                                                                            // @ts-ignore
                                                                            s0 = peg$FAILED;
                                                                        }
                                                                        // @ts-ignore
                                                                        if (s0 === peg$FAILED) {
                                                                            // @ts-ignore
                                                                            s0 = peg$currPos;
                                                                            // @ts-ignore
                                                                            if (input.substr(peg$currPos, 2) === peg$c86) {
                                                                                // @ts-ignore
                                                                                s1 = peg$c86;
                                                                                // @ts-ignore
                                                                                peg$currPos += 2;
                                                                                // @ts-ignore
                                                                            }
                                                                            else {
                                                                                // @ts-ignore
                                                                                s1 = peg$FAILED;
                                                                                // @ts-ignore
                                                                                if (peg$silentFails === 0) {
                                                                                    peg$fail(peg$e102);
                                                                                }
                                                                            }
                                                                            // @ts-ignore
                                                                            if (s1 !== peg$FAILED) {
                                                                                // @ts-ignore
                                                                                s2 = peg$currPos;
                                                                                // @ts-ignore
                                                                                peg$silentFails++;
                                                                                // @ts-ignore
                                                                                s3 = peg$parsemysql();
                                                                                // @ts-ignore
                                                                                peg$silentFails--;
                                                                                // @ts-ignore
                                                                                if (s3 !== peg$FAILED) {
                                                                                    // @ts-ignore
                                                                                    peg$currPos = s2;
                                                                                    // @ts-ignore
                                                                                    s2 = undefined;
                                                                                    // @ts-ignore
                                                                                }
                                                                                else {
                                                                                    // @ts-ignore
                                                                                    s2 = peg$FAILED;
                                                                                }
                                                                                // @ts-ignore
                                                                                if (s2 !== peg$FAILED) {
                                                                                    // @ts-ignore
                                                                                    peg$savedPos = s0;
                                                                                    // @ts-ignore
                                                                                    s0 = peg$f1096();
                                                                                    // @ts-ignore
                                                                                }
                                                                                else {
                                                                                    // @ts-ignore
                                                                                    peg$currPos = s0;
                                                                                    // @ts-ignore
                                                                                    s0 = peg$FAILED;
                                                                                }
                                                                                // @ts-ignore
                                                                            }
                                                                            else {
                                                                                // @ts-ignore
                                                                                peg$currPos = s0;
                                                                                // @ts-ignore
                                                                                s0 = peg$FAILED;
                                                                            }
                                                                            // @ts-ignore
                                                                            if (s0 === peg$FAILED) {
                                                                                // @ts-ignore
                                                                                s0 = peg$currPos;
                                                                                // @ts-ignore
                                                                                if (input.charCodeAt(peg$currPos) === 92) {
                                                                                    // @ts-ignore
                                                                                    s1 = peg$c79;
                                                                                    // @ts-ignore
                                                                                    peg$currPos++;
                                                                                    // @ts-ignore
                                                                                }
                                                                                else {
                                                                                    // @ts-ignore
                                                                                    s1 = peg$FAILED;
                                                                                    // @ts-ignore
                                                                                    if (peg$silentFails === 0) {
                                                                                        peg$fail(peg$e93);
                                                                                    }
                                                                                }
                                                                                // @ts-ignore
                                                                                if (s1 !== peg$FAILED) {
                                                                                    // @ts-ignore
                                                                                    if (input.length > peg$currPos) {
                                                                                        // @ts-ignore
                                                                                        s2 = input.charAt(peg$currPos);
                                                                                        // @ts-ignore
                                                                                        peg$currPos++;
                                                                                        // @ts-ignore
                                                                                    }
                                                                                    else {
                                                                                        // @ts-ignore
                                                                                        s2 = peg$FAILED;
                                                                                        // @ts-ignore
                                                                                        if (peg$silentFails === 0) {
                                                                                            peg$fail(peg$e1);
                                                                                        }
                                                                                    }
                                                                                    // @ts-ignore
                                                                                    if (s2 !== peg$FAILED) {
                                                                                        // @ts-ignore
                                                                                        peg$savedPos = s0;
                                                                                        // @ts-ignore
                                                                                        s0 = peg$f1097(s2);
                                                                                        // @ts-ignore
                                                                                    }
                                                                                    else {
                                                                                        // @ts-ignore
                                                                                        peg$currPos = s0;
                                                                                        // @ts-ignore
                                                                                        s0 = peg$FAILED;
                                                                                    }
                                                                                    // @ts-ignore
                                                                                }
                                                                                else {
                                                                                    // @ts-ignore
                                                                                    peg$currPos = s0;
                                                                                    // @ts-ignore
                                                                                    s0 = peg$FAILED;
                                                                                }
                                                                            }
                                                                        }
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_natural_charset() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 1).toLowerCase() === peg$c87) {
                // @ts-ignore
                s1 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e103);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal_single_quoted_qq_bs();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1098(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_raw() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 1).toLowerCase() === peg$c88) {
                // @ts-ignore
                s1 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e104);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal_raw_chars();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1099(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseblob_literal_raw_byte() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c89) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e105);
                }
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                if (input.substr(peg$currPos, 2).toLowerCase() === peg$c90) {
                    // @ts-ignore
                    s1 = input.substr(peg$currPos, 2);
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e106);
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal_raw_chars();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1100(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_raw_chars() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3) === peg$c70) {
                // @ts-ignore
                s1 = peg$c70;
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e84);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                if (peg$r8.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s4 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s4 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e78);
                    }
                }
                // @ts-ignore
                if (s4 === peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parsesingle_quote_in_3quote();
                }
                // @ts-ignore
                while (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3.push(s4);
                    // @ts-ignore
                    if (peg$r8.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s4 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e78);
                        }
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parsesingle_quote_in_3quote();
                    }
                }
                // @ts-ignore
                s2 = input.substring(s2, peg$currPos);
                // @ts-ignore
                if (input.substr(peg$currPos, 3) === peg$c70) {
                    // @ts-ignore
                    s3 = peg$c70;
                    // @ts-ignore
                    peg$currPos += 3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e84);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1101(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                if (input.substr(peg$currPos, 3) === peg$c71) {
                    // @ts-ignore
                    s1 = peg$c71;
                    // @ts-ignore
                    peg$currPos += 3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e85);
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = [];
                    // @ts-ignore
                    if (peg$r9.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s4 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e81);
                        }
                    }
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parsedouble_quote_in_3quote();
                    }
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        if (peg$r9.test(input.charAt(peg$currPos))) {
                            // @ts-ignore
                            s4 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s4 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e81);
                            }
                        }
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$parsedouble_quote_in_3quote();
                        }
                    }
                    // @ts-ignore
                    s2 = input.substring(s2, peg$currPos);
                    // @ts-ignore
                    if (input.substr(peg$currPos, 3) === peg$c71) {
                        // @ts-ignore
                        s3 = peg$c71;
                        // @ts-ignore
                        peg$currPos += 3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e85);
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1102(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 39) {
                        // @ts-ignore
                        s1 = peg$c64;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e74);
                        }
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = [];
                        // @ts-ignore
                        if (peg$r8.test(input.charAt(peg$currPos))) {
                            // @ts-ignore
                            s4 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s4 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e78);
                            }
                        }
                        // @ts-ignore
                        while (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s3.push(s4);
                            // @ts-ignore
                            if (peg$r8.test(input.charAt(peg$currPos))) {
                                // @ts-ignore
                                s4 = input.charAt(peg$currPos);
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s4 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e78);
                                }
                            }
                        }
                        // @ts-ignore
                        s2 = input.substring(s2, peg$currPos);
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 39) {
                            // @ts-ignore
                            s3 = peg$c64;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e74);
                            }
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f1103(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 34) {
                            // @ts-ignore
                            s1 = peg$c68;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e80);
                            }
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            s3 = [];
                            // @ts-ignore
                            if (peg$r9.test(input.charAt(peg$currPos))) {
                                // @ts-ignore
                                s4 = input.charAt(peg$currPos);
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s4 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e81);
                                }
                            }
                            // @ts-ignore
                            while (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s3.push(s4);
                                // @ts-ignore
                                if (peg$r9.test(input.charAt(peg$currPos))) {
                                    // @ts-ignore
                                    s4 = input.charAt(peg$currPos);
                                    // @ts-ignore
                                    peg$currPos++;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s4 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e81);
                                    }
                                }
                            }
                            // @ts-ignore
                            s2 = input.substring(s2, peg$currPos);
                            // @ts-ignore
                            if (input.charCodeAt(peg$currPos) === 34) {
                                // @ts-ignore
                                s3 = peg$c68;
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s3 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e80);
                                }
                            }
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f1104(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsestring_literal_dollar_quoted() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11, s12;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c91) {
                // @ts-ignore
                s1 = peg$c91;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e107);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                s5 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c91) {
                    // @ts-ignore
                    s6 = peg$c91;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s6 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e107);
                    }
                }
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s6 === peg$FAILED) {
                    // @ts-ignore
                    s5 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s5;
                    // @ts-ignore
                    s5 = peg$FAILED;
                }
                // @ts-ignore
                if (s5 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.length > peg$currPos) {
                        // @ts-ignore
                        s6 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s6 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e1);
                        }
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [s5, s6];
                        // @ts-ignore
                        s4 = s5;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                while (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3.push(s4);
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    s5 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c91) {
                        // @ts-ignore
                        s6 = peg$c91;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s6 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e107);
                        }
                    }
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s6 === peg$FAILED) {
                        // @ts-ignore
                        s5 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s5;
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        if (input.length > peg$currPos) {
                            // @ts-ignore
                            s6 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s6 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e1);
                            }
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5 = [s5, s6];
                            // @ts-ignore
                            s4 = s5;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s2 = input.substring(s2, peg$currPos);
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c91) {
                    // @ts-ignore
                    s3 = peg$c91;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e107);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1105(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 36) {
                    // @ts-ignore
                    s1 = peg$c59;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e61);
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsetag();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        if (input.charCodeAt(peg$currPos) === 36) {
                            // @ts-ignore
                            s3 = peg$c59;
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e61);
                            }
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = peg$currPos;
                            // @ts-ignore
                            s5 = [];
                            // @ts-ignore
                            s6 = peg$currPos;
                            // @ts-ignore
                            s7 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s8 = peg$currPos;
                            // @ts-ignore
                            if (input.charCodeAt(peg$currPos) === 36) {
                                // @ts-ignore
                                s9 = peg$c59;
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s9 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e61);
                                }
                            }
                            // @ts-ignore
                            if (s9 !== peg$FAILED) {
                                // @ts-ignore
                                s10 = peg$parsetag();
                                // @ts-ignore
                                if (s10 !== peg$FAILED) {
                                    // @ts-ignore
                                    if (input.charCodeAt(peg$currPos) === 36) {
                                        // @ts-ignore
                                        s11 = peg$c59;
                                        // @ts-ignore
                                        peg$currPos++;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s11 = peg$FAILED;
                                        // @ts-ignore
                                        if (peg$silentFails === 0) {
                                            peg$fail(peg$e61);
                                        }
                                    }
                                    // @ts-ignore
                                    if (s11 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = peg$currPos;
                                        // @ts-ignore
                                        s12 = peg$f1106(s2, s10);
                                        // @ts-ignore
                                        if (s12) {
                                            // @ts-ignore
                                            s12 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s12 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s12 !== peg$FAILED) {
                                            // @ts-ignore
                                            s9 = [s9, s10, s11, s12];
                                            // @ts-ignore
                                            s8 = s9;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s8;
                                            // @ts-ignore
                                            s8 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s8;
                                        // @ts-ignore
                                        s8 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s8;
                                    // @ts-ignore
                                    s8 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s8;
                                // @ts-ignore
                                s8 = peg$FAILED;
                            }
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s8 === peg$FAILED) {
                                // @ts-ignore
                                s7 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s7;
                                // @ts-ignore
                                s7 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s7 !== peg$FAILED) {
                                // @ts-ignore
                                if (input.length > peg$currPos) {
                                    // @ts-ignore
                                    s8 = input.charAt(peg$currPos);
                                    // @ts-ignore
                                    peg$currPos++;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s8 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e1);
                                    }
                                }
                                // @ts-ignore
                                if (s8 !== peg$FAILED) {
                                    // @ts-ignore
                                    s7 = [s7, s8];
                                    // @ts-ignore
                                    s6 = s7;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s6;
                                    // @ts-ignore
                                    s6 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s6;
                                // @ts-ignore
                                s6 = peg$FAILED;
                            }
                            // @ts-ignore
                            while (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5.push(s6);
                                // @ts-ignore
                                s6 = peg$currPos;
                                // @ts-ignore
                                s7 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s8 = peg$currPos;
                                // @ts-ignore
                                if (input.charCodeAt(peg$currPos) === 36) {
                                    // @ts-ignore
                                    s9 = peg$c59;
                                    // @ts-ignore
                                    peg$currPos++;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s9 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e61);
                                    }
                                }
                                // @ts-ignore
                                if (s9 !== peg$FAILED) {
                                    // @ts-ignore
                                    s10 = peg$parsetag();
                                    // @ts-ignore
                                    if (s10 !== peg$FAILED) {
                                        // @ts-ignore
                                        if (input.charCodeAt(peg$currPos) === 36) {
                                            // @ts-ignore
                                            s11 = peg$c59;
                                            // @ts-ignore
                                            peg$currPos++;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s11 = peg$FAILED;
                                            // @ts-ignore
                                            if (peg$silentFails === 0) {
                                                peg$fail(peg$e61);
                                            }
                                        }
                                        // @ts-ignore
                                        if (s11 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = peg$currPos;
                                            // @ts-ignore
                                            s12 = peg$f1106(s2, s10);
                                            // @ts-ignore
                                            if (s12) {
                                                // @ts-ignore
                                                s12 = undefined;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                s12 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                            if (s12 !== peg$FAILED) {
                                                // @ts-ignore
                                                s9 = [s9, s10, s11, s12];
                                                // @ts-ignore
                                                s8 = s9;
                                                // @ts-ignore
                                            }
                                            else {
                                                // @ts-ignore
                                                peg$currPos = s8;
                                                // @ts-ignore
                                                s8 = peg$FAILED;
                                            }
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s8;
                                            // @ts-ignore
                                            s8 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s8;
                                        // @ts-ignore
                                        s8 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s8;
                                    // @ts-ignore
                                    s8 = peg$FAILED;
                                }
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s8 === peg$FAILED) {
                                    // @ts-ignore
                                    s7 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s7;
                                    // @ts-ignore
                                    s7 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s7 !== peg$FAILED) {
                                    // @ts-ignore
                                    if (input.length > peg$currPos) {
                                        // @ts-ignore
                                        s8 = input.charAt(peg$currPos);
                                        // @ts-ignore
                                        peg$currPos++;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s8 = peg$FAILED;
                                        // @ts-ignore
                                        if (peg$silentFails === 0) {
                                            peg$fail(peg$e1);
                                        }
                                    }
                                    // @ts-ignore
                                    if (s8 !== peg$FAILED) {
                                        // @ts-ignore
                                        s7 = [s7, s8];
                                        // @ts-ignore
                                        s6 = s7;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s6;
                                        // @ts-ignore
                                        s6 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s6;
                                    // @ts-ignore
                                    s6 = peg$FAILED;
                                }
                            }
                            // @ts-ignore
                            s4 = input.substring(s4, peg$currPos);
                            // @ts-ignore
                            if (input.charCodeAt(peg$currPos) === 36) {
                                // @ts-ignore
                                s5 = peg$c59;
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s5 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e61);
                                }
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s6 = peg$parsetag();
                                // @ts-ignore
                                if (s6 !== peg$FAILED) {
                                    // @ts-ignore
                                    if (input.charCodeAt(peg$currPos) === 36) {
                                        // @ts-ignore
                                        s7 = peg$c59;
                                        // @ts-ignore
                                        peg$currPos++;
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        s7 = peg$FAILED;
                                        // @ts-ignore
                                        if (peg$silentFails === 0) {
                                            peg$fail(peg$e61);
                                        }
                                    }
                                    // @ts-ignore
                                    if (s7 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = peg$currPos;
                                        // @ts-ignore
                                        s8 = peg$f1107(s2, s4, s6);
                                        // @ts-ignore
                                        if (s8) {
                                            // @ts-ignore
                                            s8 = undefined;
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            s8 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                        if (s8 !== peg$FAILED) {
                                            // @ts-ignore
                                            peg$savedPos = s0;
                                            // @ts-ignore
                                            s0 = peg$f1108(s2, s4, s6);
                                            // @ts-ignore
                                        }
                                        else {
                                            // @ts-ignore
                                            peg$currPos = s0;
                                            // @ts-ignore
                                            s0 = peg$FAILED;
                                        }
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsetag() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseunicode_letter();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$parseunicode_letter();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsedigit();
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$parseunicode_letter();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parsedigit();
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1109();
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseblob_literal_byte() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 1).toLowerCase() === peg$c92) {
                // @ts-ignore
                s1 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e108);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsestring_literal_triple_double_quoted();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsestring_literal_triple_single_quoted();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsestring_literal_double_quoted_bs();
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsestring_literal_single_quoted_bs();
                        }
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1110(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedatetime_literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseDATETIME();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsestring_literal_plain();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s4 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s4 = peg$parsesqlite();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s4 = peg$parsebigquery();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                        }
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1111(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parseTIMESTAMP();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parse__();
                    // @ts-ignore
                    s4 = peg$parsestring_literal_plain();
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1112(s1, s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parseDATE();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        s3 = peg$parse__();
                        // @ts-ignore
                        s4 = peg$parsestring_literal_plain();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            s3 = [s3, s4];
                            // @ts-ignore
                            s2 = s3;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f1113(s1, s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parseTIME();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            s3 = peg$parse__();
                            // @ts-ignore
                            s4 = peg$parsestring_literal_plain();
                            // @ts-ignore
                            if (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s3 = [s3, s4];
                                // @ts-ignore
                                s2 = s3;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f1114(s1, s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsejson_literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseJSON();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsestring_literal_plain();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1115(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsejsonb_literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseJSONB();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsestring_literal_plain();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1116(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenumeric_literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseNUMERIC();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsestring_literal_plain();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1117(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebignumeric_literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsebigquery();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseBIGNUMERIC();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsestring_literal_plain();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1118(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseinterval_literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseINTERVAL();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$parse__();
                    // @ts-ignore
                    s5 = peg$parsestring_literal_plain();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1119(s2, s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseblob_literal() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parseblob_literal_hex_string();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsemysql();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 === peg$FAILED) {
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseblob_literal_bit_string();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1120(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsemysql();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseblob_literal_hex();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f1121(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsemysql();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parseblob_literal_bit();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f1122(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s0 === peg$FAILED) {
                            // @ts-ignore
                            s0 = peg$currPos;
                            // @ts-ignore
                            s1 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s2 = peg$parsebigquery();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s1;
                                // @ts-ignore
                                s1 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s1 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s1 !== peg$FAILED) {
                                // @ts-ignore
                                s2 = peg$parseblob_literal_raw_byte();
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$savedPos = s0;
                                    // @ts-ignore
                                    s0 = peg$f1123(s2);
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s0 === peg$FAILED) {
                                // @ts-ignore
                                s0 = peg$currPos;
                                // @ts-ignore
                                s1 = peg$currPos;
                                // @ts-ignore
                                peg$silentFails++;
                                // @ts-ignore
                                s2 = peg$parsebigquery();
                                // @ts-ignore
                                peg$silentFails--;
                                // @ts-ignore
                                if (s2 !== peg$FAILED) {
                                    // @ts-ignore
                                    peg$currPos = s1;
                                    // @ts-ignore
                                    s1 = undefined;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s1 = peg$FAILED;
                                }
                                // @ts-ignore
                                if (s1 !== peg$FAILED) {
                                    // @ts-ignore
                                    s2 = peg$parseblob_literal_byte();
                                    // @ts-ignore
                                    if (s2 !== peg$FAILED) {
                                        // @ts-ignore
                                        peg$savedPos = s0;
                                        // @ts-ignore
                                        s0 = peg$f1124(s2);
                                        // @ts-ignore
                                    }
                                    else {
                                        // @ts-ignore
                                        peg$currPos = s0;
                                        // @ts-ignore
                                        s0 = peg$FAILED;
                                    }
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    peg$currPos = s0;
                                    // @ts-ignore
                                    s0 = peg$FAILED;
                                }
                            }
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseblob_literal_hex_string() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 1).toLowerCase() === peg$c80) {
                // @ts-ignore
                s1 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e109);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 39) {
                    // @ts-ignore
                    s2 = peg$c64;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e74);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = [];
                    // @ts-ignore
                    s5 = peg$parsehex_digit();
                    // @ts-ignore
                    while (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4.push(s5);
                        // @ts-ignore
                        s5 = peg$parsehex_digit();
                    }
                    // @ts-ignore
                    s3 = input.substring(s3, peg$currPos);
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 39) {
                        // @ts-ignore
                        s4 = peg$c64;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e74);
                        }
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1125(s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseblob_literal_bit_string() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 1).toLowerCase() === peg$c92) {
                // @ts-ignore
                s1 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e110);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 39) {
                    // @ts-ignore
                    s2 = peg$c64;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e74);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = [];
                    // @ts-ignore
                    if (peg$r12.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s5 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e111);
                        }
                    }
                    // @ts-ignore
                    while (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4.push(s5);
                        // @ts-ignore
                        if (peg$r12.test(input.charAt(peg$currPos))) {
                            // @ts-ignore
                            s5 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e111);
                            }
                        }
                    }
                    // @ts-ignore
                    s3 = input.substring(s3, peg$currPos);
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 39) {
                        // @ts-ignore
                        s4 = peg$c64;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e74);
                        }
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1126(s3);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesigned_number_literal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 45) {
                // @ts-ignore
                s1 = peg$c53;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e55);
                }
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 43) {
                    // @ts-ignore
                    s1 = peg$c54;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e56);
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parse__();
                // @ts-ignore
                s4 = peg$parsenumber_literal();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1127(s1, s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$parsenumber_literal();
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenumber_literal() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s0 = peg$parsenumber_literal_decimal();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$parsenumber_literal_hex();
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s3 = peg$parsesqlite();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsebigquery();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 === peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1128(s1);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$parsenumber_literal_bit();
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s3 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s2;
                            // @ts-ignore
                            s2 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s2 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f1129(s1);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$parsenumber_literal_oct();
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$currPos;
                            // @ts-ignore
                            peg$silentFails++;
                            // @ts-ignore
                            s3 = peg$parsepostgres();
                            // @ts-ignore
                            peg$silentFails--;
                            // @ts-ignore
                            if (s3 !== peg$FAILED) {
                                // @ts-ignore
                                peg$currPos = s2;
                                // @ts-ignore
                                s2 = undefined;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s2 = peg$FAILED;
                            }
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f1130(s1);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e112);
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenumber_literal_hex() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c93) {
                    // @ts-ignore
                    s2 = peg$c93;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e113);
                    }
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsepg_hex_digits();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1131();
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c93) {
                        // @ts-ignore
                        s2 = peg$c93;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e113);
                        }
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = [];
                        // @ts-ignore
                        s4 = peg$parsehex_digit();
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            while (s4 !== peg$FAILED) {
                                // @ts-ignore
                                s3.push(s4);
                                // @ts-ignore
                                s4 = peg$parsehex_digit();
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s3 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f1132();
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseblob_literal_hex() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c93) {
                // @ts-ignore
                s1 = peg$c93;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e113);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                s4 = peg$parsehex_digit();
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        s4 = peg$parsehex_digit();
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = input.substring(s2, peg$currPos);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = s3;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1133(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenumber_literal_bit() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c94) {
                // @ts-ignore
                s1 = peg$c94;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e114);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsepg_bit_digits();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = input.substring(s2, peg$currPos);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = s3;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1134(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseblob_literal_bit() {
            // @ts-ignore
            var s0, s1, s2, s3, s4;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c94) {
                // @ts-ignore
                s1 = peg$c94;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e114);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = [];
                // @ts-ignore
                if (peg$r12.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s4 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s4 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e111);
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    while (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s3.push(s4);
                        // @ts-ignore
                        if (peg$r12.test(input.charAt(peg$currPos))) {
                            // @ts-ignore
                            s4 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s4 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e111);
                            }
                        }
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = input.substring(s2, peg$currPos);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = s3;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1135(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenumber_literal_oct() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c95) {
                // @ts-ignore
                s1 = peg$c95;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e115);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsepg_oct_digits();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = input.substring(s2, peg$currPos);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = s3;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1136(s2);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenumber_literal_decimal() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s2 = peg$parsepostgres();
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                peg$currPos = s1;
                // @ts-ignore
                s1 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                s3 = peg$parsepg_digits();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s4 = peg$parsepg_frac();
                    // @ts-ignore
                    if (s4 === peg$FAILED) {
                        // @ts-ignore
                        s4 = null;
                    }
                    // @ts-ignore
                    s3 = [s3, s4];
                    // @ts-ignore
                    s2 = s3;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsepg_frac();
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$parsepg_exp();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = null;
                    }
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s5 = peg$parseident_start();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s4 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1137();
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$currPos;
                    // @ts-ignore
                    s3 = peg$parsedigits();
                    // @ts-ignore
                    if (s3 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = peg$parsefrac();
                        // @ts-ignore
                        if (s4 === peg$FAILED) {
                            // @ts-ignore
                            s4 = null;
                        }
                        // @ts-ignore
                        s3 = [s3, s4];
                        // @ts-ignore
                        s2 = s3;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s2;
                        // @ts-ignore
                        s2 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsefrac();
                    }
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$parseexp();
                        // @ts-ignore
                        if (s3 === peg$FAILED) {
                            // @ts-ignore
                            s3 = null;
                        }
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s5 = peg$parseident_start();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s4 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f1138();
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_exp() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseexp();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 95) {
                    // @ts-ignore
                    s4 = peg$c62;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s4 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e72);
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parsedigits();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 95) {
                        // @ts-ignore
                        s4 = peg$c62;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e72);
                        }
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parsedigits();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s1 = [s1, s2];
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_frac() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 46) {
                // @ts-ignore
                s1 = peg$c2;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e3);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsepg_digits();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s1 = [s1, s2];
                    // @ts-ignore
                    s0 = s1;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_digits() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parsedigits();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 95) {
                    // @ts-ignore
                    s4 = peg$c62;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s4 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e72);
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = peg$parsedigits();
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 95) {
                        // @ts-ignore
                        s4 = peg$c62;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e72);
                        }
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = peg$parsedigits();
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s1 = [s1, s2];
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_hex_digits() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = [];
            // @ts-ignore
            s2 = peg$parsehex_digit();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                while (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s1.push(s2);
                    // @ts-ignore
                    s2 = peg$parsehex_digit();
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 95) {
                    // @ts-ignore
                    s4 = peg$c62;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s4 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e72);
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [];
                    // @ts-ignore
                    s6 = peg$parsehex_digit();
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        while (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5.push(s6);
                            // @ts-ignore
                            s6 = peg$parsehex_digit();
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 95) {
                        // @ts-ignore
                        s4 = peg$c62;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e72);
                        }
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [];
                        // @ts-ignore
                        s6 = peg$parsehex_digit();
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            while (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5.push(s6);
                                // @ts-ignore
                                s6 = peg$parsehex_digit();
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s1 = [s1, s2];
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_oct_digits() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = [];
            // @ts-ignore
            if (peg$r11.test(input.charAt(peg$currPos))) {
                // @ts-ignore
                s2 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s2 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e94);
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                while (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s1.push(s2);
                    // @ts-ignore
                    if (peg$r11.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s2 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e94);
                        }
                    }
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 95) {
                    // @ts-ignore
                    s4 = peg$c62;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s4 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e72);
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [];
                    // @ts-ignore
                    if (peg$r11.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s6 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s6 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e94);
                        }
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        while (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5.push(s6);
                            // @ts-ignore
                            if (peg$r11.test(input.charAt(peg$currPos))) {
                                // @ts-ignore
                                s6 = input.charAt(peg$currPos);
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s6 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e94);
                                }
                            }
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 95) {
                        // @ts-ignore
                        s4 = peg$c62;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e72);
                        }
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [];
                        // @ts-ignore
                        if (peg$r11.test(input.charAt(peg$currPos))) {
                            // @ts-ignore
                            s6 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s6 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e94);
                            }
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            while (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5.push(s6);
                                // @ts-ignore
                                if (peg$r11.test(input.charAt(peg$currPos))) {
                                    // @ts-ignore
                                    s6 = input.charAt(peg$currPos);
                                    // @ts-ignore
                                    peg$currPos++;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s6 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e94);
                                    }
                                }
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s1 = [s1, s2];
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepg_bit_digits() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5, s6;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = [];
            // @ts-ignore
            if (peg$r12.test(input.charAt(peg$currPos))) {
                // @ts-ignore
                s2 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s2 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e111);
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                while (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s1.push(s2);
                    // @ts-ignore
                    if (peg$r12.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s2 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e111);
                        }
                    }
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 95) {
                    // @ts-ignore
                    s4 = peg$c62;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s4 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e72);
                    }
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    s5 = [];
                    // @ts-ignore
                    if (peg$r12.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s6 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s6 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e111);
                        }
                    }
                    // @ts-ignore
                    if (s6 !== peg$FAILED) {
                        // @ts-ignore
                        while (s6 !== peg$FAILED) {
                            // @ts-ignore
                            s5.push(s6);
                            // @ts-ignore
                            if (peg$r12.test(input.charAt(peg$currPos))) {
                                // @ts-ignore
                                s6 = input.charAt(peg$currPos);
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s6 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e111);
                                }
                            }
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    if (input.charCodeAt(peg$currPos) === 95) {
                        // @ts-ignore
                        s4 = peg$c62;
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s4 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e72);
                        }
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        s5 = [];
                        // @ts-ignore
                        if (peg$r12.test(input.charAt(peg$currPos))) {
                            // @ts-ignore
                            s6 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s6 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e111);
                            }
                        }
                        // @ts-ignore
                        if (s6 !== peg$FAILED) {
                            // @ts-ignore
                            while (s6 !== peg$FAILED) {
                                // @ts-ignore
                                s5.push(s6);
                                // @ts-ignore
                                if (peg$r12.test(input.charAt(peg$currPos))) {
                                    // @ts-ignore
                                    s6 = input.charAt(peg$currPos);
                                    // @ts-ignore
                                    peg$currPos++;
                                    // @ts-ignore
                                }
                                else {
                                    // @ts-ignore
                                    s6 = peg$FAILED;
                                    // @ts-ignore
                                    if (peg$silentFails === 0) {
                                        peg$fail(peg$e111);
                                    }
                                }
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                s1 = [s1, s2];
                // @ts-ignore
                s0 = s1;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsefrac() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 46) {
                // @ts-ignore
                s1 = peg$c2;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e3);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsedigits();
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s1 = [s1, s2];
                    // @ts-ignore
                    s0 = s1;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseexp() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (peg$r13.test(input.charAt(peg$currPos))) {
                // @ts-ignore
                s1 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e116);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                if (peg$r14.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s2 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e117);
                    }
                }
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = null;
                }
                // @ts-ignore
                s3 = peg$parsedigits();
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s1 = [s1, s2, s3];
                    // @ts-ignore
                    s0 = s1;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedigits() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = [];
            // @ts-ignore
            s2 = peg$parsedigit();
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                while (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s1.push(s2);
                    // @ts-ignore
                    s2 = peg$parsedigit();
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1139();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsedigit() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            if (peg$r15.test(input.charAt(peg$currPos))) {
                // @ts-ignore
                s0 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e118);
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsehex_digit() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            if (peg$r16.test(input.charAt(peg$currPos))) {
                // @ts-ignore
                s0 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e119);
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parse__() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = [];
            // @ts-ignore
            s2 = peg$parsespace();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parsenewline();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsecomment();
                }
            }
            // @ts-ignore
            while (s2 !== peg$FAILED) {
                // @ts-ignore
                s1.push(s2);
                // @ts-ignore
                s2 = peg$parsespace();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsenewline();
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parsecomment();
                    }
                }
            }
            // @ts-ignore
            peg$savedPos = s0;
            // @ts-ignore
            s1 = peg$f1140(s1);
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            s1 = peg$FAILED;
            // @ts-ignore
            if (peg$silentFails === 0) {
                peg$fail(peg$e120);
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parse__hspace__() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = [];
            // @ts-ignore
            s2 = peg$parsespace();
            // @ts-ignore
            if (s2 === peg$FAILED) {
                // @ts-ignore
                s2 = peg$parseline_comment();
            }
            // @ts-ignore
            while (s2 !== peg$FAILED) {
                // @ts-ignore
                s1.push(s2);
                // @ts-ignore
                s2 = peg$parsespace();
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parseline_comment();
                }
            }
            // @ts-ignore
            peg$savedPos = s0;
            // @ts-ignore
            s1 = peg$f1141(s1);
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsecomment() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$parseline_comment();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                s0 = peg$currPos;
                // @ts-ignore
                s1 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s2 = peg$parsepostgres();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s2 === peg$FAILED) {
                    // @ts-ignore
                    s1 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s1;
                    // @ts-ignore
                    s1 = peg$FAILED;
                }
                // @ts-ignore
                if (s1 !== peg$FAILED) {
                    // @ts-ignore
                    s2 = peg$parsepound_sign_comment();
                    // @ts-ignore
                    if (s2 !== peg$FAILED) {
                        // @ts-ignore
                        peg$savedPos = s0;
                        // @ts-ignore
                        s0 = peg$f1142(s2);
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
                if (s0 === peg$FAILED) {
                    // @ts-ignore
                    s0 = peg$currPos;
                    // @ts-ignore
                    s1 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s2 = peg$parsepostgres();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s2 === peg$FAILED) {
                        // @ts-ignore
                        s1 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s1;
                        // @ts-ignore
                        s1 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s1 !== peg$FAILED) {
                        // @ts-ignore
                        s2 = peg$parseblock_comment();
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$savedPos = s0;
                            // @ts-ignore
                            s0 = peg$f1143(s2);
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s0;
                        // @ts-ignore
                        s0 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s0 === peg$FAILED) {
                        // @ts-ignore
                        s0 = peg$currPos;
                        // @ts-ignore
                        s1 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        s2 = peg$parsepostgres();
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s2 !== peg$FAILED) {
                            // @ts-ignore
                            peg$currPos = s1;
                            // @ts-ignore
                            s1 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s1 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s1 !== peg$FAILED) {
                            // @ts-ignore
                            s2 = peg$parsenested_block_comment();
                            // @ts-ignore
                            if (s2 !== peg$FAILED) {
                                // @ts-ignore
                                peg$savedPos = s0;
                                // @ts-ignore
                                s0 = peg$f1144(s2);
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s0;
                                // @ts-ignore
                                s0 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s0;
                            // @ts-ignore
                            s0 = peg$FAILED;
                        }
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseblock_comment() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c96) {
                // @ts-ignore
                s1 = peg$c96;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e121);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c97) {
                    // @ts-ignore
                    s5 = peg$c97;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s5 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e122);
                    }
                }
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    s4 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.length > peg$currPos) {
                        // @ts-ignore
                        s5 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e1);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c97) {
                        // @ts-ignore
                        s5 = peg$c97;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e122);
                        }
                    }
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s4 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        if (input.length > peg$currPos) {
                            // @ts-ignore
                            s5 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e1);
                            }
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c97) {
                    // @ts-ignore
                    s3 = peg$c97;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e122);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1145();
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenested_block_comment() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c96) {
                // @ts-ignore
                s1 = peg$c96;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e121);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$parsenested_block_comment();
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    if (input.substr(peg$currPos, 2) === peg$c97) {
                        // @ts-ignore
                        s5 = peg$c97;
                        // @ts-ignore
                        peg$currPos += 2;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e122);
                        }
                    }
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s4 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        if (input.length > peg$currPos) {
                            // @ts-ignore
                            s5 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e1);
                            }
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$parsenested_block_comment();
                    // @ts-ignore
                    if (s3 === peg$FAILED) {
                        // @ts-ignore
                        s3 = peg$currPos;
                        // @ts-ignore
                        s4 = peg$currPos;
                        // @ts-ignore
                        peg$silentFails++;
                        // @ts-ignore
                        if (input.substr(peg$currPos, 2) === peg$c97) {
                            // @ts-ignore
                            s5 = peg$c97;
                            // @ts-ignore
                            peg$currPos += 2;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e122);
                            }
                        }
                        // @ts-ignore
                        peg$silentFails--;
                        // @ts-ignore
                        if (s5 === peg$FAILED) {
                            // @ts-ignore
                            s4 = undefined;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s4;
                            // @ts-ignore
                            s4 = peg$FAILED;
                        }
                        // @ts-ignore
                        if (s4 !== peg$FAILED) {
                            // @ts-ignore
                            if (input.length > peg$currPos) {
                                // @ts-ignore
                                s5 = input.charAt(peg$currPos);
                                // @ts-ignore
                                peg$currPos++;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                s5 = peg$FAILED;
                                // @ts-ignore
                                if (peg$silentFails === 0) {
                                    peg$fail(peg$e1);
                                }
                            }
                            // @ts-ignore
                            if (s5 !== peg$FAILED) {
                                // @ts-ignore
                                s4 = [s4, s5];
                                // @ts-ignore
                                s3 = s4;
                                // @ts-ignore
                            }
                            else {
                                // @ts-ignore
                                peg$currPos = s3;
                                // @ts-ignore
                                s3 = peg$FAILED;
                            }
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                    }
                }
                // @ts-ignore
                if (input.substr(peg$currPos, 2) === peg$c97) {
                    // @ts-ignore
                    s3 = peg$c97;
                    // @ts-ignore
                    peg$currPos += 2;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s3 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e122);
                    }
                }
                // @ts-ignore
                if (s3 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1146();
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseline_comment() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c98) {
                // @ts-ignore
                s1 = peg$c98;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e123);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s5 = peg$parseend_of_line();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    s4 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.length > peg$currPos) {
                        // @ts-ignore
                        s5 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e1);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s5 = peg$parseend_of_line();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s4 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        if (input.length > peg$currPos) {
                            // @ts-ignore
                            s5 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e1);
                            }
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1147();
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepound_sign_comment() {
            // @ts-ignore
            var s0, s1, s2, s3, s4, s5;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.charCodeAt(peg$currPos) === 35) {
                // @ts-ignore
                s1 = peg$c45;
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e46);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = [];
                // @ts-ignore
                s3 = peg$currPos;
                // @ts-ignore
                s4 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s5 = peg$parseend_of_line();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s5 === peg$FAILED) {
                    // @ts-ignore
                    s4 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s4;
                    // @ts-ignore
                    s4 = peg$FAILED;
                }
                // @ts-ignore
                if (s4 !== peg$FAILED) {
                    // @ts-ignore
                    if (input.length > peg$currPos) {
                        // @ts-ignore
                        s5 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s5 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e1);
                        }
                    }
                    // @ts-ignore
                    if (s5 !== peg$FAILED) {
                        // @ts-ignore
                        s4 = [s4, s5];
                        // @ts-ignore
                        s3 = s4;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s3;
                    // @ts-ignore
                    s3 = peg$FAILED;
                }
                // @ts-ignore
                while (s3 !== peg$FAILED) {
                    // @ts-ignore
                    s2.push(s3);
                    // @ts-ignore
                    s3 = peg$currPos;
                    // @ts-ignore
                    s4 = peg$currPos;
                    // @ts-ignore
                    peg$silentFails++;
                    // @ts-ignore
                    s5 = peg$parseend_of_line();
                    // @ts-ignore
                    peg$silentFails--;
                    // @ts-ignore
                    if (s5 === peg$FAILED) {
                        // @ts-ignore
                        s4 = undefined;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s4;
                        // @ts-ignore
                        s4 = peg$FAILED;
                    }
                    // @ts-ignore
                    if (s4 !== peg$FAILED) {
                        // @ts-ignore
                        if (input.length > peg$currPos) {
                            // @ts-ignore
                            s5 = input.charAt(peg$currPos);
                            // @ts-ignore
                            peg$currPos++;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            s5 = peg$FAILED;
                            // @ts-ignore
                            if (peg$silentFails === 0) {
                                peg$fail(peg$e1);
                            }
                        }
                        // @ts-ignore
                        if (s5 !== peg$FAILED) {
                            // @ts-ignore
                            s4 = [s4, s5];
                            // @ts-ignore
                            s3 = s4;
                            // @ts-ignore
                        }
                        else {
                            // @ts-ignore
                            peg$currPos = s3;
                            // @ts-ignore
                            s3 = peg$FAILED;
                        }
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        peg$currPos = s3;
                        // @ts-ignore
                        s3 = peg$FAILED;
                    }
                }
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s0 = peg$f1148();
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsespace() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = [];
            // @ts-ignore
            if (peg$r17.test(input.charAt(peg$currPos))) {
                // @ts-ignore
                s2 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s2 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e124);
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                while (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s1.push(s2);
                    // @ts-ignore
                    if (peg$r17.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s2 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e124);
                        }
                    }
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1149();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenewline() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2) === peg$c99) {
                // @ts-ignore
                s1 = peg$c99;
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e125);
                }
            }
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                if (input.charCodeAt(peg$currPos) === 10) {
                    // @ts-ignore
                    s1 = peg$c63;
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s1 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e73);
                    }
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1150();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseend_of_line() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            s0 = peg$parseend_of_file();
            // @ts-ignore
            if (s0 === peg$FAILED) {
                // @ts-ignore
                if (peg$r18.test(input.charAt(peg$currPos))) {
                    // @ts-ignore
                    s0 = input.charAt(peg$currPos);
                    // @ts-ignore
                    peg$currPos++;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s0 = peg$FAILED;
                    // @ts-ignore
                    if (peg$silentFails === 0) {
                        peg$fail(peg$e126);
                    }
                }
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseend_of_file() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            peg$silentFails++;
            // @ts-ignore
            if (input.length > peg$currPos) {
                // @ts-ignore
                s1 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e1);
                }
            }
            // @ts-ignore
            peg$silentFails--;
            // @ts-ignore
            if (s1 === peg$FAILED) {
                // @ts-ignore
                s0 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsenever() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.length > peg$currPos) {
                // @ts-ignore
                s1 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e1);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = peg$currPos;
                // @ts-ignore
                s2 = peg$f1151();
                // @ts-ignore
                if (s2) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s1 = [s1, s2];
                    // @ts-ignore
                    s0 = s1;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsebigquery() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            peg$savedPos = peg$currPos;
            // @ts-ignore
            s0 = peg$f1152();
            // @ts-ignore
            if (s0) {
                // @ts-ignore
                s0 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsesqlite() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            peg$savedPos = peg$currPos;
            // @ts-ignore
            s0 = peg$f1153();
            // @ts-ignore
            if (s0) {
                // @ts-ignore
                s0 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsemysql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            peg$savedPos = peg$currPos;
            // @ts-ignore
            s0 = peg$f1154();
            // @ts-ignore
            if (s0) {
                // @ts-ignore
                s0 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseonly_mysql() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            peg$savedPos = peg$currPos;
            // @ts-ignore
            s0 = peg$f1155();
            // @ts-ignore
            if (s0) {
                // @ts-ignore
                s0 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseonly_mariadb() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            peg$savedPos = peg$currPos;
            // @ts-ignore
            s0 = peg$f1156();
            // @ts-ignore
            if (s0) {
                // @ts-ignore
                s0 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsepostgres() {
            // @ts-ignore
            var s0;
            // @ts-ignore
            peg$savedPos = peg$currPos;
            // @ts-ignore
            s0 = peg$f1157();
            // @ts-ignore
            if (s0) {
                // @ts-ignore
                s0 = undefined;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseunsupported_grammar_stmt() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = [];
            // @ts-ignore
            if (peg$r19.test(input.charAt(peg$currPos))) {
                // @ts-ignore
                s2 = input.charAt(peg$currPos);
                // @ts-ignore
                peg$currPos++;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s2 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e127);
                }
            }
            // @ts-ignore
            if (s2 !== peg$FAILED) {
                // @ts-ignore
                while (s2 !== peg$FAILED) {
                    // @ts-ignore
                    s1.push(s2);
                    // @ts-ignore
                    if (peg$r19.test(input.charAt(peg$currPos))) {
                        // @ts-ignore
                        s2 = input.charAt(peg$currPos);
                        // @ts-ignore
                        peg$currPos++;
                        // @ts-ignore
                    }
                    else {
                        // @ts-ignore
                        s2 = peg$FAILED;
                        // @ts-ignore
                        if (peg$silentFails === 0) {
                            peg$fail(peg$e127);
                        }
                    }
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1158();
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsekeyword() {
            // @ts-ignore
            var s0, s1;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident_name();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = s0;
                // @ts-ignore
                s1 = peg$f1159(s1);
            }
            // @ts-ignore
            s0 = s1;
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseunreserved_keyword() {
            // @ts-ignore
            var s0, s1, s2;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            s1 = peg$parseident_name();
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                peg$savedPos = peg$currPos;
                // @ts-ignore
                s2 = peg$f1160(s1);
                // @ts-ignore
                if (s2) {
                    // @ts-ignore
                    s2 = peg$FAILED;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    s2 = undefined;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1161(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseABORT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c100) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e128);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1162(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseACCESS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c101) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e129);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1163(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseACTION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c102) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e130);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1164(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseADD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c103) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e131);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1165(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseADMIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c104) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e132);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1166(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAFTER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c105) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e133);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1167(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAGAINST() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c106) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e134);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1168(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseALGORITHM() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c107) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e135);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1169(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseALL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c108) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e136);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1170(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseALTER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c109) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e137);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1171(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseALWAYS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c110) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e138);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1172(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseANALYZE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c111) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e139);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1173(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c112) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e140);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1174(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseANY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c113) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e141);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1175(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseARRAY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c114) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e142);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1176(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c115) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e143);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1177(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseASC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c116) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e144);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1178(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseASSERT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c117) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e145);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1179(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseASSIGNMENT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c118) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e146);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1180(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c119) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e147);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1181(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseATOMIC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c120) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e148);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1182(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseATTACH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c121) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e149);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1183(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseATTRIBUTE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c122) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e150);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1184(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAUTHORIZATION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 13).toLowerCase() === peg$c123) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 13);
                // @ts-ignore
                peg$currPos += 13;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e151);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1185(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAUTO() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c124) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e152);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1186(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAUTO_INCREMENT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 14).toLowerCase() === peg$c125) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 14);
                // @ts-ignore
                peg$currPos += 14;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e153);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1187(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAUTOEXTEND_SIZE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 15).toLowerCase() === peg$c126) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 15);
                // @ts-ignore
                peg$currPos += 15;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e154);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1188(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAUTOINCREMENT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 13).toLowerCase() === peg$c127) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 13);
                // @ts-ignore
                peg$currPos += 13;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e155);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1189(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAVG() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c128) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e156);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1190(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseAVG_ROW_LENGTH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 14).toLowerCase() === peg$c129) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 14);
                // @ts-ignore
                peg$currPos += 14;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e157);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1191(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBEFORE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c130) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e158);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1192(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBEGIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c131) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e159);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1193(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBERNOULLI() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c132) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e160);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1194(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBETWEEN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c133) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e161);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1195(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBI_CAPACITY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c134) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e162);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1196(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBIGDECIMAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c135) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e163);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1197(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBIGINT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c136) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e164);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1198(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBIGNUMERIC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c137) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e165);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1199(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBINARY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c138) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e166);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1200(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBINLOG() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c139) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e167);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1201(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBIT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c140) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e168);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1202(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBLOB() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c141) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e169);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1203(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBOOL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c142) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e170);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1204(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBOOLEAN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c143) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e171);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1205(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBREADTH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c144) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e172);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1206(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBREAK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c145) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e173);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1207(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBTREE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c146) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e174);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1208(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c147) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e175);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1209(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBYPASSRLS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c148) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e176);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1210(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBYTEINT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c149) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e177);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1211(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseBYTES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c150) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e178);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1212(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCACHE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c151) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e179);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1213(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCALL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c152) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e180);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1214(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCALLED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c153) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e181);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1215(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCAPACITY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c154) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e182);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1216(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCASCADE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c155) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e183);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1217(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCASCADED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c156) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e184);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1218(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCASE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c157) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e185);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1219(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCAST() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c158) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e186);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1220(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCENTURY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c159) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e187);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1221(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCHAIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c160) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e188);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1222(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCHANGE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c161) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e189);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1223(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCHAR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c162) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e190);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1224(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCHARACTER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c163) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e191);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1225(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCHARSET() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c164) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e192);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1226(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCHECK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c165) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e193);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1227(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCHECKSUM() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c166) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e194);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1228(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCLONE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c167) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e195);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1229(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCLUSTER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c168) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e196);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1230(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOLLATE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c169) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e197);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1231(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOLLATION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c170) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e198);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1232(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOLUMN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c171) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e199);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1233(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOLUMN_FORMAT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 13).toLowerCase() === peg$c172) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 13);
                // @ts-ignore
                peg$currPos += 13;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e200);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1234(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOLUMNS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c173) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e201);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1235(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOMMENT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c174) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e202);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1236(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOMMENTS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c175) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e203);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1237(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOMMIT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c176) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e204);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1238(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOMMITTED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c177) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e205);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1239(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOMPACT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c178) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e206);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1240(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOMPRESSED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c179) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e207);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1241(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOMPRESSION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c180) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e208);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1242(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCONCURRENTLY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c181) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e209);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1243(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCONFLICT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c182) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e210);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1244(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCONNECT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c183) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e211);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1245(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCONNECTION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c184) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e212);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1246(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCONSTRAINT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c185) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e213);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1247(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCONSTRAINTS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c186) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e214);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1248(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCONTINUE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c187) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e215);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1249(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOPY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c188) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e216);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1250(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOST() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c189) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e217);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1251(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCOUNT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c190) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e218);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1252(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCREATE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c191) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e219);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1253(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCREATEDB() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c192) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e220);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1254(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCREATEROLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c193) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e221);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1255(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCROSS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c194) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e222);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1256(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCUBE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c195) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e223);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1257(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCUME_DIST() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c196) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e224);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1258(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCURRENT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c197) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e225);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1259(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCURRENT_CATALOG() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 15).toLowerCase() === peg$c198) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 15);
                // @ts-ignore
                peg$currPos += 15;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e226);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1260(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCURRENT_DATE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c199) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e227);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1261(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCURRENT_DATETIME() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 16).toLowerCase() === peg$c200) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 16);
                // @ts-ignore
                peg$currPos += 16;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e228);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1262(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCURRENT_ROLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c201) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e229);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1263(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCURRENT_SCHEMA() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 14).toLowerCase() === peg$c202) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 14);
                // @ts-ignore
                peg$currPos += 14;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e230);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1264(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCURRENT_TIME() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c203) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e231);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1265(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCURRENT_TIMESTAMP() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 17).toLowerCase() === peg$c204) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 17);
                // @ts-ignore
                peg$currPos += 17;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e232);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1266(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCURRENT_USER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c205) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e233);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1267(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseCYCLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c206) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e234);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1268(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDATA() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c207) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e235);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1269(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDATABASE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c208) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e236);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1270(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDATE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c209) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e237);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1271(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDATETIME() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c210) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e238);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1272(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDAY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c211) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e239);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1273(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDAY_HOUR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c212) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e240);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1274(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDAY_MICROSECOND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 15).toLowerCase() === peg$c213) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 15);
                // @ts-ignore
                peg$currPos += 15;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e241);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1275(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDAY_MINUTE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c214) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e242);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1276(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDAY_SECOND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c215) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e243);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1277(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDAYOFWEEK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c216) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e244);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1278(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDAYOFYEAR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c217) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e245);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1279(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDEC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c218) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e246);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1280(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDECADE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c219) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e247);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1281(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDECIMAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c220) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e248);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1282(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDECLARE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c221) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e249);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1283(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDEFAULT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c222) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e250);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1284(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDEFAULTS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c223) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e251);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1285(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDEFERRABLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c224) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e252);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1286(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDEFERRED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c225) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e253);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1287(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDEFINER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c226) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e254);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1288(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDELAY_KEY_WRITE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 15).toLowerCase() === peg$c227) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 15);
                // @ts-ignore
                peg$currPos += 15;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e255);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1289(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDELAYED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c228) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e256);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1290(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDELETE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c229) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e257);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1291(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDENSE_RANK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c230) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e258);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1292(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDEPENDS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c231) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e259);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1293(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDEPTH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c232) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e260);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1294(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDESC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c233) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e261);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1295(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDESCRIBE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c234) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e262);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1296(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDETACH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c235) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e263);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1297(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDETERMINISTIC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 13).toLowerCase() === peg$c236) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 13);
                // @ts-ignore
                peg$currPos += 13;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e264);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1298(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDIRECTORY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c237) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e265);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1299(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDISABLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c238) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e266);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1300(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDISK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c239) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e267);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1301(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDISTINCT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c240) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e268);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1302(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDISTINCTROW() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c241) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e269);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1303(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDIV() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c242) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e270);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1304(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDO() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c243) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e271);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1305(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDOMAIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c244) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e272);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1306(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDOUBLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c245) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e273);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1307(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDOW() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c246) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e274);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1308(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDOY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c247) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e275);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1309(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDROP() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c248) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e276);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1310(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDUAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c249) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e277);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1311(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDUMPFILE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c250) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e278);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1312(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDUPLICATE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c251) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e279);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1313(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseDYNAMIC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c252) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e280);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1314(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEACH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c253) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e281);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1315(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseELSE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c254) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e282);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1316(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseELSEIF() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c255) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e283);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1317(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseENABLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c256) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e284);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1318(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseENCLOSED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c257) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e285);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1319(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseENCRYPTED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c258) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e286);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1320(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseENCRYPTION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c259) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e287);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1321(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c260) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e288);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1322(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseENFORCED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c261) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e289);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1323(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseENGINE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c262) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e290);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1324(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseENGINE_ATTRIBUTE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 16).toLowerCase() === peg$c263) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 16);
                // @ts-ignore
                peg$currPos += 16;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e291);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1325(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseENUM() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c264) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e292);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1326(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEPOCH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c265) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e293);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1327(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseERROR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c266) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e294);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1328(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseESCAPE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c267) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e295);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1329(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseESCAPED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c268) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e296);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1330(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEVENTS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c269) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e297);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1331(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXAMINED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c270) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e298);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1332(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXCEPT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c271) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e299);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1333(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXCEPTION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c272) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e300);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1334(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXCLUDE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c273) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e301);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1335(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXCLUDING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c274) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e302);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1336(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXCLUSIVE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c275) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e303);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1337(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXECUTE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c276) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e304);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1338(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXISTS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c277) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e305);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1339(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXPANSION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c278) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e306);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1340(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXPLAIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c279) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e307);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1341(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXPORT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c280) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e308);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1342(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXPRESSION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c281) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e309);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1343(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXTENDED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c282) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e310);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1344(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXTENSION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c283) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e311);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1345(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXTERNAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c284) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e312);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1346(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseEXTRACT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c285) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e313);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1347(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFAIL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c286) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e314);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1348(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFALSE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c287) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e315);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1349(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFETCH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c288) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e316);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1350(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFIELDS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c289) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e317);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1351(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFILES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c290) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e318);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1352(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFILTER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c291) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e319);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1353(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFIRST() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c292) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e320);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1354(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFIRST_VALUE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c293) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e321);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1355(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFIXED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c294) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e322);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1356(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFLOAT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c295) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e323);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1357(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFLOAT64() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c296) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e324);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1358(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFOLLOWING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c297) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e325);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1359(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFOR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c298) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e326);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1360(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFORCE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c299) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e327);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1361(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFOREIGN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c300) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e328);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1362(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFORMAT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c301) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e329);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1363(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFRIDAY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c302) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e330);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1364(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFROM() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c303) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e331);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1365(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFULL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c304) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e332);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1366(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFULLTEXT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c305) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e333);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1367(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFUNCTION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c306) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e334);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1368(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseFUNCTIONS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c307) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e335);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1369(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGENERATED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c308) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e336);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1370(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGEOGRAPHY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c309) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e337);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1371(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGLOB() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c310) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e338);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1372(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGLOBAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c311) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e339);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1373(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGO() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c312) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e340);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1374(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGRANT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c313) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e341);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1375(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGRANTED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c314) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e342);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1376(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGRANTS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c315) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e343);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1377(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGROUP() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c316) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e344);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1378(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGROUP_CONCAT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c317) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e345);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1379(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGROUPING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c318) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e346);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1380(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseGROUPS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c319) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e347);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1381(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseHASH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c320) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e348);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1382(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseHAVING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c321) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e349);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1383(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseHIGH_PRIORITY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 13).toLowerCase() === peg$c322) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 13);
                // @ts-ignore
                peg$currPos += 13;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e350);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1384(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseHOUR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c323) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e351);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1385(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseHOUR_MICROSECOND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 16).toLowerCase() === peg$c324) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 16);
                // @ts-ignore
                peg$currPos += 16;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e352);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1386(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseHOUR_MINUTE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c325) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e353);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1387(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseHOUR_SECOND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c326) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e354);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1388(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseIDENTITY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c327) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e355);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1389(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseIF() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c328) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e356);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1390(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseIGNORE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c329) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e357);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1391(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseILIKE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c330) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e358);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1392(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseIMMEDIATE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c331) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e359);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1393(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseIMMUTABLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c332) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e360);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1394(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c333) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e361);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1395(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINCLUDE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c334) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e362);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1396(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINCLUDING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c335) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e363);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1397(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINCREMENT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c336) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e364);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1398(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINDEX() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c337) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e365);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1399(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINDEXED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c338) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e366);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1400(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINDEXES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c339) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e367);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1401(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINHERIT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c340) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e368);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1402(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINHERITS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c341) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e369);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1403(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINITIALLY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c342) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e370);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1404(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINNER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c343) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e371);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1405(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINOUT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c344) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e372);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1406(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINPLACE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c345) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e373);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1407(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINPUT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c346) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e374);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1408(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINSERT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c347) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e375);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1409(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINSERT_METHOD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 13).toLowerCase() === peg$c348) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 13);
                // @ts-ignore
                peg$currPos += 13;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e376);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1410(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINSTANT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c349) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e377);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1411(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINSTEAD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c350) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e378);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1412(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c351) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e379);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1413(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINT64() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c352) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e380);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1414(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINTEGER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c353) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e381);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1415(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINTERSECT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c354) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e382);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1416(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINTERVAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c355) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e383);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1417(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINTO() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c356) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e384);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1418(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINVISIBLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c357) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e385);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1419(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseINVOKER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c358) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e386);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1420(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseIS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c359) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e387);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1421(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseISNULL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c360) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e388);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1422(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseISODOW() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c361) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e389);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1423(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseISOLATION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c362) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e390);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1424(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseISOWEEK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c363) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e391);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1425(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseISOYEAR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c364) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e392);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1426(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseITERATE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c365) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e393);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1427(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseJOIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c366) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e394);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1428(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseJSON() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c367) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e395);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1429(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseJSONB() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c368) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e396);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1430(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseJULIAN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c369) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e397);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1431(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseKEY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c370) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e398);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1432(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseKEY_BLOCK_SIZE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 14).toLowerCase() === peg$c371) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 14);
                // @ts-ignore
                peg$currPos += 14;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e399);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1433(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLAG() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c372) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e400);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1434(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLANGUAGE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c373) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e401);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1435(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLARGE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c374) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e402);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1436(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLAST() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c375) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e403);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1437(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLAST_VALUE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c376) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e404);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1438(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLATERAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c377) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e405);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1439(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLEAD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c378) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e406);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1440(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLEAKPROOF() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c379) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e407);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1441(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLEAVE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c380) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e408);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1442(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLEFT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c381) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e409);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1443(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLEVEL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c382) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e410);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1444(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLIKE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c383) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e411);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1445(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLIMIT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c384) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e412);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1446(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLINES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c385) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e413);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1447(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLIST() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c386) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e414);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1448(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLOAD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c387) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e415);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1449(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLOCAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c388) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e416);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1450(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLOCALTIME() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c389) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e417);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1451(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLOCALTIMESTAMP() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 14).toLowerCase() === peg$c390) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 14);
                // @ts-ignore
                peg$currPos += 14;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e418);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1452(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLOCK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c391) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e419);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1453(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLOCKED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c392) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e420);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1454(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLOGGED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c393) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e421);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1455(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLOGIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c394) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e422);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1456(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLOGS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c395) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e423);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1457(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLONGBLOB() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c396) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e424);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1458(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLONGTEXT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c397) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e425);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1459(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLOOP() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c398) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e426);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1460(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseLOW_PRIORITY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c399) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e427);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1461(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMAIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c400) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e428);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1462(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMAINTAIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c401) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e429);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1463(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMASTER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c402) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e430);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1464(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMATCH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c403) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e431);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1465(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMATCHED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c404) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e432);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1466(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMATERIALIZED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c405) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e433);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1467(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMAX() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c406) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e434);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1468(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMAX_ROWS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c407) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e435);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1469(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMAXVALUE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c408) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e436);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1470(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMEDIUMBLOB() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c409) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e437);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1471(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMEDIUMINT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c410) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e438);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1472(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMEDIUMTEXT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c411) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e439);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1473(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMEMBER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c412) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e440);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1474(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMEMORY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c413) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e441);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1475(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMERGE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c414) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e442);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1476(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMESSAGE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c415) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e443);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1477(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMETHOD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c416) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e444);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1478(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMICROSECOND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c417) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e445);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1479(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMICROSECONDS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c418) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e446);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1480(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMILLENNIUM() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c419) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e447);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1481(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMILLISECOND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c420) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e448);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1482(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMILLISECONDS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c421) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e449);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1483(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c422) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e450);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1484(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMIN_ROWS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c423) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e451);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1485(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMINUTE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c424) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e452);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1486(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMINUTE_MICROSECOND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 18).toLowerCase() === peg$c425) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 18);
                // @ts-ignore
                peg$currPos += 18;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e453);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1487(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMINUTE_SECOND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 13).toLowerCase() === peg$c426) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 13);
                // @ts-ignore
                peg$currPos += 13;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e454);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1488(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMINVALUE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c427) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e455);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1489(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMOD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c428) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e456);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1490(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMODE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c429) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e457);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1491(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMODULUS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c430) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e458);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1492(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMONDAY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c431) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e459);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1493(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseMONTH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c432) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e460);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1494(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNATIVE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c433) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e461);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1495(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNATURAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c434) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e462);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1496(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNCHAR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c435) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e463);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1497(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNEW() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c436) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e464);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1498(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNEXT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c437) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e465);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1499(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNFC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c438) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e466);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1500(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNFD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c439) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e467);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1501(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNFKC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c440) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e468);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1502(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNFKD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c441) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e469);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1503(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNO() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c442) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e470);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1504(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOBYPASSRLS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c443) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e471);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1505(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOCHECK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c444) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e472);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1506(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOCREATEDB() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c445) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e473);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1507(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOCREATEROLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c446) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e474);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1508(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOINHERIT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c447) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e475);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1509(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOLOGIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c448) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e476);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1510(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNONE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c449) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e477);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1511(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOREPLICATION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 13).toLowerCase() === peg$c450) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 13);
                // @ts-ignore
                peg$currPos += 13;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e478);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1512(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNORMALIZED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c451) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e479);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1513(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOSUPERUSER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c452) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e480);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1514(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c453) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e481);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1515(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOTHING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c454) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e482);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1516(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOTNULL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c455) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e483);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1517(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNOWAIT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c456) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e484);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1518(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNTH_VALUE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c457) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e485);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1519(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNTILE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c458) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e486);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1520(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNULL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c459) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e487);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1521(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNULLS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c460) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e488);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1522(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNUMERIC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c461) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e489);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1523(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseNVARCHAR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c462) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e490);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1524(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOBJECT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c463) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e491);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1525(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOF() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c464) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e492);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1526(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOFF() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c465) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e493);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1527(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOFFSET() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c466) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e494);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1528(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOIDS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c467) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e495);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1529(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOLD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c468) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e496);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1530(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseON() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c469) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e497);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1531(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseONLY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c470) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e498);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1532(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOPERATOR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c471) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e499);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1533(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOPTION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c472) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e500);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1534(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOPTIONALLY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c473) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e501);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1535(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOPTIONS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c474) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e502);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1536(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c475) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e503);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1537(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseORDER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c476) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e504);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1538(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseORDINAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c477) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e505);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1539(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseORDINALITY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c478) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e506);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1540(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseORGANIZATION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c479) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e507);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1541(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOTHERS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c480) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e508);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1542(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOUT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c481) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e509);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1543(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOUTER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c482) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e510);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1544(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOUTFILE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c483) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e511);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1545(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOVER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c484) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e512);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1546(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOVERRIDING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c485) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e513);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1547(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOVERWRITE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c486) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e514);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1548(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOWNED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c487) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e515);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1549(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseOWNER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c488) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e516);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1550(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePACK_KEYS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c489) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e517);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1551(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePARALLEL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c490) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e518);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1552(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePARAMETER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c491) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e519);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1553(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePARSER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c492) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e520);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1554(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePARTIAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c493) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e521);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1555(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePARTITION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c494) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e522);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1556(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePASSWORD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c495) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e523);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1557(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePERCENT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c496) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e524);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1558(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePERCENT_RANK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c497) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e525);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1559(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePERMISSIVE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c498) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e526);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1560(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePERSIST() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c499) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e527);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1561(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePERSIST_ONLY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c500) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e528);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1562(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePIVOT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c501) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e529);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1563(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePLAIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c502) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e530);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1564(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePLAN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c503) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e531);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1565(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePOLICIES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c504) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e532);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1566(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePOLICY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c505) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e533);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1567(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePRAGMA() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c506) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e534);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1568(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePRECEDING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c507) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e535);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1569(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePRECISION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c508) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e536);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1570(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePRESERVE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c509) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e537);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1571(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePRIMARY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c510) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e538);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1572(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePRIVILEGES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c511) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e539);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1573(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePROCEDURE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c512) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e540);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1574(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePROCEDURES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c513) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e541);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1575(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePROJECT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c514) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e542);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1576(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parsePUBLIC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c515) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e543);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1577(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseQUALIFY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c516) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e544);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1578(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseQUARTER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c517) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e545);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1579(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseQUERY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c518) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e546);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1580(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseQUICK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c519) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e547);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1581(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRAISE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c520) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e548);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1582(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRANGE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c521) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e549);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1583(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRANK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c522) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e550);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1584(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREAD() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c523) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e551);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1585(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c524) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e552);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1586(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRECURSIVE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c525) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e553);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1587(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREDUNDANT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c526) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e554);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1588(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREFERENCES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c527) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e555);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1589(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREFERENCING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c528) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e556);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1590(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREFRESH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c529) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e557);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1591(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREGEXP() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c530) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e558);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1592(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREINDEX() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c531) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e559);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1593(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRELEASE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c532) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e560);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1594(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREMAINDER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c533) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e561);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1595(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREMOTE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c534) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e562);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1596(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRENAME() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c535) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e563);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1597(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREPEAT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c536) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e564);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1598(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREPEATABLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c537) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e565);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1599(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREPLACE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c538) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e566);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1600(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREPLICA() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c539) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e567);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1601(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREPLICATION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c540) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e568);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1602(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRESERVATION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c541) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e569);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1603(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRESET() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c542) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e570);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1604(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRESPECT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c543) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e571);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1605(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRESTART() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c544) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e572);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1606(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRESTRICT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c545) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e573);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1607(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRESTRICTED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c546) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e574);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1608(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRESTRICTIVE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c547) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e575);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1609(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRETURN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c548) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e576);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1610(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRETURNING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c549) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e577);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1611(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRETURNS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c550) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e578);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1612(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseREVOKE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c551) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e579);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1613(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRIGHT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c552) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e580);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1614(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRLIKE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c553) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e581);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1615(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseROLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c554) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e582);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1616(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseROLLBACK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c555) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e583);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1617(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseROLLUP() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c556) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e584);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1618(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseROUTINE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c557) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e585);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1619(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseROUTINES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c558) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e586);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1620(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseROW() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c559) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e587);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1621(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseROW_FORMAT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c560) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e588);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1622(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseROW_NUMBER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c561) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e589);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1623(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseROWID() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c562) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e590);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1624(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseROWS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c563) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e591);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1625(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseRULE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c564) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e592);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1626(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSAFE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c565) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e593);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1627(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSAFE_CAST() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c566) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e594);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1628(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSAFE_OFFSET() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c567) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e595);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1629(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSAFE_ORDINAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c568) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e596);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1630(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSATURDAY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c569) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e597);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1631(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSAVEPOINT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c570) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e598);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1632(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSCHEMA() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c571) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e599);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1633(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSEARCH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c572) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e600);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1634(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSECOND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c573) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e601);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1635(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSECOND_MICROSECOND() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 18).toLowerCase() === peg$c574) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 18);
                // @ts-ignore
                peg$currPos += 18;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e602);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1636(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSECONDARY_ENGINE_ATTRIBUTE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 26).toLowerCase() === peg$c575) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 26);
                // @ts-ignore
                peg$currPos += 26;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e603);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1637(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSECURITY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c576) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e604);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1638(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSELECT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c577) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e605);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1639(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSEQUENCE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c578) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e606);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1640(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSEQUENCES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c579) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e607);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1641(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSERIALIZABLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c580) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e608);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1642(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSERVER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c581) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e609);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1643(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSESSION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c582) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e610);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1644(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSESSION_USER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c583) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e611);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1645(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSET() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c584) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e612);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1646(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSETS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c585) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e613);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1647(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSHARE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c586) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e614);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1648(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSHARED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c587) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e615);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1649(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSHOW() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c588) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e616);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1650(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSIGNED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c589) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e617);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1651(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSIMILAR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c590) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e618);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1652(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSIMPLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c591) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e619);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1653(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSKIP() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c592) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e620);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1654(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSMALLINT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c593) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e621);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1655(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSNAPSHOT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c594) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e622);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1656(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSOME() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c595) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e623);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1657(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSOUNDS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c596) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e624);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1658(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSOURCE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c597) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e625);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1659(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSPATIAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c598) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e626);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1660(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSQL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c599) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e627);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1661(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSQL_BIG_RESULT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 14).toLowerCase() === peg$c600) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 14);
                // @ts-ignore
                peg$currPos += 14;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e628);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1662(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSQL_BUFFER_RESULT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 17).toLowerCase() === peg$c601) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 17);
                // @ts-ignore
                peg$currPos += 17;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e629);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1663(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSQL_CACHE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c602) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e630);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1664(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSQL_CALC_FOUND_ROWS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 19).toLowerCase() === peg$c603) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 19);
                // @ts-ignore
                peg$currPos += 19;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e631);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1665(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSQL_NO_CACHE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 12).toLowerCase() === peg$c604) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 12);
                // @ts-ignore
                peg$currPos += 12;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e632);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1666(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSQL_SMALL_RESULT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 16).toLowerCase() === peg$c605) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 16);
                // @ts-ignore
                peg$currPos += 16;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e633);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1667(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTABLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c606) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e634);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1668(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTART() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c607) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e635);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1669(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTARTING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c608) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e636);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1670(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTATEMENT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c609) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e637);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1671(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTATISTICS() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c610) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e638);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1672(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTATS_AUTO_RECALC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 17).toLowerCase() === peg$c611) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 17);
                // @ts-ignore
                peg$currPos += 17;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e639);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1673(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTATS_PERSISTENT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 16).toLowerCase() === peg$c612) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 16);
                // @ts-ignore
                peg$currPos += 16;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e640);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1674(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTATS_SAMPLE_PAGES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 18).toLowerCase() === peg$c613) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 18);
                // @ts-ignore
                peg$currPos += 18;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e641);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1675(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTORAGE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c614) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e642);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1676(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTORED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c615) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e643);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1677(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTRAIGHT_JOIN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 13).toLowerCase() === peg$c616) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 13);
                // @ts-ignore
                peg$currPos += 13;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e644);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1678(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTRICT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c617) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e645);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1679(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTRING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c618) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e646);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1680(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSTRUCT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c619) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e647);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1681(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSUM() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c620) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e648);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1682(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSUNDAY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c621) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e649);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1683(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSUPERUSER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c622) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e650);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1684(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSUPPORT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c623) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e651);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1685(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSYMMETRIC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c624) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e652);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1686(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSYSID() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c625) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e653);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1687(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSYSTEM() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c626) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e654);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1688(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSYSTEM_TIME() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c627) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e655);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1689(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseSYSTEM_USER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c628) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e656);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1690(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTABLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c629) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e657);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1691(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTABLES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c630) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e658);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1692(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTABLESAMPLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c631) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e659);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1693(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTABLESPACE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c632) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e660);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1694(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTARGET() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c633) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e661);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1695(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTEMP() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c634) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e662);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1696(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTEMPORARY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c635) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e663);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1697(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTEMPTABLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c636) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e664);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1698(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTERMINATED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c637) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e665);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1699(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTEXT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c638) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e666);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1700(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTHEN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c639) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e667);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1701(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTHURSDAY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c640) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e668);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1702(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTIES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c641) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e669);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1703(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTIME() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c642) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e670);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1704(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTIMESTAMP() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c643) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e671);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1705(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTIMEZONE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c644) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e672);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1706(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTIMEZONE_HOUR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 13).toLowerCase() === peg$c645) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 13);
                // @ts-ignore
                peg$currPos += 13;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e673);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1707(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTIMEZONE_MINUTE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 15).toLowerCase() === peg$c646) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 15);
                // @ts-ignore
                peg$currPos += 15;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e674);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1708(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTINYBLOB() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c647) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e675);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1709(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTINYINT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c648) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e676);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1710(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTINYTEXT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c649) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e677);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1711(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTO() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 2).toLowerCase() === peg$c650) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 2);
                // @ts-ignore
                peg$currPos += 2;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e678);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1712(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTRANSACTION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c651) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e679);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1713(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTRANSFORM() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c652) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e680);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1714(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTRIGGER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c653) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e681);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1715(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTRUE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c654) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e682);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1716(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTRUNCATE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c655) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e683);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1717(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTUESDAY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c656) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e684);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1718(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseTYPE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c657) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e685);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1719(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUESCAPE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c658) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e686);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1720(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNBOUNDED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c659) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e687);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1721(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNCOMMITTED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 11).toLowerCase() === peg$c660) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 11);
                // @ts-ignore
                peg$currPos += 11;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e688);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1722(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNDEFINED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c661) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e689);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1723(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNION() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c662) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e690);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1724(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNIQUE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c663) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e691);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1725(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNKNOWN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c664) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e692);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1726(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNLOCK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c665) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e693);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1727(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNLOGGED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c666) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e694);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1728(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNNEST() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c667) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e695);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1729(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNPIVOT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c668) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e696);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1730(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNSAFE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c669) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e697);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1731(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNSIGNED() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c670) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e698);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1732(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUNTIL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c671) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e699);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1733(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUPDATE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c672) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e700);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1734(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUSAGE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c673) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e701);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1735(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUSE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c674) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e702);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1736(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUSER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c675) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e703);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1737(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseUSING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c676) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e704);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1738(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVACUUM() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c677) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e705);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1739(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVALID() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c678) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e706);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1740(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVALIDATE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c679) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e707);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1741(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVALUE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c680) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e708);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1742(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVALUES() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c681) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e709);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1743(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVARBINARY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c682) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e710);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1744(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVARCHAR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c683) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e711);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1745(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVARIADIC() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c684) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e712);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1746(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVARYING() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c685) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e713);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1747(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVECTOR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c686) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e714);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1748(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVERBOSE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c687) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e715);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1749(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVIEW() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c688) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e716);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1750(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVIRTUAL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c689) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e717);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1751(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVISIBLE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c690) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e718);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1752(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseVOLATILE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c691) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e719);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1753(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWAIT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c692) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e720);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1754(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWEDNESDAY() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 9).toLowerCase() === peg$c693) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 9);
                // @ts-ignore
                peg$currPos += 9;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e721);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1755(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWEEK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c694) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e722);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1756(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWHEN() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c695) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e723);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1757(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWHERE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c696) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e724);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1758(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWHILE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c697) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e725);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1759(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWINDOW() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 6).toLowerCase() === peg$c698) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 6);
                // @ts-ignore
                peg$currPos += 6;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e726);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1760(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWITH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c699) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e727);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1761(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWITHOUT() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c700) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e728);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1762(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWORK() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c701) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e729);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1763(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWRAPPER() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 7).toLowerCase() === peg$c702) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 7);
                // @ts-ignore
                peg$currPos += 7;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e730);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1764(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseWRITE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 5).toLowerCase() === peg$c703) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 5);
                // @ts-ignore
                peg$currPos += 5;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e731);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1765(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseXOR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 3).toLowerCase() === peg$c704) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 3);
                // @ts-ignore
                peg$currPos += 3;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e732);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1766(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseYEAR() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c705) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e733);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1767(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseYEAR_MONTH() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 10).toLowerCase() === peg$c706) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 10);
                // @ts-ignore
                peg$currPos += 10;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e734);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1768(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseZEROFILL() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 8).toLowerCase() === peg$c707) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 8);
                // @ts-ignore
                peg$currPos += 8;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e735);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1769(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        function peg$parseZONE() {
            // @ts-ignore
            var s0, s1, s2, s3;
            // @ts-ignore
            s0 = peg$currPos;
            // @ts-ignore
            if (input.substr(peg$currPos, 4).toLowerCase() === peg$c708) {
                // @ts-ignore
                s1 = input.substr(peg$currPos, 4);
                // @ts-ignore
                peg$currPos += 4;
                // @ts-ignore
            }
            else {
                // @ts-ignore
                s1 = peg$FAILED;
                // @ts-ignore
                if (peg$silentFails === 0) {
                    peg$fail(peg$e736);
                }
            }
            // @ts-ignore
            if (s1 !== peg$FAILED) {
                // @ts-ignore
                s2 = peg$currPos;
                // @ts-ignore
                peg$silentFails++;
                // @ts-ignore
                s3 = peg$parseident_part();
                // @ts-ignore
                peg$silentFails--;
                // @ts-ignore
                if (s3 === peg$FAILED) {
                    // @ts-ignore
                    s2 = undefined;
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s2;
                    // @ts-ignore
                    s2 = peg$FAILED;
                }
                // @ts-ignore
                if (s2 !== peg$FAILED) {
                    // @ts-ignore
                    peg$savedPos = s0;
                    // @ts-ignore
                    s0 = peg$f1770(s1);
                    // @ts-ignore
                }
                else {
                    // @ts-ignore
                    peg$currPos = s0;
                    // @ts-ignore
                    s0 = peg$FAILED;
                }
                // @ts-ignore
            }
            else {
                // @ts-ignore
                peg$currPos = s0;
                // @ts-ignore
                s0 = peg$FAILED;
            }
            // @ts-ignore
            return s0;
        }
        // @ts-ignore
        (0, parserState_1.setRangeFunction)(() => [peg$savedPos, peg$currPos]);
        // @ts-ignore
        (0, parserState_1.setOptionsFunction)(() => options);
        // @ts-ignore
        peg$result = peg$startRuleFunction();
        // @ts-ignore
        if (peg$result !== peg$FAILED && peg$currPos === input.length) {
            // @ts-ignore
            return peg$result;
            // @ts-ignore
        }
        else {
            // @ts-ignore
            if (peg$result !== peg$FAILED && peg$currPos < input.length) {
                // @ts-ignore
                peg$fail(peg$endExpectation());
            }
            // @ts-ignore
            throw peg$buildStructuredError(
            // @ts-ignore
            peg$maxFailExpected, 
            // @ts-ignore
            peg$maxFailPos < input.length ? input.charAt(peg$maxFailPos) : null, 
            // @ts-ignore
            peg$maxFailPos < input.length
                // @ts-ignore
                ? peg$computeLocation(peg$maxFailPos, peg$maxFailPos + 1)
                // @ts-ignore
                : peg$computeLocation(peg$maxFailPos, peg$maxFailPos));
        }
    }
    // @ts-ignore
    return {
        SyntaxError: peg$SyntaxError,
        parse: peg$parse
    };
})();
peggyParser.SyntaxError.prototype.name = "PeggySyntaxError";
exports.parse = peggyParser.parse;
exports.PeggySyntaxError = peggyParser.SyntaxError;
